//
// File: Cego.cc
// This code was produced by the dragon parser generator
//
#include "Cego.h"
#include <lfcbase/Exception.h>
#include <lfcbase/StackT.h>

Cego::ScannerStateEntry::ScannerStateEntry()
{
}

Cego::ScannerStateEntry::ScannerStateEntry(int state, ScannerStateType type)
{
   _state = state;
   _type = type;
}

Cego::ScannerStateEntry& Cego::ScannerStateEntry::operator = (const Cego::ScannerStateEntry& s)
{
   _state = s._state;
   _type = s._type;
   return(*this);
}

bool Cego::ScannerStateEntry::operator == (const Cego::ScannerStateEntry& s)
{
   if ( _state == s._state )
      return true;
   return false;
}

Cego::ScannerStateType Cego::ScannerStateEntry::getType()
{
   return _type;
}
int Cego::ScannerStateEntry::getState()
{
   return _state;
}


Cego::ScannerTransEntry::ScannerTransEntry()
{
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c)
{
   _state = state;
   _c = c;
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c, int fstate)
{
   _state = state;
   _c = c;
   _fstate = fstate;
}

Cego::ScannerTransEntry& Cego::ScannerTransEntry::operator = (const Cego::ScannerTransEntry& s)
{
   _state = s._state;
   _c = s._c;
   _fstate = s._fstate;
   return(*this);
}

bool Cego::ScannerTransEntry::operator == (const Cego::ScannerTransEntry& s)
{
   if ( _state == s._state && _c == s._c)
      return true;
   return false;
}

int Cego::ScannerTransEntry::getFState()
{
   return _fstate;
}


Cego::Scanner::Scanner()
{
}


Cego::Scanner::Scanner(Token t)
{
   _token = t;
}

Cego::Token Cego::Scanner::getToken()
{
   return _token;
}

void Cego::Scanner::addState(ScannerStateEntry s)
{
   _stateList.Insert(s);
}

void Cego::Scanner::addTransition(ScannerTransEntry t)
{
   _transList.Insert(t);
}

bool Cego::Scanner::checkPattern(const Chain& p)
{
   unsigned long state = 0;
   ScannerStateEntry* pS = _stateList.First();
   while (pS)
   {
      if (pS->getType() == START || pS->getType() == ANY)
      {
         state = pS->getState();
         pS = 0;
      }
      else
      {
         pS = _stateList.Next();
      }
   }
   unsigned long i = 0;
   ScannerTransEntry* pT = 
   _transList.Find(ScannerTransEntry(state, p[i]));
   while (pT)
   {
      ScannerStateEntry* pS = _stateList.Find(ScannerStateEntry(pT->getFState())); 
      if (pS)
      {
         if ( ( i == p.length()-2 ) && ( pS->getType() == FINAL || pS->getType() == ANY))
         {
            return true;
         }
         else
         {
            state = pT->getFState();
         }
      }
      else
      {
         return false;
      }
      i++;
      pT = _transList.Find(ScannerTransEntry(state, p[i]));
   }
   return false;
}
Cego::StackEntry::StackEntry()
{
   _symbol = NONE;
}

Cego::StackEntry::StackEntry(Symbol symbol, int num, int state, Chain tval)
{
   _symbol=symbol;
   _num=num;
   _state=state;
   _tval=tval;
}

Cego::StackEntry& Cego::StackEntry::operator = (const Cego::StackEntry& se)
{
   _symbol=se._symbol;
   _num=se._num;
   _state=se._state;
   _tval=se._tval;
   return(*this);
}

int Cego::StackEntry::getState()
{
   return _state;
}
Cego::Symbol Cego::StackEntry::getSymbol()
{
   return _symbol;
}
Chain& Cego::StackEntry::getTval()
{
   return _tval;
}

Cego::ActionEntry::ActionEntry()
{
   _action=NULLACTION;
}

Cego::ActionEntry::ActionEntry(Action action , int num)
{
   _action=action;
   _num=num;
}

bool Cego::ActionEntry::operator == (const Cego::ActionEntry& ae)
{
   if (_action == ae._action && _num == ae._num)
      return true;
   return false;
}

Cego::ActionEntry& Cego::ActionEntry::operator = (const Cego::ActionEntry& ae)
{
   _action=ae._action;
   _num=ae._num;
   return(*this);
}

Cego::Action Cego::ActionEntry::getAction()
{
   return _action;
}

int Cego::ActionEntry::getNum()
{
   return _num;
}

Cego::ProdEntry::ProdEntry()
{
}

Cego::ProdEntry::ProdEntry(int id)
{
   _id = id;
}

Cego::ProdEntry::ProdEntry(int id, Production prod, int numSymbol)
{
   _id = id;
   _prod = prod;
   _numSymbol = numSymbol;
}

bool Cego::ProdEntry::operator == (const Cego::ProdEntry& pe)
{
   if (_id == pe._id)
      return true;
   return false;
}

Cego::ProdEntry& Cego::ProdEntry::operator = (const Cego::ProdEntry& pe)
{
   _id = pe._id;
   _prod = pe._prod;
   _numSymbol = pe._numSymbol;
   return(*this);
}


int Cego::ProdEntry::getId()
{
   return _id;
}

Cego::Production Cego::ProdEntry::getProd()
{
   return _prod;
}

int Cego::ProdEntry::getNumSymbol()
{
   return _numSymbol;
}
void Cego::loadScanner()
{
   Scanner s0(ADD);
   s0.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(2 ,START));
   s0.addState(ScannerStateEntry(3 ,FINAL));
   s0.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s0.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s0.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s0.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s0.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s0.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s0);

   Scanner s1(AND);
   s1.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(2 ,START));
   s1.addState(ScannerStateEntry(3 ,FINAL));
   s1.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s1.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s1.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s1.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s1.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s1.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s1);

   Scanner s2(ALL);
   s2.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(2 ,START));
   s2.addState(ScannerStateEntry(3 ,FINAL));
   s2.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s2.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s2.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s2.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s2.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s2.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s2);

   Scanner s3(ALTER);
   s3.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(2 ,START));
   s3.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(5 ,FINAL));
   s3.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s3.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s3.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s3.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s3.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s3.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s3.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s3.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s3.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s3.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s3);

   Scanner s4(APPEND);
   s4.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(2 ,START));
   s4.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(6 ,FINAL));
   s4.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s4.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s4.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s4.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s4.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s4.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s4.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s4.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s4.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s4.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s4.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s4.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s4);

   Scanner s5(AS);
   s5.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(1 ,FINAL));
   s5.addState(ScannerStateEntry(2 ,START));
   s5.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s5.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s5.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s5.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s5);

   Scanner s6(ASC);
   s6.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(2 ,START));
   s6.addState(ScannerStateEntry(3 ,FINAL));
   s6.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s6.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s6.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s6.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s6.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s6.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s6);

   Scanner s7(ASC2INT);
   s7.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(2 ,START));
   s7.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(7 ,FINAL));
   s7.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s7.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s7.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s7.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s7.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s7.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s7.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s7.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s7.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s7.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s7.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s7.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s7.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s7);

   Scanner s8(AUTHORIZE);
   s8.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(2 ,START));
   s8.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(9 ,FINAL));
   s8.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s8.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s8.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s8.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s8.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s8.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s8.addTransition(ScannerTransEntry(3 ,'H' ,4));
   s8.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s8.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s8.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s8.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s8.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s8.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s8.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s8.addTransition(ScannerTransEntry(7 ,'Z' ,8));
   s8.addTransition(ScannerTransEntry(7 ,'z' ,8));
   s8.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s8.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s8);

   Scanner s9(AUTOCOMMIT);
   s9.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(2 ,START));
   s9.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(10 ,FINAL));
   s9.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s9.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s9.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s9.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s9.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s9.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s9.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s9.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s9.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s9.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s9.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s9.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s9.addTransition(ScannerTransEntry(6 ,'M' ,7));
   s9.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s9.addTransition(ScannerTransEntry(7 ,'M' ,8));
   s9.addTransition(ScannerTransEntry(7 ,'m' ,8));
   s9.addTransition(ScannerTransEntry(8 ,'I' ,9));
   s9.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s9.addTransition(ScannerTransEntry(9 ,'T' ,10));
   s9.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s9);

   Scanner s10(AVG);
   s10.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(2 ,START));
   s10.addState(ScannerStateEntry(3 ,FINAL));
   s10.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s10.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s10.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s10.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s10.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s10.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s10);

   Scanner s11(AVLTREE);
   s11.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(2 ,START));
   s11.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(7 ,FINAL));
   s11.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s11.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s11.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s11.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s11.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s11.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s11.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s11.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s11.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s11.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s11.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s11.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s11.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s11.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s11);

   Scanner s12(BEGIN);
   s12.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(2 ,START));
   s12.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(5 ,FINAL));
   s12.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s12.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s12.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s12.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s12.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s12.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s12.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s12.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s12.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s12.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s12);

   Scanner s13(BETWEEN);
   s13.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(2 ,START));
   s13.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(7 ,FINAL));
   s13.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s13.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s13.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s13.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s13.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s13.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s13.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s13.addTransition(ScannerTransEntry(3 ,'w' ,4));
   s13.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s13.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s13.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s13.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s13.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s13.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s13);

   Scanner s14(BIGINT);
   s14.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(2 ,START));
   s14.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(6 ,FINAL));
   s14.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s14.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s14.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s14.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s14.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s14.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s14.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s14.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s14.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s14.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s14.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s14.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s14);

   Scanner s15(BITAND);
   s15.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(2 ,START));
   s15.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(6 ,FINAL));
   s15.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s15.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s15.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s15.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s15.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s15.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s15.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s15.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s15.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s15.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s15.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s15.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s15);

   Scanner s16(BITOR);
   s16.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(2 ,START));
   s16.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(5 ,FINAL));
   s16.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s16.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s16.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s16.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s16.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s16.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s16.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s16.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s16.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s16.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s16);

   Scanner s17(BITXOR);
   s17.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(2 ,START));
   s17.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(6 ,FINAL));
   s17.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s17.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s17.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s17.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s17.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s17.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s17.addTransition(ScannerTransEntry(3 ,'X' ,4));
   s17.addTransition(ScannerTransEntry(3 ,'x' ,4));
   s17.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s17.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s17.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s17.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s17);

   Scanner s18(BLOB);
   s18.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(2 ,START));
   s18.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(4 ,FINAL));
   s18.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s18.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s18.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s18.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s18.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s18.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s18.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s18.addTransition(ScannerTransEntry(3 ,'b' ,4));
   _scannerList.Insert(s18);

   Scanner s19(BLOBSIZE);
   s19.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(2 ,START));
   s19.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(8 ,FINAL));
   s19.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s19.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s19.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s19.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s19.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s19.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s19.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s19.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s19.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s19.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s19.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s19.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s19.addTransition(ScannerTransEntry(6 ,'Z' ,7));
   s19.addTransition(ScannerTransEntry(6 ,'z' ,7));
   s19.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s19.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s19);

   Scanner s20(BOOL);
   s20.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(2 ,START));
   s20.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(4 ,FINAL));
   s20.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s20.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s20.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s20.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s20.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s20.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s20.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s20.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s20);

   Scanner s21(BTREE);
   s21.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(2 ,START));
   s21.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(5 ,FINAL));
   s21.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s21.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s21.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s21.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s21.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s21.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s21.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s21.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s21.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s21.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s21);

   Scanner s22(BY);
   s22.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(1 ,FINAL));
   s22.addState(ScannerStateEntry(2 ,START));
   s22.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s22.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s22.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s22.addTransition(ScannerTransEntry(2 ,'b' ,0));
   _scannerList.Insert(s22);

   Scanner s23(CACHED);
   s23.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(2 ,START));
   s23.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(6 ,FINAL));
   s23.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s23.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s23.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s23.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s23.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s23.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s23.addTransition(ScannerTransEntry(3 ,'H' ,4));
   s23.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s23.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s23.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s23.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s23.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s23);

   Scanner s24(CALL);
   s24.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(2 ,START));
   s24.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(4 ,FINAL));
   s24.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s24.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s24.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s24.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s24.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s24.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s24.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s24.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s24);

   Scanner s25(CASE);
   s25.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(2 ,START));
   s25.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(4 ,FINAL));
   s25.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s25.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s25.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s25.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s25.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s25.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s25.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s25.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s25);

   Scanner s26(CHECK);
   s26.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(2 ,START));
   s26.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(5 ,FINAL));
   s26.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s26.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s26.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s26.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s26.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s26.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s26.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s26.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s26.addTransition(ScannerTransEntry(4 ,'K' ,5));
   s26.addTransition(ScannerTransEntry(4 ,'k' ,5));
   _scannerList.Insert(s26);

   Scanner s27(CLOB);
   s27.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(2 ,START));
   s27.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(4 ,FINAL));
   s27.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s27.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s27.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s27.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s27.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s27.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s27.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s27.addTransition(ScannerTransEntry(3 ,'b' ,4));
   _scannerList.Insert(s27);

   Scanner s28(CLOBSIZE);
   s28.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(2 ,START));
   s28.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(8 ,FINAL));
   s28.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s28.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s28.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s28.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s28.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s28.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s28.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s28.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s28.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s28.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s28.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s28.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s28.addTransition(ScannerTransEntry(6 ,'Z' ,7));
   s28.addTransition(ScannerTransEntry(6 ,'z' ,7));
   s28.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s28.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s28);

   Scanner s29(CLOB2STR);
   s29.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(2 ,START));
   s29.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(8 ,FINAL));
   s29.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s29.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s29.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s29.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s29.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s29.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s29.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s29.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s29.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s29.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s29.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s29.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s29.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s29.addTransition(ScannerTransEntry(7 ,'R' ,8));
   s29.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s29);

   Scanner s30(CLOSE);
   s30.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(2 ,START));
   s30.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(5 ,FINAL));
   s30.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s30.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s30.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s30.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s30.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s30.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s30.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s30.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s30.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s30.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s30);

   Scanner s31(COMMIT);
   s31.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(2 ,START));
   s31.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(6 ,FINAL));
   s31.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s31.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s31.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s31.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s31.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s31.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s31.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s31.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s31.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s31.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s31.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s31.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s31);

   Scanner s32(COLUMN);
   s32.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(2 ,START));
   s32.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(6 ,FINAL));
   s32.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s32.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s32.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s32.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s32.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s32.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s32.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s32.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s32.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s32.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s32.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s32.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s32);

   Scanner s33(CONSTRAINT);
   s33.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(2 ,START));
   s33.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(10 ,FINAL));
   s33.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s33.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s33.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s33.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s33.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s33.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s33.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s33.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s33.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s33.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s33.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s33.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s33.addTransition(ScannerTransEntry(6 ,'A' ,7));
   s33.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s33.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s33.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s33.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s33.addTransition(ScannerTransEntry(8 ,'n' ,9));
   s33.addTransition(ScannerTransEntry(9 ,'T' ,10));
   s33.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s33);

   Scanner s34(COUNT);
   s34.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(2 ,START));
   s34.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(5 ,FINAL));
   s34.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s34.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s34.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s34.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s34.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s34.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s34.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s34.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s34.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s34.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s34);

   Scanner s35(COUNTER);
   s35.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(2 ,START));
   s35.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(7 ,FINAL));
   s35.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s35.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s35.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s35.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s35.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s35.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s35.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s35.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s35.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s35.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s35.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s35.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s35.addTransition(ScannerTransEntry(6 ,'R' ,7));
   s35.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s35);

   Scanner s36(CREATE);
   s36.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(2 ,START));
   s36.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(6 ,FINAL));
   s36.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s36.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s36.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s36.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s36.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s36.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s36.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s36.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s36.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s36.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s36.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s36.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s36);

   Scanner s37(CURSOR);
   s37.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(2 ,START));
   s37.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(6 ,FINAL));
   s37.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s37.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s37.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s37.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s37.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s37.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s37.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s37.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s37.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s37.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s37.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s37.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s37);

   Scanner s38(DATE);
   s38.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(2 ,START));
   s38.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(4 ,FINAL));
   s38.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s38.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s38.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s38.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s38.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s38.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s38.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s38.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s38);

   Scanner s39(DATE2STR);
   s39.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(2 ,START));
   s39.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(8 ,FINAL));
   s39.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s39.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s39.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s39.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s39.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s39.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s39.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s39.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s39.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s39.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s39.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s39.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s39.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s39.addTransition(ScannerTransEntry(7 ,'R' ,8));
   s39.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s39);

   Scanner s40(DATE2INT);
   s40.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(2 ,START));
   s40.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(8 ,FINAL));
   s40.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s40.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s40.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s40.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s40.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s40.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s40.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s40.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s40.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s40.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s40.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s40.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s40.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s40.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s40.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s40);

   Scanner s41(DATETIME);
   s41.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(2 ,START));
   s41.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(8 ,FINAL));
   s41.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s41.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s41.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s41.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s41.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s41.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s41.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s41.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s41.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s41.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s41.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s41.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s41.addTransition(ScannerTransEntry(6 ,'M' ,7));
   s41.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s41.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s41.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s41);

   Scanner s42(DECIMAL);
   s42.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(2 ,START));
   s42.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(7 ,FINAL));
   s42.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s42.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s42.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s42.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s42.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s42.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s42.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s42.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s42.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s42.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s42.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s42.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s42.addTransition(ScannerTransEntry(6 ,'L' ,7));
   s42.addTransition(ScannerTransEntry(6 ,'l' ,7));
   _scannerList.Insert(s42);

   Scanner s43(DEFAULT);
   s43.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(2 ,START));
   s43.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(7 ,FINAL));
   s43.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s43.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s43.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s43.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s43.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s43.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s43.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s43.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s43.addTransition(ScannerTransEntry(4 ,'U' ,5));
   s43.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s43.addTransition(ScannerTransEntry(5 ,'L' ,6));
   s43.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s43.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s43.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s43);

   Scanner s44(DELETETOK);
   s44.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(2 ,START));
   s44.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(6 ,FINAL));
   s44.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s44.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s44.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s44.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s44.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s44.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s44.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s44.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s44.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s44.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s44.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s44.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s44);

   Scanner s45(DESC);
   s45.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(2 ,START));
   s45.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(4 ,FINAL));
   s45.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s45.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s45.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s45.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s45.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s45.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s45.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s45.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s45);

   Scanner s46(DISTINCT);
   s46.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(2 ,START));
   s46.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(8 ,FINAL));
   s46.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s46.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s46.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s46.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s46.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s46.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s46.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s46.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s46.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s46.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s46.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s46.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s46.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s46.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s46.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s46.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s46);

   Scanner s47(DIV);
   s47.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(2 ,START));
   s47.addState(ScannerStateEntry(3 ,FINAL));
   s47.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s47.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s47.addTransition(ScannerTransEntry(1 ,'V' ,3));
   s47.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s47.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s47.addTransition(ScannerTransEntry(2 ,'d' ,0));
   _scannerList.Insert(s47);

   Scanner s48(DOUBLE);
   s48.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(2 ,START));
   s48.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(6 ,FINAL));
   s48.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s48.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s48.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s48.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s48.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s48.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s48.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s48.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s48.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s48.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s48.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s48.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s48);

   Scanner s49(DROP);
   s49.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(2 ,START));
   s49.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(4 ,FINAL));
   s49.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s49.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s49.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s49.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s49.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s49.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s49.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s49.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s49);

   Scanner s50(ELSE);
   s50.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(2 ,START));
   s50.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(4 ,FINAL));
   s50.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s50.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s50.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s50.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s50.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s50.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s50.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s50.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s50);

   Scanner s51(ELSIF);
   s51.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(2 ,START));
   s51.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(5 ,FINAL));
   s51.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s51.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s51.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s51.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s51.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s51.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s51.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s51.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s51.addTransition(ScannerTransEntry(4 ,'F' ,5));
   s51.addTransition(ScannerTransEntry(4 ,'f' ,5));
   _scannerList.Insert(s51);

   Scanner s52(END_TOKEN);
   s52.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(2 ,START));
   s52.addState(ScannerStateEntry(3 ,FINAL));
   s52.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s52.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s52.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s52.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s52.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s52.addTransition(ScannerTransEntry(2 ,'e' ,0));
   _scannerList.Insert(s52);

   Scanner s53(EXCEPTION);
   s53.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(2 ,START));
   s53.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(9 ,FINAL));
   s53.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s53.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s53.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s53.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s53.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s53.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s53.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s53.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s53.addTransition(ScannerTransEntry(4 ,'P' ,5));
   s53.addTransition(ScannerTransEntry(4 ,'p' ,5));
   s53.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s53.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s53.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s53.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s53.addTransition(ScannerTransEntry(7 ,'O' ,8));
   s53.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s53.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s53.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s53);

   Scanner s54(EXISTS);
   s54.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(2 ,START));
   s54.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(6 ,FINAL));
   s54.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s54.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s54.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s54.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s54.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s54.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s54.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s54.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s54.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s54.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s54.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s54.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s54);

   Scanner s55(FALSEVAL);
   s55.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(2 ,START));
   s55.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(5 ,FINAL));
   s55.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s55.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s55.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s55.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s55.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s55.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s55.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s55.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s55.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s55.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s55);

   Scanner s56(FETCH);
   s56.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(2 ,START));
   s56.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(5 ,FINAL));
   s56.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s56.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s56.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s56.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s56.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s56.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s56.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s56.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s56.addTransition(ScannerTransEntry(4 ,'H' ,5));
   s56.addTransition(ScannerTransEntry(4 ,'h' ,5));
   _scannerList.Insert(s56);

   Scanner s57(FIXED);
   s57.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(2 ,START));
   s57.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(5 ,FINAL));
   s57.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s57.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s57.addTransition(ScannerTransEntry(1 ,'X' ,3));
   s57.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s57.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s57.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s57.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s57.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s57.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s57.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s57);

   Scanner s58(FLOAT);
   s58.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(2 ,START));
   s58.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(5 ,FINAL));
   s58.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s58.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s58.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s58.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s58.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s58.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s58.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s58.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s58.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s58.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s58);

   Scanner s59(FOR);
   s59.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(2 ,START));
   s59.addState(ScannerStateEntry(3 ,FINAL));
   s59.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s59.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s59.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s59.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s59.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s59.addTransition(ScannerTransEntry(2 ,'f' ,0));
   _scannerList.Insert(s59);

   Scanner s60(FOREIGN);
   s60.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(2 ,START));
   s60.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(7 ,FINAL));
   s60.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s60.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s60.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s60.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s60.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s60.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s60.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s60.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s60.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s60.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s60.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s60.addTransition(ScannerTransEntry(5 ,'g' ,6));
   s60.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s60.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s60);

   Scanner s61(FROM);
   s61.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(2 ,START));
   s61.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(4 ,FINAL));
   s61.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s61.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s61.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s61.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s61.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s61.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s61.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s61.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s61);

   Scanner s62(GETPOS);
   s62.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(2 ,START));
   s62.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(6 ,FINAL));
   s62.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s62.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s62.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s62.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s62.addTransition(ScannerTransEntry(2 ,'G' ,0));
   s62.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s62.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s62.addTransition(ScannerTransEntry(3 ,'p' ,4));
   s62.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s62.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s62.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s62.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s62);

   Scanner s63(GROUP);
   s63.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(2 ,START));
   s63.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(5 ,FINAL));
   s63.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s63.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s63.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s63.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s63.addTransition(ScannerTransEntry(2 ,'G' ,0));
   s63.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s63.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s63.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s63.addTransition(ScannerTransEntry(4 ,'P' ,5));
   s63.addTransition(ScannerTransEntry(4 ,'p' ,5));
   _scannerList.Insert(s63);

   Scanner s64(HAVING);
   s64.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(2 ,START));
   s64.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(6 ,FINAL));
   s64.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s64.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s64.addTransition(ScannerTransEntry(1 ,'V' ,3));
   s64.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s64.addTransition(ScannerTransEntry(2 ,'H' ,0));
   s64.addTransition(ScannerTransEntry(2 ,'h' ,0));
   s64.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s64.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s64.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s64.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s64.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s64.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s64);

   Scanner s65(IDENTIFIED);
   s65.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(2 ,START));
   s65.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(10 ,FINAL));
   s65.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s65.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s65.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s65.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s65.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s65.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s65.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s65.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s65.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s65.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s65.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s65.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s65.addTransition(ScannerTransEntry(6 ,'F' ,7));
   s65.addTransition(ScannerTransEntry(6 ,'f' ,7));
   s65.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s65.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s65.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s65.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s65.addTransition(ScannerTransEntry(9 ,'D' ,10));
   s65.addTransition(ScannerTransEntry(9 ,'d' ,10));
   _scannerList.Insert(s65);

   Scanner s66(IF);
   s66.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(1 ,FINAL));
   s66.addState(ScannerStateEntry(2 ,START));
   s66.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s66.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s66.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s66.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s66);

   Scanner s67(INDEX);
   s67.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(2 ,START));
   s67.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(5 ,FINAL));
   s67.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s67.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s67.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s67.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s67.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s67.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s67.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s67.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s67.addTransition(ScannerTransEntry(4 ,'X' ,5));
   s67.addTransition(ScannerTransEntry(4 ,'x' ,5));
   _scannerList.Insert(s67);

   Scanner s68(INTOK);
   s68.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(1 ,FINAL));
   s68.addState(ScannerStateEntry(2 ,START));
   s68.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s68.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s68.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s68.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s68);

   Scanner s69(INNER);
   s69.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(2 ,START));
   s69.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(5 ,FINAL));
   s69.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s69.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s69.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s69.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s69.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s69.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s69.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s69.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s69.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s69.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s69);

   Scanner s70(INT);
   s70.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(2 ,START));
   s70.addState(ScannerStateEntry(3 ,FINAL));
   s70.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s70.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s70.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s70.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s70.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s70.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s70);

   Scanner s71(INTO);
   s71.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(2 ,START));
   s71.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(4 ,FINAL));
   s71.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s71.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s71.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s71.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s71.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s71.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s71.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s71.addTransition(ScannerTransEntry(3 ,'o' ,4));
   _scannerList.Insert(s71);

   Scanner s72(INT2DATE);
   s72.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(2 ,START));
   s72.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(8 ,FINAL));
   s72.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s72.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s72.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s72.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s72.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s72.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s72.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s72.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s72.addTransition(ScannerTransEntry(4 ,'d' ,5));
   s72.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s72.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s72.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s72.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s72.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s72.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s72);

   Scanner s73(NEWDATE);
   s73.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(2 ,START));
   s73.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(7 ,FINAL));
   s73.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s73.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s73.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s73.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s73.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s73.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s73.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s73.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s73.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s73.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s73.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s73.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s73.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s73.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s73);

   Scanner s74(INSERT);
   s74.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(2 ,START));
   s74.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(6 ,FINAL));
   s74.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s74.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s74.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s74.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s74.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s74.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s74.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s74.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s74.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s74.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s74.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s74.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s74);

   Scanner s75(INT2ASC);
   s75.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(2 ,START));
   s75.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(7 ,FINAL));
   s75.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s75.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s75.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s75.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s75.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s75.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s75.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s75.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s75.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s75.addTransition(ScannerTransEntry(5 ,'C' ,6));
   s75.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s75.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s75.addTransition(ScannerTransEntry(6 ,'c' ,7));
   _scannerList.Insert(s75);

   Scanner s76(IS);
   s76.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(1 ,FINAL));
   s76.addState(ScannerStateEntry(2 ,START));
   s76.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s76.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s76.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s76.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s76);

   Scanner s77(ISOLATION);
   s77.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(2 ,START));
   s77.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(9 ,FINAL));
   s77.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s77.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s77.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s77.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s77.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s77.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s77.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s77.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s77.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s77.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s77.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s77.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s77.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s77.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s77.addTransition(ScannerTransEntry(7 ,'O' ,8));
   s77.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s77.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s77.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s77);

   Scanner s78(JDBC);
   s78.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(2 ,START));
   s78.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(4 ,FINAL));
   s78.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s78.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s78.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s78.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s78.addTransition(ScannerTransEntry(2 ,'J' ,0));
   s78.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s78.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s78.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s78);

   Scanner s79(JOIN);
   s79.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(2 ,START));
   s79.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(4 ,FINAL));
   s79.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s79.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s79.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s79.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s79.addTransition(ScannerTransEntry(2 ,'J' ,0));
   s79.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s79.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s79.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s79);

   Scanner s80(KEY);
   s80.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(2 ,START));
   s80.addState(ScannerStateEntry(3 ,FINAL));
   s80.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s80.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s80.addTransition(ScannerTransEntry(1 ,'Y' ,3));
   s80.addTransition(ScannerTransEntry(1 ,'y' ,3));
   s80.addTransition(ScannerTransEntry(2 ,'K' ,0));
   s80.addTransition(ScannerTransEntry(2 ,'k' ,0));
   _scannerList.Insert(s80);

   Scanner s81(LEFT);
   s81.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(2 ,START));
   s81.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(4 ,FINAL));
   s81.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s81.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s81.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s81.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s81.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s81.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s81.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s81.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s81);

   Scanner s82(LENGTH);
   s82.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(2 ,START));
   s82.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(6 ,FINAL));
   s82.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s82.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s82.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s82.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s82.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s82.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s82.addTransition(ScannerTransEntry(3 ,'G' ,4));
   s82.addTransition(ScannerTransEntry(3 ,'g' ,4));
   s82.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s82.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s82.addTransition(ScannerTransEntry(5 ,'H' ,6));
   s82.addTransition(ScannerTransEntry(5 ,'h' ,6));
   _scannerList.Insert(s82);

   Scanner s83(LIKE);
   s83.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(2 ,START));
   s83.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(4 ,FINAL));
   s83.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s83.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s83.addTransition(ScannerTransEntry(1 ,'K' ,3));
   s83.addTransition(ScannerTransEntry(1 ,'k' ,3));
   s83.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s83.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s83.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s83.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s83);

   Scanner s84(LIST);
   s84.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(2 ,START));
   s84.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(4 ,FINAL));
   s84.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s84.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s84.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s84.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s84.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s84.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s84.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s84.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s84);

   Scanner s85(LDIV);
   s85.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(2 ,START));
   s85.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(4 ,FINAL));
   s85.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s85.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s85.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s85.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s85.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s85.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s85.addTransition(ScannerTransEntry(3 ,'V' ,4));
   s85.addTransition(ScannerTransEntry(3 ,'v' ,4));
   _scannerList.Insert(s85);

   Scanner s86(LMOD);
   s86.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(2 ,START));
   s86.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(4 ,FINAL));
   s86.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s86.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s86.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s86.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s86.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s86.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s86.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s86.addTransition(ScannerTransEntry(3 ,'d' ,4));
   _scannerList.Insert(s86);

   Scanner s87(LOAD);
   s87.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(2 ,START));
   s87.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(4 ,FINAL));
   s87.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s87.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s87.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s87.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s87.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s87.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s87.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s87.addTransition(ScannerTransEntry(3 ,'d' ,4));
   _scannerList.Insert(s87);

   Scanner s88(LOCKS);
   s88.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(2 ,START));
   s88.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(5 ,FINAL));
   s88.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s88.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s88.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s88.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s88.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s88.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s88.addTransition(ScannerTransEntry(3 ,'K' ,4));
   s88.addTransition(ScannerTransEntry(3 ,'k' ,4));
   s88.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s88.addTransition(ScannerTransEntry(4 ,'s' ,5));
   _scannerList.Insert(s88);

   Scanner s89(LONG);
   s89.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(2 ,START));
   s89.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(4 ,FINAL));
   s89.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s89.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s89.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s89.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s89.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s89.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s89.addTransition(ScannerTransEntry(3 ,'G' ,4));
   s89.addTransition(ScannerTransEntry(3 ,'g' ,4));
   _scannerList.Insert(s89);

   Scanner s90(LOWER);
   s90.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(2 ,START));
   s90.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(5 ,FINAL));
   s90.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s90.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s90.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s90.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s90.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s90.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s90.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s90.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s90.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s90.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s90);

   Scanner s91(LTRIM);
   s91.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(2 ,START));
   s91.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(5 ,FINAL));
   s91.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s91.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s91.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s91.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s91.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s91.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s91.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s91.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s91.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s91.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s91);

   Scanner s92(MIN);
   s92.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(2 ,START));
   s92.addState(ScannerStateEntry(3 ,FINAL));
   s92.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s92.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s92.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s92.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s92.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s92.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s92);

   Scanner s93(MAX);
   s93.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(2 ,START));
   s93.addState(ScannerStateEntry(3 ,FINAL));
   s93.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s93.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s93.addTransition(ScannerTransEntry(1 ,'X' ,3));
   s93.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s93.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s93.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s93);

   Scanner s94(MOD);
   s94.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(2 ,START));
   s94.addState(ScannerStateEntry(3 ,FINAL));
   s94.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s94.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s94.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s94.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s94.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s94.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s94);

   Scanner s95(MODIFY);
   s95.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(2 ,START));
   s95.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(6 ,FINAL));
   s95.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s95.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s95.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s95.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s95.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s95.addTransition(ScannerTransEntry(2 ,'m' ,0));
   s95.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s95.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s95.addTransition(ScannerTransEntry(4 ,'F' ,5));
   s95.addTransition(ScannerTransEntry(4 ,'f' ,5));
   s95.addTransition(ScannerTransEntry(5 ,'Y' ,6));
   s95.addTransition(ScannerTransEntry(5 ,'y' ,6));
   _scannerList.Insert(s95);

   Scanner s96(NEXTCOUNT);
   s96.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(2 ,START));
   s96.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(9 ,FINAL));
   s96.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s96.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s96.addTransition(ScannerTransEntry(1 ,'X' ,3));
   s96.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s96.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s96.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s96.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s96.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s96.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s96.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s96.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s96.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s96.addTransition(ScannerTransEntry(6 ,'U' ,7));
   s96.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s96.addTransition(ScannerTransEntry(7 ,'N' ,8));
   s96.addTransition(ScannerTransEntry(7 ,'n' ,8));
   s96.addTransition(ScannerTransEntry(8 ,'T' ,9));
   s96.addTransition(ScannerTransEntry(8 ,'t' ,9));
   _scannerList.Insert(s96);

   Scanner s97(NOOP);
   s97.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(2 ,START));
   s97.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(4 ,FINAL));
   s97.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s97.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s97.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s97.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s97.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s97.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s97.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s97.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s97);

   Scanner s98(NOT);
   s98.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(2 ,START));
   s98.addState(ScannerStateEntry(3 ,FINAL));
   s98.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s98.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s98.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s98.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s98.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s98.addTransition(ScannerTransEntry(2 ,'n' ,0));
   _scannerList.Insert(s98);

   Scanner s99(NULLTOKEN);
   s99.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(2 ,START));
   s99.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(4 ,FINAL));
   s99.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s99.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s99.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s99.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s99.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s99.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s99.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s99.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s99);

   Scanner s100(OFF);
   s100.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(2 ,START));
   s100.addState(ScannerStateEntry(3 ,FINAL));
   s100.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s100.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s100.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s100.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s100.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s100.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s100);

   Scanner s101(ON);
   s101.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(1 ,FINAL));
   s101.addState(ScannerStateEntry(2 ,START));
   s101.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s101.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s101.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s101.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s101);

   Scanner s102(OUTTOK);
   s102.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(2 ,START));
   s102.addState(ScannerStateEntry(3 ,FINAL));
   s102.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s102.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s102.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s102.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s102.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s102.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s102);

   Scanner s103(OUTER);
   s103.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(2 ,START));
   s103.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(5 ,FINAL));
   s103.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s103.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s103.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s103.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s103.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s103.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s103.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s103.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s103.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s103.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s103);

   Scanner s104(OR);
   s104.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(1 ,FINAL));
   s104.addState(ScannerStateEntry(2 ,START));
   s104.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s104.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s104.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s104.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s104);

   Scanner s105(ORDER);
   s105.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(2 ,START));
   s105.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(5 ,FINAL));
   s105.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s105.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s105.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s105.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s105.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s105.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s105.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s105.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s105.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s105);

   Scanner s106(PLAN);
   s106.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(2 ,START));
   s106.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(4 ,FINAL));
   s106.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s106.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s106.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s106.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s106.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s106.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s106);

   Scanner s107(POOL);
   s107.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(2 ,START));
   s107.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(4 ,FINAL));
   s107.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s107.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s107.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s107.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s107.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s107.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s107.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s107.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s107);

   Scanner s108(POWER);
   s108.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(2 ,START));
   s108.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(5 ,FINAL));
   s108.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s108.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s108.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s108.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s108.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s108.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s108.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s108.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s108.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s108.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s108);

   Scanner s109(PRIMARY);
   s109.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(2 ,START));
   s109.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(7 ,FINAL));
   s109.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s109.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s109.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s109.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s109.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s109.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s109.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s109.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s109.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s109.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s109.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s109.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s109.addTransition(ScannerTransEntry(6 ,'Y' ,7));
   s109.addTransition(ScannerTransEntry(6 ,'y' ,7));
   _scannerList.Insert(s109);

   Scanner s110(PRINT);
   s110.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(2 ,START));
   s110.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(5 ,FINAL));
   s110.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s110.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s110.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s110.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s110.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s110.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s110.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s110.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s110.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s110.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s110);

   Scanner s111(PROCEDURE);
   s111.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(2 ,START));
   s111.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(9 ,FINAL));
   s111.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s111.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s111.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s111.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s111.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s111.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s111.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s111.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s111.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s111.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s111.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s111.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s111.addTransition(ScannerTransEntry(6 ,'U' ,7));
   s111.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s111.addTransition(ScannerTransEntry(7 ,'R' ,8));
   s111.addTransition(ScannerTransEntry(7 ,'r' ,8));
   s111.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s111.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s111);

   Scanner s112(QUIT);
   s112.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(2 ,START));
   s112.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(4 ,FINAL));
   s112.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s112.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s112.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s112.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s112.addTransition(ScannerTransEntry(2 ,'Q' ,0));
   s112.addTransition(ScannerTransEntry(2 ,'q' ,0));
   s112.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s112.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s112);

   Scanner s113(RANDSTR);
   s113.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(2 ,START));
   s113.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(7 ,FINAL));
   s113.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s113.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s113.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s113.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s113.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s113.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s113.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s113.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s113.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s113.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s113.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s113.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s113.addTransition(ScannerTransEntry(6 ,'R' ,7));
   s113.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s113);

   Scanner s114(RANDINT);
   s114.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(2 ,START));
   s114.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(7 ,FINAL));
   s114.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s114.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s114.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s114.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s114.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s114.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s114.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s114.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s114.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s114.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s114.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s114.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s114.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s114.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s114);

   Scanner s115(RBSEG);
   s115.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(2 ,START));
   s115.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(5 ,FINAL));
   s115.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s115.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s115.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s115.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s115.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s115.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s115.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s115.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s115.addTransition(ScannerTransEntry(4 ,'G' ,5));
   s115.addTransition(ScannerTransEntry(4 ,'g' ,5));
   _scannerList.Insert(s115);

   Scanner s116(REFERENCES);
   s116.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(2 ,START));
   s116.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(10 ,FINAL));
   s116.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s116.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s116.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s116.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s116.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s116.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s116.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s116.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s116.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s116.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s116.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s116.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s116.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s116.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s116.addTransition(ScannerTransEntry(7 ,'C' ,8));
   s116.addTransition(ScannerTransEntry(7 ,'c' ,8));
   s116.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s116.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s116.addTransition(ScannerTransEntry(9 ,'S' ,10));
   s116.addTransition(ScannerTransEntry(9 ,'s' ,10));
   _scannerList.Insert(s116);

   Scanner s117(RENAME);
   s117.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(2 ,START));
   s117.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(6 ,FINAL));
   s117.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s117.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s117.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s117.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s117.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s117.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s117.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s117.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s117.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s117.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s117.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s117.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s117);

   Scanner s118(REORGANIZE);
   s118.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(2 ,START));
   s118.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(10 ,FINAL));
   s118.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s118.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s118.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s118.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s118.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s118.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s118.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s118.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s118.addTransition(ScannerTransEntry(4 ,'G' ,5));
   s118.addTransition(ScannerTransEntry(4 ,'g' ,5));
   s118.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s118.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s118.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s118.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s118.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s118.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s118.addTransition(ScannerTransEntry(8 ,'Z' ,9));
   s118.addTransition(ScannerTransEntry(8 ,'z' ,9));
   s118.addTransition(ScannerTransEntry(9 ,'E' ,10));
   s118.addTransition(ScannerTransEntry(9 ,'e' ,10));
   _scannerList.Insert(s118);

   Scanner s119(RETURNTOKEN);
   s119.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(2 ,START));
   s119.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(6 ,FINAL));
   s119.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s119.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s119.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s119.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s119.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s119.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s119.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s119.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s119.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s119.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s119.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s119.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s119);

   Scanner s120(REMOVE);
   s120.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(2 ,START));
   s120.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(6 ,FINAL));
   s120.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s120.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s120.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s120.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s120.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s120.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s120.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s120.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s120.addTransition(ScannerTransEntry(4 ,'V' ,5));
   s120.addTransition(ScannerTransEntry(4 ,'v' ,5));
   s120.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s120.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s120);

   Scanner s121(REPLACE);
   s121.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(2 ,START));
   s121.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(7 ,FINAL));
   s121.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s121.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s121.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s121.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s121.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s121.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s121.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s121.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s121.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s121.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s121.addTransition(ScannerTransEntry(5 ,'C' ,6));
   s121.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s121.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s121.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s121);

   Scanner s122(RIGHT);
   s122.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(2 ,START));
   s122.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(5 ,FINAL));
   s122.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s122.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s122.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s122.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s122.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s122.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s122.addTransition(ScannerTransEntry(3 ,'H' ,4));
   s122.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s122.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s122.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s122);

   Scanner s123(ROLLBACK);
   s123.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(2 ,START));
   s123.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(8 ,FINAL));
   s123.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s123.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s123.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s123.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s123.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s123.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s123.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s123.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s123.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s123.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s123.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s123.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s123.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s123.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s123.addTransition(ScannerTransEntry(7 ,'K' ,8));
   s123.addTransition(ScannerTransEntry(7 ,'k' ,8));
   _scannerList.Insert(s123);

   Scanner s124(ROUND);
   s124.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(2 ,START));
   s124.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(5 ,FINAL));
   s124.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s124.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s124.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s124.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s124.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s124.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s124.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s124.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s124.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s124.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s124);

   Scanner s125(ROWLIMIT);
   s125.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(2 ,START));
   s125.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(8 ,FINAL));
   s125.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s125.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s125.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s125.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s125.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s125.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s125.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s125.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s125.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s125.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s125.addTransition(ScannerTransEntry(5 ,'M' ,6));
   s125.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s125.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s125.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s125.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s125.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s125);

   Scanner s126(RTRIM);
   s126.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(2 ,START));
   s126.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(5 ,FINAL));
   s126.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s126.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s126.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s126.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s126.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s126.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s126.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s126.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s126.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s126.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s126);

   Scanner s127(SELECT);
   s127.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(2 ,START));
   s127.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(6 ,FINAL));
   s127.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s127.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s127.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s127.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s127.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s127.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s127.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s127.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s127.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s127.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s127.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s127.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s127);

   Scanner s128(SET);
   s128.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(2 ,START));
   s128.addState(ScannerStateEntry(3 ,FINAL));
   s128.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s128.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s128.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s128.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s128.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s128.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s128);

   Scanner s129(SETCOUNT);
   s129.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(2 ,START));
   s129.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(8 ,FINAL));
   s129.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s129.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s129.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s129.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s129.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s129.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s129.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s129.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s129.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s129.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s129.addTransition(ScannerTransEntry(5 ,'U' ,6));
   s129.addTransition(ScannerTransEntry(5 ,'u' ,6));
   s129.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s129.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s129.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s129.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s129);

   Scanner s130(SHOW);
   s130.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(2 ,START));
   s130.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(4 ,FINAL));
   s130.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s130.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s130.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s130.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s130.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s130.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s130.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s130.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s130);

   Scanner s131(SMALLINT);
   s131.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(2 ,START));
   s131.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(8 ,FINAL));
   s131.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s131.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s131.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s131.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s131.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s131.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s131.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s131.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s131.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s131.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s131.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s131.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s131.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s131.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s131.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s131.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s131);

   Scanner s132(START_TOKEN);
   s132.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(2 ,START));
   s132.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(5 ,FINAL));
   s132.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s132.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s132.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s132.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s132.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s132.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s132.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s132.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s132.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s132.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s132);

   Scanner s133(STRING);
   s133.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(2 ,START));
   s133.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(6 ,FINAL));
   s133.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s133.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s133.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s133.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s133.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s133.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s133.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s133.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s133.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s133.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s133.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s133.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s133);

   Scanner s134(SUBSTR);
   s134.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(2 ,START));
   s134.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(6 ,FINAL));
   s134.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s134.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s134.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s134.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s134.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s134.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s134.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s134.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s134.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s134.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s134.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s134.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s134);

   Scanner s135(SUM);
   s135.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(2 ,START));
   s135.addState(ScannerStateEntry(3 ,FINAL));
   s135.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s135.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s135.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s135.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s135.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s135.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s135);

   Scanner s136(SYNC);
   s136.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(2 ,START));
   s136.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(4 ,FINAL));
   s136.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s136.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s136.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s136.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s136.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s136.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s136.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s136.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s136);

   Scanner s137(SYSDATE);
   s137.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(2 ,START));
   s137.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(7 ,FINAL));
   s137.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s137.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s137.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s137.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s137.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s137.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s137.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s137.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s137.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s137.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s137.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s137.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s137.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s137.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s137);

   Scanner s138(SYSTEMSPACE);
   s138.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(2 ,START));
   s138.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(11 ,FINAL));
   s138.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s138.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s138.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s138.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s138.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s138.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s138.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s138.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s138.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s138.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s138.addTransition(ScannerTransEntry(5 ,'M' ,6));
   s138.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s138.addTransition(ScannerTransEntry(6 ,'S' ,7));
   s138.addTransition(ScannerTransEntry(6 ,'s' ,7));
   s138.addTransition(ScannerTransEntry(7 ,'P' ,8));
   s138.addTransition(ScannerTransEntry(7 ,'p' ,8));
   s138.addTransition(ScannerTransEntry(8 ,'A' ,9));
   s138.addTransition(ScannerTransEntry(8 ,'a' ,9));
   s138.addTransition(ScannerTransEntry(9 ,'C' ,10));
   s138.addTransition(ScannerTransEntry(9 ,'c' ,10));
   s138.addTransition(ScannerTransEntry(10 ,'E' ,11));
   s138.addTransition(ScannerTransEntry(10 ,'e' ,11));
   _scannerList.Insert(s138);

   Scanner s139(SYSOBJ);
   s139.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(2 ,START));
   s139.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(6 ,FINAL));
   s139.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s139.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s139.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s139.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s139.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s139.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s139.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s139.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s139.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s139.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s139.addTransition(ScannerTransEntry(5 ,'J' ,6));
   s139.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s139);

   Scanner s140(TABLEINFO);
   s140.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(2 ,START));
   s140.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(9 ,FINAL));
   s140.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s140.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s140.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s140.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s140.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s140.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s140.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s140.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s140.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s140.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s140.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s140.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s140.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s140.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s140.addTransition(ScannerTransEntry(7 ,'F' ,8));
   s140.addTransition(ScannerTransEntry(7 ,'f' ,8));
   s140.addTransition(ScannerTransEntry(8 ,'O' ,9));
   s140.addTransition(ScannerTransEntry(8 ,'o' ,9));
   _scannerList.Insert(s140);

   Scanner s141(TABLE);
   s141.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(2 ,START));
   s141.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(5 ,FINAL));
   s141.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s141.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s141.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s141.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s141.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s141.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s141.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s141.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s141.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s141.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s141);

   Scanner s142(TABLESET);
   s142.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(2 ,START));
   s142.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(8 ,FINAL));
   s142.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s142.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s142.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s142.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s142.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s142.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s142.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s142.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s142.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s142.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s142.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s142.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s142.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s142.addTransition(ScannerTransEntry(6 ,'e' ,7));
   s142.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s142.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s142);

   Scanner s143(THEN);
   s143.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(2 ,START));
   s143.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(4 ,FINAL));
   s143.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s143.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s143.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s143.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s143.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s143.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s143.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s143.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s143);

   Scanner s144(THROW);
   s144.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(2 ,START));
   s144.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(5 ,FINAL));
   s144.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s144.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s144.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s144.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s144.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s144.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s144.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s144.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s144.addTransition(ScannerTransEntry(4 ,'W' ,5));
   s144.addTransition(ScannerTransEntry(4 ,'w' ,5));
   _scannerList.Insert(s144);

   Scanner s145(TINYINT);
   s145.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(2 ,START));
   s145.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(7 ,FINAL));
   s145.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s145.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s145.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s145.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s145.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s145.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s145.addTransition(ScannerTransEntry(3 ,'Y' ,4));
   s145.addTransition(ScannerTransEntry(3 ,'y' ,4));
   s145.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s145.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s145.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s145.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s145.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s145.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s145);

   Scanner s146(TMPOBJ);
   s146.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(2 ,START));
   s146.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(6 ,FINAL));
   s146.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s146.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s146.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s146.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s146.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s146.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s146.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s146.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s146.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s146.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s146.addTransition(ScannerTransEntry(5 ,'J' ,6));
   s146.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s146);

   Scanner s147(TRANSACTION);
   s147.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(2 ,START));
   s147.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(11 ,FINAL));
   s147.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s147.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s147.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s147.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s147.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s147.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s147.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s147.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s147.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s147.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s147.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s147.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s147.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s147.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s147.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s147.addTransition(ScannerTransEntry(7 ,'t' ,8));
   s147.addTransition(ScannerTransEntry(8 ,'I' ,9));
   s147.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s147.addTransition(ScannerTransEntry(9 ,'O' ,10));
   s147.addTransition(ScannerTransEntry(9 ,'o' ,10));
   s147.addTransition(ScannerTransEntry(10 ,'N' ,11));
   s147.addTransition(ScannerTransEntry(10 ,'n' ,11));
   _scannerList.Insert(s147);

   Scanner s148(TUPLEINFO);
   s148.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(2 ,START));
   s148.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(9 ,FINAL));
   s148.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s148.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s148.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s148.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s148.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s148.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s148.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s148.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s148.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s148.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s148.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s148.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s148.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s148.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s148.addTransition(ScannerTransEntry(7 ,'F' ,8));
   s148.addTransition(ScannerTransEntry(7 ,'f' ,8));
   s148.addTransition(ScannerTransEntry(8 ,'O' ,9));
   s148.addTransition(ScannerTransEntry(8 ,'o' ,9));
   _scannerList.Insert(s148);

   Scanner s149(STR2INT);
   s149.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(2 ,START));
   s149.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(7 ,FINAL));
   s149.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s149.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s149.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s149.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s149.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s149.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s149.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s149.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s149.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s149.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s149.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s149.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s149.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s149);

   Scanner s150(STR2LONG);
   s150.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(2 ,START));
   s150.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(8 ,FINAL));
   s150.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s150.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s150.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s150.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s150.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s150.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s150.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s150.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s150.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s150.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s150.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s150.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s150.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s150.addTransition(ScannerTransEntry(7 ,'G' ,8));
   s150.addTransition(ScannerTransEntry(7 ,'g' ,8));
   _scannerList.Insert(s150);

   Scanner s151(STR2DATE);
   s151.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(2 ,START));
   s151.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(8 ,FINAL));
   s151.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s151.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s151.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s151.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s151.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s151.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s151.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s151.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s151.addTransition(ScannerTransEntry(4 ,'d' ,5));
   s151.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s151.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s151.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s151.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s151.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s151.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s151);

   Scanner s152(TO);
   s152.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(1 ,FINAL));
   s152.addState(ScannerStateEntry(2 ,START));
   s152.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s152.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s152.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s152.addTransition(ScannerTransEntry(2 ,'t' ,0));
   _scannerList.Insert(s152);

   Scanner s153(TRIM);
   s153.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(2 ,START));
   s153.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(4 ,FINAL));
   s153.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s153.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s153.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s153.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s153.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s153.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s153.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s153.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s153);

   Scanner s154(TRUEVAL);
   s154.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(2 ,START));
   s154.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(4 ,FINAL));
   s154.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s154.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s154.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s154.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s154.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s154.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s154.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s154.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s154);

   Scanner s155(TRUNC);
   s155.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(2 ,START));
   s155.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(5 ,FINAL));
   s155.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s155.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s155.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s155.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s155.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s155.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s155.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s155.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s155.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s155.addTransition(ScannerTransEntry(4 ,'c' ,5));
   _scannerList.Insert(s155);

   Scanner s156(UNION);
   s156.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(2 ,START));
   s156.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(5 ,FINAL));
   s156.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s156.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s156.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s156.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s156.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s156.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s156.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s156.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s156.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s156.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s156);

   Scanner s157(UNIQUE);
   s157.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(2 ,START));
   s157.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(6 ,FINAL));
   s157.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s157.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s157.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s157.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s157.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s157.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s157.addTransition(ScannerTransEntry(3 ,'Q' ,4));
   s157.addTransition(ScannerTransEntry(3 ,'q' ,4));
   s157.addTransition(ScannerTransEntry(4 ,'U' ,5));
   s157.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s157.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s157.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s157);

   Scanner s158(UPDATE);
   s158.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(2 ,START));
   s158.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(6 ,FINAL));
   s158.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s158.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s158.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s158.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s158.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s158.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s158.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s158.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s158.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s158.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s158.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s158.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s158);

   Scanner s159(UPTIME);
   s159.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(2 ,START));
   s159.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(6 ,FINAL));
   s159.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s159.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s159.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s159.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s159.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s159.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s159.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s159.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s159.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s159.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s159.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s159.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s159);

   Scanner s160(UPPER);
   s160.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(2 ,START));
   s160.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(5 ,FINAL));
   s160.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s160.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s160.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s160.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s160.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s160.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s160.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s160.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s160.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s160.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s160);

   Scanner s161(VAR);
   s161.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(2 ,START));
   s161.addState(ScannerStateEntry(3 ,FINAL));
   s161.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s161.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s161.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s161.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s161.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s161.addTransition(ScannerTransEntry(2 ,'v' ,0));
   _scannerList.Insert(s161);

   Scanner s162(VALUES);
   s162.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s162.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s162.addState(ScannerStateEntry(2 ,START));
   s162.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s162.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s162.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s162.addState(ScannerStateEntry(6 ,FINAL));
   s162.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s162.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s162.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s162.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s162.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s162.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s162.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s162.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s162.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s162.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s162.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s162.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s162);

   Scanner s163(VIEW);
   s163.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s163.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s163.addState(ScannerStateEntry(2 ,START));
   s163.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s163.addState(ScannerStateEntry(4 ,FINAL));
   s163.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s163.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s163.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s163.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s163.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s163.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s163.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s163.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s163);

   Scanner s164(WHEN);
   s164.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s164.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s164.addState(ScannerStateEntry(2 ,START));
   s164.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s164.addState(ScannerStateEntry(4 ,FINAL));
   s164.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s164.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s164.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s164.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s164.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s164.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s164.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s164.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s164);

   Scanner s165(WHERE);
   s165.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s165.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s165.addState(ScannerStateEntry(2 ,START));
   s165.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s165.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s165.addState(ScannerStateEntry(5 ,FINAL));
   s165.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s165.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s165.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s165.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s165.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s165.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s165.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s165.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s165);

   Scanner s166(WHILE);
   s166.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(2 ,START));
   s166.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(5 ,FINAL));
   s166.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s166.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s166.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s166.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s166.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s166.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s166.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s166.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s166);

   Scanner s167(CONCAT);
   s167.addState(ScannerStateEntry(0 ,START));
   s167.addState(ScannerStateEntry(1 ,FINAL));
   s167.addTransition(ScannerTransEntry(0 ,'|' ,1));
   _scannerList.Insert(s167);

   Scanner s168(EQU);
   s168.addState(ScannerStateEntry(0 ,START));
   s168.addState(ScannerStateEntry(1 ,FINAL));
   s168.addTransition(ScannerTransEntry(0 ,'=' ,1));
   _scannerList.Insert(s168);

   Scanner s169(KSEP);
   s169.addState(ScannerStateEntry(0 ,START));
   s169.addState(ScannerStateEntry(1 ,FINAL));
   s169.addTransition(ScannerTransEntry(0 ,',' ,1));
   _scannerList.Insert(s169);

   Scanner s170(LB);
   s170.addState(ScannerStateEntry(0 ,START));
   s170.addState(ScannerStateEntry(1 ,FINAL));
   s170.addTransition(ScannerTransEntry(0 ,'(' ,1));
   _scannerList.Insert(s170);

   Scanner s171(LT);
   s171.addState(ScannerStateEntry(0 ,START));
   s171.addState(ScannerStateEntry(1 ,FINAL));
   s171.addTransition(ScannerTransEntry(0 ,'<' ,1));
   _scannerList.Insert(s171);

   Scanner s172(MT);
   s172.addState(ScannerStateEntry(0 ,START));
   s172.addState(ScannerStateEntry(1 ,FINAL));
   s172.addTransition(ScannerTransEntry(0 ,'>' ,1));
   _scannerList.Insert(s172);

   Scanner s173(NEGATION);
   s173.addState(ScannerStateEntry(0 ,START));
   s173.addState(ScannerStateEntry(1 ,FINAL));
   s173.addTransition(ScannerTransEntry(0 ,'!' ,1));
   _scannerList.Insert(s173);

   Scanner s174(RB);
   s174.addState(ScannerStateEntry(0 ,START));
   s174.addState(ScannerStateEntry(1 ,FINAL));
   s174.addTransition(ScannerTransEntry(0 ,')' ,1));
   _scannerList.Insert(s174);

   Scanner s175(LAB);
   s175.addState(ScannerStateEntry(0 ,START));
   s175.addState(ScannerStateEntry(1 ,FINAL));
   s175.addTransition(ScannerTransEntry(0 ,'[' ,1));
   _scannerList.Insert(s175);

   Scanner s176(RAB);
   s176.addState(ScannerStateEntry(0 ,START));
   s176.addState(ScannerStateEntry(1 ,FINAL));
   s176.addTransition(ScannerTransEntry(0 ,']' ,1));
   _scannerList.Insert(s176);

   Scanner s177(SEMICOLON);
   s177.addState(ScannerStateEntry(0 ,START));
   s177.addState(ScannerStateEntry(1 ,FINAL));
   s177.addTransition(ScannerTransEntry(0 ,';' ,1));
   _scannerList.Insert(s177);

   Scanner s178(STAR);
   s178.addState(ScannerStateEntry(0 ,START));
   s178.addState(ScannerStateEntry(1 ,FINAL));
   s178.addTransition(ScannerTransEntry(0 ,'*' ,1));
   _scannerList.Insert(s178);

   Scanner s179(DIVISION);
   s179.addState(ScannerStateEntry(0 ,START));
   s179.addState(ScannerStateEntry(1 ,FINAL));
   s179.addTransition(ScannerTransEntry(0 ,'/' ,1));
   _scannerList.Insert(s179);

   Scanner s180(MINUS);
   s180.addState(ScannerStateEntry(0 ,START));
   s180.addState(ScannerStateEntry(1 ,FINAL));
   s180.addTransition(ScannerTransEntry(0 ,'-' ,1));
   _scannerList.Insert(s180);

   Scanner s181(PLUS);
   s181.addState(ScannerStateEntry(0 ,START));
   s181.addState(ScannerStateEntry(1 ,FINAL));
   s181.addTransition(ScannerTransEntry(0 ,'+' ,1));
   _scannerList.Insert(s181);

   Scanner s182(INTVAL);
   s182.addState(ScannerStateEntry(0 ,START));
   s182.addState(ScannerStateEntry(1 ,FINAL));
   s182.addState(ScannerStateEntry(2 ,FINAL));
   s182.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s182.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'9' ,1));
   _scannerList.Insert(s182);

   Scanner s183(FLOATVAL);
   s183.addState(ScannerStateEntry(0 ,START));
   s183.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s183.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s183.addState(ScannerStateEntry(3 ,FINAL));
   s183.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s183.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'.' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'.' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'9' ,3));
   _scannerList.Insert(s183);

   Scanner s184(IDENTIFIER);
   s184.addState(ScannerStateEntry(0 ,START));
   s184.addState(ScannerStateEntry(1 ,FINAL));
   s184.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s184.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s184.addTransition(ScannerTransEntry(1 ,'z' ,1));
   _scannerList.Insert(s184);

   Scanner s185(VARREF);
   s185.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s185.addState(ScannerStateEntry(1 ,FINAL));
   s185.addState(ScannerStateEntry(2 ,START));
   s185.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s185.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s185.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s185.addTransition(ScannerTransEntry(2 ,':' ,0));
   _scannerList.Insert(s185);

   Scanner s186(QUALIFIEDOBJ);
   s186.addState(ScannerStateEntry(0 ,START));
   s186.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s186.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s186.addState(ScannerStateEntry(3 ,FINAL));
   s186.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s186.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s186.addTransition(ScannerTransEntry(1 ,'.' ,2));
   s186.addTransition(ScannerTransEntry(2 ,'$' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s186.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s186.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s186);

   Scanner s187(QUALIFIEDPRE);
   s187.addState(ScannerStateEntry(0 ,START));
   s187.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s187.addState(ScannerStateEntry(2 ,FINAL));
   s187.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s187.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s187.addTransition(ScannerTransEntry(1 ,'.' ,2));
   _scannerList.Insert(s187);

   Scanner s188(QUALIFIEDTS);
   s188.addState(ScannerStateEntry(0 ,START));
   s188.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s188.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s188.addState(ScannerStateEntry(3 ,FINAL));
   s188.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s188.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s188.addTransition(ScannerTransEntry(1 ,'@' ,2));
   s188.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s188.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s188.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s188);

}
void Cego::loadParser0()
{
   _actionMap[890][SEMICOLON] = ActionEntry(REDUCE, 71);
   _actionMap[889][RB] = ActionEntry(SHIFT, 890);
   _actionMap[888][IDENTIFIER] = ActionEntry(SHIFT, 764);
   _jumpMap[888][SimpleAttr] = 763;
   _jumpMap[888][SimpleAttrList] = 889;
   _actionMap[885][LB] = ActionEntry(SHIFT, 888);
   _actionMap[886][ROWLIMIT] = ActionEntry(REDUCE, 246);
   _actionMap[886][UNION] = ActionEntry(REDUCE, 246);
   _actionMap[886][ENDTOKEN] = ActionEntry(REDUCE, 246);
   _actionMap[886][RB] = ActionEntry(REDUCE, 246);
   _actionMap[886][SEMICOLON] = ActionEntry(REDUCE, 246);
   _actionMap[886][KSEP] = ActionEntry(REDUCE, 246);
   _actionMap[887][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[887][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[887][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[887][ORDER] = ActionEntry(REDUCE, 240);
   _actionMap[887][ROWLIMIT] = ActionEntry(REDUCE, 240);
   _actionMap[887][UNION] = ActionEntry(REDUCE, 240);
   _actionMap[887][ENDTOKEN] = ActionEntry(REDUCE, 240);
   _actionMap[887][RB] = ActionEntry(REDUCE, 240);
   _actionMap[887][SEMICOLON] = ActionEntry(REDUCE, 240);
   _actionMap[881][IDENTIFIER] = ActionEntry(SHIFT, 885);
   _actionMap[882][SEMICOLON] = ActionEntry(REDUCE, 83);
   _actionMap[882][RB] = ActionEntry(REDUCE, 83);
   _actionMap[883][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[883][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[883][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[883][ASC] = ActionEntry(SHIFT, 874);
   _actionMap[883][ROWLIMIT] = ActionEntry(REDUCE, 251);
   _actionMap[883][DESC] = ActionEntry(SHIFT, 875);
   _actionMap[883][UNION] = ActionEntry(REDUCE, 251);
   _actionMap[883][ENDTOKEN] = ActionEntry(REDUCE, 251);
   _actionMap[883][RB] = ActionEntry(REDUCE, 251);
   _actionMap[883][SEMICOLON] = ActionEntry(REDUCE, 251);
   _actionMap[883][KSEP] = ActionEntry(REDUCE, 251);
   _jumpMap[883][DefaultOrderOpt] = 873;
   _jumpMap[883][OrderingOpt] = 886;
   _actionMap[884][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[884][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[884][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[884][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[884][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[884][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[884][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[884][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[884][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[884][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[884][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[884][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[884][NEWDATE] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser1()
{
   _actionMap[884][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[884][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[884][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[884][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[884][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[884][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[884][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[884][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[884][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[884][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[884][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[884][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[884][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[884][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[884][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[884][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[884][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[884][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[884][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[884][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[884][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[884][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[884][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[884][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[884][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[884][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[884][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[884][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[884][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[884][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[884][LB] = ActionEntry(SHIFT, 156);
   _actionMap[884][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[884][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[884][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[884][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[884][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[884][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[884][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[884][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[884][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[884][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[884][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[884][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[884][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[884][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[884][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[884][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[884][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[884][ObjSpec] = 103;
   _jumpMap[884][Constant] = 102;
}
void Cego::loadParser2()
{
   _jumpMap[884][SignedFloat] = 101;
   _jumpMap[884][SignedInt] = 100;
   _jumpMap[884][Attribute] = 99;
   _jumpMap[884][Function] = 98;
   _jumpMap[884][CasePrepare] = 97;
   _jumpMap[884][CaseClause] = 96;
   _jumpMap[884][Factor] = 95;
   _jumpMap[884][Term] = 94;
   _jumpMap[884][Expr] = 887;
   _actionMap[868][REFERENCES] = ActionEntry(SHIFT, 881);
   _actionMap[869][ELSE] = ActionEntry(REDUCE, 120);
   _actionMap[869][ELSIF] = ActionEntry(REDUCE, 120);
   _actionMap[869][EXCEPTION] = ActionEntry(REDUCE, 120);
   _actionMap[869][END_TOKEN] = ActionEntry(REDUCE, 120);
   _actionMap[869][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[869][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[869][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[869][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[869][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[869][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[869][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[869][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[869][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[869][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[869][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[869][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[869][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[869][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[869][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[869][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[869][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[869][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[869][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[869][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[869][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[869][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[869][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[869][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[869][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[869][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[869][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[869][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[869][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[869][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[869][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[869][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[869][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[869][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[869][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[869][BLOBSIZE] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser3()
{
   _actionMap[869][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[869][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[869][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[869][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[869][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[869][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[869][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[869][LB] = ActionEntry(SHIFT, 156);
   _actionMap[869][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[869][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[869][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[869][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[869][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[869][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[869][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[869][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[869][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[869][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[869][VARREF] = ActionEntry(SHIFT, 371);
   _actionMap[869][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[869][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[869][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[869][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[869][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[869][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[869][IF] = ActionEntry(SHIFT, 365);
   _actionMap[869][BEGIN] = ActionEntry(SHIFT, 362);
   _actionMap[869][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[869][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[869][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[869][UPDATE] = ActionEntry(SHIFT, 37);
   _actionMap[869][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[869][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[869][VAR] = ActionEntry(SHIFT, 369);
   _actionMap[869][CURSOR] = ActionEntry(SHIFT, 364);
   _actionMap[869][CLOSE] = ActionEntry(SHIFT, 363);
   _actionMap[869][NOOP] = ActionEntry(SHIFT, 366);
   _actionMap[869][THROW] = ActionEntry(SHIFT, 368);
   _actionMap[869][RETURNTOKEN] = ActionEntry(SHIFT, 367);
   _actionMap[869][WHILE] = ActionEntry(SHIFT, 370);
   _jumpMap[869][ObjSpec] = 103;
   _jumpMap[869][Constant] = 102;
   _jumpMap[869][SignedFloat] = 101;
   _jumpMap[869][SignedInt] = 100;
   _jumpMap[869][Attribute] = 99;
   _jumpMap[869][Function] = 98;
   _jumpMap[869][DeleteStatement] = 361;
   _jumpMap[869][UpdateStatement] = 360;
   _jumpMap[869][InsertStatement] = 359;
   _jumpMap[869][RollbackStatement] = 358;
}
void Cego::loadParser4()
{
   _jumpMap[869][CommitStatement] = 357;
   _jumpMap[869][StartStatement] = 356;
   _jumpMap[869][CasePrepare] = 97;
   _jumpMap[869][CaseClause] = 96;
   _jumpMap[869][Factor] = 95;
   _jumpMap[869][Term] = 94;
   _jumpMap[869][Expr] = 355;
   _jumpMap[869][ProcStatement] = 497;
   _jumpMap[869][ProcIfPart] = 353;
   _jumpMap[869][ProcBlockStart] = 352;
   _actionMap[870][SEMICOLON] = ActionEntry(REDUCE, 59);
   _actionMap[871][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[871][SelectStatement] = 882;
   _actionMap[872][ROWLIMIT] = ActionEntry(REDUCE, 247);
   _actionMap[872][UNION] = ActionEntry(REDUCE, 247);
   _actionMap[872][ENDTOKEN] = ActionEntry(REDUCE, 247);
   _actionMap[872][RB] = ActionEntry(REDUCE, 247);
   _actionMap[872][SEMICOLON] = ActionEntry(REDUCE, 247);
   _actionMap[872][KSEP] = ActionEntry(REDUCE, 247);
   _actionMap[873][ROWLIMIT] = ActionEntry(REDUCE, 248);
   _actionMap[873][UNION] = ActionEntry(REDUCE, 248);
   _actionMap[873][ENDTOKEN] = ActionEntry(REDUCE, 248);
   _actionMap[873][RB] = ActionEntry(REDUCE, 248);
   _actionMap[873][SEMICOLON] = ActionEntry(REDUCE, 248);
   _actionMap[873][KSEP] = ActionEntry(REDUCE, 248);
   _actionMap[874][ROWLIMIT] = ActionEntry(REDUCE, 250);
   _actionMap[874][UNION] = ActionEntry(REDUCE, 250);
   _actionMap[874][ENDTOKEN] = ActionEntry(REDUCE, 250);
   _actionMap[874][RB] = ActionEntry(REDUCE, 250);
   _actionMap[874][SEMICOLON] = ActionEntry(REDUCE, 250);
   _actionMap[874][KSEP] = ActionEntry(REDUCE, 250);
   _actionMap[875][ROWLIMIT] = ActionEntry(REDUCE, 249);
   _actionMap[875][UNION] = ActionEntry(REDUCE, 249);
   _actionMap[875][ENDTOKEN] = ActionEntry(REDUCE, 249);
   _actionMap[875][RB] = ActionEntry(REDUCE, 249);
   _actionMap[875][SEMICOLON] = ActionEntry(REDUCE, 249);
   _actionMap[875][KSEP] = ActionEntry(REDUCE, 249);
   _actionMap[876][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[876][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[876][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[876][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[876][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[876][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[876][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[876][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[876][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[876][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[876][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[876][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[876][NEWDATE] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser5()
{
   _actionMap[876][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[876][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[876][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[876][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[876][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[876][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[876][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[876][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[876][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[876][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[876][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[876][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[876][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[876][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[876][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[876][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[876][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[876][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[876][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[876][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[876][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[876][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[876][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[876][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[876][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[876][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[876][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[876][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[876][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[876][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[876][LB] = ActionEntry(SHIFT, 156);
   _actionMap[876][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[876][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[876][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[876][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[876][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[876][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[876][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[876][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[876][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[876][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[876][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[876][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[876][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[876][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[876][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[876][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[876][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[876][ObjSpec] = 103;
   _jumpMap[876][Constant] = 102;
}
void Cego::loadParser6()
{
   _jumpMap[876][SignedFloat] = 101;
   _jumpMap[876][SignedInt] = 100;
   _jumpMap[876][Attribute] = 99;
   _jumpMap[876][Function] = 98;
   _jumpMap[876][CasePrepare] = 97;
   _jumpMap[876][CaseClause] = 96;
   _jumpMap[876][Factor] = 95;
   _jumpMap[876][Term] = 94;
   _jumpMap[876][Expr] = 883;
   _actionMap[877][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[877][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[877][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[877][EQU] = ActionEntry(SHIFT, 543);
   _actionMap[877][NEGATION] = ActionEntry(SHIFT, 546);
   _actionMap[877][LT] = ActionEntry(SHIFT, 544);
   _actionMap[877][MT] = ActionEntry(SHIFT, 545);
   _jumpMap[877][Comparison] = 884;
   _actionMap[878][KSEP] = ActionEntry(REDUCE, 238);
   _actionMap[878][HAVING] = ActionEntry(REDUCE, 238);
   _actionMap[878][ORDER] = ActionEntry(REDUCE, 238);
   _actionMap[878][ROWLIMIT] = ActionEntry(REDUCE, 238);
   _actionMap[878][UNION] = ActionEntry(REDUCE, 238);
   _actionMap[878][ENDTOKEN] = ActionEntry(REDUCE, 238);
   _actionMap[878][RB] = ActionEntry(REDUCE, 238);
   _actionMap[878][SEMICOLON] = ActionEntry(REDUCE, 238);
   _actionMap[879][AND] = ActionEntry(SHIFT, 547);
   _actionMap[879][OR] = ActionEntry(SHIFT, 548);
   _actionMap[879][LEFT] = ActionEntry(REDUCE, 223);
   _actionMap[879][RIGHT] = ActionEntry(REDUCE, 223);
   _actionMap[879][INNER] = ActionEntry(REDUCE, 223);
   _actionMap[879][JOIN] = ActionEntry(REDUCE, 223);
   _actionMap[879][RETURNTOKEN] = ActionEntry(REDUCE, 223);
   _actionMap[879][SEMICOLON] = ActionEntry(REDUCE, 223);
   _actionMap[879][RB] = ActionEntry(REDUCE, 223);
   _actionMap[879][ENDTOKEN] = ActionEntry(REDUCE, 223);
   _actionMap[879][UNION] = ActionEntry(REDUCE, 223);
   _actionMap[879][ROWLIMIT] = ActionEntry(REDUCE, 223);
   _actionMap[879][ORDER] = ActionEntry(REDUCE, 223);
   _actionMap[879][GROUP] = ActionEntry(REDUCE, 223);
   _actionMap[879][WHERE] = ActionEntry(REDUCE, 223);
   _actionMap[880][AND] = ActionEntry(SHIFT, 547);
   _actionMap[880][OR] = ActionEntry(SHIFT, 548);
   _actionMap[880][LEFT] = ActionEntry(REDUCE, 224);
   _actionMap[880][RIGHT] = ActionEntry(REDUCE, 224);
   _actionMap[880][INNER] = ActionEntry(REDUCE, 224);
   _actionMap[880][JOIN] = ActionEntry(REDUCE, 224);
   _actionMap[880][RETURNTOKEN] = ActionEntry(REDUCE, 224);
   _actionMap[880][SEMICOLON] = ActionEntry(REDUCE, 224);
   _actionMap[880][RB] = ActionEntry(REDUCE, 224);
   _actionMap[880][ENDTOKEN] = ActionEntry(REDUCE, 224);
}
void Cego::loadParser7()
{
   _actionMap[880][UNION] = ActionEntry(REDUCE, 224);
   _actionMap[880][ROWLIMIT] = ActionEntry(REDUCE, 224);
   _actionMap[880][ORDER] = ActionEntry(REDUCE, 224);
   _actionMap[880][GROUP] = ActionEntry(REDUCE, 224);
   _actionMap[880][WHERE] = ActionEntry(REDUCE, 224);
   _actionMap[842][RB] = ActionEntry(SHIFT, 868);
   _actionMap[843][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[843][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[843][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[843][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[843][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[843][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[843][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[843][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[843][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[843][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[843][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[843][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[843][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[843][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[843][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[843][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[843][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[843][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[843][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[843][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[843][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[843][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[843][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[843][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[843][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[843][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[843][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[843][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[843][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[843][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[843][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[843][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[843][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[843][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[843][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[843][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[843][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[843][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[843][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[843][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[843][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[843][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[843][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[843][LB] = ActionEntry(SHIFT, 156);
}
void Cego::loadParser8()
{
   _actionMap[843][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[843][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[843][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[843][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[843][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[843][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[843][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[843][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[843][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[843][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[843][VARREF] = ActionEntry(SHIFT, 371);
   _actionMap[843][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[843][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[843][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[843][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[843][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[843][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[843][IF] = ActionEntry(SHIFT, 365);
   _actionMap[843][BEGIN] = ActionEntry(SHIFT, 362);
   _actionMap[843][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[843][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[843][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[843][UPDATE] = ActionEntry(SHIFT, 37);
   _actionMap[843][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[843][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[843][VAR] = ActionEntry(SHIFT, 369);
   _actionMap[843][CURSOR] = ActionEntry(SHIFT, 364);
   _actionMap[843][CLOSE] = ActionEntry(SHIFT, 363);
   _actionMap[843][NOOP] = ActionEntry(SHIFT, 366);
   _actionMap[843][THROW] = ActionEntry(SHIFT, 368);
   _actionMap[843][RETURNTOKEN] = ActionEntry(SHIFT, 367);
   _actionMap[843][WHILE] = ActionEntry(SHIFT, 370);
   _jumpMap[843][ObjSpec] = 103;
   _jumpMap[843][Constant] = 102;
   _jumpMap[843][SignedFloat] = 101;
   _jumpMap[843][SignedInt] = 100;
   _jumpMap[843][Attribute] = 99;
   _jumpMap[843][Function] = 98;
   _jumpMap[843][DeleteStatement] = 361;
   _jumpMap[843][UpdateStatement] = 360;
   _jumpMap[843][InsertStatement] = 359;
   _jumpMap[843][RollbackStatement] = 358;
   _jumpMap[843][CommitStatement] = 357;
   _jumpMap[843][StartStatement] = 356;
   _jumpMap[843][CasePrepare] = 97;
   _jumpMap[843][CaseClause] = 96;
   _jumpMap[843][Factor] = 95;
   _jumpMap[843][Term] = 94;
   _jumpMap[843][Expr] = 355;
   _jumpMap[843][ProcStatement] = 354;
}
void Cego::loadParser9()
{
   _jumpMap[843][ProcIfPart] = 353;
   _jumpMap[843][ProcBlockStart] = 352;
   _jumpMap[843][ProcStatementList] = 869;
   _actionMap[844][BEGIN] = ActionEntry(REDUCE, 350);
   _actionMap[844][EQU] = ActionEntry(REDUCE, 350);
   _actionMap[844][DEFAULT] = ActionEntry(REDUCE, 350);
   _actionMap[844][NULLTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[844][NOT] = ActionEntry(REDUCE, 350);
   _actionMap[844][KSEP] = ActionEntry(REDUCE, 350);
   _actionMap[844][SEMICOLON] = ActionEntry(REDUCE, 350);
   _actionMap[844][RB] = ActionEntry(REDUCE, 350);
   _actionMap[845][BEGIN] = ActionEntry(REDUCE, 355);
   _actionMap[845][EQU] = ActionEntry(REDUCE, 355);
   _actionMap[845][DEFAULT] = ActionEntry(REDUCE, 355);
   _actionMap[845][NULLTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[845][NOT] = ActionEntry(REDUCE, 355);
   _actionMap[845][KSEP] = ActionEntry(REDUCE, 355);
   _actionMap[845][SEMICOLON] = ActionEntry(REDUCE, 355);
   _actionMap[845][RB] = ActionEntry(REDUCE, 355);
   _actionMap[846][BEGIN] = ActionEntry(REDUCE, 356);
   _actionMap[846][EQU] = ActionEntry(REDUCE, 356);
   _actionMap[846][DEFAULT] = ActionEntry(REDUCE, 356);
   _actionMap[846][NULLTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[846][NOT] = ActionEntry(REDUCE, 356);
   _actionMap[846][KSEP] = ActionEntry(REDUCE, 356);
   _actionMap[846][SEMICOLON] = ActionEntry(REDUCE, 356);
   _actionMap[846][RB] = ActionEntry(REDUCE, 356);
   _actionMap[847][BEGIN] = ActionEntry(REDUCE, 347);
   _actionMap[847][EQU] = ActionEntry(REDUCE, 347);
   _actionMap[847][DEFAULT] = ActionEntry(REDUCE, 347);
   _actionMap[847][NULLTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[847][NOT] = ActionEntry(REDUCE, 347);
   _actionMap[847][KSEP] = ActionEntry(REDUCE, 347);
   _actionMap[847][SEMICOLON] = ActionEntry(REDUCE, 347);
   _actionMap[847][RB] = ActionEntry(REDUCE, 347);
   _actionMap[848][CACHED] = ActionEntry(SHIFT, 850);
   _actionMap[848][SEMICOLON] = ActionEntry(REDUCE, 61);
   _jumpMap[848][CachedOpt] = 870;
   _actionMap[849][SEMICOLON] = ActionEntry(REDUCE, 58);
   _actionMap[850][SEMICOLON] = ActionEntry(REDUCE, 60);
   _actionMap[851][RB] = ActionEntry(REDUCE, 185);
   _actionMap[852][SEMICOLON] = ActionEntry(REDUCE, 179);
   _actionMap[852][KSEP] = ActionEntry(REDUCE, 179);
   _actionMap[852][RB] = ActionEntry(REDUCE, 179);
   _actionMap[853][LEFT] = ActionEntry(REDUCE, 336);
   _actionMap[853][RIGHT] = ActionEntry(REDUCE, 336);
   _actionMap[853][INNER] = ActionEntry(REDUCE, 336);
   _actionMap[853][JOIN] = ActionEntry(REDUCE, 336);
   _actionMap[853][RETURNTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[853][SEMICOLON] = ActionEntry(REDUCE, 336);
}
void Cego::loadParser10()
{
   _actionMap[853][ENDTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[853][UNION] = ActionEntry(REDUCE, 336);
   _actionMap[853][ROWLIMIT] = ActionEntry(REDUCE, 336);
   _actionMap[853][ORDER] = ActionEntry(REDUCE, 336);
   _actionMap[853][GROUP] = ActionEntry(REDUCE, 336);
   _actionMap[853][WHERE] = ActionEntry(REDUCE, 336);
   _actionMap[853][THEN] = ActionEntry(REDUCE, 336);
   _actionMap[853][AND] = ActionEntry(REDUCE, 336);
   _actionMap[853][OR] = ActionEntry(REDUCE, 336);
   _actionMap[853][RB] = ActionEntry(REDUCE, 336);
   _actionMap[854][LEFT] = ActionEntry(REDUCE, 334);
   _actionMap[854][RIGHT] = ActionEntry(REDUCE, 334);
   _actionMap[854][INNER] = ActionEntry(REDUCE, 334);
   _actionMap[854][JOIN] = ActionEntry(REDUCE, 334);
   _actionMap[854][RETURNTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[854][SEMICOLON] = ActionEntry(REDUCE, 334);
   _actionMap[854][ENDTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[854][UNION] = ActionEntry(REDUCE, 334);
   _actionMap[854][ROWLIMIT] = ActionEntry(REDUCE, 334);
   _actionMap[854][ORDER] = ActionEntry(REDUCE, 334);
   _actionMap[854][GROUP] = ActionEntry(REDUCE, 334);
   _actionMap[854][WHERE] = ActionEntry(REDUCE, 334);
   _actionMap[854][THEN] = ActionEntry(REDUCE, 334);
   _actionMap[854][AND] = ActionEntry(REDUCE, 334);
   _actionMap[854][OR] = ActionEntry(REDUCE, 334);
   _actionMap[854][RB] = ActionEntry(REDUCE, 334);
   _actionMap[855][SEMICOLON] = ActionEntry(REDUCE, 210);
   _actionMap[855][RB] = ActionEntry(REDUCE, 210);
   _actionMap[856][ALL] = ActionEntry(SHIFT, 871);
   _actionMap[857][UNION] = ActionEntry(REDUCE, 255);
   _actionMap[857][ENDTOKEN] = ActionEntry(REDUCE, 255);
   _actionMap[857][RB] = ActionEntry(REDUCE, 255);
   _actionMap[857][SEMICOLON] = ActionEntry(REDUCE, 255);
   _actionMap[858][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[858][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[858][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[858][ASC] = ActionEntry(SHIFT, 874);
   _actionMap[858][ROWLIMIT] = ActionEntry(REDUCE, 251);
   _actionMap[858][DESC] = ActionEntry(SHIFT, 875);
   _actionMap[858][UNION] = ActionEntry(REDUCE, 251);
   _actionMap[858][ENDTOKEN] = ActionEntry(REDUCE, 251);
   _actionMap[858][RB] = ActionEntry(REDUCE, 251);
   _actionMap[858][SEMICOLON] = ActionEntry(REDUCE, 251);
   _actionMap[858][KSEP] = ActionEntry(REDUCE, 251);
   _jumpMap[858][DefaultOrderOpt] = 873;
   _jumpMap[858][OrderingOpt] = 872;
   _actionMap[859][KSEP] = ActionEntry(SHIFT, 876);
   _actionMap[859][ROWLIMIT] = ActionEntry(REDUCE, 243);
   _actionMap[859][UNION] = ActionEntry(REDUCE, 243);
   _actionMap[859][ENDTOKEN] = ActionEntry(REDUCE, 243);
}
void Cego::loadParser11()
{
   _actionMap[859][RB] = ActionEntry(REDUCE, 243);
   _actionMap[859][SEMICOLON] = ActionEntry(REDUCE, 243);
   _actionMap[860][ORDER] = ActionEntry(REDUCE, 235);
   _actionMap[860][ROWLIMIT] = ActionEntry(REDUCE, 235);
   _actionMap[860][UNION] = ActionEntry(REDUCE, 235);
   _actionMap[860][ENDTOKEN] = ActionEntry(REDUCE, 235);
   _actionMap[860][RB] = ActionEntry(REDUCE, 235);
   _actionMap[860][SEMICOLON] = ActionEntry(REDUCE, 235);
   _actionMap[861][ORDER] = ActionEntry(REDUCE, 241);
   _actionMap[861][ROWLIMIT] = ActionEntry(REDUCE, 241);
   _actionMap[861][UNION] = ActionEntry(REDUCE, 241);
   _actionMap[861][ENDTOKEN] = ActionEntry(REDUCE, 241);
   _actionMap[861][RB] = ActionEntry(REDUCE, 241);
   _actionMap[861][SEMICOLON] = ActionEntry(REDUCE, 241);
   _actionMap[862][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[862][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[862][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[862][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[862][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[862][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[862][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[862][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[862][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[862][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[862][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[862][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[862][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[862][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[862][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[862][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[862][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[862][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[862][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[862][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[862][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[862][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[862][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[862][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[862][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[862][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[862][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[862][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[862][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[862][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[862][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[862][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[862][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[862][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[862][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[862][BLOBSIZE] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser12()
{
   _actionMap[862][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[862][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[862][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[862][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[862][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[862][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[862][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[862][LB] = ActionEntry(SHIFT, 156);
   _actionMap[862][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[862][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[862][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[862][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[862][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[862][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[862][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[862][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[862][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[862][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[862][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[862][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[862][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[862][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[862][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[862][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[862][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[862][ObjSpec] = 103;
   _jumpMap[862][Constant] = 102;
   _jumpMap[862][SignedFloat] = 101;
   _jumpMap[862][SignedInt] = 100;
   _jumpMap[862][Attribute] = 99;
   _jumpMap[862][Function] = 98;
   _jumpMap[862][CasePrepare] = 97;
   _jumpMap[862][CaseClause] = 96;
   _jumpMap[862][Factor] = 95;
   _jumpMap[862][Term] = 94;
   _jumpMap[862][Expr] = 877;
   _actionMap[863][IDENTIFIER] = ActionEntry(SHIFT, 835);
   _actionMap[863][QUALIFIEDOBJ] = ActionEntry(SHIFT, 836);
   _actionMap[863][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _jumpMap[863][Attribute] = 878;
   _actionMap[864][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[864][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[864][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[864][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[864][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[864][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[864][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[864][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[864][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[864][DATE2STR] = ActionEntry(SHIFT, 118);
}
void Cego::loadParser13()
{
   _actionMap[864][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[864][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[864][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[864][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[864][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[864][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[864][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[864][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[864][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[864][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[864][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[864][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[864][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[864][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[864][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[864][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[864][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[864][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[864][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[864][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[864][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[864][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[864][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[864][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[864][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[864][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[864][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[864][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[864][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[864][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[864][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[864][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[864][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[864][LB] = ActionEntry(SHIFT, 401);
   _actionMap[864][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[864][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[864][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[864][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[864][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[864][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[864][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[864][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[864][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[864][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[864][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[864][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[864][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[864][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[864][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[864][MIN] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser14()
{
   _actionMap[864][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[864][EXISTS] = ActionEntry(SHIFT, 399);
   _actionMap[864][NOT] = ActionEntry(SHIFT, 400);
   _jumpMap[864][ObjSpec] = 103;
   _jumpMap[864][Constant] = 102;
   _jumpMap[864][SignedFloat] = 101;
   _jumpMap[864][SignedInt] = 100;
   _jumpMap[864][Attribute] = 99;
   _jumpMap[864][QueryPredicate] = 398;
   _jumpMap[864][QueryCondition] = 879;
   _jumpMap[864][Function] = 98;
   _jumpMap[864][CasePrepare] = 97;
   _jumpMap[864][CaseClause] = 96;
   _jumpMap[864][Factor] = 95;
   _jumpMap[864][Term] = 94;
   _jumpMap[864][Expr] = 396;
   _actionMap[865][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[865][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[865][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[865][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[865][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[865][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[865][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[865][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[865][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[865][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[865][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[865][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[865][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[865][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[865][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[865][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[865][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[865][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[865][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[865][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[865][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[865][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[865][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[865][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[865][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[865][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[865][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[865][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[865][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[865][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[865][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[865][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[865][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[865][BITOR] = ActionEntry(SHIFT, 108);
}
void Cego::loadParser15()
{
   _actionMap[865][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[865][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[865][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[865][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[865][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[865][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[865][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[865][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[865][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[865][LB] = ActionEntry(SHIFT, 401);
   _actionMap[865][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[865][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[865][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[865][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[865][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[865][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[865][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[865][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[865][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[865][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[865][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[865][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[865][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[865][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[865][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[865][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[865][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[865][EXISTS] = ActionEntry(SHIFT, 399);
   _actionMap[865][NOT] = ActionEntry(SHIFT, 400);
   _jumpMap[865][ObjSpec] = 103;
   _jumpMap[865][Constant] = 102;
   _jumpMap[865][SignedFloat] = 101;
   _jumpMap[865][SignedInt] = 100;
   _jumpMap[865][Attribute] = 99;
   _jumpMap[865][QueryPredicate] = 398;
   _jumpMap[865][QueryCondition] = 880;
   _jumpMap[865][Function] = 98;
   _jumpMap[865][CasePrepare] = 97;
   _jumpMap[865][CaseClause] = 96;
   _jumpMap[865][Factor] = 95;
   _jumpMap[865][Term] = 94;
   _jumpMap[865][Expr] = 396;
   _actionMap[866][SEMICOLON] = ActionEntry(REDUCE, 264);
   _actionMap[866][KSEP] = ActionEntry(REDUCE, 264);
   _actionMap[867][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[867][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[867][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[867][SEMICOLON] = ActionEntry(REDUCE, 266);
   _actionMap[867][KSEP] = ActionEntry(REDUCE, 266);
   _actionMap[799][AND] = ActionEntry(SHIFT, 547);
}
void Cego::loadParser16()
{
   _actionMap[799][OR] = ActionEntry(SHIFT, 548);
   _actionMap[799][SEMICOLON] = ActionEntry(REDUCE, 72);
   _actionMap[800][IDENTIFIER] = ActionEntry(SHIFT, 764);
   _jumpMap[800][SimpleAttr] = 763;
   _jumpMap[800][SimpleAttrList] = 842;
   _actionMap[801][SEMICOLON] = ActionEntry(REDUCE, 276);
   _actionMap[801][KSEP] = ActionEntry(REDUCE, 276);
   _actionMap[802][LONG] = ActionEntry(SHIFT, 301);
   _actionMap[802][BIGINT] = ActionEntry(SHIFT, 297);
   _actionMap[802][SMALLINT] = ActionEntry(SHIFT, 302);
   _actionMap[802][TINYINT] = ActionEntry(SHIFT, 303);
   _actionMap[802][DOUBLE] = ActionEntry(SHIFT, 299);
   _actionMap[802][DECIMAL] = ActionEntry(SHIFT, 298);
   _actionMap[802][FIXED] = ActionEntry(SHIFT, 300);
   _actionMap[803][SEMICOLON] = ActionEntry(REDUCE, 277);
   _actionMap[803][KSEP] = ActionEntry(REDUCE, 277);
   _actionMap[804][THEN] = ActionEntry(SHIFT, 843);
   _actionMap[805][THEN] = ActionEntry(REDUCE, 125);
   _actionMap[806][END_TOKEN] = ActionEntry(REDUCE, 130);
   _actionMap[806][ELSE] = ActionEntry(REDUCE, 130);
   _actionMap[806][ELSIF] = ActionEntry(REDUCE, 130);
   _actionMap[807][BEGIN] = ActionEntry(REDUCE, 144);
   _actionMap[807][THEN] = ActionEntry(REDUCE, 144);
   _actionMap[807][OR] = ActionEntry(REDUCE, 144);
   _actionMap[807][AND] = ActionEntry(REDUCE, 144);
   _actionMap[807][RB] = ActionEntry(REDUCE, 144);
   _actionMap[808][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[808][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[808][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[808][SEMICOLON] = ActionEntry(REDUCE, 104);
   _actionMap[809][RB] = ActionEntry(SHIFT, 844);
   _actionMap[810][RB] = ActionEntry(SHIFT, 845);
   _actionMap[811][RB] = ActionEntry(SHIFT, 846);
   _actionMap[812][RB] = ActionEntry(SHIFT, 847);
   _actionMap[813][SEMICOLON] = ActionEntry(REDUCE, 136);
   _actionMap[814][RB] = ActionEntry(SHIFT, 848);
   _actionMap[815][CACHED] = ActionEntry(SHIFT, 850);
   _actionMap[815][SEMICOLON] = ActionEntry(REDUCE, 61);
   _jumpMap[815][CachedOpt] = 849;
   _actionMap[816][IDENTIFIER] = ActionEntry(SHIFT, 764);
   _jumpMap[816][SimpleAttr] = 763;
   _jumpMap[816][SimpleAttrList] = 851;
   _actionMap[817][SEMICOLON] = ActionEntry(REDUCE, 177);
   _actionMap[817][KSEP] = ActionEntry(REDUCE, 177);
   _actionMap[817][RB] = ActionEntry(REDUCE, 177);
   _actionMap[818][SEMICOLON] = ActionEntry(REDUCE, 180);
   _actionMap[818][KSEP] = ActionEntry(REDUCE, 180);
   _actionMap[818][RB] = ActionEntry(REDUCE, 180);
   _actionMap[819][NULLTOKEN] = ActionEntry(SHIFT, 852);
   _actionMap[820][SEMICOLON] = ActionEntry(REDUCE, 178);
}
void Cego::loadParser17()
{
   _actionMap[820][KSEP] = ActionEntry(REDUCE, 178);
   _actionMap[820][RB] = ActionEntry(REDUCE, 178);
   _actionMap[821][NULLTOKEN] = ActionEntry(REDUCE, 182);
   _actionMap[821][NOT] = ActionEntry(REDUCE, 182);
   _actionMap[821][KSEP] = ActionEntry(REDUCE, 182);
   _actionMap[821][SEMICOLON] = ActionEntry(REDUCE, 182);
   _actionMap[821][RB] = ActionEntry(REDUCE, 182);
   _actionMap[822][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[822][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[822][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[822][KSEP] = ActionEntry(REDUCE, 207);
   _actionMap[822][RB] = ActionEntry(REDUCE, 207);
   _actionMap[823][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[823][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[823][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[823][LEFT] = ActionEntry(REDUCE, 338);
   _actionMap[823][RIGHT] = ActionEntry(REDUCE, 338);
   _actionMap[823][INNER] = ActionEntry(REDUCE, 338);
   _actionMap[823][JOIN] = ActionEntry(REDUCE, 338);
   _actionMap[823][RETURNTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[823][SEMICOLON] = ActionEntry(REDUCE, 338);
   _actionMap[823][ENDTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[823][UNION] = ActionEntry(REDUCE, 338);
   _actionMap[823][ROWLIMIT] = ActionEntry(REDUCE, 338);
   _actionMap[823][ORDER] = ActionEntry(REDUCE, 338);
   _actionMap[823][GROUP] = ActionEntry(REDUCE, 338);
   _actionMap[823][WHERE] = ActionEntry(REDUCE, 338);
   _actionMap[823][THEN] = ActionEntry(REDUCE, 338);
   _actionMap[823][AND] = ActionEntry(REDUCE, 338);
   _actionMap[823][OR] = ActionEntry(REDUCE, 338);
   _actionMap[823][RB] = ActionEntry(REDUCE, 338);
   _actionMap[824][LEFT] = ActionEntry(REDUCE, 335);
   _actionMap[824][RIGHT] = ActionEntry(REDUCE, 335);
   _actionMap[824][INNER] = ActionEntry(REDUCE, 335);
   _actionMap[824][JOIN] = ActionEntry(REDUCE, 335);
   _actionMap[824][RETURNTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[824][SEMICOLON] = ActionEntry(REDUCE, 335);
   _actionMap[824][ENDTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[824][UNION] = ActionEntry(REDUCE, 335);
   _actionMap[824][ROWLIMIT] = ActionEntry(REDUCE, 335);
   _actionMap[824][ORDER] = ActionEntry(REDUCE, 335);
   _actionMap[824][GROUP] = ActionEntry(REDUCE, 335);
   _actionMap[824][WHERE] = ActionEntry(REDUCE, 335);
   _actionMap[824][THEN] = ActionEntry(REDUCE, 335);
   _actionMap[824][AND] = ActionEntry(REDUCE, 335);
   _actionMap[824][OR] = ActionEntry(REDUCE, 335);
   _actionMap[824][RB] = ActionEntry(REDUCE, 335);
   _actionMap[825][LEFT] = ActionEntry(REDUCE, 333);
   _actionMap[825][RIGHT] = ActionEntry(REDUCE, 333);
   _actionMap[825][INNER] = ActionEntry(REDUCE, 333);
}
void Cego::loadParser18()
{
   _actionMap[825][JOIN] = ActionEntry(REDUCE, 333);
   _actionMap[825][RETURNTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[825][SEMICOLON] = ActionEntry(REDUCE, 333);
   _actionMap[825][ENDTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[825][UNION] = ActionEntry(REDUCE, 333);
   _actionMap[825][ROWLIMIT] = ActionEntry(REDUCE, 333);
   _actionMap[825][ORDER] = ActionEntry(REDUCE, 333);
   _actionMap[825][GROUP] = ActionEntry(REDUCE, 333);
   _actionMap[825][WHERE] = ActionEntry(REDUCE, 333);
   _actionMap[825][THEN] = ActionEntry(REDUCE, 333);
   _actionMap[825][AND] = ActionEntry(REDUCE, 333);
   _actionMap[825][OR] = ActionEntry(REDUCE, 333);
   _actionMap[825][RB] = ActionEntry(REDUCE, 333);
   _actionMap[826][RB] = ActionEntry(SHIFT, 853);
   _actionMap[827][RB] = ActionEntry(SHIFT, 854);
   _actionMap[827][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[828][KSEP] = ActionEntry(REDUCE, 171);
   _actionMap[828][RB] = ActionEntry(REDUCE, 171);
   _actionMap[829][UNION] = ActionEntry(SHIFT, 856);
   _actionMap[829][SEMICOLON] = ActionEntry(REDUCE, 84);
   _actionMap[829][RB] = ActionEntry(REDUCE, 84);
   _jumpMap[829][UnionAllOpt] = 855;
   _actionMap[830][UNION] = ActionEntry(REDUCE, 256);
   _actionMap[830][ENDTOKEN] = ActionEntry(REDUCE, 256);
   _actionMap[830][RB] = ActionEntry(REDUCE, 256);
   _actionMap[830][SEMICOLON] = ActionEntry(REDUCE, 256);
   _actionMap[831][INTVAL] = ActionEntry(SHIFT, 857);
   _actionMap[832][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[832][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[832][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[832][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[832][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[832][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[832][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[832][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[832][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[832][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[832][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[832][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[832][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[832][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[832][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[832][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[832][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[832][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[832][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[832][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[832][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[832][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[832][STR2INT] = ActionEntry(SHIFT, 149);
}
void Cego::loadParser19()
{
   _actionMap[832][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[832][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[832][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[832][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[832][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[832][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[832][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[832][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[832][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[832][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[832][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[832][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[832][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[832][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[832][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[832][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[832][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[832][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[832][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[832][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[832][LB] = ActionEntry(SHIFT, 156);
   _actionMap[832][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[832][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[832][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[832][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[832][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[832][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[832][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[832][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[832][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[832][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[832][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[832][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[832][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[832][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[832][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[832][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[832][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[832][ObjSpec] = 103;
   _jumpMap[832][Constant] = 102;
   _jumpMap[832][SignedFloat] = 101;
   _jumpMap[832][SignedInt] = 100;
   _jumpMap[832][Attribute] = 99;
   _jumpMap[832][Function] = 98;
   _jumpMap[832][OrderingList] = 859;
   _jumpMap[832][CasePrepare] = 97;
   _jumpMap[832][CaseClause] = 96;
   _jumpMap[832][Factor] = 95;
   _jumpMap[832][Term] = 94;
   _jumpMap[832][Expr] = 858;
}
void Cego::loadParser20()
{
   _actionMap[833][KSEP] = ActionEntry(SHIFT, 863);
   _actionMap[833][ORDER] = ActionEntry(REDUCE, 242);
   _actionMap[833][HAVING] = ActionEntry(SHIFT, 862);
   _actionMap[833][ROWLIMIT] = ActionEntry(REDUCE, 242);
   _actionMap[833][UNION] = ActionEntry(REDUCE, 242);
   _actionMap[833][ENDTOKEN] = ActionEntry(REDUCE, 242);
   _actionMap[833][RB] = ActionEntry(REDUCE, 242);
   _actionMap[833][SEMICOLON] = ActionEntry(REDUCE, 242);
   _jumpMap[833][NoHaving] = 861;
   _jumpMap[833][HavingClause] = 860;
   _actionMap[834][KSEP] = ActionEntry(REDUCE, 239);
   _actionMap[834][HAVING] = ActionEntry(REDUCE, 239);
   _actionMap[834][ORDER] = ActionEntry(REDUCE, 239);
   _actionMap[834][ROWLIMIT] = ActionEntry(REDUCE, 239);
   _actionMap[834][UNION] = ActionEntry(REDUCE, 239);
   _actionMap[834][ENDTOKEN] = ActionEntry(REDUCE, 239);
   _actionMap[834][RB] = ActionEntry(REDUCE, 239);
   _actionMap[834][SEMICOLON] = ActionEntry(REDUCE, 239);
   _actionMap[835][KSEP] = ActionEntry(REDUCE, 365);
   _actionMap[835][HAVING] = ActionEntry(REDUCE, 365);
   _actionMap[835][ORDER] = ActionEntry(REDUCE, 365);
   _actionMap[835][ROWLIMIT] = ActionEntry(REDUCE, 365);
   _actionMap[835][UNION] = ActionEntry(REDUCE, 365);
   _actionMap[835][ENDTOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[835][RB] = ActionEntry(REDUCE, 365);
   _actionMap[835][SEMICOLON] = ActionEntry(REDUCE, 365);
   _actionMap[836][KSEP] = ActionEntry(REDUCE, 366);
   _actionMap[836][HAVING] = ActionEntry(REDUCE, 366);
   _actionMap[836][ORDER] = ActionEntry(REDUCE, 366);
   _actionMap[836][ROWLIMIT] = ActionEntry(REDUCE, 366);
   _actionMap[836][UNION] = ActionEntry(REDUCE, 366);
   _actionMap[836][ENDTOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[836][RB] = ActionEntry(REDUCE, 366);
   _actionMap[836][SEMICOLON] = ActionEntry(REDUCE, 366);
   _actionMap[837][AND] = ActionEntry(SHIFT, 547);
   _actionMap[837][OR] = ActionEntry(SHIFT, 548);
   _actionMap[837][LEFT] = ActionEntry(REDUCE, 222);
   _actionMap[837][RIGHT] = ActionEntry(REDUCE, 222);
   _actionMap[837][INNER] = ActionEntry(REDUCE, 222);
   _actionMap[837][JOIN] = ActionEntry(REDUCE, 222);
   _actionMap[837][RETURNTOKEN] = ActionEntry(REDUCE, 222);
   _actionMap[837][SEMICOLON] = ActionEntry(REDUCE, 222);
   _actionMap[837][RB] = ActionEntry(REDUCE, 222);
   _actionMap[837][ENDTOKEN] = ActionEntry(REDUCE, 222);
   _actionMap[837][UNION] = ActionEntry(REDUCE, 222);
   _actionMap[837][ROWLIMIT] = ActionEntry(REDUCE, 222);
   _actionMap[837][ORDER] = ActionEntry(REDUCE, 222);
   _actionMap[837][GROUP] = ActionEntry(REDUCE, 222);
   _actionMap[837][WHERE] = ActionEntry(REDUCE, 222);
   _actionMap[838][ON] = ActionEntry(SHIFT, 793);
}
void Cego::loadParser21()
{
   _jumpMap[838][JoinTableOn] = 864;
   _actionMap[839][ON] = ActionEntry(SHIFT, 793);
   _jumpMap[839][JoinTableOn] = 865;
   _actionMap[840][VARREF] = ActionEntry(SHIFT, 798);
   _jumpMap[840][ReturnVar] = 866;
   _actionMap[841][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[841][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[841][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[841][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[841][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[841][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[841][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[841][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[841][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[841][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[841][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[841][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[841][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[841][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[841][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[841][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[841][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[841][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[841][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[841][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[841][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[841][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[841][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[841][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[841][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[841][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[841][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[841][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[841][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[841][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[841][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[841][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[841][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[841][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[841][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[841][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[841][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[841][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[841][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[841][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[841][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[841][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[841][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[841][LB] = ActionEntry(SHIFT, 156);
   _actionMap[841][STRINGVAL] = ActionEntry(SHIFT, 104);
}
void Cego::loadParser22()
{
   _actionMap[841][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[841][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[841][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[841][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[841][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[841][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[841][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[841][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[841][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[841][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[841][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[841][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[841][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[841][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[841][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[841][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[841][ObjSpec] = 103;
   _jumpMap[841][Constant] = 102;
   _jumpMap[841][SignedFloat] = 101;
   _jumpMap[841][SignedInt] = 100;
   _jumpMap[841][Attribute] = 99;
   _jumpMap[841][Function] = 98;
   _jumpMap[841][CasePrepare] = 97;
   _jumpMap[841][CaseClause] = 96;
   _jumpMap[841][Factor] = 95;
   _jumpMap[841][Term] = 94;
   _jumpMap[841][Expr] = 867;
   _actionMap[737][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[737][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[737][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[737][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[737][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[737][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[737][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[737][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[737][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[737][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[737][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[737][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[737][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[737][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[737][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[737][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[737][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[737][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[737][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[737][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[737][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[737][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[737][STR2INT] = ActionEntry(SHIFT, 149);
}
void Cego::loadParser23()
{
   _actionMap[737][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[737][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[737][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[737][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[737][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[737][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[737][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[737][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[737][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[737][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[737][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[737][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[737][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[737][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[737][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[737][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[737][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[737][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[737][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[737][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[737][LB] = ActionEntry(SHIFT, 401);
   _actionMap[737][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[737][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[737][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[737][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[737][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[737][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[737][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[737][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[737][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[737][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[737][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[737][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[737][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[737][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[737][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[737][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[737][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[737][EXISTS] = ActionEntry(SHIFT, 399);
   _actionMap[737][NOT] = ActionEntry(SHIFT, 400);
   _jumpMap[737][ObjSpec] = 103;
   _jumpMap[737][Constant] = 102;
   _jumpMap[737][SignedFloat] = 101;
   _jumpMap[737][SignedInt] = 100;
   _jumpMap[737][Attribute] = 99;
   _jumpMap[737][QueryPredicate] = 398;
   _jumpMap[737][QueryCondition] = 799;
   _jumpMap[737][Function] = 98;
   _jumpMap[737][CasePrepare] = 97;
   _jumpMap[737][CaseClause] = 96;
}
void Cego::loadParser24()
{
   _jumpMap[737][Factor] = 95;
   _jumpMap[737][Term] = 94;
   _jumpMap[737][Expr] = 396;
   _actionMap[738][LB] = ActionEntry(SHIFT, 800);
   _actionMap[739][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[739][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[739][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[739][LB] = ActionEntry(SHIFT, 802);
   _actionMap[739][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[739][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[739][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[739][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[739][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[739][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[739][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[739][CLOB] = ActionEntry(SHIFT, 113);
   _jumpMap[739][Constant] = 801;
   _jumpMap[739][SignedFloat] = 101;
   _jumpMap[739][SignedInt] = 100;
   _actionMap[740][IDENTIFIER] = ActionEntry(SHIFT, 803);
   _actionMap[741][SEMICOLON] = ActionEntry(REDUCE, 31);
   _actionMap[742][IDENTIFIER] = ActionEntry(SHIFT, 805);
   _jumpMap[742][ProcExceptionType] = 804;
   _actionMap[743][END_TOKEN] = ActionEntry(REDUCE, 131);
   _actionMap[744][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[744][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[744][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[744][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[744][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[744][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[744][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[744][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[744][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[744][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[744][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[744][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[744][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[744][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[744][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[744][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[744][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[744][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[744][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[744][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[744][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[744][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[744][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[744][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[744][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[744][RANDSTR] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser25()
{
   _actionMap[744][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[744][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[744][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[744][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[744][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[744][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[744][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[744][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[744][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[744][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[744][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[744][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[744][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[744][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[744][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[744][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[744][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[744][LB] = ActionEntry(SHIFT, 156);
   _actionMap[744][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[744][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[744][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[744][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[744][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[744][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[744][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[744][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[744][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[744][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[744][VARREF] = ActionEntry(SHIFT, 371);
   _actionMap[744][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[744][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[744][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[744][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[744][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[744][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[744][IF] = ActionEntry(SHIFT, 365);
   _actionMap[744][BEGIN] = ActionEntry(SHIFT, 362);
   _actionMap[744][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[744][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[744][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[744][UPDATE] = ActionEntry(SHIFT, 37);
   _actionMap[744][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[744][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[744][VAR] = ActionEntry(SHIFT, 369);
   _actionMap[744][CURSOR] = ActionEntry(SHIFT, 364);
   _actionMap[744][CLOSE] = ActionEntry(SHIFT, 363);
   _actionMap[744][NOOP] = ActionEntry(SHIFT, 366);
   _actionMap[744][THROW] = ActionEntry(SHIFT, 368);
   _actionMap[744][RETURNTOKEN] = ActionEntry(SHIFT, 367);
   _actionMap[744][WHILE] = ActionEntry(SHIFT, 370);
}
void Cego::loadParser26()
{
   _jumpMap[744][ObjSpec] = 103;
   _jumpMap[744][Constant] = 102;
   _jumpMap[744][SignedFloat] = 101;
   _jumpMap[744][SignedInt] = 100;
   _jumpMap[744][Attribute] = 99;
   _jumpMap[744][Function] = 98;
   _jumpMap[744][DeleteStatement] = 361;
   _jumpMap[744][UpdateStatement] = 360;
   _jumpMap[744][InsertStatement] = 359;
   _jumpMap[744][RollbackStatement] = 358;
   _jumpMap[744][CommitStatement] = 357;
   _jumpMap[744][StartStatement] = 356;
   _jumpMap[744][CasePrepare] = 97;
   _jumpMap[744][CaseClause] = 96;
   _jumpMap[744][Factor] = 95;
   _jumpMap[744][Term] = 94;
   _jumpMap[744][Expr] = 355;
   _jumpMap[744][ProcStatement] = 354;
   _jumpMap[744][ProcIfPart] = 353;
   _jumpMap[744][ProcBlockStart] = 352;
   _jumpMap[744][ProcStatementList] = 351;
   _jumpMap[744][ProcStmtBlock] = 806;
   _actionMap[745][SEMICOLON] = ActionEntry(REDUCE, 99);
   _actionMap[746][END_TOKEN] = ActionEntry(REDUCE, 127);
   _actionMap[746][ELSE] = ActionEntry(REDUCE, 127);
   _actionMap[746][ELSIF] = ActionEntry(REDUCE, 127);
   _actionMap[747][BEGIN] = ActionEntry(REDUCE, 139);
   _actionMap[747][RB] = ActionEntry(REDUCE, 139);
   _actionMap[747][AND] = ActionEntry(REDUCE, 139);
   _actionMap[747][OR] = ActionEntry(REDUCE, 139);
   _actionMap[747][THEN] = ActionEntry(REDUCE, 139);
   _actionMap[748][BEGIN] = ActionEntry(REDUCE, 138);
   _actionMap[748][RB] = ActionEntry(REDUCE, 138);
   _actionMap[748][AND] = ActionEntry(REDUCE, 138);
   _actionMap[748][OR] = ActionEntry(REDUCE, 138);
   _actionMap[748][THEN] = ActionEntry(REDUCE, 138);
   _actionMap[749][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[749][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[749][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[749][BEGIN] = ActionEntry(REDUCE, 142);
   _actionMap[749][THEN] = ActionEntry(REDUCE, 142);
   _actionMap[749][OR] = ActionEntry(REDUCE, 142);
   _actionMap[749][AND] = ActionEntry(REDUCE, 142);
   _actionMap[749][RB] = ActionEntry(REDUCE, 142);
   _actionMap[750][NULLTOKEN] = ActionEntry(SHIFT, 807);
   _actionMap[751][BEGIN] = ActionEntry(REDUCE, 143);
   _actionMap[751][THEN] = ActionEntry(REDUCE, 143);
   _actionMap[751][OR] = ActionEntry(REDUCE, 143);
   _actionMap[751][AND] = ActionEntry(REDUCE, 143);
   _actionMap[751][RB] = ActionEntry(REDUCE, 143);
}
void Cego::loadParser27()
{
   _actionMap[752][BEGIN] = ActionEntry(REDUCE, 141);
   _actionMap[752][RB] = ActionEntry(REDUCE, 141);
   _actionMap[752][AND] = ActionEntry(REDUCE, 141);
   _actionMap[752][OR] = ActionEntry(REDUCE, 141);
   _actionMap[752][THEN] = ActionEntry(REDUCE, 141);
   _actionMap[753][SEMICOLON] = ActionEntry(REDUCE, 98);
   _actionMap[754][SEMICOLON] = ActionEntry(REDUCE, 105);
   _actionMap[755][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[755][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[755][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[755][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[755][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[755][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[755][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[755][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[755][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[755][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[755][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[755][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[755][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[755][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[755][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[755][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[755][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[755][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[755][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[755][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[755][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[755][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[755][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[755][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[755][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[755][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[755][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[755][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[755][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[755][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[755][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[755][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[755][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[755][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[755][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[755][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[755][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[755][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[755][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[755][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[755][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[755][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[755][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
}
void Cego::loadParser28()
{
   _actionMap[755][LB] = ActionEntry(SHIFT, 156);
   _actionMap[755][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[755][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[755][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[755][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[755][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[755][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[755][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[755][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[755][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[755][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[755][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[755][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[755][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[755][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[755][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[755][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[755][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[755][ObjSpec] = 103;
   _jumpMap[755][Constant] = 102;
   _jumpMap[755][SignedFloat] = 101;
   _jumpMap[755][SignedInt] = 100;
   _jumpMap[755][Attribute] = 99;
   _jumpMap[755][Function] = 98;
   _jumpMap[755][CasePrepare] = 97;
   _jumpMap[755][CaseClause] = 96;
   _jumpMap[755][Factor] = 95;
   _jumpMap[755][Term] = 94;
   _jumpMap[755][Expr] = 808;
   _actionMap[756][INTVAL] = ActionEntry(SHIFT, 809);
   _actionMap[757][INTVAL] = ActionEntry(SHIFT, 810);
   _actionMap[758][INTVAL] = ActionEntry(SHIFT, 811);
   _actionMap[759][INTVAL] = ActionEntry(SHIFT, 812);
   _actionMap[760][END_TOKEN] = ActionEntry(SHIFT, 813);
   _actionMap[761][IDENTIFIER] = ActionEntry(SHIFT, 764);
   _jumpMap[761][SimpleAttr] = 763;
   _jumpMap[761][SimpleAttrList] = 814;
   _actionMap[762][RB] = ActionEntry(SHIFT, 815);
   _actionMap[763][KSEP] = ActionEntry(SHIFT, 816);
   _actionMap[763][RB] = ActionEntry(REDUCE, 186);
   _actionMap[764][RB] = ActionEntry(REDUCE, 187);
   _actionMap[764][KSEP] = ActionEntry(REDUCE, 187);
   _actionMap[765][KSEP] = ActionEntry(REDUCE, 91);
   _actionMap[765][RB] = ActionEntry(REDUCE, 91);
   _actionMap[766][BEGIN] = ActionEntry(REDUCE, 87);
   _actionMap[767][KSEP] = ActionEntry(REDUCE, 93);
   _actionMap[767][RB] = ActionEntry(REDUCE, 93);
   _actionMap[768][KSEP] = ActionEntry(REDUCE, 94);
   _actionMap[768][RB] = ActionEntry(REDUCE, 94);
   _actionMap[769][KSEP] = ActionEntry(REDUCE, 173);
}
void Cego::loadParser29()
{
   _actionMap[769][RB] = ActionEntry(REDUCE, 173);
   _actionMap[770][SEMICOLON] = ActionEntry(REDUCE, 181);
   _actionMap[770][NULLTOKEN] = ActionEntry(SHIFT, 820);
   _actionMap[770][NOT] = ActionEntry(SHIFT, 819);
   _actionMap[770][KSEP] = ActionEntry(REDUCE, 181);
   _actionMap[770][RB] = ActionEntry(REDUCE, 181);
   _jumpMap[770][DefaultNullOpt] = 818;
   _jumpMap[770][NullOpt] = 817;
   _actionMap[771][NULLTOKEN] = ActionEntry(REDUCE, 183);
   _actionMap[771][NOT] = ActionEntry(REDUCE, 183);
   _actionMap[771][KSEP] = ActionEntry(REDUCE, 183);
   _actionMap[771][SEMICOLON] = ActionEntry(REDUCE, 183);
   _actionMap[771][RB] = ActionEntry(REDUCE, 183);
   _actionMap[772][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[772][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[772][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[772][LB] = ActionEntry(SHIFT, 802);
   _actionMap[772][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[772][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[772][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[772][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[772][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[772][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[772][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[772][CLOB] = ActionEntry(SHIFT, 113);
   _jumpMap[772][Constant] = 821;
   _jumpMap[772][SignedFloat] = 101;
   _jumpMap[772][SignedInt] = 100;
   _actionMap[773][SEMICOLON] = ActionEntry(REDUCE, 202);
   _actionMap[773][KSEP] = ActionEntry(REDUCE, 202);
   _actionMap[774][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[774][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[774][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[774][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[774][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[774][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[774][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[774][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[774][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[774][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[774][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[774][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[774][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[774][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[774][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[774][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[774][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[774][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[774][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[774][REPLACE] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser30()
{
   _actionMap[774][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[774][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[774][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[774][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[774][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[774][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[774][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[774][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[774][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[774][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[774][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[774][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[774][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[774][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[774][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[774][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[774][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[774][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[774][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[774][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[774][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[774][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[774][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[774][LB] = ActionEntry(SHIFT, 156);
   _actionMap[774][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[774][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[774][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[774][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[774][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[774][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[774][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[774][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[774][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[774][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[774][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[774][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[774][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[774][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[774][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[774][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[774][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[774][ObjSpec] = 103;
   _jumpMap[774][Constant] = 102;
   _jumpMap[774][SignedFloat] = 101;
   _jumpMap[774][SignedInt] = 100;
   _jumpMap[774][Attribute] = 99;
   _jumpMap[774][Function] = 98;
   _jumpMap[774][CasePrepare] = 97;
   _jumpMap[774][CaseClause] = 96;
   _jumpMap[774][Factor] = 95;
}
void Cego::loadParser31()
{
   _jumpMap[774][Term] = 94;
   _jumpMap[774][Expr] = 822;
   _actionMap[775][SEMICOLON] = ActionEntry(REDUCE, 204);
   _actionMap[775][KSEP] = ActionEntry(REDUCE, 204);
   _actionMap[776][KSEP] = ActionEntry(REDUCE, 205);
   _actionMap[776][RB] = ActionEntry(REDUCE, 205);
   _actionMap[777][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[777][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[777][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[777][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[777][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[777][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[777][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[777][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[777][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[777][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[777][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[777][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[777][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[777][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[777][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[777][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[777][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[777][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[777][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[777][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[777][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[777][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[777][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[777][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[777][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[777][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[777][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[777][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[777][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[777][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[777][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[777][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[777][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[777][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[777][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[777][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[777][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[777][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[777][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[777][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[777][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[777][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[777][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[777][LB] = ActionEntry(SHIFT, 156);
}
void Cego::loadParser32()
{
   _actionMap[777][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[777][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[777][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[777][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[777][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[777][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[777][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[777][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[777][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[777][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[777][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[777][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[777][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[777][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[777][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[777][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[777][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[777][ObjSpec] = 103;
   _jumpMap[777][Constant] = 102;
   _jumpMap[777][SignedFloat] = 101;
   _jumpMap[777][SignedInt] = 100;
   _jumpMap[777][Attribute] = 99;
   _jumpMap[777][Function] = 98;
   _jumpMap[777][CasePrepare] = 97;
   _jumpMap[777][CaseClause] = 96;
   _jumpMap[777][Factor] = 95;
   _jumpMap[777][Term] = 94;
   _jumpMap[777][Expr] = 823;
   _actionMap[778][RB] = ActionEntry(SHIFT, 824);
   _actionMap[779][RB] = ActionEntry(SHIFT, 825);
   _actionMap[779][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[780][LEFT] = ActionEntry(REDUCE, 340);
   _actionMap[780][RIGHT] = ActionEntry(REDUCE, 340);
   _actionMap[780][INNER] = ActionEntry(REDUCE, 340);
   _actionMap[780][JOIN] = ActionEntry(REDUCE, 340);
   _actionMap[780][RETURNTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[780][SEMICOLON] = ActionEntry(REDUCE, 340);
   _actionMap[780][ENDTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[780][UNION] = ActionEntry(REDUCE, 340);
   _actionMap[780][ROWLIMIT] = ActionEntry(REDUCE, 340);
   _actionMap[780][ORDER] = ActionEntry(REDUCE, 340);
   _actionMap[780][GROUP] = ActionEntry(REDUCE, 340);
   _actionMap[780][WHERE] = ActionEntry(REDUCE, 340);
   _actionMap[780][THEN] = ActionEntry(REDUCE, 340);
   _actionMap[780][AND] = ActionEntry(REDUCE, 340);
   _actionMap[780][OR] = ActionEntry(REDUCE, 340);
   _actionMap[780][RB] = ActionEntry(REDUCE, 340);
   _actionMap[781][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[781][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[781][MINUS] = ActionEntry(SHIFT, 157);
}
void Cego::loadParser33()
{
   _actionMap[781][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[781][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[781][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[781][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[781][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[781][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[781][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[781][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[781][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[781][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[781][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[781][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[781][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[781][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[781][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[781][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[781][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[781][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[781][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[781][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[781][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[781][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[781][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[781][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[781][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[781][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[781][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[781][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[781][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[781][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[781][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[781][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[781][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[781][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[781][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[781][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[781][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[781][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[781][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[781][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[781][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[781][LB] = ActionEntry(SHIFT, 156);
   _actionMap[781][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[781][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[781][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[781][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[781][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[781][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[781][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[781][CLOB] = ActionEntry(SHIFT, 113);
}
void Cego::loadParser34()
{
   _actionMap[781][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[781][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[781][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[781][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[781][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[781][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[781][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[781][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[781][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[781][ObjSpec] = 103;
   _jumpMap[781][Constant] = 102;
   _jumpMap[781][SignedFloat] = 101;
   _jumpMap[781][SignedInt] = 100;
   _jumpMap[781][Attribute] = 99;
   _jumpMap[781][ExpressionList] = 827;
   _jumpMap[781][Function] = 98;
   _jumpMap[781][SelectStatement] = 826;
   _jumpMap[781][CasePrepare] = 97;
   _jumpMap[781][CaseClause] = 96;
   _jumpMap[781][Factor] = 95;
   _jumpMap[781][Term] = 94;
   _jumpMap[781][Expr] = 402;
   _actionMap[782][LEFT] = ActionEntry(REDUCE, 342);
   _actionMap[782][RIGHT] = ActionEntry(REDUCE, 342);
   _actionMap[782][INNER] = ActionEntry(REDUCE, 342);
   _actionMap[782][JOIN] = ActionEntry(REDUCE, 342);
   _actionMap[782][RETURNTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[782][SEMICOLON] = ActionEntry(REDUCE, 342);
   _actionMap[782][ENDTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[782][UNION] = ActionEntry(REDUCE, 342);
   _actionMap[782][ROWLIMIT] = ActionEntry(REDUCE, 342);
   _actionMap[782][ORDER] = ActionEntry(REDUCE, 342);
   _actionMap[782][GROUP] = ActionEntry(REDUCE, 342);
   _actionMap[782][WHERE] = ActionEntry(REDUCE, 342);
   _actionMap[782][THEN] = ActionEntry(REDUCE, 342);
   _actionMap[782][AND] = ActionEntry(REDUCE, 342);
   _actionMap[782][OR] = ActionEntry(REDUCE, 342);
   _actionMap[782][RB] = ActionEntry(REDUCE, 342);
   _actionMap[783][THEN] = ActionEntry(REDUCE, 332);
   _actionMap[783][LEFT] = ActionEntry(REDUCE, 332);
   _actionMap[783][RIGHT] = ActionEntry(REDUCE, 332);
   _actionMap[783][INNER] = ActionEntry(REDUCE, 332);
   _actionMap[783][JOIN] = ActionEntry(REDUCE, 332);
   _actionMap[783][RETURNTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[783][SEMICOLON] = ActionEntry(REDUCE, 332);
   _actionMap[783][RB] = ActionEntry(REDUCE, 332);
   _actionMap[783][ENDTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[783][UNION] = ActionEntry(REDUCE, 332);
   _actionMap[783][ROWLIMIT] = ActionEntry(REDUCE, 332);
   _actionMap[783][ORDER] = ActionEntry(REDUCE, 332);
}
void Cego::loadParser35()
{
   _actionMap[783][GROUP] = ActionEntry(REDUCE, 332);
   _actionMap[783][WHERE] = ActionEntry(REDUCE, 332);
   _actionMap[783][AND] = ActionEntry(REDUCE, 332);
   _actionMap[783][OR] = ActionEntry(REDUCE, 332);
   _actionMap[784][WHEN] = ActionEntry(REDUCE, 382);
   _actionMap[784][ELSE] = ActionEntry(REDUCE, 382);
   _actionMap[784][LEFT] = ActionEntry(REDUCE, 382);
   _actionMap[784][RIGHT] = ActionEntry(REDUCE, 382);
   _actionMap[784][INNER] = ActionEntry(REDUCE, 382);
   _actionMap[784][JOIN] = ActionEntry(REDUCE, 382);
   _actionMap[784][RETURNTOKEN] = ActionEntry(REDUCE, 382);
   _actionMap[784][ORDER] = ActionEntry(REDUCE, 382);
   _actionMap[784][GROUP] = ActionEntry(REDUCE, 382);
   _actionMap[784][WHERE] = ActionEntry(REDUCE, 382);
   _actionMap[784][NULLTOKEN] = ActionEntry(REDUCE, 382);
   _actionMap[784][FROM] = ActionEntry(REDUCE, 382);
   _actionMap[784][AS] = ActionEntry(REDUCE, 382);
   _actionMap[784][END_TOKEN] = ActionEntry(REDUCE, 382);
   _actionMap[784][BEGIN] = ActionEntry(REDUCE, 382);
   _actionMap[784][THEN] = ActionEntry(REDUCE, 382);
   _actionMap[784][OR] = ActionEntry(REDUCE, 382);
   _actionMap[784][AND] = ActionEntry(REDUCE, 382);
   _actionMap[784][INTOK] = ActionEntry(REDUCE, 382);
   _actionMap[784][NOT] = ActionEntry(REDUCE, 382);
   _actionMap[784][BETWEEN] = ActionEntry(REDUCE, 382);
   _actionMap[784][IS] = ActionEntry(REDUCE, 382);
   _actionMap[784][LIKE] = ActionEntry(REDUCE, 382);
   _actionMap[784][MT] = ActionEntry(REDUCE, 382);
   _actionMap[784][LT] = ActionEntry(REDUCE, 382);
   _actionMap[784][NEGATION] = ActionEntry(REDUCE, 382);
   _actionMap[784][EQU] = ActionEntry(REDUCE, 382);
   _actionMap[784][RB] = ActionEntry(REDUCE, 382);
   _actionMap[784][ENDTOKEN] = ActionEntry(REDUCE, 382);
   _actionMap[784][UNION] = ActionEntry(REDUCE, 382);
   _actionMap[784][ROWLIMIT] = ActionEntry(REDUCE, 382);
   _actionMap[784][KSEP] = ActionEntry(REDUCE, 382);
   _actionMap[784][ASC] = ActionEntry(REDUCE, 382);
   _actionMap[784][DESC] = ActionEntry(REDUCE, 382);
   _actionMap[784][SEMICOLON] = ActionEntry(REDUCE, 382);
   _actionMap[784][PLUS] = ActionEntry(REDUCE, 382);
   _actionMap[784][MINUS] = ActionEntry(REDUCE, 382);
   _actionMap[784][DIVISION] = ActionEntry(REDUCE, 382);
   _actionMap[784][STAR] = ActionEntry(REDUCE, 382);
   _actionMap[784][CONCAT] = ActionEntry(REDUCE, 382);
   _actionMap[785][VARREF] = ActionEntry(SHIFT, 828);
   _actionMap[786][WHEN] = ActionEntry(REDUCE, 154);
   _actionMap[786][ELSE] = ActionEntry(REDUCE, 154);
   _actionMap[786][LEFT] = ActionEntry(REDUCE, 154);
   _actionMap[786][RIGHT] = ActionEntry(REDUCE, 154);
   _actionMap[786][INNER] = ActionEntry(REDUCE, 154);
}
void Cego::loadParser36()
{
   _actionMap[786][JOIN] = ActionEntry(REDUCE, 154);
   _actionMap[786][RETURNTOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[786][ORDER] = ActionEntry(REDUCE, 154);
   _actionMap[786][GROUP] = ActionEntry(REDUCE, 154);
   _actionMap[786][WHERE] = ActionEntry(REDUCE, 154);
   _actionMap[786][AS] = ActionEntry(REDUCE, 154);
   _actionMap[786][FROM] = ActionEntry(REDUCE, 154);
   _actionMap[786][END_TOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[786][BEGIN] = ActionEntry(REDUCE, 154);
   _actionMap[786][THEN] = ActionEntry(REDUCE, 154);
   _actionMap[786][OR] = ActionEntry(REDUCE, 154);
   _actionMap[786][AND] = ActionEntry(REDUCE, 154);
   _actionMap[786][LIKE] = ActionEntry(REDUCE, 154);
   _actionMap[786][IS] = ActionEntry(REDUCE, 154);
   _actionMap[786][BETWEEN] = ActionEntry(REDUCE, 154);
   _actionMap[786][NOT] = ActionEntry(REDUCE, 154);
   _actionMap[786][INTOK] = ActionEntry(REDUCE, 154);
   _actionMap[786][EQU] = ActionEntry(REDUCE, 154);
   _actionMap[786][NEGATION] = ActionEntry(REDUCE, 154);
   _actionMap[786][LT] = ActionEntry(REDUCE, 154);
   _actionMap[786][MT] = ActionEntry(REDUCE, 154);
   _actionMap[786][DESC] = ActionEntry(REDUCE, 154);
   _actionMap[786][ASC] = ActionEntry(REDUCE, 154);
   _actionMap[786][KSEP] = ActionEntry(REDUCE, 154);
   _actionMap[786][ROWLIMIT] = ActionEntry(REDUCE, 154);
   _actionMap[786][UNION] = ActionEntry(REDUCE, 154);
   _actionMap[786][ENDTOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[786][RB] = ActionEntry(REDUCE, 154);
   _actionMap[786][SEMICOLON] = ActionEntry(REDUCE, 154);
   _actionMap[786][CONCAT] = ActionEntry(REDUCE, 154);
   _actionMap[786][STAR] = ActionEntry(REDUCE, 154);
   _actionMap[786][DIVISION] = ActionEntry(REDUCE, 154);
   _actionMap[786][MINUS] = ActionEntry(REDUCE, 154);
   _actionMap[786][PLUS] = ActionEntry(REDUCE, 154);
   _actionMap[787][WHEN] = ActionEntry(REDUCE, 321);
   _actionMap[787][ELSE] = ActionEntry(REDUCE, 321);
   _actionMap[787][LEFT] = ActionEntry(REDUCE, 321);
   _actionMap[787][RIGHT] = ActionEntry(REDUCE, 321);
   _actionMap[787][INNER] = ActionEntry(REDUCE, 321);
   _actionMap[787][JOIN] = ActionEntry(REDUCE, 321);
   _actionMap[787][RETURNTOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[787][ORDER] = ActionEntry(REDUCE, 321);
   _actionMap[787][GROUP] = ActionEntry(REDUCE, 321);
   _actionMap[787][WHERE] = ActionEntry(REDUCE, 321);
   _actionMap[787][FROM] = ActionEntry(REDUCE, 321);
   _actionMap[787][AS] = ActionEntry(REDUCE, 321);
   _actionMap[787][END_TOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[787][BEGIN] = ActionEntry(REDUCE, 321);
   _actionMap[787][THEN] = ActionEntry(REDUCE, 321);
   _actionMap[787][OR] = ActionEntry(REDUCE, 321);
}
void Cego::loadParser37()
{
   _actionMap[787][AND] = ActionEntry(REDUCE, 321);
   _actionMap[787][INTOK] = ActionEntry(REDUCE, 321);
   _actionMap[787][NOT] = ActionEntry(REDUCE, 321);
   _actionMap[787][BETWEEN] = ActionEntry(REDUCE, 321);
   _actionMap[787][IS] = ActionEntry(REDUCE, 321);
   _actionMap[787][LIKE] = ActionEntry(REDUCE, 321);
   _actionMap[787][MT] = ActionEntry(REDUCE, 321);
   _actionMap[787][LT] = ActionEntry(REDUCE, 321);
   _actionMap[787][NEGATION] = ActionEntry(REDUCE, 321);
   _actionMap[787][EQU] = ActionEntry(REDUCE, 321);
   _actionMap[787][RB] = ActionEntry(REDUCE, 321);
   _actionMap[787][ENDTOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[787][UNION] = ActionEntry(REDUCE, 321);
   _actionMap[787][ROWLIMIT] = ActionEntry(REDUCE, 321);
   _actionMap[787][KSEP] = ActionEntry(REDUCE, 321);
   _actionMap[787][ASC] = ActionEntry(REDUCE, 321);
   _actionMap[787][DESC] = ActionEntry(REDUCE, 321);
   _actionMap[787][SEMICOLON] = ActionEntry(REDUCE, 321);
   _actionMap[787][PLUS] = ActionEntry(REDUCE, 321);
   _actionMap[787][MINUS] = ActionEntry(REDUCE, 321);
   _actionMap[787][DIVISION] = ActionEntry(REDUCE, 321);
   _actionMap[787][STAR] = ActionEntry(REDUCE, 321);
   _actionMap[787][CONCAT] = ActionEntry(REDUCE, 321);
   _actionMap[788][SEMICOLON] = ActionEntry(REDUCE, 257);
   _actionMap[788][RB] = ActionEntry(REDUCE, 257);
   _actionMap[788][ENDTOKEN] = ActionEntry(REDUCE, 257);
   _actionMap[788][UNION] = ActionEntry(REDUCE, 257);
   _actionMap[788][ROWLIMIT] = ActionEntry(SHIFT, 831);
   _jumpMap[788][NoLimit] = 830;
   _jumpMap[788][LimitOpt] = 829;
   _actionMap[789][ROWLIMIT] = ActionEntry(REDUCE, 244);
   _actionMap[789][UNION] = ActionEntry(REDUCE, 244);
   _actionMap[789][ENDTOKEN] = ActionEntry(REDUCE, 244);
   _actionMap[789][RB] = ActionEntry(REDUCE, 244);
   _actionMap[789][SEMICOLON] = ActionEntry(REDUCE, 244);
   _actionMap[790][BY] = ActionEntry(SHIFT, 832);
   _actionMap[791][IDENTIFIER] = ActionEntry(SHIFT, 835);
   _actionMap[791][QUALIFIEDOBJ] = ActionEntry(SHIFT, 836);
   _actionMap[791][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _jumpMap[791][Attribute] = 834;
   _jumpMap[791][GroupList] = 833;
   _actionMap[792][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[792][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[792][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[792][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[792][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[792][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[792][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[792][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[792][ROUND] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser38()
{
   _actionMap[792][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[792][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[792][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[792][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[792][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[792][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[792][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[792][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[792][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[792][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[792][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[792][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[792][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[792][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[792][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[792][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[792][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[792][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[792][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[792][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[792][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[792][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[792][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[792][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[792][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[792][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[792][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[792][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[792][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[792][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[792][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[792][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[792][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[792][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[792][LB] = ActionEntry(SHIFT, 401);
   _actionMap[792][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[792][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[792][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[792][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[792][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[792][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[792][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[792][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[792][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[792][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[792][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[792][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[792][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[792][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[792][AVG] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser39()
{
   _actionMap[792][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[792][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[792][EXISTS] = ActionEntry(SHIFT, 399);
   _actionMap[792][NOT] = ActionEntry(SHIFT, 400);
   _jumpMap[792][ObjSpec] = 103;
   _jumpMap[792][Constant] = 102;
   _jumpMap[792][SignedFloat] = 101;
   _jumpMap[792][SignedInt] = 100;
   _jumpMap[792][Attribute] = 99;
   _jumpMap[792][QueryPredicate] = 398;
   _jumpMap[792][QueryCondition] = 837;
   _jumpMap[792][Function] = 98;
   _jumpMap[792][CasePrepare] = 97;
   _jumpMap[792][CaseClause] = 96;
   _jumpMap[792][Factor] = 95;
   _jumpMap[792][Term] = 94;
   _jumpMap[792][Expr] = 396;
   _actionMap[793][EXISTS] = ActionEntry(REDUCE, 231);
   _actionMap[793][LB] = ActionEntry(REDUCE, 231);
   _actionMap[793][NOT] = ActionEntry(REDUCE, 231);
   _actionMap[793][VARREF] = ActionEntry(REDUCE, 231);
   _actionMap[793][FETCH] = ActionEntry(REDUCE, 231);
   _actionMap[793][COUNT] = ActionEntry(REDUCE, 231);
   _actionMap[793][SUM] = ActionEntry(REDUCE, 231);
   _actionMap[793][AVG] = ActionEntry(REDUCE, 231);
   _actionMap[793][MIN] = ActionEntry(REDUCE, 231);
   _actionMap[793][MAX] = ActionEntry(REDUCE, 231);
   _actionMap[793][CASE] = ActionEntry(REDUCE, 231);
   _actionMap[793][INT2ASC] = ActionEntry(REDUCE, 231);
   _actionMap[793][ASC2INT] = ActionEntry(REDUCE, 231);
   _actionMap[793][TRIM] = ActionEntry(REDUCE, 231);
   _actionMap[793][RTRIM] = ActionEntry(REDUCE, 231);
   _actionMap[793][LTRIM] = ActionEntry(REDUCE, 231);
   _actionMap[793][ROUND] = ActionEntry(REDUCE, 231);
   _actionMap[793][DATE2STR] = ActionEntry(REDUCE, 231);
   _actionMap[793][DATE2INT] = ActionEntry(REDUCE, 231);
   _actionMap[793][INT2DATE] = ActionEntry(REDUCE, 231);
   _actionMap[793][NEWDATE] = ActionEntry(REDUCE, 231);
   _actionMap[793][LOWER] = ActionEntry(REDUCE, 231);
   _actionMap[793][UPPER] = ActionEntry(REDUCE, 231);
   _actionMap[793][LEFT] = ActionEntry(REDUCE, 231);
   _actionMap[793][RIGHT] = ActionEntry(REDUCE, 231);
   _actionMap[793][GETPOS] = ActionEntry(REDUCE, 231);
   _actionMap[793][SUBSTR] = ActionEntry(REDUCE, 231);
   _actionMap[793][REPLACE] = ActionEntry(REDUCE, 231);
   _actionMap[793][LENGTH] = ActionEntry(REDUCE, 231);
   _actionMap[793][TRUNC] = ActionEntry(REDUCE, 231);
   _actionMap[793][STR2INT] = ActionEntry(REDUCE, 231);
   _actionMap[793][STR2LONG] = ActionEntry(REDUCE, 231);
   _actionMap[793][STR2DATE] = ActionEntry(REDUCE, 231);
}
void Cego::loadParser40()
{
   _actionMap[793][RANDSTR] = ActionEntry(REDUCE, 231);
   _actionMap[793][RANDINT] = ActionEntry(REDUCE, 231);
   _actionMap[793][MOD] = ActionEntry(REDUCE, 231);
   _actionMap[793][DIV] = ActionEntry(REDUCE, 231);
   _actionMap[793][LMOD] = ActionEntry(REDUCE, 231);
   _actionMap[793][LDIV] = ActionEntry(REDUCE, 231);
   _actionMap[793][POWER] = ActionEntry(REDUCE, 231);
   _actionMap[793][BITAND] = ActionEntry(REDUCE, 231);
   _actionMap[793][BITOR] = ActionEntry(REDUCE, 231);
   _actionMap[793][BITXOR] = ActionEntry(REDUCE, 231);
   _actionMap[793][BLOBSIZE] = ActionEntry(REDUCE, 231);
   _actionMap[793][CLOBSIZE] = ActionEntry(REDUCE, 231);
   _actionMap[793][CLOB2STR] = ActionEntry(REDUCE, 231);
   _actionMap[793][NEXTCOUNT] = ActionEntry(REDUCE, 231);
   _actionMap[793][SETCOUNT] = ActionEntry(REDUCE, 231);
   _actionMap[793][IDENTIFIER] = ActionEntry(REDUCE, 231);
   _actionMap[793][QUALIFIEDOBJ] = ActionEntry(REDUCE, 231);
   _actionMap[793][QUALIFIEDTS] = ActionEntry(REDUCE, 231);
   _actionMap[793][QUALIFIEDPRE] = ActionEntry(REDUCE, 231);
   _actionMap[793][STRINGVAL] = ActionEntry(REDUCE, 231);
   _actionMap[793][DATE] = ActionEntry(REDUCE, 231);
   _actionMap[793][SYSDATE] = ActionEntry(REDUCE, 231);
   _actionMap[793][NULLTOKEN] = ActionEntry(REDUCE, 231);
   _actionMap[793][TRUEVAL] = ActionEntry(REDUCE, 231);
   _actionMap[793][FALSEVAL] = ActionEntry(REDUCE, 231);
   _actionMap[793][BLOB] = ActionEntry(REDUCE, 231);
   _actionMap[793][CLOB] = ActionEntry(REDUCE, 231);
   _actionMap[793][FLOATVAL] = ActionEntry(REDUCE, 231);
   _actionMap[793][MINUS] = ActionEntry(REDUCE, 231);
   _actionMap[793][INTVAL] = ActionEntry(REDUCE, 231);
   _actionMap[794][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[794][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[794][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[794][ObjSpec] = 473;
   _jumpMap[794][Table] = 838;
   _actionMap[795][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[795][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[795][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[795][ObjSpec] = 473;
   _jumpMap[795][Table] = 839;
   _actionMap[796][KSEP] = ActionEntry(SHIFT, 840);
   _actionMap[796][SEMICOLON] = ActionEntry(REDUCE, 262);
   _actionMap[797][SEMICOLON] = ActionEntry(REDUCE, 265);
   _actionMap[797][KSEP] = ActionEntry(REDUCE, 265);
   _actionMap[798][EQU] = ActionEntry(SHIFT, 841);
   _actionMap[636][SEMICOLON] = ActionEntry(REDUCE, 271);
   _actionMap[637][COLUMN] = ActionEntry(SHIFT, 488);
   _actionMap[638][ON] = ActionEntry(SHIFT, 737);
   _actionMap[639][SEMICOLON] = ActionEntry(REDUCE, 274);
   _actionMap[639][KSEP] = ActionEntry(REDUCE, 274);
}
void Cego::loadParser41()
{
   _actionMap[640][IDENTIFIER] = ActionEntry(SHIFT, 738);
   _actionMap[641][SEMICOLON] = ActionEntry(REDUCE, 273);
   _actionMap[641][KSEP] = ActionEntry(REDUCE, 273);
   _actionMap[642][SEMICOLON] = ActionEntry(REDUCE, 275);
   _actionMap[642][KSEP] = ActionEntry(REDUCE, 275);
   _actionMap[643][DEFAULT] = ActionEntry(SHIFT, 739);
   _actionMap[643][INT] = ActionEntry(SHIFT, 676);
   _actionMap[643][LONG] = ActionEntry(SHIFT, 677);
   _actionMap[643][STRING] = ActionEntry(SHIFT, 679);
   _actionMap[643][DATETIME] = ActionEntry(SHIFT, 671);
   _actionMap[643][BOOL] = ActionEntry(SHIFT, 669);
   _actionMap[643][BIGINT] = ActionEntry(SHIFT, 667);
   _actionMap[643][FLOAT] = ActionEntry(SHIFT, 675);
   _actionMap[643][DOUBLE] = ActionEntry(SHIFT, 673);
   _actionMap[643][SMALLINT] = ActionEntry(SHIFT, 678);
   _actionMap[643][TINYINT] = ActionEntry(SHIFT, 680);
   _actionMap[643][DECIMAL] = ActionEntry(SHIFT, 672);
   _actionMap[643][FIXED] = ActionEntry(SHIFT, 674);
   _actionMap[643][BLOB] = ActionEntry(SHIFT, 668);
   _actionMap[643][CLOB] = ActionEntry(SHIFT, 670);
   _jumpMap[643][DataTypeProd] = 693;
   _actionMap[644][TO] = ActionEntry(SHIFT, 740);
   _actionMap[645][IDENTIFIER] = ActionEntry(SHIFT, 741);
   _actionMap[646][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[646][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[646][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[646][KSEP] = ActionEntry(REDUCE, 123);
   _actionMap[646][RB] = ActionEntry(REDUCE, 123);
   _actionMap[647][ELSE] = ActionEntry(REDUCE, 118);
   _actionMap[647][ELSIF] = ActionEntry(REDUCE, 118);
   _actionMap[647][EXCEPTION] = ActionEntry(REDUCE, 118);
   _actionMap[647][END_TOKEN] = ActionEntry(REDUCE, 118);
   _actionMap[648][WHEN] = ActionEntry(SHIFT, 742);
   _actionMap[649][EXCEPTION] = ActionEntry(REDUCE, 96);
   _actionMap[649][END_TOKEN] = ActionEntry(REDUCE, 96);
   _actionMap[649][ELSE] = ActionEntry(REDUCE, 96);
   _actionMap[649][ELSIF] = ActionEntry(REDUCE, 96);
   _actionMap[649][VAR] = ActionEntry(REDUCE, 96);
   _actionMap[649][CURSOR] = ActionEntry(REDUCE, 96);
   _actionMap[649][CLOSE] = ActionEntry(REDUCE, 96);
   _actionMap[649][VARREF] = ActionEntry(REDUCE, 96);
   _actionMap[649][NOOP] = ActionEntry(REDUCE, 96);
   _actionMap[649][THROW] = ActionEntry(REDUCE, 96);
   _actionMap[649][RETURNTOKEN] = ActionEntry(REDUCE, 96);
   _actionMap[649][WHILE] = ActionEntry(REDUCE, 96);
   _actionMap[649][IF] = ActionEntry(REDUCE, 96);
   _actionMap[649][BEGIN] = ActionEntry(REDUCE, 96);
   _actionMap[649][ROLLBACK] = ActionEntry(REDUCE, 96);
   _actionMap[649][COMMIT] = ActionEntry(REDUCE, 96);
   _actionMap[649][START_TOKEN] = ActionEntry(REDUCE, 96);
}
void Cego::loadParser42()
{
   _actionMap[649][UPDATE] = ActionEntry(REDUCE, 96);
   _actionMap[649][DELETETOK] = ActionEntry(REDUCE, 96);
   _actionMap[649][INSERT] = ActionEntry(REDUCE, 96);
   _actionMap[649][FETCH] = ActionEntry(REDUCE, 96);
   _actionMap[649][LB] = ActionEntry(REDUCE, 96);
   _actionMap[649][COUNT] = ActionEntry(REDUCE, 96);
   _actionMap[649][SUM] = ActionEntry(REDUCE, 96);
   _actionMap[649][AVG] = ActionEntry(REDUCE, 96);
   _actionMap[649][MIN] = ActionEntry(REDUCE, 96);
   _actionMap[649][MAX] = ActionEntry(REDUCE, 96);
   _actionMap[649][CASE] = ActionEntry(REDUCE, 96);
   _actionMap[649][INT2ASC] = ActionEntry(REDUCE, 96);
   _actionMap[649][ASC2INT] = ActionEntry(REDUCE, 96);
   _actionMap[649][TRIM] = ActionEntry(REDUCE, 96);
   _actionMap[649][RTRIM] = ActionEntry(REDUCE, 96);
   _actionMap[649][LTRIM] = ActionEntry(REDUCE, 96);
   _actionMap[649][ROUND] = ActionEntry(REDUCE, 96);
   _actionMap[649][DATE2STR] = ActionEntry(REDUCE, 96);
   _actionMap[649][DATE2INT] = ActionEntry(REDUCE, 96);
   _actionMap[649][INT2DATE] = ActionEntry(REDUCE, 96);
   _actionMap[649][NEWDATE] = ActionEntry(REDUCE, 96);
   _actionMap[649][LOWER] = ActionEntry(REDUCE, 96);
   _actionMap[649][UPPER] = ActionEntry(REDUCE, 96);
   _actionMap[649][LEFT] = ActionEntry(REDUCE, 96);
   _actionMap[649][RIGHT] = ActionEntry(REDUCE, 96);
   _actionMap[649][GETPOS] = ActionEntry(REDUCE, 96);
   _actionMap[649][SUBSTR] = ActionEntry(REDUCE, 96);
   _actionMap[649][REPLACE] = ActionEntry(REDUCE, 96);
   _actionMap[649][LENGTH] = ActionEntry(REDUCE, 96);
   _actionMap[649][TRUNC] = ActionEntry(REDUCE, 96);
   _actionMap[649][STR2INT] = ActionEntry(REDUCE, 96);
   _actionMap[649][STR2LONG] = ActionEntry(REDUCE, 96);
   _actionMap[649][STR2DATE] = ActionEntry(REDUCE, 96);
   _actionMap[649][RANDSTR] = ActionEntry(REDUCE, 96);
   _actionMap[649][RANDINT] = ActionEntry(REDUCE, 96);
   _actionMap[649][MOD] = ActionEntry(REDUCE, 96);
   _actionMap[649][DIV] = ActionEntry(REDUCE, 96);
   _actionMap[649][LMOD] = ActionEntry(REDUCE, 96);
   _actionMap[649][LDIV] = ActionEntry(REDUCE, 96);
   _actionMap[649][POWER] = ActionEntry(REDUCE, 96);
   _actionMap[649][BITAND] = ActionEntry(REDUCE, 96);
   _actionMap[649][BITOR] = ActionEntry(REDUCE, 96);
   _actionMap[649][BITXOR] = ActionEntry(REDUCE, 96);
   _actionMap[649][BLOBSIZE] = ActionEntry(REDUCE, 96);
   _actionMap[649][CLOBSIZE] = ActionEntry(REDUCE, 96);
   _actionMap[649][CLOB2STR] = ActionEntry(REDUCE, 96);
   _actionMap[649][NEXTCOUNT] = ActionEntry(REDUCE, 96);
   _actionMap[649][SETCOUNT] = ActionEntry(REDUCE, 96);
   _actionMap[649][IDENTIFIER] = ActionEntry(REDUCE, 96);
   _actionMap[649][QUALIFIEDOBJ] = ActionEntry(REDUCE, 96);
}
void Cego::loadParser43()
{
   _actionMap[649][QUALIFIEDTS] = ActionEntry(REDUCE, 96);
   _actionMap[649][QUALIFIEDPRE] = ActionEntry(REDUCE, 96);
   _actionMap[649][STRINGVAL] = ActionEntry(REDUCE, 96);
   _actionMap[649][DATE] = ActionEntry(REDUCE, 96);
   _actionMap[649][SYSDATE] = ActionEntry(REDUCE, 96);
   _actionMap[649][NULLTOKEN] = ActionEntry(REDUCE, 96);
   _actionMap[649][TRUEVAL] = ActionEntry(REDUCE, 96);
   _actionMap[649][FALSEVAL] = ActionEntry(REDUCE, 96);
   _actionMap[649][BLOB] = ActionEntry(REDUCE, 96);
   _actionMap[649][CLOB] = ActionEntry(REDUCE, 96);
   _actionMap[649][FLOATVAL] = ActionEntry(REDUCE, 96);
   _actionMap[649][MINUS] = ActionEntry(REDUCE, 96);
   _actionMap[649][INTVAL] = ActionEntry(REDUCE, 96);
   _actionMap[650][SEMICOLON] = ActionEntry(REDUCE, 116);
   _actionMap[651][END_TOKEN] = ActionEntry(SHIFT, 654);
   _actionMap[652][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[652][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[652][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[652][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[652][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[652][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[652][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[652][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[652][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[652][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[652][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[652][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[652][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[652][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[652][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[652][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[652][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[652][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[652][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[652][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[652][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[652][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[652][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[652][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[652][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[652][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[652][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[652][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[652][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[652][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[652][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[652][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[652][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[652][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[652][BITXOR] = ActionEntry(SHIFT, 109);
}
void Cego::loadParser44()
{
   _actionMap[652][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[652][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[652][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[652][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[652][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[652][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[652][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[652][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[652][LB] = ActionEntry(SHIFT, 156);
   _actionMap[652][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[652][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[652][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[652][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[652][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[652][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[652][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[652][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[652][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[652][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[652][VARREF] = ActionEntry(SHIFT, 371);
   _actionMap[652][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[652][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[652][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[652][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[652][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[652][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[652][IF] = ActionEntry(SHIFT, 365);
   _actionMap[652][BEGIN] = ActionEntry(SHIFT, 362);
   _actionMap[652][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[652][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[652][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[652][UPDATE] = ActionEntry(SHIFT, 37);
   _actionMap[652][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[652][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[652][VAR] = ActionEntry(SHIFT, 369);
   _actionMap[652][CURSOR] = ActionEntry(SHIFT, 364);
   _actionMap[652][CLOSE] = ActionEntry(SHIFT, 363);
   _actionMap[652][NOOP] = ActionEntry(SHIFT, 366);
   _actionMap[652][THROW] = ActionEntry(SHIFT, 368);
   _actionMap[652][RETURNTOKEN] = ActionEntry(SHIFT, 367);
   _actionMap[652][WHILE] = ActionEntry(SHIFT, 370);
   _jumpMap[652][ObjSpec] = 103;
   _jumpMap[652][Constant] = 102;
   _jumpMap[652][SignedFloat] = 101;
   _jumpMap[652][SignedInt] = 100;
   _jumpMap[652][Attribute] = 99;
   _jumpMap[652][Function] = 98;
   _jumpMap[652][DeleteStatement] = 361;
   _jumpMap[652][UpdateStatement] = 360;
   _jumpMap[652][InsertStatement] = 359;
}
void Cego::loadParser45()
{
   _jumpMap[652][RollbackStatement] = 358;
   _jumpMap[652][CommitStatement] = 357;
   _jumpMap[652][StartStatement] = 356;
   _jumpMap[652][CasePrepare] = 97;
   _jumpMap[652][CaseClause] = 96;
   _jumpMap[652][Factor] = 95;
   _jumpMap[652][Term] = 94;
   _jumpMap[652][Expr] = 355;
   _jumpMap[652][ProcStatement] = 354;
   _jumpMap[652][ProcIfPart] = 353;
   _jumpMap[652][ProcBlockStart] = 352;
   _jumpMap[652][ProcStatementList] = 351;
   _jumpMap[652][ProcStmtBlock] = 743;
   _actionMap[653][VAR] = ActionEntry(REDUCE, 133);
   _actionMap[653][CURSOR] = ActionEntry(REDUCE, 133);
   _actionMap[653][CLOSE] = ActionEntry(REDUCE, 133);
   _actionMap[653][VARREF] = ActionEntry(REDUCE, 133);
   _actionMap[653][NOOP] = ActionEntry(REDUCE, 133);
   _actionMap[653][THROW] = ActionEntry(REDUCE, 133);
   _actionMap[653][RETURNTOKEN] = ActionEntry(REDUCE, 133);
   _actionMap[653][WHILE] = ActionEntry(REDUCE, 133);
   _actionMap[653][IF] = ActionEntry(REDUCE, 133);
   _actionMap[653][BEGIN] = ActionEntry(REDUCE, 133);
   _actionMap[653][ROLLBACK] = ActionEntry(REDUCE, 133);
   _actionMap[653][COMMIT] = ActionEntry(REDUCE, 133);
   _actionMap[653][START_TOKEN] = ActionEntry(REDUCE, 133);
   _actionMap[653][UPDATE] = ActionEntry(REDUCE, 133);
   _actionMap[653][DELETETOK] = ActionEntry(REDUCE, 133);
   _actionMap[653][INSERT] = ActionEntry(REDUCE, 133);
   _actionMap[653][FETCH] = ActionEntry(REDUCE, 133);
   _actionMap[653][LB] = ActionEntry(REDUCE, 133);
   _actionMap[653][COUNT] = ActionEntry(REDUCE, 133);
   _actionMap[653][SUM] = ActionEntry(REDUCE, 133);
   _actionMap[653][AVG] = ActionEntry(REDUCE, 133);
   _actionMap[653][MIN] = ActionEntry(REDUCE, 133);
   _actionMap[653][MAX] = ActionEntry(REDUCE, 133);
   _actionMap[653][CASE] = ActionEntry(REDUCE, 133);
   _actionMap[653][INT2ASC] = ActionEntry(REDUCE, 133);
   _actionMap[653][ASC2INT] = ActionEntry(REDUCE, 133);
   _actionMap[653][TRIM] = ActionEntry(REDUCE, 133);
   _actionMap[653][RTRIM] = ActionEntry(REDUCE, 133);
   _actionMap[653][LTRIM] = ActionEntry(REDUCE, 133);
   _actionMap[653][ROUND] = ActionEntry(REDUCE, 133);
   _actionMap[653][DATE2STR] = ActionEntry(REDUCE, 133);
   _actionMap[653][DATE2INT] = ActionEntry(REDUCE, 133);
   _actionMap[653][INT2DATE] = ActionEntry(REDUCE, 133);
   _actionMap[653][NEWDATE] = ActionEntry(REDUCE, 133);
   _actionMap[653][LOWER] = ActionEntry(REDUCE, 133);
   _actionMap[653][UPPER] = ActionEntry(REDUCE, 133);
   _actionMap[653][LEFT] = ActionEntry(REDUCE, 133);
}
void Cego::loadParser46()
{
   _actionMap[653][RIGHT] = ActionEntry(REDUCE, 133);
   _actionMap[653][GETPOS] = ActionEntry(REDUCE, 133);
   _actionMap[653][SUBSTR] = ActionEntry(REDUCE, 133);
   _actionMap[653][REPLACE] = ActionEntry(REDUCE, 133);
   _actionMap[653][LENGTH] = ActionEntry(REDUCE, 133);
   _actionMap[653][TRUNC] = ActionEntry(REDUCE, 133);
   _actionMap[653][STR2INT] = ActionEntry(REDUCE, 133);
   _actionMap[653][STR2LONG] = ActionEntry(REDUCE, 133);
   _actionMap[653][STR2DATE] = ActionEntry(REDUCE, 133);
   _actionMap[653][RANDSTR] = ActionEntry(REDUCE, 133);
   _actionMap[653][RANDINT] = ActionEntry(REDUCE, 133);
   _actionMap[653][MOD] = ActionEntry(REDUCE, 133);
   _actionMap[653][DIV] = ActionEntry(REDUCE, 133);
   _actionMap[653][LMOD] = ActionEntry(REDUCE, 133);
   _actionMap[653][LDIV] = ActionEntry(REDUCE, 133);
   _actionMap[653][POWER] = ActionEntry(REDUCE, 133);
   _actionMap[653][BITAND] = ActionEntry(REDUCE, 133);
   _actionMap[653][BITOR] = ActionEntry(REDUCE, 133);
   _actionMap[653][BITXOR] = ActionEntry(REDUCE, 133);
   _actionMap[653][BLOBSIZE] = ActionEntry(REDUCE, 133);
   _actionMap[653][CLOBSIZE] = ActionEntry(REDUCE, 133);
   _actionMap[653][CLOB2STR] = ActionEntry(REDUCE, 133);
   _actionMap[653][NEXTCOUNT] = ActionEntry(REDUCE, 133);
   _actionMap[653][SETCOUNT] = ActionEntry(REDUCE, 133);
   _actionMap[653][IDENTIFIER] = ActionEntry(REDUCE, 133);
   _actionMap[653][QUALIFIEDOBJ] = ActionEntry(REDUCE, 133);
   _actionMap[653][QUALIFIEDTS] = ActionEntry(REDUCE, 133);
   _actionMap[653][QUALIFIEDPRE] = ActionEntry(REDUCE, 133);
   _actionMap[653][STRINGVAL] = ActionEntry(REDUCE, 133);
   _actionMap[653][DATE] = ActionEntry(REDUCE, 133);
   _actionMap[653][SYSDATE] = ActionEntry(REDUCE, 133);
   _actionMap[653][NULLTOKEN] = ActionEntry(REDUCE, 133);
   _actionMap[653][TRUEVAL] = ActionEntry(REDUCE, 133);
   _actionMap[653][FALSEVAL] = ActionEntry(REDUCE, 133);
   _actionMap[653][BLOB] = ActionEntry(REDUCE, 133);
   _actionMap[653][CLOB] = ActionEntry(REDUCE, 133);
   _actionMap[653][FLOATVAL] = ActionEntry(REDUCE, 133);
   _actionMap[653][MINUS] = ActionEntry(REDUCE, 133);
   _actionMap[653][INTVAL] = ActionEntry(REDUCE, 133);
   _actionMap[654][SEMICOLON] = ActionEntry(REDUCE, 126);
   _actionMap[655][END_TOKEN] = ActionEntry(REDUCE, 128);
   _actionMap[655][ELSE] = ActionEntry(REDUCE, 128);
   _actionMap[656][THEN] = ActionEntry(SHIFT, 744);
   _actionMap[657][OR] = ActionEntry(SHIFT, 661);
   _actionMap[657][AND] = ActionEntry(SHIFT, 660);
   _actionMap[657][THEN] = ActionEntry(REDUCE, 135);
   _actionMap[658][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[658][SelectStatement] = 745;
   _actionMap[659][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[659][MINUS] = ActionEntry(SHIFT, 157);
}
void Cego::loadParser47()
{
   _actionMap[659][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[659][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[659][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[659][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[659][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[659][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[659][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[659][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[659][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[659][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[659][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[659][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[659][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[659][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[659][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[659][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[659][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[659][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[659][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[659][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[659][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[659][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[659][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[659][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[659][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[659][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[659][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[659][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[659][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[659][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[659][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[659][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[659][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[659][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[659][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[659][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[659][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[659][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[659][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[659][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[659][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[659][LB] = ActionEntry(SHIFT, 156);
   _actionMap[659][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[659][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[659][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[659][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[659][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[659][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[659][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[659][CLOB] = ActionEntry(SHIFT, 113);
}
void Cego::loadParser48()
{
   _actionMap[659][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[659][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[659][VARREF] = ActionEntry(SHIFT, 371);
   _actionMap[659][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[659][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[659][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[659][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[659][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[659][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[659][IF] = ActionEntry(SHIFT, 365);
   _actionMap[659][BEGIN] = ActionEntry(SHIFT, 362);
   _actionMap[659][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[659][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[659][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[659][UPDATE] = ActionEntry(SHIFT, 37);
   _actionMap[659][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[659][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[659][VAR] = ActionEntry(SHIFT, 369);
   _actionMap[659][CURSOR] = ActionEntry(SHIFT, 364);
   _actionMap[659][CLOSE] = ActionEntry(SHIFT, 363);
   _actionMap[659][NOOP] = ActionEntry(SHIFT, 366);
   _actionMap[659][THROW] = ActionEntry(SHIFT, 368);
   _actionMap[659][RETURNTOKEN] = ActionEntry(SHIFT, 367);
   _actionMap[659][WHILE] = ActionEntry(SHIFT, 370);
   _jumpMap[659][ObjSpec] = 103;
   _jumpMap[659][Constant] = 102;
   _jumpMap[659][SignedFloat] = 101;
   _jumpMap[659][SignedInt] = 100;
   _jumpMap[659][Attribute] = 99;
   _jumpMap[659][Function] = 98;
   _jumpMap[659][DeleteStatement] = 361;
   _jumpMap[659][UpdateStatement] = 360;
   _jumpMap[659][InsertStatement] = 359;
   _jumpMap[659][RollbackStatement] = 358;
   _jumpMap[659][CommitStatement] = 357;
   _jumpMap[659][StartStatement] = 356;
   _jumpMap[659][CasePrepare] = 97;
   _jumpMap[659][CaseClause] = 96;
   _jumpMap[659][Factor] = 95;
   _jumpMap[659][Term] = 94;
   _jumpMap[659][Expr] = 355;
   _jumpMap[659][ProcStatement] = 354;
   _jumpMap[659][ProcIfPart] = 353;
   _jumpMap[659][ProcBlockStart] = 352;
   _jumpMap[659][ProcStatementList] = 351;
   _jumpMap[659][ProcStmtBlock] = 746;
   _actionMap[660][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[660][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[660][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[660][INT2ASC] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser49()
{
   _actionMap[660][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[660][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[660][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[660][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[660][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[660][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[660][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[660][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[660][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[660][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[660][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[660][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[660][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[660][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[660][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[660][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[660][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[660][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[660][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[660][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[660][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[660][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[660][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[660][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[660][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[660][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[660][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[660][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[660][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[660][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[660][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[660][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[660][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[660][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[660][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[660][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[660][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[660][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[660][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[660][LB] = ActionEntry(SHIFT, 509);
   _actionMap[660][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[660][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[660][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[660][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[660][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[660][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[660][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[660][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[660][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[660][CASE] = ActionEntry(SHIFT, 112);
}
void Cego::loadParser50()
{
   _actionMap[660][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[660][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[660][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[660][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[660][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[660][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[660][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[660][ObjSpec] = 103;
   _jumpMap[660][Constant] = 102;
   _jumpMap[660][SignedFloat] = 101;
   _jumpMap[660][SignedInt] = 100;
   _jumpMap[660][Attribute] = 99;
   _jumpMap[660][Function] = 98;
   _jumpMap[660][CasePrepare] = 97;
   _jumpMap[660][CaseClause] = 96;
   _jumpMap[660][Factor] = 95;
   _jumpMap[660][Term] = 94;
   _jumpMap[660][Expr] = 508;
   _jumpMap[660][ProcPredicate] = 747;
   _actionMap[661][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[661][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[661][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[661][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[661][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[661][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[661][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[661][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[661][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[661][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[661][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[661][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[661][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[661][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[661][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[661][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[661][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[661][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[661][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[661][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[661][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[661][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[661][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[661][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[661][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[661][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[661][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[661][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[661][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[661][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[661][LDIV] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser51()
{
   _actionMap[661][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[661][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[661][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[661][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[661][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[661][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[661][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[661][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[661][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[661][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[661][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[661][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[661][LB] = ActionEntry(SHIFT, 509);
   _actionMap[661][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[661][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[661][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[661][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[661][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[661][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[661][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[661][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[661][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[661][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[661][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[661][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[661][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[661][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[661][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[661][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[661][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[661][ObjSpec] = 103;
   _jumpMap[661][Constant] = 102;
   _jumpMap[661][SignedFloat] = 101;
   _jumpMap[661][SignedInt] = 100;
   _jumpMap[661][Attribute] = 99;
   _jumpMap[661][Function] = 98;
   _jumpMap[661][CasePrepare] = 97;
   _jumpMap[661][CaseClause] = 96;
   _jumpMap[661][Factor] = 95;
   _jumpMap[661][Term] = 94;
   _jumpMap[661][Expr] = 508;
   _jumpMap[661][ProcPredicate] = 748;
   _actionMap[662][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[662][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[662][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[662][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[662][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[662][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[662][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[662][LTRIM] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser52()
{
   _actionMap[662][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[662][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[662][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[662][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[662][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[662][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[662][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[662][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[662][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[662][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[662][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[662][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[662][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[662][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[662][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[662][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[662][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[662][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[662][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[662][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[662][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[662][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[662][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[662][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[662][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[662][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[662][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[662][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[662][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[662][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[662][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[662][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[662][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[662][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[662][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[662][LB] = ActionEntry(SHIFT, 156);
   _actionMap[662][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[662][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[662][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[662][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[662][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[662][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[662][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[662][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[662][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[662][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[662][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[662][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[662][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[662][SUM] = ActionEntry(SHIFT, 147);
}
void Cego::loadParser53()
{
   _actionMap[662][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[662][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[662][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[662][ObjSpec] = 103;
   _jumpMap[662][Constant] = 102;
   _jumpMap[662][SignedFloat] = 101;
   _jumpMap[662][SignedInt] = 100;
   _jumpMap[662][Attribute] = 99;
   _jumpMap[662][Function] = 98;
   _jumpMap[662][CasePrepare] = 97;
   _jumpMap[662][CaseClause] = 96;
   _jumpMap[662][Factor] = 95;
   _jumpMap[662][Term] = 94;
   _jumpMap[662][Expr] = 749;
   _actionMap[663][NOT] = ActionEntry(SHIFT, 750);
   _actionMap[663][NULLTOKEN] = ActionEntry(SHIFT, 751);
   _actionMap[664][RB] = ActionEntry(SHIFT, 752);
   _actionMap[664][OR] = ActionEntry(SHIFT, 661);
   _actionMap[664][AND] = ActionEntry(SHIFT, 660);
   _actionMap[665][RB] = ActionEntry(SHIFT, 453);
   _actionMap[665][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[665][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[665][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[665][IS] = ActionEntry(SHIFT, 663);
   _actionMap[665][EQU] = ActionEntry(SHIFT, 543);
   _actionMap[665][NEGATION] = ActionEntry(SHIFT, 546);
   _actionMap[665][LT] = ActionEntry(SHIFT, 544);
   _actionMap[665][MT] = ActionEntry(SHIFT, 545);
   _jumpMap[665][Comparison] = 662;
   _actionMap[666][SEMICOLON] = ActionEntry(REDUCE, 106);
   _actionMap[666][EQU] = ActionEntry(SHIFT, 755);
   _jumpMap[666][ProcNoAssignment] = 754;
   _jumpMap[666][ProcInitialAssignment] = 753;
   _actionMap[667][LB] = ActionEntry(SHIFT, 756);
   _actionMap[668][BEGIN] = ActionEntry(REDUCE, 357);
   _actionMap[668][EQU] = ActionEntry(REDUCE, 357);
   _actionMap[668][DEFAULT] = ActionEntry(REDUCE, 357);
   _actionMap[668][NULLTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[668][NOT] = ActionEntry(REDUCE, 357);
   _actionMap[668][KSEP] = ActionEntry(REDUCE, 357);
   _actionMap[668][SEMICOLON] = ActionEntry(REDUCE, 357);
   _actionMap[668][RB] = ActionEntry(REDUCE, 357);
   _actionMap[669][BEGIN] = ActionEntry(REDUCE, 349);
   _actionMap[669][EQU] = ActionEntry(REDUCE, 349);
   _actionMap[669][DEFAULT] = ActionEntry(REDUCE, 349);
   _actionMap[669][NULLTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[669][NOT] = ActionEntry(REDUCE, 349);
   _actionMap[669][KSEP] = ActionEntry(REDUCE, 349);
   _actionMap[669][SEMICOLON] = ActionEntry(REDUCE, 349);
   _actionMap[669][RB] = ActionEntry(REDUCE, 349);
}
void Cego::loadParser54()
{
   _actionMap[670][BEGIN] = ActionEntry(REDUCE, 358);
   _actionMap[670][EQU] = ActionEntry(REDUCE, 358);
   _actionMap[670][DEFAULT] = ActionEntry(REDUCE, 358);
   _actionMap[670][NULLTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[670][NOT] = ActionEntry(REDUCE, 358);
   _actionMap[670][KSEP] = ActionEntry(REDUCE, 358);
   _actionMap[670][SEMICOLON] = ActionEntry(REDUCE, 358);
   _actionMap[670][RB] = ActionEntry(REDUCE, 358);
   _actionMap[671][BEGIN] = ActionEntry(REDUCE, 348);
   _actionMap[671][EQU] = ActionEntry(REDUCE, 348);
   _actionMap[671][DEFAULT] = ActionEntry(REDUCE, 348);
   _actionMap[671][NULLTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[671][NOT] = ActionEntry(REDUCE, 348);
   _actionMap[671][KSEP] = ActionEntry(REDUCE, 348);
   _actionMap[671][SEMICOLON] = ActionEntry(REDUCE, 348);
   _actionMap[671][RB] = ActionEntry(REDUCE, 348);
   _actionMap[672][LB] = ActionEntry(SHIFT, 757);
   _actionMap[673][BEGIN] = ActionEntry(REDUCE, 352);
   _actionMap[673][EQU] = ActionEntry(REDUCE, 352);
   _actionMap[673][DEFAULT] = ActionEntry(REDUCE, 352);
   _actionMap[673][NULLTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[673][NOT] = ActionEntry(REDUCE, 352);
   _actionMap[673][KSEP] = ActionEntry(REDUCE, 352);
   _actionMap[673][SEMICOLON] = ActionEntry(REDUCE, 352);
   _actionMap[673][RB] = ActionEntry(REDUCE, 352);
   _actionMap[674][LB] = ActionEntry(SHIFT, 758);
   _actionMap[675][BEGIN] = ActionEntry(REDUCE, 351);
   _actionMap[675][EQU] = ActionEntry(REDUCE, 351);
   _actionMap[675][DEFAULT] = ActionEntry(REDUCE, 351);
   _actionMap[675][NULLTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[675][NOT] = ActionEntry(REDUCE, 351);
   _actionMap[675][KSEP] = ActionEntry(REDUCE, 351);
   _actionMap[675][SEMICOLON] = ActionEntry(REDUCE, 351);
   _actionMap[675][RB] = ActionEntry(REDUCE, 351);
   _actionMap[676][BEGIN] = ActionEntry(REDUCE, 345);
   _actionMap[676][EQU] = ActionEntry(REDUCE, 345);
   _actionMap[676][DEFAULT] = ActionEntry(REDUCE, 345);
   _actionMap[676][NULLTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[676][NOT] = ActionEntry(REDUCE, 345);
   _actionMap[676][KSEP] = ActionEntry(REDUCE, 345);
   _actionMap[676][SEMICOLON] = ActionEntry(REDUCE, 345);
   _actionMap[676][RB] = ActionEntry(REDUCE, 345);
   _actionMap[677][BEGIN] = ActionEntry(REDUCE, 346);
   _actionMap[677][EQU] = ActionEntry(REDUCE, 346);
   _actionMap[677][DEFAULT] = ActionEntry(REDUCE, 346);
   _actionMap[677][NULLTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[677][NOT] = ActionEntry(REDUCE, 346);
   _actionMap[677][KSEP] = ActionEntry(REDUCE, 346);
   _actionMap[677][SEMICOLON] = ActionEntry(REDUCE, 346);
   _actionMap[677][RB] = ActionEntry(REDUCE, 346);
}
void Cego::loadParser55()
{
   _actionMap[678][BEGIN] = ActionEntry(REDUCE, 353);
   _actionMap[678][EQU] = ActionEntry(REDUCE, 353);
   _actionMap[678][DEFAULT] = ActionEntry(REDUCE, 353);
   _actionMap[678][NULLTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[678][NOT] = ActionEntry(REDUCE, 353);
   _actionMap[678][KSEP] = ActionEntry(REDUCE, 353);
   _actionMap[678][SEMICOLON] = ActionEntry(REDUCE, 353);
   _actionMap[678][RB] = ActionEntry(REDUCE, 353);
   _actionMap[679][LB] = ActionEntry(SHIFT, 759);
   _actionMap[680][BEGIN] = ActionEntry(REDUCE, 354);
   _actionMap[680][EQU] = ActionEntry(REDUCE, 354);
   _actionMap[680][DEFAULT] = ActionEntry(REDUCE, 354);
   _actionMap[680][NULLTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[680][NOT] = ActionEntry(REDUCE, 354);
   _actionMap[680][KSEP] = ActionEntry(REDUCE, 354);
   _actionMap[680][SEMICOLON] = ActionEntry(REDUCE, 354);
   _actionMap[680][RB] = ActionEntry(REDUCE, 354);
   _actionMap[681][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[681][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[681][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[681][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[681][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[681][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[681][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[681][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[681][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[681][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[681][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[681][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[681][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[681][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[681][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[681][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[681][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[681][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[681][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[681][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[681][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[681][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[681][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[681][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[681][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[681][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[681][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[681][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[681][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[681][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[681][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[681][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[681][BITAND] = ActionEntry(SHIFT, 107);
}
void Cego::loadParser56()
{
   _actionMap[681][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[681][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[681][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[681][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[681][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[681][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[681][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[681][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[681][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[681][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[681][LB] = ActionEntry(SHIFT, 156);
   _actionMap[681][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[681][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[681][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[681][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[681][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[681][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[681][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[681][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[681][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[681][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[681][VARREF] = ActionEntry(SHIFT, 371);
   _actionMap[681][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[681][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[681][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[681][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[681][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[681][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[681][IF] = ActionEntry(SHIFT, 365);
   _actionMap[681][BEGIN] = ActionEntry(SHIFT, 362);
   _actionMap[681][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[681][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[681][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[681][UPDATE] = ActionEntry(SHIFT, 37);
   _actionMap[681][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[681][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[681][VAR] = ActionEntry(SHIFT, 369);
   _actionMap[681][CURSOR] = ActionEntry(SHIFT, 364);
   _actionMap[681][CLOSE] = ActionEntry(SHIFT, 363);
   _actionMap[681][NOOP] = ActionEntry(SHIFT, 366);
   _actionMap[681][THROW] = ActionEntry(SHIFT, 368);
   _actionMap[681][RETURNTOKEN] = ActionEntry(SHIFT, 367);
   _actionMap[681][WHILE] = ActionEntry(SHIFT, 370);
   _jumpMap[681][ObjSpec] = 103;
   _jumpMap[681][Constant] = 102;
   _jumpMap[681][SignedFloat] = 101;
   _jumpMap[681][SignedInt] = 100;
   _jumpMap[681][Attribute] = 99;
   _jumpMap[681][Function] = 98;
   _jumpMap[681][DeleteStatement] = 361;
}
void Cego::loadParser57()
{
   _jumpMap[681][UpdateStatement] = 360;
   _jumpMap[681][InsertStatement] = 359;
   _jumpMap[681][RollbackStatement] = 358;
   _jumpMap[681][CommitStatement] = 357;
   _jumpMap[681][StartStatement] = 356;
   _jumpMap[681][CasePrepare] = 97;
   _jumpMap[681][CaseClause] = 96;
   _jumpMap[681][Factor] = 95;
   _jumpMap[681][Term] = 94;
   _jumpMap[681][Expr] = 355;
   _jumpMap[681][ProcStatement] = 354;
   _jumpMap[681][ProcIfPart] = 353;
   _jumpMap[681][ProcBlockStart] = 352;
   _jumpMap[681][ProcStatementList] = 351;
   _jumpMap[681][ProcStmtBlock] = 760;
   _actionMap[682][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[682][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[682][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[682][SEMICOLON] = ActionEntry(REDUCE, 101);
   _actionMap[683][LB] = ActionEntry(SHIFT, 761);
   _actionMap[684][IDENTIFIER] = ActionEntry(SHIFT, 764);
   _jumpMap[684][SimpleAttr] = 763;
   _jumpMap[684][SimpleAttrList] = 762;
   _actionMap[685][IDENTIFIER] = ActionEntry(SHIFT, 522);
   _jumpMap[685][ProcArg] = 765;
   _actionMap[686][BEGIN] = ActionEntry(REDUCE, 85);
   _actionMap[687][INT] = ActionEntry(SHIFT, 676);
   _actionMap[687][LONG] = ActionEntry(SHIFT, 677);
   _actionMap[687][STRING] = ActionEntry(SHIFT, 679);
   _actionMap[687][DATETIME] = ActionEntry(SHIFT, 671);
   _actionMap[687][BOOL] = ActionEntry(SHIFT, 669);
   _actionMap[687][BIGINT] = ActionEntry(SHIFT, 667);
   _actionMap[687][FLOAT] = ActionEntry(SHIFT, 675);
   _actionMap[687][DOUBLE] = ActionEntry(SHIFT, 673);
   _actionMap[687][SMALLINT] = ActionEntry(SHIFT, 678);
   _actionMap[687][TINYINT] = ActionEntry(SHIFT, 680);
   _actionMap[687][DECIMAL] = ActionEntry(SHIFT, 672);
   _actionMap[687][FIXED] = ActionEntry(SHIFT, 674);
   _actionMap[687][BLOB] = ActionEntry(SHIFT, 668);
   _actionMap[687][CLOB] = ActionEntry(SHIFT, 670);
   _jumpMap[687][DataTypeProd] = 766;
   _actionMap[688][INT] = ActionEntry(SHIFT, 676);
   _actionMap[688][LONG] = ActionEntry(SHIFT, 677);
   _actionMap[688][STRING] = ActionEntry(SHIFT, 679);
   _actionMap[688][DATETIME] = ActionEntry(SHIFT, 671);
   _actionMap[688][BOOL] = ActionEntry(SHIFT, 669);
   _actionMap[688][BIGINT] = ActionEntry(SHIFT, 667);
   _actionMap[688][FLOAT] = ActionEntry(SHIFT, 675);
   _actionMap[688][DOUBLE] = ActionEntry(SHIFT, 673);
   _actionMap[688][SMALLINT] = ActionEntry(SHIFT, 678);
}
void Cego::loadParser58()
{
   _actionMap[688][TINYINT] = ActionEntry(SHIFT, 680);
   _actionMap[688][DECIMAL] = ActionEntry(SHIFT, 672);
   _actionMap[688][FIXED] = ActionEntry(SHIFT, 674);
   _actionMap[688][BLOB] = ActionEntry(SHIFT, 668);
   _actionMap[688][CLOB] = ActionEntry(SHIFT, 670);
   _jumpMap[688][DataTypeProd] = 767;
   _actionMap[689][INT] = ActionEntry(SHIFT, 676);
   _actionMap[689][LONG] = ActionEntry(SHIFT, 677);
   _actionMap[689][STRING] = ActionEntry(SHIFT, 679);
   _actionMap[689][DATETIME] = ActionEntry(SHIFT, 671);
   _actionMap[689][BOOL] = ActionEntry(SHIFT, 669);
   _actionMap[689][BIGINT] = ActionEntry(SHIFT, 667);
   _actionMap[689][FLOAT] = ActionEntry(SHIFT, 675);
   _actionMap[689][DOUBLE] = ActionEntry(SHIFT, 673);
   _actionMap[689][SMALLINT] = ActionEntry(SHIFT, 678);
   _actionMap[689][TINYINT] = ActionEntry(SHIFT, 680);
   _actionMap[689][DECIMAL] = ActionEntry(SHIFT, 672);
   _actionMap[689][FIXED] = ActionEntry(SHIFT, 674);
   _actionMap[689][BLOB] = ActionEntry(SHIFT, 668);
   _actionMap[689][CLOB] = ActionEntry(SHIFT, 670);
   _jumpMap[689][DataTypeProd] = 768;
   _actionMap[690][IDENTIFIER] = ActionEntry(SHIFT, 527);
   _actionMap[690][PRIMARY] = ActionEntry(SHIFT, 526);
   _jumpMap[690][ColumnDesc] = 525;
   _jumpMap[690][KeyColumn] = 769;
   _actionMap[691][SEMICOLON] = ActionEntry(REDUCE, 57);
   _actionMap[692][KSEP] = ActionEntry(REDUCE, 175);
   _actionMap[692][RB] = ActionEntry(REDUCE, 175);
   _actionMap[693][RB] = ActionEntry(REDUCE, 184);
   _actionMap[693][SEMICOLON] = ActionEntry(REDUCE, 184);
   _actionMap[693][KSEP] = ActionEntry(REDUCE, 184);
   _actionMap[693][NOT] = ActionEntry(REDUCE, 184);
   _actionMap[693][NULLTOKEN] = ActionEntry(REDUCE, 184);
   _actionMap[693][DEFAULT] = ActionEntry(SHIFT, 772);
   _jumpMap[693][DefaultDefOpt] = 771;
   _jumpMap[693][DefaultOpt] = 770;
   _actionMap[694][LB] = ActionEntry(SHIFT, 532);
   _jumpMap[694][InsertValueSpec] = 773;
   _actionMap[695][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[695][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[695][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[695][KSEP] = ActionEntry(REDUCE, 208);
   _actionMap[695][RB] = ActionEntry(REDUCE, 208);
   _actionMap[696][RB] = ActionEntry(SHIFT, 775);
   _actionMap[696][KSEP] = ActionEntry(SHIFT, 774);
   _actionMap[697][IDENTIFIER] = ActionEntry(SHIFT, 776);
   _actionMap[698][SELECT] = ActionEntry(REDUCE, 199);
   _actionMap[698][VALUES] = ActionEntry(REDUCE, 199);
   _actionMap[699][WHEN] = ActionEntry(REDUCE, 166);
   _actionMap[699][ELSE] = ActionEntry(REDUCE, 166);
}
void Cego::loadParser59()
{
   _actionMap[699][LEFT] = ActionEntry(REDUCE, 166);
   _actionMap[699][RIGHT] = ActionEntry(REDUCE, 166);
   _actionMap[699][INNER] = ActionEntry(REDUCE, 166);
   _actionMap[699][JOIN] = ActionEntry(REDUCE, 166);
   _actionMap[699][RETURNTOKEN] = ActionEntry(REDUCE, 166);
   _actionMap[699][ORDER] = ActionEntry(REDUCE, 166);
   _actionMap[699][GROUP] = ActionEntry(REDUCE, 166);
   _actionMap[699][WHERE] = ActionEntry(REDUCE, 166);
   _actionMap[699][BEGIN] = ActionEntry(REDUCE, 166);
   _actionMap[699][THEN] = ActionEntry(REDUCE, 166);
   _actionMap[699][OR] = ActionEntry(REDUCE, 166);
   _actionMap[699][FROM] = ActionEntry(REDUCE, 166);
   _actionMap[699][AS] = ActionEntry(REDUCE, 166);
   _actionMap[699][END_TOKEN] = ActionEntry(REDUCE, 166);
   _actionMap[699][AND] = ActionEntry(REDUCE, 166);
   _actionMap[699][INTOK] = ActionEntry(REDUCE, 166);
   _actionMap[699][NOT] = ActionEntry(REDUCE, 166);
   _actionMap[699][BETWEEN] = ActionEntry(REDUCE, 166);
   _actionMap[699][IS] = ActionEntry(REDUCE, 166);
   _actionMap[699][LIKE] = ActionEntry(REDUCE, 166);
   _actionMap[699][MT] = ActionEntry(REDUCE, 166);
   _actionMap[699][LT] = ActionEntry(REDUCE, 166);
   _actionMap[699][NEGATION] = ActionEntry(REDUCE, 166);
   _actionMap[699][EQU] = ActionEntry(REDUCE, 166);
   _actionMap[699][RB] = ActionEntry(REDUCE, 166);
   _actionMap[699][ENDTOKEN] = ActionEntry(REDUCE, 166);
   _actionMap[699][UNION] = ActionEntry(REDUCE, 166);
   _actionMap[699][ROWLIMIT] = ActionEntry(REDUCE, 166);
   _actionMap[699][KSEP] = ActionEntry(REDUCE, 166);
   _actionMap[699][ASC] = ActionEntry(REDUCE, 166);
   _actionMap[699][DESC] = ActionEntry(REDUCE, 166);
   _actionMap[699][SEMICOLON] = ActionEntry(REDUCE, 166);
   _actionMap[699][PLUS] = ActionEntry(REDUCE, 166);
   _actionMap[699][MINUS] = ActionEntry(REDUCE, 166);
   _actionMap[699][DIVISION] = ActionEntry(REDUCE, 166);
   _actionMap[699][STAR] = ActionEntry(REDUCE, 166);
   _actionMap[699][CONCAT] = ActionEntry(REDUCE, 166);
   _actionMap[700][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[700][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[700][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[700][LEFT] = ActionEntry(REDUCE, 337);
   _actionMap[700][RIGHT] = ActionEntry(REDUCE, 337);
   _actionMap[700][INNER] = ActionEntry(REDUCE, 337);
   _actionMap[700][JOIN] = ActionEntry(REDUCE, 337);
   _actionMap[700][RETURNTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[700][SEMICOLON] = ActionEntry(REDUCE, 337);
   _actionMap[700][ENDTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[700][UNION] = ActionEntry(REDUCE, 337);
   _actionMap[700][ROWLIMIT] = ActionEntry(REDUCE, 337);
   _actionMap[700][ORDER] = ActionEntry(REDUCE, 337);
}
void Cego::loadParser60()
{
   _actionMap[700][GROUP] = ActionEntry(REDUCE, 337);
   _actionMap[700][WHERE] = ActionEntry(REDUCE, 337);
   _actionMap[700][THEN] = ActionEntry(REDUCE, 337);
   _actionMap[700][AND] = ActionEntry(REDUCE, 337);
   _actionMap[700][OR] = ActionEntry(REDUCE, 337);
   _actionMap[700][RB] = ActionEntry(REDUCE, 337);
   _actionMap[701][AND] = ActionEntry(SHIFT, 777);
   _actionMap[701][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[701][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[701][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[702][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[702][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[702][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[702][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[702][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[702][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[702][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[702][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[702][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[702][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[702][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[702][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[702][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[702][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[702][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[702][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[702][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[702][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[702][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[702][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[702][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[702][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[702][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[702][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[702][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[702][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[702][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[702][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[702][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[702][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[702][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[702][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[702][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[702][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[702][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[702][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[702][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[702][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[702][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[702][SETCOUNT] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser61()
{
   _actionMap[702][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[702][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[702][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[702][LB] = ActionEntry(SHIFT, 156);
   _actionMap[702][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[702][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[702][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[702][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[702][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[702][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[702][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[702][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[702][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[702][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[702][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[702][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[702][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[702][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[702][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[702][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[702][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[702][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[702][ObjSpec] = 103;
   _jumpMap[702][Constant] = 102;
   _jumpMap[702][SignedFloat] = 101;
   _jumpMap[702][SignedInt] = 100;
   _jumpMap[702][Attribute] = 99;
   _jumpMap[702][ExpressionList] = 779;
   _jumpMap[702][Function] = 98;
   _jumpMap[702][SelectStatement] = 778;
   _jumpMap[702][CasePrepare] = 97;
   _jumpMap[702][CaseClause] = 96;
   _jumpMap[702][Factor] = 95;
   _jumpMap[702][Term] = 94;
   _jumpMap[702][Expr] = 402;
   _actionMap[703][NULLTOKEN] = ActionEntry(SHIFT, 780);
   _actionMap[704][LEFT] = ActionEntry(REDUCE, 339);
   _actionMap[704][RIGHT] = ActionEntry(REDUCE, 339);
   _actionMap[704][INNER] = ActionEntry(REDUCE, 339);
   _actionMap[704][JOIN] = ActionEntry(REDUCE, 339);
   _actionMap[704][RETURNTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[704][SEMICOLON] = ActionEntry(REDUCE, 339);
   _actionMap[704][ENDTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[704][UNION] = ActionEntry(REDUCE, 339);
   _actionMap[704][ROWLIMIT] = ActionEntry(REDUCE, 339);
   _actionMap[704][ORDER] = ActionEntry(REDUCE, 339);
   _actionMap[704][GROUP] = ActionEntry(REDUCE, 339);
   _actionMap[704][WHERE] = ActionEntry(REDUCE, 339);
   _actionMap[704][THEN] = ActionEntry(REDUCE, 339);
   _actionMap[704][AND] = ActionEntry(REDUCE, 339);
}
void Cego::loadParser62()
{
   _actionMap[704][OR] = ActionEntry(REDUCE, 339);
   _actionMap[704][RB] = ActionEntry(REDUCE, 339);
   _actionMap[705][LEFT] = ActionEntry(REDUCE, 341);
   _actionMap[705][RIGHT] = ActionEntry(REDUCE, 341);
   _actionMap[705][INNER] = ActionEntry(REDUCE, 341);
   _actionMap[705][JOIN] = ActionEntry(REDUCE, 341);
   _actionMap[705][RETURNTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[705][SEMICOLON] = ActionEntry(REDUCE, 341);
   _actionMap[705][ENDTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[705][UNION] = ActionEntry(REDUCE, 341);
   _actionMap[705][ROWLIMIT] = ActionEntry(REDUCE, 341);
   _actionMap[705][ORDER] = ActionEntry(REDUCE, 341);
   _actionMap[705][GROUP] = ActionEntry(REDUCE, 341);
   _actionMap[705][WHERE] = ActionEntry(REDUCE, 341);
   _actionMap[705][THEN] = ActionEntry(REDUCE, 341);
   _actionMap[705][AND] = ActionEntry(REDUCE, 341);
   _actionMap[705][OR] = ActionEntry(REDUCE, 341);
   _actionMap[705][RB] = ActionEntry(REDUCE, 341);
   _actionMap[706][LB] = ActionEntry(SHIFT, 781);
   _actionMap[707][STRINGVAL] = ActionEntry(SHIFT, 782);
   _actionMap[708][VARREF] = ActionEntry(REDUCE, 363);
   _actionMap[708][FETCH] = ActionEntry(REDUCE, 363);
   _actionMap[708][LB] = ActionEntry(REDUCE, 363);
   _actionMap[708][COUNT] = ActionEntry(REDUCE, 363);
   _actionMap[708][SUM] = ActionEntry(REDUCE, 363);
   _actionMap[708][AVG] = ActionEntry(REDUCE, 363);
   _actionMap[708][MIN] = ActionEntry(REDUCE, 363);
   _actionMap[708][MAX] = ActionEntry(REDUCE, 363);
   _actionMap[708][CASE] = ActionEntry(REDUCE, 363);
   _actionMap[708][INT2ASC] = ActionEntry(REDUCE, 363);
   _actionMap[708][ASC2INT] = ActionEntry(REDUCE, 363);
   _actionMap[708][TRIM] = ActionEntry(REDUCE, 363);
   _actionMap[708][RTRIM] = ActionEntry(REDUCE, 363);
   _actionMap[708][LTRIM] = ActionEntry(REDUCE, 363);
   _actionMap[708][ROUND] = ActionEntry(REDUCE, 363);
   _actionMap[708][DATE2STR] = ActionEntry(REDUCE, 363);
   _actionMap[708][DATE2INT] = ActionEntry(REDUCE, 363);
   _actionMap[708][INT2DATE] = ActionEntry(REDUCE, 363);
   _actionMap[708][NEWDATE] = ActionEntry(REDUCE, 363);
   _actionMap[708][LOWER] = ActionEntry(REDUCE, 363);
   _actionMap[708][UPPER] = ActionEntry(REDUCE, 363);
   _actionMap[708][LEFT] = ActionEntry(REDUCE, 363);
   _actionMap[708][RIGHT] = ActionEntry(REDUCE, 363);
   _actionMap[708][GETPOS] = ActionEntry(REDUCE, 363);
   _actionMap[708][SUBSTR] = ActionEntry(REDUCE, 363);
   _actionMap[708][REPLACE] = ActionEntry(REDUCE, 363);
   _actionMap[708][LENGTH] = ActionEntry(REDUCE, 363);
   _actionMap[708][TRUNC] = ActionEntry(REDUCE, 363);
   _actionMap[708][STR2INT] = ActionEntry(REDUCE, 363);
   _actionMap[708][STR2LONG] = ActionEntry(REDUCE, 363);
}
void Cego::loadParser63()
{
   _actionMap[708][STR2DATE] = ActionEntry(REDUCE, 363);
   _actionMap[708][RANDSTR] = ActionEntry(REDUCE, 363);
   _actionMap[708][RANDINT] = ActionEntry(REDUCE, 363);
   _actionMap[708][MOD] = ActionEntry(REDUCE, 363);
   _actionMap[708][DIV] = ActionEntry(REDUCE, 363);
   _actionMap[708][LMOD] = ActionEntry(REDUCE, 363);
   _actionMap[708][LDIV] = ActionEntry(REDUCE, 363);
   _actionMap[708][POWER] = ActionEntry(REDUCE, 363);
   _actionMap[708][BITAND] = ActionEntry(REDUCE, 363);
   _actionMap[708][BITOR] = ActionEntry(REDUCE, 363);
   _actionMap[708][BITXOR] = ActionEntry(REDUCE, 363);
   _actionMap[708][BLOBSIZE] = ActionEntry(REDUCE, 363);
   _actionMap[708][CLOBSIZE] = ActionEntry(REDUCE, 363);
   _actionMap[708][CLOB2STR] = ActionEntry(REDUCE, 363);
   _actionMap[708][NEXTCOUNT] = ActionEntry(REDUCE, 363);
   _actionMap[708][SETCOUNT] = ActionEntry(REDUCE, 363);
   _actionMap[708][IDENTIFIER] = ActionEntry(REDUCE, 363);
   _actionMap[708][QUALIFIEDOBJ] = ActionEntry(REDUCE, 363);
   _actionMap[708][QUALIFIEDTS] = ActionEntry(REDUCE, 363);
   _actionMap[708][QUALIFIEDPRE] = ActionEntry(REDUCE, 363);
   _actionMap[708][STRINGVAL] = ActionEntry(REDUCE, 363);
   _actionMap[708][DATE] = ActionEntry(REDUCE, 363);
   _actionMap[708][SYSDATE] = ActionEntry(REDUCE, 363);
   _actionMap[708][NULLTOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[708][TRUEVAL] = ActionEntry(REDUCE, 363);
   _actionMap[708][FALSEVAL] = ActionEntry(REDUCE, 363);
   _actionMap[708][BLOB] = ActionEntry(REDUCE, 363);
   _actionMap[708][CLOB] = ActionEntry(REDUCE, 363);
   _actionMap[708][FLOATVAL] = ActionEntry(REDUCE, 363);
   _actionMap[708][MINUS] = ActionEntry(REDUCE, 363);
   _actionMap[708][INTVAL] = ActionEntry(REDUCE, 363);
   _actionMap[709][VARREF] = ActionEntry(REDUCE, 364);
   _actionMap[709][FETCH] = ActionEntry(REDUCE, 364);
   _actionMap[709][LB] = ActionEntry(REDUCE, 364);
   _actionMap[709][COUNT] = ActionEntry(REDUCE, 364);
   _actionMap[709][SUM] = ActionEntry(REDUCE, 364);
   _actionMap[709][AVG] = ActionEntry(REDUCE, 364);
   _actionMap[709][MIN] = ActionEntry(REDUCE, 364);
   _actionMap[709][MAX] = ActionEntry(REDUCE, 364);
   _actionMap[709][CASE] = ActionEntry(REDUCE, 364);
   _actionMap[709][INT2ASC] = ActionEntry(REDUCE, 364);
   _actionMap[709][ASC2INT] = ActionEntry(REDUCE, 364);
   _actionMap[709][TRIM] = ActionEntry(REDUCE, 364);
   _actionMap[709][RTRIM] = ActionEntry(REDUCE, 364);
   _actionMap[709][LTRIM] = ActionEntry(REDUCE, 364);
   _actionMap[709][ROUND] = ActionEntry(REDUCE, 364);
   _actionMap[709][DATE2STR] = ActionEntry(REDUCE, 364);
   _actionMap[709][DATE2INT] = ActionEntry(REDUCE, 364);
   _actionMap[709][INT2DATE] = ActionEntry(REDUCE, 364);
   _actionMap[709][NEWDATE] = ActionEntry(REDUCE, 364);
}
void Cego::loadParser64()
{
   _actionMap[709][LOWER] = ActionEntry(REDUCE, 364);
   _actionMap[709][UPPER] = ActionEntry(REDUCE, 364);
   _actionMap[709][LEFT] = ActionEntry(REDUCE, 364);
   _actionMap[709][RIGHT] = ActionEntry(REDUCE, 364);
   _actionMap[709][GETPOS] = ActionEntry(REDUCE, 364);
   _actionMap[709][SUBSTR] = ActionEntry(REDUCE, 364);
   _actionMap[709][REPLACE] = ActionEntry(REDUCE, 364);
   _actionMap[709][LENGTH] = ActionEntry(REDUCE, 364);
   _actionMap[709][TRUNC] = ActionEntry(REDUCE, 364);
   _actionMap[709][STR2INT] = ActionEntry(REDUCE, 364);
   _actionMap[709][STR2LONG] = ActionEntry(REDUCE, 364);
   _actionMap[709][STR2DATE] = ActionEntry(REDUCE, 364);
   _actionMap[709][RANDSTR] = ActionEntry(REDUCE, 364);
   _actionMap[709][RANDINT] = ActionEntry(REDUCE, 364);
   _actionMap[709][MOD] = ActionEntry(REDUCE, 364);
   _actionMap[709][DIV] = ActionEntry(REDUCE, 364);
   _actionMap[709][LMOD] = ActionEntry(REDUCE, 364);
   _actionMap[709][LDIV] = ActionEntry(REDUCE, 364);
   _actionMap[709][POWER] = ActionEntry(REDUCE, 364);
   _actionMap[709][BITAND] = ActionEntry(REDUCE, 364);
   _actionMap[709][BITOR] = ActionEntry(REDUCE, 364);
   _actionMap[709][BITXOR] = ActionEntry(REDUCE, 364);
   _actionMap[709][BLOBSIZE] = ActionEntry(REDUCE, 364);
   _actionMap[709][CLOBSIZE] = ActionEntry(REDUCE, 364);
   _actionMap[709][CLOB2STR] = ActionEntry(REDUCE, 364);
   _actionMap[709][NEXTCOUNT] = ActionEntry(REDUCE, 364);
   _actionMap[709][SETCOUNT] = ActionEntry(REDUCE, 364);
   _actionMap[709][IDENTIFIER] = ActionEntry(REDUCE, 364);
   _actionMap[709][QUALIFIEDOBJ] = ActionEntry(REDUCE, 364);
   _actionMap[709][QUALIFIEDTS] = ActionEntry(REDUCE, 364);
   _actionMap[709][QUALIFIEDPRE] = ActionEntry(REDUCE, 364);
   _actionMap[709][STRINGVAL] = ActionEntry(REDUCE, 364);
   _actionMap[709][DATE] = ActionEntry(REDUCE, 364);
   _actionMap[709][SYSDATE] = ActionEntry(REDUCE, 364);
   _actionMap[709][NULLTOKEN] = ActionEntry(REDUCE, 364);
   _actionMap[709][TRUEVAL] = ActionEntry(REDUCE, 364);
   _actionMap[709][FALSEVAL] = ActionEntry(REDUCE, 364);
   _actionMap[709][BLOB] = ActionEntry(REDUCE, 364);
   _actionMap[709][CLOB] = ActionEntry(REDUCE, 364);
   _actionMap[709][FLOATVAL] = ActionEntry(REDUCE, 364);
   _actionMap[709][MINUS] = ActionEntry(REDUCE, 364);
   _actionMap[709][INTVAL] = ActionEntry(REDUCE, 364);
   _actionMap[710][VARREF] = ActionEntry(REDUCE, 360);
   _actionMap[710][FETCH] = ActionEntry(REDUCE, 360);
   _actionMap[710][LB] = ActionEntry(REDUCE, 360);
   _actionMap[710][COUNT] = ActionEntry(REDUCE, 360);
   _actionMap[710][SUM] = ActionEntry(REDUCE, 360);
   _actionMap[710][AVG] = ActionEntry(REDUCE, 360);
   _actionMap[710][MIN] = ActionEntry(REDUCE, 360);
   _actionMap[710][MAX] = ActionEntry(REDUCE, 360);
}
void Cego::loadParser65()
{
   _actionMap[710][CASE] = ActionEntry(REDUCE, 360);
   _actionMap[710][INT2ASC] = ActionEntry(REDUCE, 360);
   _actionMap[710][ASC2INT] = ActionEntry(REDUCE, 360);
   _actionMap[710][TRIM] = ActionEntry(REDUCE, 360);
   _actionMap[710][RTRIM] = ActionEntry(REDUCE, 360);
   _actionMap[710][LTRIM] = ActionEntry(REDUCE, 360);
   _actionMap[710][ROUND] = ActionEntry(REDUCE, 360);
   _actionMap[710][DATE2STR] = ActionEntry(REDUCE, 360);
   _actionMap[710][DATE2INT] = ActionEntry(REDUCE, 360);
   _actionMap[710][INT2DATE] = ActionEntry(REDUCE, 360);
   _actionMap[710][NEWDATE] = ActionEntry(REDUCE, 360);
   _actionMap[710][LOWER] = ActionEntry(REDUCE, 360);
   _actionMap[710][UPPER] = ActionEntry(REDUCE, 360);
   _actionMap[710][LEFT] = ActionEntry(REDUCE, 360);
   _actionMap[710][RIGHT] = ActionEntry(REDUCE, 360);
   _actionMap[710][GETPOS] = ActionEntry(REDUCE, 360);
   _actionMap[710][SUBSTR] = ActionEntry(REDUCE, 360);
   _actionMap[710][REPLACE] = ActionEntry(REDUCE, 360);
   _actionMap[710][LENGTH] = ActionEntry(REDUCE, 360);
   _actionMap[710][TRUNC] = ActionEntry(REDUCE, 360);
   _actionMap[710][STR2INT] = ActionEntry(REDUCE, 360);
   _actionMap[710][STR2LONG] = ActionEntry(REDUCE, 360);
   _actionMap[710][STR2DATE] = ActionEntry(REDUCE, 360);
   _actionMap[710][RANDSTR] = ActionEntry(REDUCE, 360);
   _actionMap[710][RANDINT] = ActionEntry(REDUCE, 360);
   _actionMap[710][MOD] = ActionEntry(REDUCE, 360);
   _actionMap[710][DIV] = ActionEntry(REDUCE, 360);
   _actionMap[710][LMOD] = ActionEntry(REDUCE, 360);
   _actionMap[710][LDIV] = ActionEntry(REDUCE, 360);
   _actionMap[710][POWER] = ActionEntry(REDUCE, 360);
   _actionMap[710][BITAND] = ActionEntry(REDUCE, 360);
   _actionMap[710][BITOR] = ActionEntry(REDUCE, 360);
   _actionMap[710][BITXOR] = ActionEntry(REDUCE, 360);
   _actionMap[710][BLOBSIZE] = ActionEntry(REDUCE, 360);
   _actionMap[710][CLOBSIZE] = ActionEntry(REDUCE, 360);
   _actionMap[710][CLOB2STR] = ActionEntry(REDUCE, 360);
   _actionMap[710][NEXTCOUNT] = ActionEntry(REDUCE, 360);
   _actionMap[710][SETCOUNT] = ActionEntry(REDUCE, 360);
   _actionMap[710][IDENTIFIER] = ActionEntry(REDUCE, 360);
   _actionMap[710][QUALIFIEDOBJ] = ActionEntry(REDUCE, 360);
   _actionMap[710][QUALIFIEDTS] = ActionEntry(REDUCE, 360);
   _actionMap[710][QUALIFIEDPRE] = ActionEntry(REDUCE, 360);
   _actionMap[710][STRINGVAL] = ActionEntry(REDUCE, 360);
   _actionMap[710][DATE] = ActionEntry(REDUCE, 360);
   _actionMap[710][SYSDATE] = ActionEntry(REDUCE, 360);
   _actionMap[710][NULLTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[710][TRUEVAL] = ActionEntry(REDUCE, 360);
   _actionMap[710][FALSEVAL] = ActionEntry(REDUCE, 360);
   _actionMap[710][BLOB] = ActionEntry(REDUCE, 360);
   _actionMap[710][CLOB] = ActionEntry(REDUCE, 360);
}
void Cego::loadParser66()
{
   _actionMap[710][FLOATVAL] = ActionEntry(REDUCE, 360);
   _actionMap[710][MINUS] = ActionEntry(REDUCE, 360);
   _actionMap[710][INTVAL] = ActionEntry(REDUCE, 360);
   _actionMap[711][THEN] = ActionEntry(REDUCE, 329);
   _actionMap[711][LEFT] = ActionEntry(REDUCE, 329);
   _actionMap[711][RIGHT] = ActionEntry(REDUCE, 329);
   _actionMap[711][INNER] = ActionEntry(REDUCE, 329);
   _actionMap[711][JOIN] = ActionEntry(REDUCE, 329);
   _actionMap[711][RETURNTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[711][SEMICOLON] = ActionEntry(REDUCE, 329);
   _actionMap[711][RB] = ActionEntry(REDUCE, 329);
   _actionMap[711][ENDTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[711][UNION] = ActionEntry(REDUCE, 329);
   _actionMap[711][ROWLIMIT] = ActionEntry(REDUCE, 329);
   _actionMap[711][ORDER] = ActionEntry(REDUCE, 329);
   _actionMap[711][GROUP] = ActionEntry(REDUCE, 329);
   _actionMap[711][WHERE] = ActionEntry(REDUCE, 329);
   _actionMap[711][OR] = ActionEntry(REDUCE, 329);
   _actionMap[711][AND] = ActionEntry(REDUCE, 329);
   _actionMap[712][THEN] = ActionEntry(REDUCE, 330);
   _actionMap[712][LEFT] = ActionEntry(REDUCE, 330);
   _actionMap[712][RIGHT] = ActionEntry(REDUCE, 330);
   _actionMap[712][INNER] = ActionEntry(REDUCE, 330);
   _actionMap[712][JOIN] = ActionEntry(REDUCE, 330);
   _actionMap[712][RETURNTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[712][SEMICOLON] = ActionEntry(REDUCE, 330);
   _actionMap[712][RB] = ActionEntry(REDUCE, 330);
   _actionMap[712][ENDTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[712][UNION] = ActionEntry(REDUCE, 330);
   _actionMap[712][ROWLIMIT] = ActionEntry(REDUCE, 330);
   _actionMap[712][ORDER] = ActionEntry(REDUCE, 330);
   _actionMap[712][GROUP] = ActionEntry(REDUCE, 330);
   _actionMap[712][WHERE] = ActionEntry(REDUCE, 330);
   _actionMap[712][OR] = ActionEntry(REDUCE, 330);
   _actionMap[712][AND] = ActionEntry(REDUCE, 330);
   _actionMap[713][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[713][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[713][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[713][WHEN] = ActionEntry(REDUCE, 169);
   _actionMap[713][ELSE] = ActionEntry(REDUCE, 169);
   _actionMap[714][RB] = ActionEntry(SHIFT, 783);
   _actionMap[715][THEN] = ActionEntry(REDUCE, 343);
   _actionMap[715][LEFT] = ActionEntry(REDUCE, 343);
   _actionMap[715][RIGHT] = ActionEntry(REDUCE, 343);
   _actionMap[715][INNER] = ActionEntry(REDUCE, 343);
   _actionMap[715][JOIN] = ActionEntry(REDUCE, 343);
   _actionMap[715][RETURNTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[715][SEMICOLON] = ActionEntry(REDUCE, 343);
   _actionMap[715][RB] = ActionEntry(REDUCE, 343);
   _actionMap[715][ENDTOKEN] = ActionEntry(REDUCE, 343);
}
void Cego::loadParser67()
{
   _actionMap[715][UNION] = ActionEntry(REDUCE, 343);
   _actionMap[715][ROWLIMIT] = ActionEntry(REDUCE, 343);
   _actionMap[715][ORDER] = ActionEntry(REDUCE, 343);
   _actionMap[715][GROUP] = ActionEntry(REDUCE, 343);
   _actionMap[715][WHERE] = ActionEntry(REDUCE, 343);
   _actionMap[715][AND] = ActionEntry(REDUCE, 343);
   _actionMap[715][OR] = ActionEntry(REDUCE, 343);
   _actionMap[716][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[716][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[716][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[716][KSEP] = ActionEntry(REDUCE, 324);
   _actionMap[716][RB] = ActionEntry(REDUCE, 324);
   _actionMap[717][RB] = ActionEntry(SHIFT, 784);
   _actionMap[718][RB] = ActionEntry(REDUCE, 390);
   _actionMap[719][RB] = ActionEntry(SHIFT, 786);
   _actionMap[719][KSEP] = ActionEntry(SHIFT, 785);
   _actionMap[720][KSEP] = ActionEntry(REDUCE, 172);
   _actionMap[720][RB] = ActionEntry(REDUCE, 172);
   _actionMap[721][RB] = ActionEntry(SHIFT, 787);
   _actionMap[721][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[721][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[721][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[722][SEMICOLON] = ActionEntry(REDUCE, 245);
   _actionMap[722][RB] = ActionEntry(REDUCE, 245);
   _actionMap[722][ENDTOKEN] = ActionEntry(REDUCE, 245);
   _actionMap[722][UNION] = ActionEntry(REDUCE, 245);
   _actionMap[722][ROWLIMIT] = ActionEntry(REDUCE, 245);
   _actionMap[722][ORDER] = ActionEntry(SHIFT, 790);
   _jumpMap[722][NoOrdering] = 789;
   _jumpMap[722][OrderingClause] = 788;
   _actionMap[723][ORDER] = ActionEntry(REDUCE, 236);
   _actionMap[723][ROWLIMIT] = ActionEntry(REDUCE, 236);
   _actionMap[723][UNION] = ActionEntry(REDUCE, 236);
   _actionMap[723][ENDTOKEN] = ActionEntry(REDUCE, 236);
   _actionMap[723][RB] = ActionEntry(REDUCE, 236);
   _actionMap[723][SEMICOLON] = ActionEntry(REDUCE, 236);
   _actionMap[724][BY] = ActionEntry(SHIFT, 791);
   _actionMap[725][ON] = ActionEntry(SHIFT, 793);
   _jumpMap[725][JoinTableOn] = 792;
   _actionMap[726][IDENTIFIER] = ActionEntry(REDUCE, 225);
   _actionMap[726][QUALIFIEDOBJ] = ActionEntry(REDUCE, 225);
   _actionMap[726][QUALIFIEDTS] = ActionEntry(REDUCE, 225);
   _actionMap[727][JOIN] = ActionEntry(SHIFT, 794);
   _actionMap[728][JOIN] = ActionEntry(SHIFT, 795);
   _actionMap[729][RETURNTOKEN] = ActionEntry(REDUCE, 227);
   _actionMap[729][SEMICOLON] = ActionEntry(REDUCE, 227);
   _actionMap[729][RB] = ActionEntry(REDUCE, 227);
   _actionMap[729][ENDTOKEN] = ActionEntry(REDUCE, 227);
   _actionMap[729][UNION] = ActionEntry(REDUCE, 227);
   _actionMap[729][ROWLIMIT] = ActionEntry(REDUCE, 227);
}
void Cego::loadParser68()
{
   _actionMap[729][ORDER] = ActionEntry(REDUCE, 227);
   _actionMap[729][GROUP] = ActionEntry(REDUCE, 227);
   _actionMap[729][WHERE] = ActionEntry(REDUCE, 227);
   _actionMap[730][KSEP] = ActionEntry(SHIFT, 627);
   _actionMap[730][RETURNTOKEN] = ActionEntry(REDUCE, 228);
   _actionMap[730][SEMICOLON] = ActionEntry(REDUCE, 228);
   _actionMap[730][RB] = ActionEntry(REDUCE, 228);
   _actionMap[730][ENDTOKEN] = ActionEntry(REDUCE, 228);
   _actionMap[730][UNION] = ActionEntry(REDUCE, 228);
   _actionMap[730][ROWLIMIT] = ActionEntry(REDUCE, 228);
   _actionMap[730][ORDER] = ActionEntry(REDUCE, 228);
   _actionMap[730][GROUP] = ActionEntry(REDUCE, 228);
   _actionMap[730][WHERE] = ActionEntry(REDUCE, 228);
   _actionMap[731][SEMICOLON] = ActionEntry(REDUCE, 258);
   _actionMap[732][VARREF] = ActionEntry(SHIFT, 798);
   _jumpMap[732][ReturnVar] = 797;
   _jumpMap[732][ReturnVarList] = 796;
   _actionMap[733][KSEP] = ActionEntry(REDUCE, 259);
   _actionMap[733][WHERE] = ActionEntry(REDUCE, 259);
   _actionMap[733][GROUP] = ActionEntry(REDUCE, 259);
   _actionMap[733][ORDER] = ActionEntry(REDUCE, 259);
   _actionMap[733][ROWLIMIT] = ActionEntry(REDUCE, 259);
   _actionMap[733][UNION] = ActionEntry(REDUCE, 259);
   _actionMap[733][ENDTOKEN] = ActionEntry(REDUCE, 259);
   _actionMap[733][RB] = ActionEntry(REDUCE, 259);
   _actionMap[733][SEMICOLON] = ActionEntry(REDUCE, 259);
   _actionMap[733][RETURNTOKEN] = ActionEntry(REDUCE, 259);
   _actionMap[734][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[734][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[734][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[734][KSEP] = ActionEntry(REDUCE, 261);
   _actionMap[734][WHERE] = ActionEntry(REDUCE, 261);
   _actionMap[734][GROUP] = ActionEntry(REDUCE, 261);
   _actionMap[734][ORDER] = ActionEntry(REDUCE, 261);
   _actionMap[734][ROWLIMIT] = ActionEntry(REDUCE, 261);
   _actionMap[734][UNION] = ActionEntry(REDUCE, 261);
   _actionMap[734][ENDTOKEN] = ActionEntry(REDUCE, 261);
   _actionMap[734][RB] = ActionEntry(REDUCE, 261);
   _actionMap[734][SEMICOLON] = ActionEntry(REDUCE, 261);
   _actionMap[734][RETURNTOKEN] = ActionEntry(REDUCE, 261);
   _actionMap[735][RB] = ActionEntry(SHIFT, 736);
   _actionMap[736][SEMICOLON] = ActionEntry(REDUCE, 56);
   _actionMap[486][DROP] = ActionEntry(SHIFT, 342);
   _actionMap[486][ADD] = ActionEntry(SHIFT, 637);
   _actionMap[486][MODIFY] = ActionEntry(SHIFT, 343);
   _actionMap[486][RENAME] = ActionEntry(SHIFT, 344);
   _jumpMap[486][AlterOption] = 340;
   _jumpMap[486][AlterList] = 636;
   _actionMap[487][IDENTIFIER] = ActionEntry(SHIFT, 638);
   _actionMap[488][IDENTIFIER] = ActionEntry(SHIFT, 527);
}
void Cego::loadParser69()
{
   _jumpMap[488][ColumnDesc] = 639;
   _actionMap[489][KEY] = ActionEntry(SHIFT, 640);
   _actionMap[490][IDENTIFIER] = ActionEntry(SHIFT, 641);
   _actionMap[491][IDENTIFIER] = ActionEntry(SHIFT, 643);
   _jumpMap[491][ColumnDesc] = 642;
   _actionMap[492][IDENTIFIER] = ActionEntry(SHIFT, 644);
   _actionMap[493][FOR] = ActionEntry(SHIFT, 645);
   _actionMap[494][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[494][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[494][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[494][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[494][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[494][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[494][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[494][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[494][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[494][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[494][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[494][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[494][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[494][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[494][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[494][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[494][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[494][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[494][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[494][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[494][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[494][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[494][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[494][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[494][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[494][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[494][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[494][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[494][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[494][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[494][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[494][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[494][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[494][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[494][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[494][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[494][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[494][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[494][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[494][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[494][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[494][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[494][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
}
void Cego::loadParser70()
{
   _actionMap[494][LB] = ActionEntry(SHIFT, 156);
   _actionMap[494][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[494][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[494][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[494][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[494][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[494][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[494][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[494][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[494][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[494][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[494][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[494][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[494][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[494][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[494][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[494][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[494][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[494][ObjSpec] = 103;
   _jumpMap[494][Constant] = 102;
   _jumpMap[494][SignedFloat] = 101;
   _jumpMap[494][SignedInt] = 100;
   _jumpMap[494][Attribute] = 99;
   _jumpMap[494][Function] = 98;
   _jumpMap[494][CasePrepare] = 97;
   _jumpMap[494][CaseClause] = 96;
   _jumpMap[494][Factor] = 95;
   _jumpMap[494][Term] = 94;
   _jumpMap[494][Expr] = 646;
   _actionMap[495][SEMICOLON] = ActionEntry(REDUCE, 86);
   _actionMap[496][ELSE] = ActionEntry(REDUCE, 95);
   _actionMap[496][ELSIF] = ActionEntry(REDUCE, 95);
   _actionMap[496][END_TOKEN] = ActionEntry(REDUCE, 95);
   _actionMap[496][EXCEPTION] = ActionEntry(SHIFT, 648);
   _jumpMap[496][ProcExceptionStmt] = 647;
   _actionMap[497][SEMICOLON] = ActionEntry(SHIFT, 649);
   _actionMap[498][END_TOKEN] = ActionEntry(SHIFT, 650);
   _actionMap[499][ELSE] = ActionEntry(SHIFT, 653);
   _actionMap[499][END_TOKEN] = ActionEntry(REDUCE, 132);
   _jumpMap[499][ProcElsePart] = 652;
   _jumpMap[499][ProcElseOpt] = 651;
   _actionMap[500][ELSIF] = ActionEntry(SHIFT, 501);
   _actionMap[500][END_TOKEN] = ActionEntry(REDUCE, 129);
   _actionMap[500][ELSE] = ActionEntry(REDUCE, 129);
   _jumpMap[500][ProcElsIfOpt] = 500;
   _jumpMap[500][ProcElsIfList] = 655;
   _actionMap[501][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[501][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[501][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[501][INT2ASC] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser71()
{
   _actionMap[501][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[501][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[501][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[501][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[501][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[501][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[501][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[501][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[501][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[501][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[501][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[501][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[501][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[501][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[501][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[501][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[501][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[501][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[501][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[501][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[501][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[501][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[501][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[501][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[501][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[501][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[501][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[501][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[501][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[501][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[501][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[501][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[501][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[501][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[501][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[501][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[501][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[501][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[501][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[501][LB] = ActionEntry(SHIFT, 509);
   _actionMap[501][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[501][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[501][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[501][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[501][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[501][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[501][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[501][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[501][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[501][CASE] = ActionEntry(SHIFT, 112);
}
void Cego::loadParser72()
{
   _actionMap[501][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[501][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[501][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[501][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[501][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[501][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[501][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[501][ObjSpec] = 103;
   _jumpMap[501][Constant] = 102;
   _jumpMap[501][SignedFloat] = 101;
   _jumpMap[501][SignedInt] = 100;
   _jumpMap[501][Attribute] = 99;
   _jumpMap[501][Function] = 98;
   _jumpMap[501][CasePrepare] = 97;
   _jumpMap[501][CaseClause] = 96;
   _jumpMap[501][Factor] = 95;
   _jumpMap[501][Term] = 94;
   _jumpMap[501][Expr] = 508;
   _jumpMap[501][ProcPredicate] = 507;
   _jumpMap[501][ProcCondition] = 657;
   _jumpMap[501][ProcElsIfCondition] = 656;
   _actionMap[502][EXCEPTION] = ActionEntry(REDUCE, 97);
   _actionMap[502][END_TOKEN] = ActionEntry(REDUCE, 97);
   _actionMap[502][ELSE] = ActionEntry(REDUCE, 97);
   _actionMap[502][ELSIF] = ActionEntry(REDUCE, 97);
   _actionMap[502][VAR] = ActionEntry(REDUCE, 97);
   _actionMap[502][CURSOR] = ActionEntry(REDUCE, 97);
   _actionMap[502][CLOSE] = ActionEntry(REDUCE, 97);
   _actionMap[502][VARREF] = ActionEntry(REDUCE, 97);
   _actionMap[502][NOOP] = ActionEntry(REDUCE, 97);
   _actionMap[502][THROW] = ActionEntry(REDUCE, 97);
   _actionMap[502][RETURNTOKEN] = ActionEntry(REDUCE, 97);
   _actionMap[502][WHILE] = ActionEntry(REDUCE, 97);
   _actionMap[502][IF] = ActionEntry(REDUCE, 97);
   _actionMap[502][BEGIN] = ActionEntry(REDUCE, 97);
   _actionMap[502][ROLLBACK] = ActionEntry(REDUCE, 97);
   _actionMap[502][COMMIT] = ActionEntry(REDUCE, 97);
   _actionMap[502][START_TOKEN] = ActionEntry(REDUCE, 97);
   _actionMap[502][UPDATE] = ActionEntry(REDUCE, 97);
   _actionMap[502][DELETETOK] = ActionEntry(REDUCE, 97);
   _actionMap[502][INSERT] = ActionEntry(REDUCE, 97);
   _actionMap[502][FETCH] = ActionEntry(REDUCE, 97);
   _actionMap[502][LB] = ActionEntry(REDUCE, 97);
   _actionMap[502][COUNT] = ActionEntry(REDUCE, 97);
   _actionMap[502][SUM] = ActionEntry(REDUCE, 97);
   _actionMap[502][AVG] = ActionEntry(REDUCE, 97);
   _actionMap[502][MIN] = ActionEntry(REDUCE, 97);
   _actionMap[502][MAX] = ActionEntry(REDUCE, 97);
   _actionMap[502][CASE] = ActionEntry(REDUCE, 97);
   _actionMap[502][INT2ASC] = ActionEntry(REDUCE, 97);
}
void Cego::loadParser73()
{
   _actionMap[502][ASC2INT] = ActionEntry(REDUCE, 97);
   _actionMap[502][TRIM] = ActionEntry(REDUCE, 97);
   _actionMap[502][RTRIM] = ActionEntry(REDUCE, 97);
   _actionMap[502][LTRIM] = ActionEntry(REDUCE, 97);
   _actionMap[502][ROUND] = ActionEntry(REDUCE, 97);
   _actionMap[502][DATE2STR] = ActionEntry(REDUCE, 97);
   _actionMap[502][DATE2INT] = ActionEntry(REDUCE, 97);
   _actionMap[502][INT2DATE] = ActionEntry(REDUCE, 97);
   _actionMap[502][NEWDATE] = ActionEntry(REDUCE, 97);
   _actionMap[502][LOWER] = ActionEntry(REDUCE, 97);
   _actionMap[502][UPPER] = ActionEntry(REDUCE, 97);
   _actionMap[502][LEFT] = ActionEntry(REDUCE, 97);
   _actionMap[502][RIGHT] = ActionEntry(REDUCE, 97);
   _actionMap[502][GETPOS] = ActionEntry(REDUCE, 97);
   _actionMap[502][SUBSTR] = ActionEntry(REDUCE, 97);
   _actionMap[502][REPLACE] = ActionEntry(REDUCE, 97);
   _actionMap[502][LENGTH] = ActionEntry(REDUCE, 97);
   _actionMap[502][TRUNC] = ActionEntry(REDUCE, 97);
   _actionMap[502][STR2INT] = ActionEntry(REDUCE, 97);
   _actionMap[502][STR2LONG] = ActionEntry(REDUCE, 97);
   _actionMap[502][STR2DATE] = ActionEntry(REDUCE, 97);
   _actionMap[502][RANDSTR] = ActionEntry(REDUCE, 97);
   _actionMap[502][RANDINT] = ActionEntry(REDUCE, 97);
   _actionMap[502][MOD] = ActionEntry(REDUCE, 97);
   _actionMap[502][DIV] = ActionEntry(REDUCE, 97);
   _actionMap[502][LMOD] = ActionEntry(REDUCE, 97);
   _actionMap[502][LDIV] = ActionEntry(REDUCE, 97);
   _actionMap[502][POWER] = ActionEntry(REDUCE, 97);
   _actionMap[502][BITAND] = ActionEntry(REDUCE, 97);
   _actionMap[502][BITOR] = ActionEntry(REDUCE, 97);
   _actionMap[502][BITXOR] = ActionEntry(REDUCE, 97);
   _actionMap[502][BLOBSIZE] = ActionEntry(REDUCE, 97);
   _actionMap[502][CLOBSIZE] = ActionEntry(REDUCE, 97);
   _actionMap[502][CLOB2STR] = ActionEntry(REDUCE, 97);
   _actionMap[502][NEXTCOUNT] = ActionEntry(REDUCE, 97);
   _actionMap[502][SETCOUNT] = ActionEntry(REDUCE, 97);
   _actionMap[502][IDENTIFIER] = ActionEntry(REDUCE, 97);
   _actionMap[502][QUALIFIEDOBJ] = ActionEntry(REDUCE, 97);
   _actionMap[502][QUALIFIEDTS] = ActionEntry(REDUCE, 97);
   _actionMap[502][QUALIFIEDPRE] = ActionEntry(REDUCE, 97);
   _actionMap[502][STRINGVAL] = ActionEntry(REDUCE, 97);
   _actionMap[502][DATE] = ActionEntry(REDUCE, 97);
   _actionMap[502][SYSDATE] = ActionEntry(REDUCE, 97);
   _actionMap[502][NULLTOKEN] = ActionEntry(REDUCE, 97);
   _actionMap[502][TRUEVAL] = ActionEntry(REDUCE, 97);
   _actionMap[502][FALSEVAL] = ActionEntry(REDUCE, 97);
   _actionMap[502][BLOB] = ActionEntry(REDUCE, 97);
   _actionMap[502][CLOB] = ActionEntry(REDUCE, 97);
   _actionMap[502][FLOATVAL] = ActionEntry(REDUCE, 97);
   _actionMap[502][MINUS] = ActionEntry(REDUCE, 97);
}
void Cego::loadParser74()
{
   _actionMap[502][INTVAL] = ActionEntry(REDUCE, 97);
   _actionMap[503][SEMICOLON] = ActionEntry(REDUCE, 100);
   _actionMap[504][AS] = ActionEntry(SHIFT, 658);
   _actionMap[505][THEN] = ActionEntry(SHIFT, 659);
   _actionMap[506][OR] = ActionEntry(SHIFT, 661);
   _actionMap[506][AND] = ActionEntry(SHIFT, 660);
   _actionMap[506][THEN] = ActionEntry(REDUCE, 134);
   _actionMap[507][BEGIN] = ActionEntry(REDUCE, 140);
   _actionMap[507][RB] = ActionEntry(REDUCE, 140);
   _actionMap[507][AND] = ActionEntry(REDUCE, 140);
   _actionMap[507][OR] = ActionEntry(REDUCE, 140);
   _actionMap[507][THEN] = ActionEntry(REDUCE, 140);
   _actionMap[508][IS] = ActionEntry(SHIFT, 663);
   _actionMap[508][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[508][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[508][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[508][EQU] = ActionEntry(SHIFT, 543);
   _actionMap[508][NEGATION] = ActionEntry(SHIFT, 546);
   _actionMap[508][LT] = ActionEntry(SHIFT, 544);
   _actionMap[508][MT] = ActionEntry(SHIFT, 545);
   _jumpMap[508][Comparison] = 662;
   _actionMap[509][LONG] = ActionEntry(SHIFT, 301);
   _actionMap[509][BIGINT] = ActionEntry(SHIFT, 297);
   _actionMap[509][SMALLINT] = ActionEntry(SHIFT, 302);
   _actionMap[509][TINYINT] = ActionEntry(SHIFT, 303);
   _actionMap[509][DOUBLE] = ActionEntry(SHIFT, 299);
   _actionMap[509][DECIMAL] = ActionEntry(SHIFT, 298);
   _actionMap[509][FIXED] = ActionEntry(SHIFT, 300);
   _actionMap[509][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[509][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[509][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[509][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[509][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[509][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[509][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[509][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[509][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[509][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[509][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[509][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[509][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[509][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[509][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[509][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[509][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[509][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[509][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[509][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[509][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[509][TRUNC] = ActionEntry(SHIFT, 154);
}
void Cego::loadParser75()
{
   _actionMap[509][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[509][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[509][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[509][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[509][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[509][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[509][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[509][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[509][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[509][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[509][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[509][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[509][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[509][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[509][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[509][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[509][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[509][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[509][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[509][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[509][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[509][LB] = ActionEntry(SHIFT, 509);
   _actionMap[509][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[509][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[509][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[509][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[509][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[509][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[509][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[509][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[509][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[509][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[509][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[509][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[509][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[509][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[509][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[509][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[509][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[509][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[509][ObjSpec] = 103;
   _jumpMap[509][Constant] = 102;
   _jumpMap[509][SignedFloat] = 101;
   _jumpMap[509][SignedInt] = 100;
   _jumpMap[509][Attribute] = 99;
   _jumpMap[509][Function] = 98;
   _jumpMap[509][SelectStatement] = 296;
   _jumpMap[509][CasePrepare] = 97;
   _jumpMap[509][CaseClause] = 96;
   _jumpMap[509][Factor] = 95;
}
void Cego::loadParser76()
{
   _jumpMap[509][Term] = 94;
   _jumpMap[509][Expr] = 665;
   _jumpMap[509][ProcPredicate] = 507;
   _jumpMap[509][ProcCondition] = 664;
   _actionMap[510][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[510][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[510][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[510][SEMICOLON] = ActionEntry(REDUCE, 115);
   _actionMap[511][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[511][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[511][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[511][SEMICOLON] = ActionEntry(REDUCE, 107);
   _actionMap[512][INT] = ActionEntry(SHIFT, 676);
   _actionMap[512][LONG] = ActionEntry(SHIFT, 677);
   _actionMap[512][STRING] = ActionEntry(SHIFT, 679);
   _actionMap[512][DATETIME] = ActionEntry(SHIFT, 671);
   _actionMap[512][BOOL] = ActionEntry(SHIFT, 669);
   _actionMap[512][BIGINT] = ActionEntry(SHIFT, 667);
   _actionMap[512][FLOAT] = ActionEntry(SHIFT, 675);
   _actionMap[512][DOUBLE] = ActionEntry(SHIFT, 673);
   _actionMap[512][SMALLINT] = ActionEntry(SHIFT, 678);
   _actionMap[512][TINYINT] = ActionEntry(SHIFT, 680);
   _actionMap[512][DECIMAL] = ActionEntry(SHIFT, 672);
   _actionMap[512][FIXED] = ActionEntry(SHIFT, 674);
   _actionMap[512][BLOB] = ActionEntry(SHIFT, 668);
   _actionMap[512][CLOB] = ActionEntry(SHIFT, 670);
   _jumpMap[512][DataTypeProd] = 666;
   _actionMap[513][BEGIN] = ActionEntry(SHIFT, 681);
   _actionMap[514][OR] = ActionEntry(SHIFT, 661);
   _actionMap[514][AND] = ActionEntry(SHIFT, 660);
   _actionMap[514][BEGIN] = ActionEntry(REDUCE, 137);
   _actionMap[515][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[515][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[515][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[515][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[515][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[515][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[515][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[515][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[515][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[515][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[515][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[515][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[515][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[515][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[515][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[515][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[515][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[515][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[515][SUBSTR] = ActionEntry(SHIFT, 146);
}
void Cego::loadParser77()
{
   _actionMap[515][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[515][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[515][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[515][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[515][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[515][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[515][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[515][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[515][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[515][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[515][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[515][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[515][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[515][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[515][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[515][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[515][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[515][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[515][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[515][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[515][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[515][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[515][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[515][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[515][LB] = ActionEntry(SHIFT, 156);
   _actionMap[515][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[515][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[515][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[515][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[515][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[515][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[515][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[515][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[515][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[515][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[515][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[515][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[515][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[515][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[515][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[515][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[515][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[515][ObjSpec] = 103;
   _jumpMap[515][Constant] = 102;
   _jumpMap[515][SignedFloat] = 101;
   _jumpMap[515][SignedInt] = 100;
   _jumpMap[515][Attribute] = 99;
   _jumpMap[515][Function] = 98;
   _jumpMap[515][CasePrepare] = 97;
   _jumpMap[515][CaseClause] = 96;
}
void Cego::loadParser78()
{
   _jumpMap[515][Factor] = 95;
   _jumpMap[515][Term] = 94;
   _jumpMap[515][Expr] = 682;
   _actionMap[516][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[516][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[516][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[516][ObjSpec] = 683;
   _actionMap[517][LB] = ActionEntry(SHIFT, 684);
   _actionMap[518][RB] = ActionEntry(SHIFT, 521);
   _actionMap[519][KSEP] = ActionEntry(SHIFT, 685);
   _actionMap[519][RB] = ActionEntry(REDUCE, 89);
   _actionMap[520][KSEP] = ActionEntry(REDUCE, 92);
   _actionMap[520][RB] = ActionEntry(REDUCE, 92);
   _actionMap[521][RETURNTOKEN] = ActionEntry(SHIFT, 687);
   _actionMap[521][BEGIN] = ActionEntry(REDUCE, 88);
   _jumpMap[521][ReturnOpt] = 686;
   _actionMap[522][INTOK] = ActionEntry(SHIFT, 688);
   _actionMap[522][OUTTOK] = ActionEntry(SHIFT, 689);
   _actionMap[523][RB] = ActionEntry(SHIFT, 691);
   _actionMap[523][KSEP] = ActionEntry(SHIFT, 690);
   _actionMap[524][KSEP] = ActionEntry(REDUCE, 174);
   _actionMap[524][RB] = ActionEntry(REDUCE, 174);
   _actionMap[525][KSEP] = ActionEntry(REDUCE, 176);
   _actionMap[525][RB] = ActionEntry(REDUCE, 176);
   _actionMap[526][IDENTIFIER] = ActionEntry(SHIFT, 527);
   _jumpMap[526][ColumnDesc] = 692;
   _actionMap[527][INT] = ActionEntry(SHIFT, 676);
   _actionMap[527][LONG] = ActionEntry(SHIFT, 677);
   _actionMap[527][STRING] = ActionEntry(SHIFT, 679);
   _actionMap[527][DATETIME] = ActionEntry(SHIFT, 671);
   _actionMap[527][BOOL] = ActionEntry(SHIFT, 669);
   _actionMap[527][BIGINT] = ActionEntry(SHIFT, 667);
   _actionMap[527][FLOAT] = ActionEntry(SHIFT, 675);
   _actionMap[527][DOUBLE] = ActionEntry(SHIFT, 673);
   _actionMap[527][SMALLINT] = ActionEntry(SHIFT, 678);
   _actionMap[527][TINYINT] = ActionEntry(SHIFT, 680);
   _actionMap[527][DECIMAL] = ActionEntry(SHIFT, 672);
   _actionMap[527][FIXED] = ActionEntry(SHIFT, 674);
   _actionMap[527][BLOB] = ActionEntry(SHIFT, 668);
   _actionMap[527][CLOB] = ActionEntry(SHIFT, 670);
   _jumpMap[527][DataTypeProd] = 693;
   _actionMap[528][SEMICOLON] = ActionEntry(REDUCE, 51);
   _actionMap[529][AND] = ActionEntry(SHIFT, 547);
   _actionMap[529][OR] = ActionEntry(SHIFT, 548);
   _actionMap[529][RETURNTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[529][GROUP] = ActionEntry(REDUCE, 326);
   _actionMap[529][ORDER] = ActionEntry(REDUCE, 326);
   _actionMap[529][ROWLIMIT] = ActionEntry(REDUCE, 326);
   _actionMap[529][UNION] = ActionEntry(REDUCE, 326);
   _actionMap[529][ENDTOKEN] = ActionEntry(REDUCE, 326);
}
void Cego::loadParser79()
{
   _actionMap[529][RB] = ActionEntry(REDUCE, 326);
   _actionMap[529][SEMICOLON] = ActionEntry(REDUCE, 326);
   _actionMap[530][KSEP] = ActionEntry(SHIFT, 694);
   _actionMap[530][SEMICOLON] = ActionEntry(REDUCE, 197);
   _actionMap[531][SEMICOLON] = ActionEntry(REDUCE, 203);
   _actionMap[531][KSEP] = ActionEntry(REDUCE, 203);
   _actionMap[532][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[532][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[532][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[532][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[532][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[532][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[532][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[532][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[532][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[532][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[532][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[532][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[532][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[532][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[532][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[532][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[532][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[532][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[532][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[532][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[532][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[532][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[532][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[532][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[532][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[532][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[532][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[532][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[532][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[532][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[532][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[532][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[532][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[532][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[532][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[532][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[532][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[532][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[532][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[532][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[532][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[532][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[532][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[532][LB] = ActionEntry(SHIFT, 156);
}
void Cego::loadParser80()
{
   _actionMap[532][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[532][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[532][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[532][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[532][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[532][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[532][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[532][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[532][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[532][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[532][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[532][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[532][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[532][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[532][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[532][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[532][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[532][ObjSpec] = 103;
   _jumpMap[532][Constant] = 102;
   _jumpMap[532][SignedFloat] = 101;
   _jumpMap[532][SignedInt] = 100;
   _jumpMap[532][Attribute] = 99;
   _jumpMap[532][Function] = 98;
   _jumpMap[532][InsertValueList] = 696;
   _jumpMap[532][CasePrepare] = 97;
   _jumpMap[532][CaseClause] = 96;
   _jumpMap[532][Factor] = 95;
   _jumpMap[532][Term] = 94;
   _jumpMap[532][Expr] = 695;
   _actionMap[533][RB] = ActionEntry(SHIFT, 698);
   _actionMap[533][KSEP] = ActionEntry(SHIFT, 697);
   _actionMap[534][KSEP] = ActionEntry(REDUCE, 206);
   _actionMap[534][RB] = ActionEntry(REDUCE, 206);
   _actionMap[535][SEMICOLON] = ActionEntry(REDUCE, 52);
   _actionMap[536][END_TOKEN] = ActionEntry(SHIFT, 699);
   _actionMap[536][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[536][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[536][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[537][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[537][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[537][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[537][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[537][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[537][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[537][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[537][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[537][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[537][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[537][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[537][INT2DATE] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser81()
{
   _actionMap[537][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[537][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[537][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[537][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[537][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[537][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[537][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[537][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[537][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[537][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[537][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[537][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[537][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[537][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[537][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[537][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[537][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[537][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[537][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[537][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[537][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[537][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[537][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[537][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[537][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[537][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[537][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[537][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[537][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[537][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[537][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[537][LB] = ActionEntry(SHIFT, 156);
   _actionMap[537][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[537][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[537][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[537][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[537][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[537][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[537][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[537][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[537][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[537][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[537][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[537][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[537][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[537][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[537][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[537][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[537][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[537][ObjSpec] = 103;
}
void Cego::loadParser82()
{
   _jumpMap[537][Constant] = 102;
   _jumpMap[537][SignedFloat] = 101;
   _jumpMap[537][SignedInt] = 100;
   _jumpMap[537][Attribute] = 99;
   _jumpMap[537][Function] = 98;
   _jumpMap[537][CasePrepare] = 97;
   _jumpMap[537][CaseClause] = 96;
   _jumpMap[537][Factor] = 95;
   _jumpMap[537][Term] = 94;
   _jumpMap[537][Expr] = 700;
   _actionMap[538][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[538][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[538][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[538][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[538][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[538][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[538][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[538][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[538][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[538][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[538][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[538][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[538][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[538][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[538][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[538][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[538][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[538][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[538][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[538][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[538][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[538][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[538][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[538][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[538][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[538][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[538][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[538][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[538][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[538][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[538][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[538][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[538][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[538][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[538][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[538][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[538][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[538][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[538][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[538][SETCOUNT] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser83()
{
   _actionMap[538][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[538][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[538][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[538][LB] = ActionEntry(SHIFT, 156);
   _actionMap[538][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[538][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[538][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[538][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[538][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[538][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[538][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[538][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[538][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[538][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[538][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[538][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[538][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[538][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[538][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[538][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[538][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[538][ObjSpec] = 103;
   _jumpMap[538][Constant] = 102;
   _jumpMap[538][SignedFloat] = 101;
   _jumpMap[538][SignedInt] = 100;
   _jumpMap[538][Attribute] = 99;
   _jumpMap[538][Function] = 98;
   _jumpMap[538][CasePrepare] = 97;
   _jumpMap[538][CaseClause] = 96;
   _jumpMap[538][Factor] = 95;
   _jumpMap[538][Term] = 94;
   _jumpMap[538][Expr] = 701;
   _actionMap[539][LB] = ActionEntry(SHIFT, 702);
   _actionMap[540][NOT] = ActionEntry(SHIFT, 703);
   _actionMap[540][NULLTOKEN] = ActionEntry(SHIFT, 704);
   _actionMap[541][STRINGVAL] = ActionEntry(SHIFT, 705);
   _actionMap[542][LIKE] = ActionEntry(SHIFT, 707);
   _actionMap[542][INTOK] = ActionEntry(SHIFT, 706);
   _actionMap[543][VARREF] = ActionEntry(REDUCE, 359);
   _actionMap[543][FETCH] = ActionEntry(REDUCE, 359);
   _actionMap[543][LB] = ActionEntry(REDUCE, 359);
   _actionMap[543][COUNT] = ActionEntry(REDUCE, 359);
   _actionMap[543][SUM] = ActionEntry(REDUCE, 359);
   _actionMap[543][AVG] = ActionEntry(REDUCE, 359);
   _actionMap[543][MIN] = ActionEntry(REDUCE, 359);
   _actionMap[543][MAX] = ActionEntry(REDUCE, 359);
   _actionMap[543][CASE] = ActionEntry(REDUCE, 359);
   _actionMap[543][INT2ASC] = ActionEntry(REDUCE, 359);
   _actionMap[543][ASC2INT] = ActionEntry(REDUCE, 359);
   _actionMap[543][TRIM] = ActionEntry(REDUCE, 359);
}
void Cego::loadParser84()
{
   _actionMap[543][RTRIM] = ActionEntry(REDUCE, 359);
   _actionMap[543][LTRIM] = ActionEntry(REDUCE, 359);
   _actionMap[543][ROUND] = ActionEntry(REDUCE, 359);
   _actionMap[543][DATE2STR] = ActionEntry(REDUCE, 359);
   _actionMap[543][DATE2INT] = ActionEntry(REDUCE, 359);
   _actionMap[543][INT2DATE] = ActionEntry(REDUCE, 359);
   _actionMap[543][NEWDATE] = ActionEntry(REDUCE, 359);
   _actionMap[543][LOWER] = ActionEntry(REDUCE, 359);
   _actionMap[543][UPPER] = ActionEntry(REDUCE, 359);
   _actionMap[543][LEFT] = ActionEntry(REDUCE, 359);
   _actionMap[543][RIGHT] = ActionEntry(REDUCE, 359);
   _actionMap[543][GETPOS] = ActionEntry(REDUCE, 359);
   _actionMap[543][SUBSTR] = ActionEntry(REDUCE, 359);
   _actionMap[543][REPLACE] = ActionEntry(REDUCE, 359);
   _actionMap[543][LENGTH] = ActionEntry(REDUCE, 359);
   _actionMap[543][TRUNC] = ActionEntry(REDUCE, 359);
   _actionMap[543][STR2INT] = ActionEntry(REDUCE, 359);
   _actionMap[543][STR2LONG] = ActionEntry(REDUCE, 359);
   _actionMap[543][STR2DATE] = ActionEntry(REDUCE, 359);
   _actionMap[543][RANDSTR] = ActionEntry(REDUCE, 359);
   _actionMap[543][RANDINT] = ActionEntry(REDUCE, 359);
   _actionMap[543][MOD] = ActionEntry(REDUCE, 359);
   _actionMap[543][DIV] = ActionEntry(REDUCE, 359);
   _actionMap[543][LMOD] = ActionEntry(REDUCE, 359);
   _actionMap[543][LDIV] = ActionEntry(REDUCE, 359);
   _actionMap[543][POWER] = ActionEntry(REDUCE, 359);
   _actionMap[543][BITAND] = ActionEntry(REDUCE, 359);
   _actionMap[543][BITOR] = ActionEntry(REDUCE, 359);
   _actionMap[543][BITXOR] = ActionEntry(REDUCE, 359);
   _actionMap[543][BLOBSIZE] = ActionEntry(REDUCE, 359);
   _actionMap[543][CLOBSIZE] = ActionEntry(REDUCE, 359);
   _actionMap[543][CLOB2STR] = ActionEntry(REDUCE, 359);
   _actionMap[543][NEXTCOUNT] = ActionEntry(REDUCE, 359);
   _actionMap[543][SETCOUNT] = ActionEntry(REDUCE, 359);
   _actionMap[543][IDENTIFIER] = ActionEntry(REDUCE, 359);
   _actionMap[543][QUALIFIEDOBJ] = ActionEntry(REDUCE, 359);
   _actionMap[543][QUALIFIEDTS] = ActionEntry(REDUCE, 359);
   _actionMap[543][QUALIFIEDPRE] = ActionEntry(REDUCE, 359);
   _actionMap[543][STRINGVAL] = ActionEntry(REDUCE, 359);
   _actionMap[543][DATE] = ActionEntry(REDUCE, 359);
   _actionMap[543][SYSDATE] = ActionEntry(REDUCE, 359);
   _actionMap[543][NULLTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[543][TRUEVAL] = ActionEntry(REDUCE, 359);
   _actionMap[543][FALSEVAL] = ActionEntry(REDUCE, 359);
   _actionMap[543][BLOB] = ActionEntry(REDUCE, 359);
   _actionMap[543][CLOB] = ActionEntry(REDUCE, 359);
   _actionMap[543][FLOATVAL] = ActionEntry(REDUCE, 359);
   _actionMap[543][MINUS] = ActionEntry(REDUCE, 359);
   _actionMap[543][INTVAL] = ActionEntry(REDUCE, 359);
   _actionMap[544][VARREF] = ActionEntry(REDUCE, 361);
}
void Cego::loadParser85()
{
   _actionMap[544][FETCH] = ActionEntry(REDUCE, 361);
   _actionMap[544][LB] = ActionEntry(REDUCE, 361);
   _actionMap[544][COUNT] = ActionEntry(REDUCE, 361);
   _actionMap[544][SUM] = ActionEntry(REDUCE, 361);
   _actionMap[544][AVG] = ActionEntry(REDUCE, 361);
   _actionMap[544][MIN] = ActionEntry(REDUCE, 361);
   _actionMap[544][MAX] = ActionEntry(REDUCE, 361);
   _actionMap[544][CASE] = ActionEntry(REDUCE, 361);
   _actionMap[544][INT2ASC] = ActionEntry(REDUCE, 361);
   _actionMap[544][ASC2INT] = ActionEntry(REDUCE, 361);
   _actionMap[544][TRIM] = ActionEntry(REDUCE, 361);
   _actionMap[544][RTRIM] = ActionEntry(REDUCE, 361);
   _actionMap[544][LTRIM] = ActionEntry(REDUCE, 361);
   _actionMap[544][ROUND] = ActionEntry(REDUCE, 361);
   _actionMap[544][DATE2STR] = ActionEntry(REDUCE, 361);
   _actionMap[544][DATE2INT] = ActionEntry(REDUCE, 361);
   _actionMap[544][INT2DATE] = ActionEntry(REDUCE, 361);
   _actionMap[544][NEWDATE] = ActionEntry(REDUCE, 361);
   _actionMap[544][LOWER] = ActionEntry(REDUCE, 361);
   _actionMap[544][UPPER] = ActionEntry(REDUCE, 361);
   _actionMap[544][LEFT] = ActionEntry(REDUCE, 361);
   _actionMap[544][RIGHT] = ActionEntry(REDUCE, 361);
   _actionMap[544][GETPOS] = ActionEntry(REDUCE, 361);
   _actionMap[544][SUBSTR] = ActionEntry(REDUCE, 361);
   _actionMap[544][REPLACE] = ActionEntry(REDUCE, 361);
   _actionMap[544][LENGTH] = ActionEntry(REDUCE, 361);
   _actionMap[544][TRUNC] = ActionEntry(REDUCE, 361);
   _actionMap[544][STR2INT] = ActionEntry(REDUCE, 361);
   _actionMap[544][STR2LONG] = ActionEntry(REDUCE, 361);
   _actionMap[544][STR2DATE] = ActionEntry(REDUCE, 361);
   _actionMap[544][RANDSTR] = ActionEntry(REDUCE, 361);
   _actionMap[544][RANDINT] = ActionEntry(REDUCE, 361);
   _actionMap[544][MOD] = ActionEntry(REDUCE, 361);
   _actionMap[544][DIV] = ActionEntry(REDUCE, 361);
   _actionMap[544][LMOD] = ActionEntry(REDUCE, 361);
   _actionMap[544][LDIV] = ActionEntry(REDUCE, 361);
   _actionMap[544][POWER] = ActionEntry(REDUCE, 361);
   _actionMap[544][BITAND] = ActionEntry(REDUCE, 361);
   _actionMap[544][BITOR] = ActionEntry(REDUCE, 361);
   _actionMap[544][BITXOR] = ActionEntry(REDUCE, 361);
   _actionMap[544][BLOBSIZE] = ActionEntry(REDUCE, 361);
   _actionMap[544][CLOBSIZE] = ActionEntry(REDUCE, 361);
   _actionMap[544][CLOB2STR] = ActionEntry(REDUCE, 361);
   _actionMap[544][NEXTCOUNT] = ActionEntry(REDUCE, 361);
   _actionMap[544][SETCOUNT] = ActionEntry(REDUCE, 361);
   _actionMap[544][IDENTIFIER] = ActionEntry(REDUCE, 361);
   _actionMap[544][QUALIFIEDOBJ] = ActionEntry(REDUCE, 361);
   _actionMap[544][QUALIFIEDTS] = ActionEntry(REDUCE, 361);
   _actionMap[544][QUALIFIEDPRE] = ActionEntry(REDUCE, 361);
   _actionMap[544][STRINGVAL] = ActionEntry(REDUCE, 361);
}
void Cego::loadParser86()
{
   _actionMap[544][DATE] = ActionEntry(REDUCE, 361);
   _actionMap[544][SYSDATE] = ActionEntry(REDUCE, 361);
   _actionMap[544][NULLTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[544][TRUEVAL] = ActionEntry(REDUCE, 361);
   _actionMap[544][FALSEVAL] = ActionEntry(REDUCE, 361);
   _actionMap[544][BLOB] = ActionEntry(REDUCE, 361);
   _actionMap[544][CLOB] = ActionEntry(REDUCE, 361);
   _actionMap[544][FLOATVAL] = ActionEntry(REDUCE, 361);
   _actionMap[544][MINUS] = ActionEntry(REDUCE, 361);
   _actionMap[544][INTVAL] = ActionEntry(REDUCE, 361);
   _actionMap[544][EQU] = ActionEntry(SHIFT, 708);
   _actionMap[545][VARREF] = ActionEntry(REDUCE, 362);
   _actionMap[545][FETCH] = ActionEntry(REDUCE, 362);
   _actionMap[545][LB] = ActionEntry(REDUCE, 362);
   _actionMap[545][COUNT] = ActionEntry(REDUCE, 362);
   _actionMap[545][SUM] = ActionEntry(REDUCE, 362);
   _actionMap[545][AVG] = ActionEntry(REDUCE, 362);
   _actionMap[545][MIN] = ActionEntry(REDUCE, 362);
   _actionMap[545][MAX] = ActionEntry(REDUCE, 362);
   _actionMap[545][CASE] = ActionEntry(REDUCE, 362);
   _actionMap[545][INT2ASC] = ActionEntry(REDUCE, 362);
   _actionMap[545][ASC2INT] = ActionEntry(REDUCE, 362);
   _actionMap[545][TRIM] = ActionEntry(REDUCE, 362);
   _actionMap[545][RTRIM] = ActionEntry(REDUCE, 362);
   _actionMap[545][LTRIM] = ActionEntry(REDUCE, 362);
   _actionMap[545][ROUND] = ActionEntry(REDUCE, 362);
   _actionMap[545][DATE2STR] = ActionEntry(REDUCE, 362);
   _actionMap[545][DATE2INT] = ActionEntry(REDUCE, 362);
   _actionMap[545][INT2DATE] = ActionEntry(REDUCE, 362);
   _actionMap[545][NEWDATE] = ActionEntry(REDUCE, 362);
   _actionMap[545][LOWER] = ActionEntry(REDUCE, 362);
   _actionMap[545][UPPER] = ActionEntry(REDUCE, 362);
   _actionMap[545][LEFT] = ActionEntry(REDUCE, 362);
   _actionMap[545][RIGHT] = ActionEntry(REDUCE, 362);
   _actionMap[545][GETPOS] = ActionEntry(REDUCE, 362);
   _actionMap[545][SUBSTR] = ActionEntry(REDUCE, 362);
   _actionMap[545][REPLACE] = ActionEntry(REDUCE, 362);
   _actionMap[545][LENGTH] = ActionEntry(REDUCE, 362);
   _actionMap[545][TRUNC] = ActionEntry(REDUCE, 362);
   _actionMap[545][STR2INT] = ActionEntry(REDUCE, 362);
   _actionMap[545][STR2LONG] = ActionEntry(REDUCE, 362);
   _actionMap[545][STR2DATE] = ActionEntry(REDUCE, 362);
   _actionMap[545][RANDSTR] = ActionEntry(REDUCE, 362);
   _actionMap[545][RANDINT] = ActionEntry(REDUCE, 362);
   _actionMap[545][MOD] = ActionEntry(REDUCE, 362);
   _actionMap[545][DIV] = ActionEntry(REDUCE, 362);
   _actionMap[545][LMOD] = ActionEntry(REDUCE, 362);
   _actionMap[545][LDIV] = ActionEntry(REDUCE, 362);
   _actionMap[545][POWER] = ActionEntry(REDUCE, 362);
   _actionMap[545][BITAND] = ActionEntry(REDUCE, 362);
}
void Cego::loadParser87()
{
   _actionMap[545][BITOR] = ActionEntry(REDUCE, 362);
   _actionMap[545][BITXOR] = ActionEntry(REDUCE, 362);
   _actionMap[545][BLOBSIZE] = ActionEntry(REDUCE, 362);
   _actionMap[545][CLOBSIZE] = ActionEntry(REDUCE, 362);
   _actionMap[545][CLOB2STR] = ActionEntry(REDUCE, 362);
   _actionMap[545][NEXTCOUNT] = ActionEntry(REDUCE, 362);
   _actionMap[545][SETCOUNT] = ActionEntry(REDUCE, 362);
   _actionMap[545][IDENTIFIER] = ActionEntry(REDUCE, 362);
   _actionMap[545][QUALIFIEDOBJ] = ActionEntry(REDUCE, 362);
   _actionMap[545][QUALIFIEDTS] = ActionEntry(REDUCE, 362);
   _actionMap[545][QUALIFIEDPRE] = ActionEntry(REDUCE, 362);
   _actionMap[545][STRINGVAL] = ActionEntry(REDUCE, 362);
   _actionMap[545][DATE] = ActionEntry(REDUCE, 362);
   _actionMap[545][SYSDATE] = ActionEntry(REDUCE, 362);
   _actionMap[545][NULLTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[545][TRUEVAL] = ActionEntry(REDUCE, 362);
   _actionMap[545][FALSEVAL] = ActionEntry(REDUCE, 362);
   _actionMap[545][BLOB] = ActionEntry(REDUCE, 362);
   _actionMap[545][CLOB] = ActionEntry(REDUCE, 362);
   _actionMap[545][FLOATVAL] = ActionEntry(REDUCE, 362);
   _actionMap[545][MINUS] = ActionEntry(REDUCE, 362);
   _actionMap[545][INTVAL] = ActionEntry(REDUCE, 362);
   _actionMap[545][EQU] = ActionEntry(SHIFT, 709);
   _actionMap[546][EQU] = ActionEntry(SHIFT, 710);
   _actionMap[547][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[547][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[547][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[547][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[547][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[547][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[547][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[547][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[547][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[547][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[547][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[547][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[547][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[547][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[547][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[547][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[547][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[547][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[547][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[547][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[547][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[547][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[547][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[547][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[547][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[547][RANDSTR] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser88()
{
   _actionMap[547][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[547][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[547][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[547][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[547][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[547][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[547][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[547][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[547][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[547][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[547][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[547][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[547][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[547][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[547][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[547][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[547][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[547][LB] = ActionEntry(SHIFT, 401);
   _actionMap[547][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[547][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[547][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[547][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[547][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[547][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[547][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[547][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[547][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[547][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[547][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[547][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[547][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[547][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[547][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[547][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[547][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[547][EXISTS] = ActionEntry(SHIFT, 399);
   _actionMap[547][NOT] = ActionEntry(SHIFT, 400);
   _jumpMap[547][ObjSpec] = 103;
   _jumpMap[547][Constant] = 102;
   _jumpMap[547][SignedFloat] = 101;
   _jumpMap[547][SignedInt] = 100;
   _jumpMap[547][Attribute] = 99;
   _jumpMap[547][QueryPredicate] = 711;
   _jumpMap[547][Function] = 98;
   _jumpMap[547][CasePrepare] = 97;
   _jumpMap[547][CaseClause] = 96;
   _jumpMap[547][Factor] = 95;
   _jumpMap[547][Term] = 94;
   _jumpMap[547][Expr] = 396;
   _actionMap[548][FLOATVAL] = ActionEntry(SHIFT, 159);
}
void Cego::loadParser89()
{
   _actionMap[548][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[548][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[548][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[548][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[548][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[548][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[548][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[548][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[548][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[548][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[548][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[548][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[548][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[548][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[548][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[548][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[548][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[548][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[548][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[548][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[548][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[548][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[548][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[548][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[548][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[548][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[548][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[548][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[548][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[548][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[548][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[548][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[548][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[548][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[548][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[548][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[548][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[548][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[548][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[548][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[548][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[548][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[548][LB] = ActionEntry(SHIFT, 401);
   _actionMap[548][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[548][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[548][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[548][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[548][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[548][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[548][BLOB] = ActionEntry(SHIFT, 110);
}
void Cego::loadParser90()
{
   _actionMap[548][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[548][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[548][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[548][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[548][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[548][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[548][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[548][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[548][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[548][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[548][EXISTS] = ActionEntry(SHIFT, 399);
   _actionMap[548][NOT] = ActionEntry(SHIFT, 400);
   _jumpMap[548][ObjSpec] = 103;
   _jumpMap[548][Constant] = 102;
   _jumpMap[548][SignedFloat] = 101;
   _jumpMap[548][SignedInt] = 100;
   _jumpMap[548][Attribute] = 99;
   _jumpMap[548][QueryPredicate] = 712;
   _jumpMap[548][Function] = 98;
   _jumpMap[548][CasePrepare] = 97;
   _jumpMap[548][CaseClause] = 96;
   _jumpMap[548][Factor] = 95;
   _jumpMap[548][Term] = 94;
   _jumpMap[548][Expr] = 396;
   _actionMap[549][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[549][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[549][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[549][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[549][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[549][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[549][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[549][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[549][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[549][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[549][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[549][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[549][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[549][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[549][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[549][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[549][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[549][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[549][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[549][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[549][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[549][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[549][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[549][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[549][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[549][RANDSTR] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser91()
{
   _actionMap[549][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[549][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[549][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[549][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[549][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[549][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[549][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[549][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[549][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[549][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[549][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[549][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[549][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[549][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[549][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[549][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[549][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[549][LB] = ActionEntry(SHIFT, 156);
   _actionMap[549][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[549][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[549][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[549][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[549][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[549][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[549][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[549][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[549][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[549][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[549][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[549][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[549][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[549][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[549][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[549][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[549][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[549][ObjSpec] = 103;
   _jumpMap[549][Constant] = 102;
   _jumpMap[549][SignedFloat] = 101;
   _jumpMap[549][SignedInt] = 100;
   _jumpMap[549][Attribute] = 99;
   _jumpMap[549][Function] = 98;
   _jumpMap[549][CasePrepare] = 97;
   _jumpMap[549][CaseClause] = 96;
   _jumpMap[549][Factor] = 95;
   _jumpMap[549][Term] = 94;
   _jumpMap[549][Expr] = 713;
   _actionMap[550][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[550][SelectStatement] = 714;
   _actionMap[551][THEN] = ActionEntry(REDUCE, 344);
   _actionMap[551][LEFT] = ActionEntry(REDUCE, 344);
}
void Cego::loadParser92()
{
   _actionMap[551][RIGHT] = ActionEntry(REDUCE, 344);
   _actionMap[551][INNER] = ActionEntry(REDUCE, 344);
   _actionMap[551][JOIN] = ActionEntry(REDUCE, 344);
   _actionMap[551][RETURNTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[551][SEMICOLON] = ActionEntry(REDUCE, 344);
   _actionMap[551][RB] = ActionEntry(REDUCE, 344);
   _actionMap[551][ENDTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[551][UNION] = ActionEntry(REDUCE, 344);
   _actionMap[551][ROWLIMIT] = ActionEntry(REDUCE, 344);
   _actionMap[551][ORDER] = ActionEntry(REDUCE, 344);
   _actionMap[551][GROUP] = ActionEntry(REDUCE, 344);
   _actionMap[551][WHERE] = ActionEntry(REDUCE, 344);
   _actionMap[551][AND] = ActionEntry(REDUCE, 344);
   _actionMap[551][OR] = ActionEntry(REDUCE, 344);
   _actionMap[552][RB] = ActionEntry(SHIFT, 453);
   _actionMap[552][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[552][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[552][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[552][INTOK] = ActionEntry(SHIFT, 539);
   _actionMap[552][NOT] = ActionEntry(SHIFT, 542);
   _actionMap[552][BETWEEN] = ActionEntry(SHIFT, 538);
   _actionMap[552][IS] = ActionEntry(SHIFT, 540);
   _actionMap[552][LIKE] = ActionEntry(SHIFT, 541);
   _actionMap[552][EQU] = ActionEntry(SHIFT, 543);
   _actionMap[552][NEGATION] = ActionEntry(SHIFT, 546);
   _actionMap[552][LT] = ActionEntry(SHIFT, 544);
   _actionMap[552][MT] = ActionEntry(SHIFT, 545);
   _jumpMap[552][Comparison] = 537;
   _actionMap[553][RB] = ActionEntry(SHIFT, 715);
   _actionMap[553][AND] = ActionEntry(SHIFT, 547);
   _actionMap[553][OR] = ActionEntry(SHIFT, 548);
   _actionMap[554][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[554][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[554][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[554][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[554][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[554][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[554][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[554][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[554][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[554][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[554][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[554][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[554][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[554][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[554][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[554][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[554][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[554][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[554][SUBSTR] = ActionEntry(SHIFT, 146);
}
void Cego::loadParser93()
{
   _actionMap[554][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[554][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[554][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[554][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[554][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[554][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[554][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[554][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[554][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[554][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[554][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[554][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[554][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[554][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[554][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[554][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[554][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[554][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[554][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[554][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[554][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[554][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[554][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[554][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[554][LB] = ActionEntry(SHIFT, 156);
   _actionMap[554][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[554][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[554][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[554][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[554][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[554][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[554][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[554][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[554][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[554][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[554][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[554][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[554][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[554][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[554][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[554][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[554][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[554][ObjSpec] = 103;
   _jumpMap[554][Constant] = 102;
   _jumpMap[554][SignedFloat] = 101;
   _jumpMap[554][SignedInt] = 100;
   _jumpMap[554][Attribute] = 99;
   _jumpMap[554][Function] = 98;
   _jumpMap[554][CasePrepare] = 97;
   _jumpMap[554][CaseClause] = 96;
}
void Cego::loadParser94()
{
   _jumpMap[554][Factor] = 95;
   _jumpMap[554][Term] = 94;
   _jumpMap[554][Expr] = 716;
   _actionMap[555][WHEN] = ActionEntry(REDUCE, 322);
   _actionMap[555][ELSE] = ActionEntry(REDUCE, 322);
   _actionMap[555][LEFT] = ActionEntry(REDUCE, 322);
   _actionMap[555][RIGHT] = ActionEntry(REDUCE, 322);
   _actionMap[555][INNER] = ActionEntry(REDUCE, 322);
   _actionMap[555][JOIN] = ActionEntry(REDUCE, 322);
   _actionMap[555][RETURNTOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[555][ORDER] = ActionEntry(REDUCE, 322);
   _actionMap[555][GROUP] = ActionEntry(REDUCE, 322);
   _actionMap[555][WHERE] = ActionEntry(REDUCE, 322);
   _actionMap[555][FROM] = ActionEntry(REDUCE, 322);
   _actionMap[555][AS] = ActionEntry(REDUCE, 322);
   _actionMap[555][END_TOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[555][BEGIN] = ActionEntry(REDUCE, 322);
   _actionMap[555][THEN] = ActionEntry(REDUCE, 322);
   _actionMap[555][OR] = ActionEntry(REDUCE, 322);
   _actionMap[555][AND] = ActionEntry(REDUCE, 322);
   _actionMap[555][INTOK] = ActionEntry(REDUCE, 322);
   _actionMap[555][NOT] = ActionEntry(REDUCE, 322);
   _actionMap[555][BETWEEN] = ActionEntry(REDUCE, 322);
   _actionMap[555][IS] = ActionEntry(REDUCE, 322);
   _actionMap[555][LIKE] = ActionEntry(REDUCE, 322);
   _actionMap[555][MT] = ActionEntry(REDUCE, 322);
   _actionMap[555][LT] = ActionEntry(REDUCE, 322);
   _actionMap[555][NEGATION] = ActionEntry(REDUCE, 322);
   _actionMap[555][EQU] = ActionEntry(REDUCE, 322);
   _actionMap[555][RB] = ActionEntry(REDUCE, 322);
   _actionMap[555][ENDTOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[555][UNION] = ActionEntry(REDUCE, 322);
   _actionMap[555][ROWLIMIT] = ActionEntry(REDUCE, 322);
   _actionMap[555][KSEP] = ActionEntry(REDUCE, 322);
   _actionMap[555][ASC] = ActionEntry(REDUCE, 322);
   _actionMap[555][DESC] = ActionEntry(REDUCE, 322);
   _actionMap[555][SEMICOLON] = ActionEntry(REDUCE, 322);
   _actionMap[555][PLUS] = ActionEntry(REDUCE, 322);
   _actionMap[555][MINUS] = ActionEntry(REDUCE, 322);
   _actionMap[555][DIVISION] = ActionEntry(REDUCE, 322);
   _actionMap[555][STAR] = ActionEntry(REDUCE, 322);
   _actionMap[555][CONCAT] = ActionEntry(REDUCE, 322);
   _actionMap[556][WHEN] = ActionEntry(REDUCE, 286);
   _actionMap[556][ELSE] = ActionEntry(REDUCE, 286);
   _actionMap[556][LEFT] = ActionEntry(REDUCE, 286);
   _actionMap[556][RIGHT] = ActionEntry(REDUCE, 286);
   _actionMap[556][INNER] = ActionEntry(REDUCE, 286);
   _actionMap[556][JOIN] = ActionEntry(REDUCE, 286);
   _actionMap[556][RETURNTOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[556][ORDER] = ActionEntry(REDUCE, 286);
}
void Cego::loadParser95()
{
   _actionMap[556][GROUP] = ActionEntry(REDUCE, 286);
   _actionMap[556][WHERE] = ActionEntry(REDUCE, 286);
   _actionMap[556][FROM] = ActionEntry(REDUCE, 286);
   _actionMap[556][AS] = ActionEntry(REDUCE, 286);
   _actionMap[556][END_TOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[556][BEGIN] = ActionEntry(REDUCE, 286);
   _actionMap[556][THEN] = ActionEntry(REDUCE, 286);
   _actionMap[556][OR] = ActionEntry(REDUCE, 286);
   _actionMap[556][AND] = ActionEntry(REDUCE, 286);
   _actionMap[556][INTOK] = ActionEntry(REDUCE, 286);
   _actionMap[556][NOT] = ActionEntry(REDUCE, 286);
   _actionMap[556][BETWEEN] = ActionEntry(REDUCE, 286);
   _actionMap[556][IS] = ActionEntry(REDUCE, 286);
   _actionMap[556][LIKE] = ActionEntry(REDUCE, 286);
   _actionMap[556][MT] = ActionEntry(REDUCE, 286);
   _actionMap[556][LT] = ActionEntry(REDUCE, 286);
   _actionMap[556][NEGATION] = ActionEntry(REDUCE, 286);
   _actionMap[556][EQU] = ActionEntry(REDUCE, 286);
   _actionMap[556][RB] = ActionEntry(REDUCE, 286);
   _actionMap[556][ENDTOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[556][UNION] = ActionEntry(REDUCE, 286);
   _actionMap[556][ROWLIMIT] = ActionEntry(REDUCE, 286);
   _actionMap[556][KSEP] = ActionEntry(REDUCE, 286);
   _actionMap[556][ASC] = ActionEntry(REDUCE, 286);
   _actionMap[556][DESC] = ActionEntry(REDUCE, 286);
   _actionMap[556][SEMICOLON] = ActionEntry(REDUCE, 286);
   _actionMap[556][PLUS] = ActionEntry(REDUCE, 286);
   _actionMap[556][MINUS] = ActionEntry(REDUCE, 286);
   _actionMap[556][DIVISION] = ActionEntry(REDUCE, 286);
   _actionMap[556][STAR] = ActionEntry(REDUCE, 286);
   _actionMap[556][CONCAT] = ActionEntry(REDUCE, 286);
   _actionMap[557][WHEN] = ActionEntry(REDUCE, 162);
   _actionMap[557][ELSE] = ActionEntry(REDUCE, 162);
   _actionMap[557][LEFT] = ActionEntry(REDUCE, 162);
   _actionMap[557][RIGHT] = ActionEntry(REDUCE, 162);
   _actionMap[557][INNER] = ActionEntry(REDUCE, 162);
   _actionMap[557][JOIN] = ActionEntry(REDUCE, 162);
   _actionMap[557][RETURNTOKEN] = ActionEntry(REDUCE, 162);
   _actionMap[557][ORDER] = ActionEntry(REDUCE, 162);
   _actionMap[557][GROUP] = ActionEntry(REDUCE, 162);
   _actionMap[557][WHERE] = ActionEntry(REDUCE, 162);
   _actionMap[557][AS] = ActionEntry(REDUCE, 162);
   _actionMap[557][FROM] = ActionEntry(REDUCE, 162);
   _actionMap[557][END_TOKEN] = ActionEntry(REDUCE, 162);
   _actionMap[557][BEGIN] = ActionEntry(REDUCE, 162);
   _actionMap[557][THEN] = ActionEntry(REDUCE, 162);
   _actionMap[557][OR] = ActionEntry(REDUCE, 162);
   _actionMap[557][AND] = ActionEntry(REDUCE, 162);
   _actionMap[557][LIKE] = ActionEntry(REDUCE, 162);
   _actionMap[557][IS] = ActionEntry(REDUCE, 162);
}
void Cego::loadParser96()
{
   _actionMap[557][BETWEEN] = ActionEntry(REDUCE, 162);
   _actionMap[557][NOT] = ActionEntry(REDUCE, 162);
   _actionMap[557][INTOK] = ActionEntry(REDUCE, 162);
   _actionMap[557][EQU] = ActionEntry(REDUCE, 162);
   _actionMap[557][NEGATION] = ActionEntry(REDUCE, 162);
   _actionMap[557][LT] = ActionEntry(REDUCE, 162);
   _actionMap[557][MT] = ActionEntry(REDUCE, 162);
   _actionMap[557][DESC] = ActionEntry(REDUCE, 162);
   _actionMap[557][ASC] = ActionEntry(REDUCE, 162);
   _actionMap[557][KSEP] = ActionEntry(REDUCE, 162);
   _actionMap[557][ROWLIMIT] = ActionEntry(REDUCE, 162);
   _actionMap[557][UNION] = ActionEntry(REDUCE, 162);
   _actionMap[557][ENDTOKEN] = ActionEntry(REDUCE, 162);
   _actionMap[557][RB] = ActionEntry(REDUCE, 162);
   _actionMap[557][SEMICOLON] = ActionEntry(REDUCE, 162);
   _actionMap[557][CONCAT] = ActionEntry(REDUCE, 162);
   _actionMap[557][STAR] = ActionEntry(REDUCE, 162);
   _actionMap[557][DIVISION] = ActionEntry(REDUCE, 162);
   _actionMap[557][MINUS] = ActionEntry(REDUCE, 162);
   _actionMap[557][PLUS] = ActionEntry(REDUCE, 162);
   _actionMap[558][WHEN] = ActionEntry(REDUCE, 314);
   _actionMap[558][ELSE] = ActionEntry(REDUCE, 314);
   _actionMap[558][LEFT] = ActionEntry(REDUCE, 314);
   _actionMap[558][RIGHT] = ActionEntry(REDUCE, 314);
   _actionMap[558][INNER] = ActionEntry(REDUCE, 314);
   _actionMap[558][JOIN] = ActionEntry(REDUCE, 314);
   _actionMap[558][RETURNTOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[558][ORDER] = ActionEntry(REDUCE, 314);
   _actionMap[558][GROUP] = ActionEntry(REDUCE, 314);
   _actionMap[558][WHERE] = ActionEntry(REDUCE, 314);
   _actionMap[558][FROM] = ActionEntry(REDUCE, 314);
   _actionMap[558][AS] = ActionEntry(REDUCE, 314);
   _actionMap[558][END_TOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[558][BEGIN] = ActionEntry(REDUCE, 314);
   _actionMap[558][THEN] = ActionEntry(REDUCE, 314);
   _actionMap[558][OR] = ActionEntry(REDUCE, 314);
   _actionMap[558][AND] = ActionEntry(REDUCE, 314);
   _actionMap[558][INTOK] = ActionEntry(REDUCE, 314);
   _actionMap[558][NOT] = ActionEntry(REDUCE, 314);
   _actionMap[558][BETWEEN] = ActionEntry(REDUCE, 314);
   _actionMap[558][IS] = ActionEntry(REDUCE, 314);
   _actionMap[558][LIKE] = ActionEntry(REDUCE, 314);
   _actionMap[558][MT] = ActionEntry(REDUCE, 314);
   _actionMap[558][LT] = ActionEntry(REDUCE, 314);
   _actionMap[558][NEGATION] = ActionEntry(REDUCE, 314);
   _actionMap[558][EQU] = ActionEntry(REDUCE, 314);
   _actionMap[558][RB] = ActionEntry(REDUCE, 314);
   _actionMap[558][ENDTOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[558][UNION] = ActionEntry(REDUCE, 314);
   _actionMap[558][ROWLIMIT] = ActionEntry(REDUCE, 314);
}
void Cego::loadParser97()
{
   _actionMap[558][KSEP] = ActionEntry(REDUCE, 314);
   _actionMap[558][ASC] = ActionEntry(REDUCE, 314);
   _actionMap[558][DESC] = ActionEntry(REDUCE, 314);
   _actionMap[558][SEMICOLON] = ActionEntry(REDUCE, 314);
   _actionMap[558][PLUS] = ActionEntry(REDUCE, 314);
   _actionMap[558][MINUS] = ActionEntry(REDUCE, 314);
   _actionMap[558][DIVISION] = ActionEntry(REDUCE, 314);
   _actionMap[558][STAR] = ActionEntry(REDUCE, 314);
   _actionMap[558][CONCAT] = ActionEntry(REDUCE, 314);
   _actionMap[559][WHEN] = ActionEntry(REDUCE, 315);
   _actionMap[559][ELSE] = ActionEntry(REDUCE, 315);
   _actionMap[559][LEFT] = ActionEntry(REDUCE, 315);
   _actionMap[559][RIGHT] = ActionEntry(REDUCE, 315);
   _actionMap[559][INNER] = ActionEntry(REDUCE, 315);
   _actionMap[559][JOIN] = ActionEntry(REDUCE, 315);
   _actionMap[559][RETURNTOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[559][ORDER] = ActionEntry(REDUCE, 315);
   _actionMap[559][GROUP] = ActionEntry(REDUCE, 315);
   _actionMap[559][WHERE] = ActionEntry(REDUCE, 315);
   _actionMap[559][FROM] = ActionEntry(REDUCE, 315);
   _actionMap[559][AS] = ActionEntry(REDUCE, 315);
   _actionMap[559][END_TOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[559][BEGIN] = ActionEntry(REDUCE, 315);
   _actionMap[559][THEN] = ActionEntry(REDUCE, 315);
   _actionMap[559][OR] = ActionEntry(REDUCE, 315);
   _actionMap[559][AND] = ActionEntry(REDUCE, 315);
   _actionMap[559][INTOK] = ActionEntry(REDUCE, 315);
   _actionMap[559][NOT] = ActionEntry(REDUCE, 315);
   _actionMap[559][BETWEEN] = ActionEntry(REDUCE, 315);
   _actionMap[559][IS] = ActionEntry(REDUCE, 315);
   _actionMap[559][LIKE] = ActionEntry(REDUCE, 315);
   _actionMap[559][MT] = ActionEntry(REDUCE, 315);
   _actionMap[559][LT] = ActionEntry(REDUCE, 315);
   _actionMap[559][NEGATION] = ActionEntry(REDUCE, 315);
   _actionMap[559][EQU] = ActionEntry(REDUCE, 315);
   _actionMap[559][RB] = ActionEntry(REDUCE, 315);
   _actionMap[559][ENDTOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[559][UNION] = ActionEntry(REDUCE, 315);
   _actionMap[559][ROWLIMIT] = ActionEntry(REDUCE, 315);
   _actionMap[559][KSEP] = ActionEntry(REDUCE, 315);
   _actionMap[559][ASC] = ActionEntry(REDUCE, 315);
   _actionMap[559][DESC] = ActionEntry(REDUCE, 315);
   _actionMap[559][SEMICOLON] = ActionEntry(REDUCE, 315);
   _actionMap[559][PLUS] = ActionEntry(REDUCE, 315);
   _actionMap[559][MINUS] = ActionEntry(REDUCE, 315);
   _actionMap[559][DIVISION] = ActionEntry(REDUCE, 315);
   _actionMap[559][STAR] = ActionEntry(REDUCE, 315);
   _actionMap[559][CONCAT] = ActionEntry(REDUCE, 315);
   _actionMap[560][WHEN] = ActionEntry(REDUCE, 316);
   _actionMap[560][ELSE] = ActionEntry(REDUCE, 316);
}
void Cego::loadParser98()
{
   _actionMap[560][LEFT] = ActionEntry(REDUCE, 316);
   _actionMap[560][RIGHT] = ActionEntry(REDUCE, 316);
   _actionMap[560][INNER] = ActionEntry(REDUCE, 316);
   _actionMap[560][JOIN] = ActionEntry(REDUCE, 316);
   _actionMap[560][RETURNTOKEN] = ActionEntry(REDUCE, 316);
   _actionMap[560][ORDER] = ActionEntry(REDUCE, 316);
   _actionMap[560][GROUP] = ActionEntry(REDUCE, 316);
   _actionMap[560][WHERE] = ActionEntry(REDUCE, 316);
   _actionMap[560][FROM] = ActionEntry(REDUCE, 316);
   _actionMap[560][AS] = ActionEntry(REDUCE, 316);
   _actionMap[560][END_TOKEN] = ActionEntry(REDUCE, 316);
   _actionMap[560][BEGIN] = ActionEntry(REDUCE, 316);
   _actionMap[560][THEN] = ActionEntry(REDUCE, 316);
   _actionMap[560][OR] = ActionEntry(REDUCE, 316);
   _actionMap[560][AND] = ActionEntry(REDUCE, 316);
   _actionMap[560][INTOK] = ActionEntry(REDUCE, 316);
   _actionMap[560][NOT] = ActionEntry(REDUCE, 316);
   _actionMap[560][BETWEEN] = ActionEntry(REDUCE, 316);
   _actionMap[560][IS] = ActionEntry(REDUCE, 316);
   _actionMap[560][LIKE] = ActionEntry(REDUCE, 316);
   _actionMap[560][MT] = ActionEntry(REDUCE, 316);
   _actionMap[560][LT] = ActionEntry(REDUCE, 316);
   _actionMap[560][NEGATION] = ActionEntry(REDUCE, 316);
   _actionMap[560][EQU] = ActionEntry(REDUCE, 316);
   _actionMap[560][RB] = ActionEntry(REDUCE, 316);
   _actionMap[560][ENDTOKEN] = ActionEntry(REDUCE, 316);
   _actionMap[560][UNION] = ActionEntry(REDUCE, 316);
   _actionMap[560][ROWLIMIT] = ActionEntry(REDUCE, 316);
   _actionMap[560][KSEP] = ActionEntry(REDUCE, 316);
   _actionMap[560][ASC] = ActionEntry(REDUCE, 316);
   _actionMap[560][DESC] = ActionEntry(REDUCE, 316);
   _actionMap[560][SEMICOLON] = ActionEntry(REDUCE, 316);
   _actionMap[560][PLUS] = ActionEntry(REDUCE, 316);
   _actionMap[560][MINUS] = ActionEntry(REDUCE, 316);
   _actionMap[560][DIVISION] = ActionEntry(REDUCE, 316);
   _actionMap[560][STAR] = ActionEntry(REDUCE, 316);
   _actionMap[560][CONCAT] = ActionEntry(REDUCE, 316);
   _actionMap[561][WHEN] = ActionEntry(REDUCE, 387);
   _actionMap[561][ELSE] = ActionEntry(REDUCE, 387);
   _actionMap[561][LEFT] = ActionEntry(REDUCE, 387);
   _actionMap[561][RIGHT] = ActionEntry(REDUCE, 387);
   _actionMap[561][INNER] = ActionEntry(REDUCE, 387);
   _actionMap[561][JOIN] = ActionEntry(REDUCE, 387);
   _actionMap[561][RETURNTOKEN] = ActionEntry(REDUCE, 387);
   _actionMap[561][ORDER] = ActionEntry(REDUCE, 387);
   _actionMap[561][GROUP] = ActionEntry(REDUCE, 387);
   _actionMap[561][WHERE] = ActionEntry(REDUCE, 387);
   _actionMap[561][NULLTOKEN] = ActionEntry(REDUCE, 387);
   _actionMap[561][FROM] = ActionEntry(REDUCE, 387);
   _actionMap[561][AS] = ActionEntry(REDUCE, 387);
}
void Cego::loadParser99()
{
   _actionMap[561][END_TOKEN] = ActionEntry(REDUCE, 387);
   _actionMap[561][BEGIN] = ActionEntry(REDUCE, 387);
   _actionMap[561][THEN] = ActionEntry(REDUCE, 387);
   _actionMap[561][OR] = ActionEntry(REDUCE, 387);
   _actionMap[561][AND] = ActionEntry(REDUCE, 387);
   _actionMap[561][INTOK] = ActionEntry(REDUCE, 387);
   _actionMap[561][NOT] = ActionEntry(REDUCE, 387);
   _actionMap[561][BETWEEN] = ActionEntry(REDUCE, 387);
   _actionMap[561][IS] = ActionEntry(REDUCE, 387);
   _actionMap[561][LIKE] = ActionEntry(REDUCE, 387);
   _actionMap[561][MT] = ActionEntry(REDUCE, 387);
   _actionMap[561][LT] = ActionEntry(REDUCE, 387);
   _actionMap[561][NEGATION] = ActionEntry(REDUCE, 387);
   _actionMap[561][EQU] = ActionEntry(REDUCE, 387);
   _actionMap[561][RB] = ActionEntry(REDUCE, 387);
   _actionMap[561][ENDTOKEN] = ActionEntry(REDUCE, 387);
   _actionMap[561][UNION] = ActionEntry(REDUCE, 387);
   _actionMap[561][ROWLIMIT] = ActionEntry(REDUCE, 387);
   _actionMap[561][KSEP] = ActionEntry(REDUCE, 387);
   _actionMap[561][ASC] = ActionEntry(REDUCE, 387);
   _actionMap[561][DESC] = ActionEntry(REDUCE, 387);
   _actionMap[561][SEMICOLON] = ActionEntry(REDUCE, 387);
   _actionMap[561][PLUS] = ActionEntry(REDUCE, 387);
   _actionMap[561][MINUS] = ActionEntry(REDUCE, 387);
   _actionMap[561][DIVISION] = ActionEntry(REDUCE, 387);
   _actionMap[561][STAR] = ActionEntry(REDUCE, 387);
   _actionMap[561][CONCAT] = ActionEntry(REDUCE, 387);
   _actionMap[562][WHEN] = ActionEntry(REDUCE, 317);
   _actionMap[562][ELSE] = ActionEntry(REDUCE, 317);
   _actionMap[562][LEFT] = ActionEntry(REDUCE, 317);
   _actionMap[562][RIGHT] = ActionEntry(REDUCE, 317);
   _actionMap[562][INNER] = ActionEntry(REDUCE, 317);
   _actionMap[562][JOIN] = ActionEntry(REDUCE, 317);
   _actionMap[562][RETURNTOKEN] = ActionEntry(REDUCE, 317);
   _actionMap[562][ORDER] = ActionEntry(REDUCE, 317);
   _actionMap[562][GROUP] = ActionEntry(REDUCE, 317);
   _actionMap[562][WHERE] = ActionEntry(REDUCE, 317);
   _actionMap[562][FROM] = ActionEntry(REDUCE, 317);
   _actionMap[562][AS] = ActionEntry(REDUCE, 317);
   _actionMap[562][END_TOKEN] = ActionEntry(REDUCE, 317);
   _actionMap[562][BEGIN] = ActionEntry(REDUCE, 317);
   _actionMap[562][THEN] = ActionEntry(REDUCE, 317);
   _actionMap[562][OR] = ActionEntry(REDUCE, 317);
   _actionMap[562][AND] = ActionEntry(REDUCE, 317);
   _actionMap[562][INTOK] = ActionEntry(REDUCE, 317);
   _actionMap[562][NOT] = ActionEntry(REDUCE, 317);
   _actionMap[562][BETWEEN] = ActionEntry(REDUCE, 317);
   _actionMap[562][IS] = ActionEntry(REDUCE, 317);
   _actionMap[562][LIKE] = ActionEntry(REDUCE, 317);
   _actionMap[562][MT] = ActionEntry(REDUCE, 317);
}
void Cego::loadParser100()
{
   _actionMap[562][LT] = ActionEntry(REDUCE, 317);
   _actionMap[562][NEGATION] = ActionEntry(REDUCE, 317);
   _actionMap[562][EQU] = ActionEntry(REDUCE, 317);
   _actionMap[562][RB] = ActionEntry(REDUCE, 317);
   _actionMap[562][ENDTOKEN] = ActionEntry(REDUCE, 317);
   _actionMap[562][UNION] = ActionEntry(REDUCE, 317);
   _actionMap[562][ROWLIMIT] = ActionEntry(REDUCE, 317);
   _actionMap[562][KSEP] = ActionEntry(REDUCE, 317);
   _actionMap[562][ASC] = ActionEntry(REDUCE, 317);
   _actionMap[562][DESC] = ActionEntry(REDUCE, 317);
   _actionMap[562][SEMICOLON] = ActionEntry(REDUCE, 317);
   _actionMap[562][PLUS] = ActionEntry(REDUCE, 317);
   _actionMap[562][MINUS] = ActionEntry(REDUCE, 317);
   _actionMap[562][DIVISION] = ActionEntry(REDUCE, 317);
   _actionMap[562][STAR] = ActionEntry(REDUCE, 317);
   _actionMap[562][CONCAT] = ActionEntry(REDUCE, 317);
   _actionMap[563][WHEN] = ActionEntry(REDUCE, 388);
   _actionMap[563][ELSE] = ActionEntry(REDUCE, 388);
   _actionMap[563][LEFT] = ActionEntry(REDUCE, 388);
   _actionMap[563][RIGHT] = ActionEntry(REDUCE, 388);
   _actionMap[563][INNER] = ActionEntry(REDUCE, 388);
   _actionMap[563][JOIN] = ActionEntry(REDUCE, 388);
   _actionMap[563][RETURNTOKEN] = ActionEntry(REDUCE, 388);
   _actionMap[563][ORDER] = ActionEntry(REDUCE, 388);
   _actionMap[563][GROUP] = ActionEntry(REDUCE, 388);
   _actionMap[563][WHERE] = ActionEntry(REDUCE, 388);
   _actionMap[563][NULLTOKEN] = ActionEntry(REDUCE, 388);
   _actionMap[563][FROM] = ActionEntry(REDUCE, 388);
   _actionMap[563][AS] = ActionEntry(REDUCE, 388);
   _actionMap[563][END_TOKEN] = ActionEntry(REDUCE, 388);
   _actionMap[563][BEGIN] = ActionEntry(REDUCE, 388);
   _actionMap[563][THEN] = ActionEntry(REDUCE, 388);
   _actionMap[563][OR] = ActionEntry(REDUCE, 388);
   _actionMap[563][AND] = ActionEntry(REDUCE, 388);
   _actionMap[563][INTOK] = ActionEntry(REDUCE, 388);
   _actionMap[563][NOT] = ActionEntry(REDUCE, 388);
   _actionMap[563][BETWEEN] = ActionEntry(REDUCE, 388);
   _actionMap[563][IS] = ActionEntry(REDUCE, 388);
   _actionMap[563][LIKE] = ActionEntry(REDUCE, 388);
   _actionMap[563][MT] = ActionEntry(REDUCE, 388);
   _actionMap[563][LT] = ActionEntry(REDUCE, 388);
   _actionMap[563][NEGATION] = ActionEntry(REDUCE, 388);
   _actionMap[563][EQU] = ActionEntry(REDUCE, 388);
   _actionMap[563][RB] = ActionEntry(REDUCE, 388);
   _actionMap[563][ENDTOKEN] = ActionEntry(REDUCE, 388);
   _actionMap[563][UNION] = ActionEntry(REDUCE, 388);
   _actionMap[563][ROWLIMIT] = ActionEntry(REDUCE, 388);
   _actionMap[563][KSEP] = ActionEntry(REDUCE, 388);
   _actionMap[563][ASC] = ActionEntry(REDUCE, 388);
   _actionMap[563][DESC] = ActionEntry(REDUCE, 388);
}
void Cego::loadParser101()
{
   _actionMap[563][SEMICOLON] = ActionEntry(REDUCE, 388);
   _actionMap[563][PLUS] = ActionEntry(REDUCE, 388);
   _actionMap[563][MINUS] = ActionEntry(REDUCE, 388);
   _actionMap[563][DIVISION] = ActionEntry(REDUCE, 388);
   _actionMap[563][STAR] = ActionEntry(REDUCE, 388);
   _actionMap[563][CONCAT] = ActionEntry(REDUCE, 388);
   _actionMap[564][WHEN] = ActionEntry(REDUCE, 318);
   _actionMap[564][ELSE] = ActionEntry(REDUCE, 318);
   _actionMap[564][LEFT] = ActionEntry(REDUCE, 318);
   _actionMap[564][RIGHT] = ActionEntry(REDUCE, 318);
   _actionMap[564][INNER] = ActionEntry(REDUCE, 318);
   _actionMap[564][JOIN] = ActionEntry(REDUCE, 318);
   _actionMap[564][RETURNTOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[564][ORDER] = ActionEntry(REDUCE, 318);
   _actionMap[564][GROUP] = ActionEntry(REDUCE, 318);
   _actionMap[564][WHERE] = ActionEntry(REDUCE, 318);
   _actionMap[564][FROM] = ActionEntry(REDUCE, 318);
   _actionMap[564][AS] = ActionEntry(REDUCE, 318);
   _actionMap[564][END_TOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[564][BEGIN] = ActionEntry(REDUCE, 318);
   _actionMap[564][THEN] = ActionEntry(REDUCE, 318);
   _actionMap[564][OR] = ActionEntry(REDUCE, 318);
   _actionMap[564][AND] = ActionEntry(REDUCE, 318);
   _actionMap[564][INTOK] = ActionEntry(REDUCE, 318);
   _actionMap[564][NOT] = ActionEntry(REDUCE, 318);
   _actionMap[564][BETWEEN] = ActionEntry(REDUCE, 318);
   _actionMap[564][IS] = ActionEntry(REDUCE, 318);
   _actionMap[564][LIKE] = ActionEntry(REDUCE, 318);
   _actionMap[564][MT] = ActionEntry(REDUCE, 318);
   _actionMap[564][LT] = ActionEntry(REDUCE, 318);
   _actionMap[564][NEGATION] = ActionEntry(REDUCE, 318);
   _actionMap[564][EQU] = ActionEntry(REDUCE, 318);
   _actionMap[564][RB] = ActionEntry(REDUCE, 318);
   _actionMap[564][ENDTOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[564][UNION] = ActionEntry(REDUCE, 318);
   _actionMap[564][ROWLIMIT] = ActionEntry(REDUCE, 318);
   _actionMap[564][KSEP] = ActionEntry(REDUCE, 318);
   _actionMap[564][ASC] = ActionEntry(REDUCE, 318);
   _actionMap[564][DESC] = ActionEntry(REDUCE, 318);
   _actionMap[564][SEMICOLON] = ActionEntry(REDUCE, 318);
   _actionMap[564][PLUS] = ActionEntry(REDUCE, 318);
   _actionMap[564][MINUS] = ActionEntry(REDUCE, 318);
   _actionMap[564][DIVISION] = ActionEntry(REDUCE, 318);
   _actionMap[564][STAR] = ActionEntry(REDUCE, 318);
   _actionMap[564][CONCAT] = ActionEntry(REDUCE, 318);
   _actionMap[565][WHEN] = ActionEntry(REDUCE, 319);
   _actionMap[565][ELSE] = ActionEntry(REDUCE, 319);
   _actionMap[565][LEFT] = ActionEntry(REDUCE, 319);
   _actionMap[565][RIGHT] = ActionEntry(REDUCE, 319);
   _actionMap[565][INNER] = ActionEntry(REDUCE, 319);
}
void Cego::loadParser102()
{
   _actionMap[565][JOIN] = ActionEntry(REDUCE, 319);
   _actionMap[565][RETURNTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[565][ORDER] = ActionEntry(REDUCE, 319);
   _actionMap[565][GROUP] = ActionEntry(REDUCE, 319);
   _actionMap[565][WHERE] = ActionEntry(REDUCE, 319);
   _actionMap[565][FROM] = ActionEntry(REDUCE, 319);
   _actionMap[565][AS] = ActionEntry(REDUCE, 319);
   _actionMap[565][END_TOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[565][BEGIN] = ActionEntry(REDUCE, 319);
   _actionMap[565][THEN] = ActionEntry(REDUCE, 319);
   _actionMap[565][OR] = ActionEntry(REDUCE, 319);
   _actionMap[565][AND] = ActionEntry(REDUCE, 319);
   _actionMap[565][INTOK] = ActionEntry(REDUCE, 319);
   _actionMap[565][NOT] = ActionEntry(REDUCE, 319);
   _actionMap[565][BETWEEN] = ActionEntry(REDUCE, 319);
   _actionMap[565][IS] = ActionEntry(REDUCE, 319);
   _actionMap[565][LIKE] = ActionEntry(REDUCE, 319);
   _actionMap[565][MT] = ActionEntry(REDUCE, 319);
   _actionMap[565][LT] = ActionEntry(REDUCE, 319);
   _actionMap[565][NEGATION] = ActionEntry(REDUCE, 319);
   _actionMap[565][EQU] = ActionEntry(REDUCE, 319);
   _actionMap[565][RB] = ActionEntry(REDUCE, 319);
   _actionMap[565][ENDTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[565][UNION] = ActionEntry(REDUCE, 319);
   _actionMap[565][ROWLIMIT] = ActionEntry(REDUCE, 319);
   _actionMap[565][KSEP] = ActionEntry(REDUCE, 319);
   _actionMap[565][ASC] = ActionEntry(REDUCE, 319);
   _actionMap[565][DESC] = ActionEntry(REDUCE, 319);
   _actionMap[565][SEMICOLON] = ActionEntry(REDUCE, 319);
   _actionMap[565][PLUS] = ActionEntry(REDUCE, 319);
   _actionMap[565][MINUS] = ActionEntry(REDUCE, 319);
   _actionMap[565][DIVISION] = ActionEntry(REDUCE, 319);
   _actionMap[565][STAR] = ActionEntry(REDUCE, 319);
   _actionMap[565][CONCAT] = ActionEntry(REDUCE, 319);
   _actionMap[566][WHEN] = ActionEntry(REDUCE, 163);
   _actionMap[566][ELSE] = ActionEntry(REDUCE, 163);
   _actionMap[566][LEFT] = ActionEntry(REDUCE, 163);
   _actionMap[566][RIGHT] = ActionEntry(REDUCE, 163);
   _actionMap[566][INNER] = ActionEntry(REDUCE, 163);
   _actionMap[566][JOIN] = ActionEntry(REDUCE, 163);
   _actionMap[566][RETURNTOKEN] = ActionEntry(REDUCE, 163);
   _actionMap[566][ORDER] = ActionEntry(REDUCE, 163);
   _actionMap[566][GROUP] = ActionEntry(REDUCE, 163);
   _actionMap[566][WHERE] = ActionEntry(REDUCE, 163);
   _actionMap[566][AS] = ActionEntry(REDUCE, 163);
   _actionMap[566][FROM] = ActionEntry(REDUCE, 163);
   _actionMap[566][END_TOKEN] = ActionEntry(REDUCE, 163);
   _actionMap[566][BEGIN] = ActionEntry(REDUCE, 163);
   _actionMap[566][THEN] = ActionEntry(REDUCE, 163);
   _actionMap[566][OR] = ActionEntry(REDUCE, 163);
}
void Cego::loadParser103()
{
   _actionMap[566][AND] = ActionEntry(REDUCE, 163);
   _actionMap[566][LIKE] = ActionEntry(REDUCE, 163);
   _actionMap[566][IS] = ActionEntry(REDUCE, 163);
   _actionMap[566][BETWEEN] = ActionEntry(REDUCE, 163);
   _actionMap[566][NOT] = ActionEntry(REDUCE, 163);
   _actionMap[566][INTOK] = ActionEntry(REDUCE, 163);
   _actionMap[566][EQU] = ActionEntry(REDUCE, 163);
   _actionMap[566][NEGATION] = ActionEntry(REDUCE, 163);
   _actionMap[566][LT] = ActionEntry(REDUCE, 163);
   _actionMap[566][MT] = ActionEntry(REDUCE, 163);
   _actionMap[566][DESC] = ActionEntry(REDUCE, 163);
   _actionMap[566][ASC] = ActionEntry(REDUCE, 163);
   _actionMap[566][KSEP] = ActionEntry(REDUCE, 163);
   _actionMap[566][ROWLIMIT] = ActionEntry(REDUCE, 163);
   _actionMap[566][UNION] = ActionEntry(REDUCE, 163);
   _actionMap[566][ENDTOKEN] = ActionEntry(REDUCE, 163);
   _actionMap[566][RB] = ActionEntry(REDUCE, 163);
   _actionMap[566][SEMICOLON] = ActionEntry(REDUCE, 163);
   _actionMap[566][CONCAT] = ActionEntry(REDUCE, 163);
   _actionMap[566][STAR] = ActionEntry(REDUCE, 163);
   _actionMap[566][DIVISION] = ActionEntry(REDUCE, 163);
   _actionMap[566][MINUS] = ActionEntry(REDUCE, 163);
   _actionMap[566][PLUS] = ActionEntry(REDUCE, 163);
   _actionMap[567][WHEN] = ActionEntry(REDUCE, 160);
   _actionMap[567][ELSE] = ActionEntry(REDUCE, 160);
   _actionMap[567][LEFT] = ActionEntry(REDUCE, 160);
   _actionMap[567][RIGHT] = ActionEntry(REDUCE, 160);
   _actionMap[567][INNER] = ActionEntry(REDUCE, 160);
   _actionMap[567][JOIN] = ActionEntry(REDUCE, 160);
   _actionMap[567][RETURNTOKEN] = ActionEntry(REDUCE, 160);
   _actionMap[567][ORDER] = ActionEntry(REDUCE, 160);
   _actionMap[567][GROUP] = ActionEntry(REDUCE, 160);
   _actionMap[567][WHERE] = ActionEntry(REDUCE, 160);
   _actionMap[567][AS] = ActionEntry(REDUCE, 160);
   _actionMap[567][FROM] = ActionEntry(REDUCE, 160);
   _actionMap[567][END_TOKEN] = ActionEntry(REDUCE, 160);
   _actionMap[567][BEGIN] = ActionEntry(REDUCE, 160);
   _actionMap[567][THEN] = ActionEntry(REDUCE, 160);
   _actionMap[567][OR] = ActionEntry(REDUCE, 160);
   _actionMap[567][AND] = ActionEntry(REDUCE, 160);
   _actionMap[567][LIKE] = ActionEntry(REDUCE, 160);
   _actionMap[567][IS] = ActionEntry(REDUCE, 160);
   _actionMap[567][BETWEEN] = ActionEntry(REDUCE, 160);
   _actionMap[567][NOT] = ActionEntry(REDUCE, 160);
   _actionMap[567][INTOK] = ActionEntry(REDUCE, 160);
   _actionMap[567][EQU] = ActionEntry(REDUCE, 160);
   _actionMap[567][NEGATION] = ActionEntry(REDUCE, 160);
   _actionMap[567][LT] = ActionEntry(REDUCE, 160);
   _actionMap[567][MT] = ActionEntry(REDUCE, 160);
   _actionMap[567][DESC] = ActionEntry(REDUCE, 160);
}
void Cego::loadParser104()
{
   _actionMap[567][ASC] = ActionEntry(REDUCE, 160);
   _actionMap[567][KSEP] = ActionEntry(REDUCE, 160);
   _actionMap[567][ROWLIMIT] = ActionEntry(REDUCE, 160);
   _actionMap[567][UNION] = ActionEntry(REDUCE, 160);
   _actionMap[567][ENDTOKEN] = ActionEntry(REDUCE, 160);
   _actionMap[567][RB] = ActionEntry(REDUCE, 160);
   _actionMap[567][SEMICOLON] = ActionEntry(REDUCE, 160);
   _actionMap[567][CONCAT] = ActionEntry(REDUCE, 160);
   _actionMap[567][STAR] = ActionEntry(REDUCE, 160);
   _actionMap[567][DIVISION] = ActionEntry(REDUCE, 160);
   _actionMap[567][MINUS] = ActionEntry(REDUCE, 160);
   _actionMap[567][PLUS] = ActionEntry(REDUCE, 160);
   _actionMap[568][STRINGVAL] = ActionEntry(SHIFT, 718);
   _jumpMap[568][DateValue] = 717;
   _actionMap[569][WHEN] = ActionEntry(REDUCE, 291);
   _actionMap[569][ELSE] = ActionEntry(REDUCE, 291);
   _actionMap[569][LEFT] = ActionEntry(REDUCE, 291);
   _actionMap[569][RIGHT] = ActionEntry(REDUCE, 291);
   _actionMap[569][INNER] = ActionEntry(REDUCE, 291);
   _actionMap[569][JOIN] = ActionEntry(REDUCE, 291);
   _actionMap[569][RETURNTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[569][ORDER] = ActionEntry(REDUCE, 291);
   _actionMap[569][GROUP] = ActionEntry(REDUCE, 291);
   _actionMap[569][WHERE] = ActionEntry(REDUCE, 291);
   _actionMap[569][FROM] = ActionEntry(REDUCE, 291);
   _actionMap[569][AS] = ActionEntry(REDUCE, 291);
   _actionMap[569][END_TOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[569][BEGIN] = ActionEntry(REDUCE, 291);
   _actionMap[569][THEN] = ActionEntry(REDUCE, 291);
   _actionMap[569][OR] = ActionEntry(REDUCE, 291);
   _actionMap[569][AND] = ActionEntry(REDUCE, 291);
   _actionMap[569][INTOK] = ActionEntry(REDUCE, 291);
   _actionMap[569][NOT] = ActionEntry(REDUCE, 291);
   _actionMap[569][BETWEEN] = ActionEntry(REDUCE, 291);
   _actionMap[569][IS] = ActionEntry(REDUCE, 291);
   _actionMap[569][LIKE] = ActionEntry(REDUCE, 291);
   _actionMap[569][MT] = ActionEntry(REDUCE, 291);
   _actionMap[569][LT] = ActionEntry(REDUCE, 291);
   _actionMap[569][NEGATION] = ActionEntry(REDUCE, 291);
   _actionMap[569][EQU] = ActionEntry(REDUCE, 291);
   _actionMap[569][RB] = ActionEntry(REDUCE, 291);
   _actionMap[569][ENDTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[569][UNION] = ActionEntry(REDUCE, 291);
   _actionMap[569][ROWLIMIT] = ActionEntry(REDUCE, 291);
   _actionMap[569][KSEP] = ActionEntry(REDUCE, 291);
   _actionMap[569][ASC] = ActionEntry(REDUCE, 291);
   _actionMap[569][DESC] = ActionEntry(REDUCE, 291);
   _actionMap[569][SEMICOLON] = ActionEntry(REDUCE, 291);
   _actionMap[569][PLUS] = ActionEntry(REDUCE, 291);
   _actionMap[569][MINUS] = ActionEntry(REDUCE, 291);
}
void Cego::loadParser105()
{
   _actionMap[569][DIVISION] = ActionEntry(REDUCE, 291);
   _actionMap[569][STAR] = ActionEntry(REDUCE, 291);
   _actionMap[569][CONCAT] = ActionEntry(REDUCE, 291);
   _actionMap[570][WHEN] = ActionEntry(REDUCE, 292);
   _actionMap[570][ELSE] = ActionEntry(REDUCE, 292);
   _actionMap[570][LEFT] = ActionEntry(REDUCE, 292);
   _actionMap[570][RIGHT] = ActionEntry(REDUCE, 292);
   _actionMap[570][INNER] = ActionEntry(REDUCE, 292);
   _actionMap[570][JOIN] = ActionEntry(REDUCE, 292);
   _actionMap[570][RETURNTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[570][ORDER] = ActionEntry(REDUCE, 292);
   _actionMap[570][GROUP] = ActionEntry(REDUCE, 292);
   _actionMap[570][WHERE] = ActionEntry(REDUCE, 292);
   _actionMap[570][FROM] = ActionEntry(REDUCE, 292);
   _actionMap[570][AS] = ActionEntry(REDUCE, 292);
   _actionMap[570][END_TOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[570][BEGIN] = ActionEntry(REDUCE, 292);
   _actionMap[570][THEN] = ActionEntry(REDUCE, 292);
   _actionMap[570][OR] = ActionEntry(REDUCE, 292);
   _actionMap[570][AND] = ActionEntry(REDUCE, 292);
   _actionMap[570][INTOK] = ActionEntry(REDUCE, 292);
   _actionMap[570][NOT] = ActionEntry(REDUCE, 292);
   _actionMap[570][BETWEEN] = ActionEntry(REDUCE, 292);
   _actionMap[570][IS] = ActionEntry(REDUCE, 292);
   _actionMap[570][LIKE] = ActionEntry(REDUCE, 292);
   _actionMap[570][MT] = ActionEntry(REDUCE, 292);
   _actionMap[570][LT] = ActionEntry(REDUCE, 292);
   _actionMap[570][NEGATION] = ActionEntry(REDUCE, 292);
   _actionMap[570][EQU] = ActionEntry(REDUCE, 292);
   _actionMap[570][RB] = ActionEntry(REDUCE, 292);
   _actionMap[570][ENDTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[570][UNION] = ActionEntry(REDUCE, 292);
   _actionMap[570][ROWLIMIT] = ActionEntry(REDUCE, 292);
   _actionMap[570][KSEP] = ActionEntry(REDUCE, 292);
   _actionMap[570][ASC] = ActionEntry(REDUCE, 292);
   _actionMap[570][DESC] = ActionEntry(REDUCE, 292);
   _actionMap[570][SEMICOLON] = ActionEntry(REDUCE, 292);
   _actionMap[570][PLUS] = ActionEntry(REDUCE, 292);
   _actionMap[570][MINUS] = ActionEntry(REDUCE, 292);
   _actionMap[570][DIVISION] = ActionEntry(REDUCE, 292);
   _actionMap[570][STAR] = ActionEntry(REDUCE, 292);
   _actionMap[570][CONCAT] = ActionEntry(REDUCE, 292);
   _actionMap[571][WHEN] = ActionEntry(REDUCE, 310);
   _actionMap[571][ELSE] = ActionEntry(REDUCE, 310);
   _actionMap[571][LEFT] = ActionEntry(REDUCE, 310);
   _actionMap[571][RIGHT] = ActionEntry(REDUCE, 310);
   _actionMap[571][INNER] = ActionEntry(REDUCE, 310);
   _actionMap[571][JOIN] = ActionEntry(REDUCE, 310);
   _actionMap[571][RETURNTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[571][ORDER] = ActionEntry(REDUCE, 310);
}
void Cego::loadParser106()
{
   _actionMap[571][GROUP] = ActionEntry(REDUCE, 310);
   _actionMap[571][WHERE] = ActionEntry(REDUCE, 310);
   _actionMap[571][FROM] = ActionEntry(REDUCE, 310);
   _actionMap[571][AS] = ActionEntry(REDUCE, 310);
   _actionMap[571][END_TOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[571][BEGIN] = ActionEntry(REDUCE, 310);
   _actionMap[571][THEN] = ActionEntry(REDUCE, 310);
   _actionMap[571][OR] = ActionEntry(REDUCE, 310);
   _actionMap[571][AND] = ActionEntry(REDUCE, 310);
   _actionMap[571][INTOK] = ActionEntry(REDUCE, 310);
   _actionMap[571][NOT] = ActionEntry(REDUCE, 310);
   _actionMap[571][BETWEEN] = ActionEntry(REDUCE, 310);
   _actionMap[571][IS] = ActionEntry(REDUCE, 310);
   _actionMap[571][LIKE] = ActionEntry(REDUCE, 310);
   _actionMap[571][MT] = ActionEntry(REDUCE, 310);
   _actionMap[571][LT] = ActionEntry(REDUCE, 310);
   _actionMap[571][NEGATION] = ActionEntry(REDUCE, 310);
   _actionMap[571][EQU] = ActionEntry(REDUCE, 310);
   _actionMap[571][RB] = ActionEntry(REDUCE, 310);
   _actionMap[571][ENDTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[571][UNION] = ActionEntry(REDUCE, 310);
   _actionMap[571][ROWLIMIT] = ActionEntry(REDUCE, 310);
   _actionMap[571][KSEP] = ActionEntry(REDUCE, 310);
   _actionMap[571][ASC] = ActionEntry(REDUCE, 310);
   _actionMap[571][DESC] = ActionEntry(REDUCE, 310);
   _actionMap[571][SEMICOLON] = ActionEntry(REDUCE, 310);
   _actionMap[571][PLUS] = ActionEntry(REDUCE, 310);
   _actionMap[571][MINUS] = ActionEntry(REDUCE, 310);
   _actionMap[571][DIVISION] = ActionEntry(REDUCE, 310);
   _actionMap[571][STAR] = ActionEntry(REDUCE, 310);
   _actionMap[571][CONCAT] = ActionEntry(REDUCE, 310);
   _actionMap[572][VARREF] = ActionEntry(SHIFT, 720);
   _jumpMap[572][FetchArgList] = 719;
   _actionMap[573][WHEN] = ActionEntry(REDUCE, 299);
   _actionMap[573][ELSE] = ActionEntry(REDUCE, 299);
   _actionMap[573][LEFT] = ActionEntry(REDUCE, 299);
   _actionMap[573][RIGHT] = ActionEntry(REDUCE, 299);
   _actionMap[573][INNER] = ActionEntry(REDUCE, 299);
   _actionMap[573][JOIN] = ActionEntry(REDUCE, 299);
   _actionMap[573][RETURNTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[573][ORDER] = ActionEntry(REDUCE, 299);
   _actionMap[573][GROUP] = ActionEntry(REDUCE, 299);
   _actionMap[573][WHERE] = ActionEntry(REDUCE, 299);
   _actionMap[573][FROM] = ActionEntry(REDUCE, 299);
   _actionMap[573][AS] = ActionEntry(REDUCE, 299);
   _actionMap[573][END_TOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[573][BEGIN] = ActionEntry(REDUCE, 299);
   _actionMap[573][THEN] = ActionEntry(REDUCE, 299);
   _actionMap[573][OR] = ActionEntry(REDUCE, 299);
   _actionMap[573][AND] = ActionEntry(REDUCE, 299);
}
void Cego::loadParser107()
{
   _actionMap[573][INTOK] = ActionEntry(REDUCE, 299);
   _actionMap[573][NOT] = ActionEntry(REDUCE, 299);
   _actionMap[573][BETWEEN] = ActionEntry(REDUCE, 299);
   _actionMap[573][IS] = ActionEntry(REDUCE, 299);
   _actionMap[573][LIKE] = ActionEntry(REDUCE, 299);
   _actionMap[573][MT] = ActionEntry(REDUCE, 299);
   _actionMap[573][LT] = ActionEntry(REDUCE, 299);
   _actionMap[573][NEGATION] = ActionEntry(REDUCE, 299);
   _actionMap[573][EQU] = ActionEntry(REDUCE, 299);
   _actionMap[573][RB] = ActionEntry(REDUCE, 299);
   _actionMap[573][ENDTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[573][UNION] = ActionEntry(REDUCE, 299);
   _actionMap[573][ROWLIMIT] = ActionEntry(REDUCE, 299);
   _actionMap[573][KSEP] = ActionEntry(REDUCE, 299);
   _actionMap[573][ASC] = ActionEntry(REDUCE, 299);
   _actionMap[573][DESC] = ActionEntry(REDUCE, 299);
   _actionMap[573][SEMICOLON] = ActionEntry(REDUCE, 299);
   _actionMap[573][PLUS] = ActionEntry(REDUCE, 299);
   _actionMap[573][MINUS] = ActionEntry(REDUCE, 299);
   _actionMap[573][DIVISION] = ActionEntry(REDUCE, 299);
   _actionMap[573][STAR] = ActionEntry(REDUCE, 299);
   _actionMap[573][CONCAT] = ActionEntry(REDUCE, 299);
   _actionMap[574][WHEN] = ActionEntry(REDUCE, 293);
   _actionMap[574][ELSE] = ActionEntry(REDUCE, 293);
   _actionMap[574][LEFT] = ActionEntry(REDUCE, 293);
   _actionMap[574][RIGHT] = ActionEntry(REDUCE, 293);
   _actionMap[574][INNER] = ActionEntry(REDUCE, 293);
   _actionMap[574][JOIN] = ActionEntry(REDUCE, 293);
   _actionMap[574][RETURNTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[574][ORDER] = ActionEntry(REDUCE, 293);
   _actionMap[574][GROUP] = ActionEntry(REDUCE, 293);
   _actionMap[574][WHERE] = ActionEntry(REDUCE, 293);
   _actionMap[574][FROM] = ActionEntry(REDUCE, 293);
   _actionMap[574][AS] = ActionEntry(REDUCE, 293);
   _actionMap[574][END_TOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[574][BEGIN] = ActionEntry(REDUCE, 293);
   _actionMap[574][THEN] = ActionEntry(REDUCE, 293);
   _actionMap[574][OR] = ActionEntry(REDUCE, 293);
   _actionMap[574][AND] = ActionEntry(REDUCE, 293);
   _actionMap[574][INTOK] = ActionEntry(REDUCE, 293);
   _actionMap[574][NOT] = ActionEntry(REDUCE, 293);
   _actionMap[574][BETWEEN] = ActionEntry(REDUCE, 293);
   _actionMap[574][IS] = ActionEntry(REDUCE, 293);
   _actionMap[574][LIKE] = ActionEntry(REDUCE, 293);
   _actionMap[574][MT] = ActionEntry(REDUCE, 293);
   _actionMap[574][LT] = ActionEntry(REDUCE, 293);
   _actionMap[574][NEGATION] = ActionEntry(REDUCE, 293);
   _actionMap[574][EQU] = ActionEntry(REDUCE, 293);
   _actionMap[574][RB] = ActionEntry(REDUCE, 293);
   _actionMap[574][ENDTOKEN] = ActionEntry(REDUCE, 293);
}
void Cego::loadParser108()
{
   _actionMap[574][UNION] = ActionEntry(REDUCE, 293);
   _actionMap[574][ROWLIMIT] = ActionEntry(REDUCE, 293);
   _actionMap[574][KSEP] = ActionEntry(REDUCE, 293);
   _actionMap[574][ASC] = ActionEntry(REDUCE, 293);
   _actionMap[574][DESC] = ActionEntry(REDUCE, 293);
   _actionMap[574][SEMICOLON] = ActionEntry(REDUCE, 293);
   _actionMap[574][PLUS] = ActionEntry(REDUCE, 293);
   _actionMap[574][MINUS] = ActionEntry(REDUCE, 293);
   _actionMap[574][DIVISION] = ActionEntry(REDUCE, 293);
   _actionMap[574][STAR] = ActionEntry(REDUCE, 293);
   _actionMap[574][CONCAT] = ActionEntry(REDUCE, 293);
   _actionMap[575][WHEN] = ActionEntry(REDUCE, 294);
   _actionMap[575][ELSE] = ActionEntry(REDUCE, 294);
   _actionMap[575][LEFT] = ActionEntry(REDUCE, 294);
   _actionMap[575][RIGHT] = ActionEntry(REDUCE, 294);
   _actionMap[575][INNER] = ActionEntry(REDUCE, 294);
   _actionMap[575][JOIN] = ActionEntry(REDUCE, 294);
   _actionMap[575][RETURNTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[575][ORDER] = ActionEntry(REDUCE, 294);
   _actionMap[575][GROUP] = ActionEntry(REDUCE, 294);
   _actionMap[575][WHERE] = ActionEntry(REDUCE, 294);
   _actionMap[575][FROM] = ActionEntry(REDUCE, 294);
   _actionMap[575][AS] = ActionEntry(REDUCE, 294);
   _actionMap[575][END_TOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[575][BEGIN] = ActionEntry(REDUCE, 294);
   _actionMap[575][THEN] = ActionEntry(REDUCE, 294);
   _actionMap[575][OR] = ActionEntry(REDUCE, 294);
   _actionMap[575][AND] = ActionEntry(REDUCE, 294);
   _actionMap[575][INTOK] = ActionEntry(REDUCE, 294);
   _actionMap[575][NOT] = ActionEntry(REDUCE, 294);
   _actionMap[575][BETWEEN] = ActionEntry(REDUCE, 294);
   _actionMap[575][IS] = ActionEntry(REDUCE, 294);
   _actionMap[575][LIKE] = ActionEntry(REDUCE, 294);
   _actionMap[575][MT] = ActionEntry(REDUCE, 294);
   _actionMap[575][LT] = ActionEntry(REDUCE, 294);
   _actionMap[575][NEGATION] = ActionEntry(REDUCE, 294);
   _actionMap[575][EQU] = ActionEntry(REDUCE, 294);
   _actionMap[575][RB] = ActionEntry(REDUCE, 294);
   _actionMap[575][ENDTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[575][UNION] = ActionEntry(REDUCE, 294);
   _actionMap[575][ROWLIMIT] = ActionEntry(REDUCE, 294);
   _actionMap[575][KSEP] = ActionEntry(REDUCE, 294);
   _actionMap[575][ASC] = ActionEntry(REDUCE, 294);
   _actionMap[575][DESC] = ActionEntry(REDUCE, 294);
   _actionMap[575][SEMICOLON] = ActionEntry(REDUCE, 294);
   _actionMap[575][PLUS] = ActionEntry(REDUCE, 294);
   _actionMap[575][MINUS] = ActionEntry(REDUCE, 294);
   _actionMap[575][DIVISION] = ActionEntry(REDUCE, 294);
   _actionMap[575][STAR] = ActionEntry(REDUCE, 294);
   _actionMap[575][CONCAT] = ActionEntry(REDUCE, 294);
}
void Cego::loadParser109()
{
   _actionMap[576][WHEN] = ActionEntry(REDUCE, 285);
   _actionMap[576][ELSE] = ActionEntry(REDUCE, 285);
   _actionMap[576][LEFT] = ActionEntry(REDUCE, 285);
   _actionMap[576][RIGHT] = ActionEntry(REDUCE, 285);
   _actionMap[576][INNER] = ActionEntry(REDUCE, 285);
   _actionMap[576][JOIN] = ActionEntry(REDUCE, 285);
   _actionMap[576][RETURNTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[576][ORDER] = ActionEntry(REDUCE, 285);
   _actionMap[576][GROUP] = ActionEntry(REDUCE, 285);
   _actionMap[576][WHERE] = ActionEntry(REDUCE, 285);
   _actionMap[576][FROM] = ActionEntry(REDUCE, 285);
   _actionMap[576][AS] = ActionEntry(REDUCE, 285);
   _actionMap[576][END_TOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[576][BEGIN] = ActionEntry(REDUCE, 285);
   _actionMap[576][THEN] = ActionEntry(REDUCE, 285);
   _actionMap[576][OR] = ActionEntry(REDUCE, 285);
   _actionMap[576][AND] = ActionEntry(REDUCE, 285);
   _actionMap[576][INTOK] = ActionEntry(REDUCE, 285);
   _actionMap[576][NOT] = ActionEntry(REDUCE, 285);
   _actionMap[576][BETWEEN] = ActionEntry(REDUCE, 285);
   _actionMap[576][IS] = ActionEntry(REDUCE, 285);
   _actionMap[576][LIKE] = ActionEntry(REDUCE, 285);
   _actionMap[576][MT] = ActionEntry(REDUCE, 285);
   _actionMap[576][LT] = ActionEntry(REDUCE, 285);
   _actionMap[576][NEGATION] = ActionEntry(REDUCE, 285);
   _actionMap[576][EQU] = ActionEntry(REDUCE, 285);
   _actionMap[576][RB] = ActionEntry(REDUCE, 285);
   _actionMap[576][ENDTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[576][UNION] = ActionEntry(REDUCE, 285);
   _actionMap[576][ROWLIMIT] = ActionEntry(REDUCE, 285);
   _actionMap[576][KSEP] = ActionEntry(REDUCE, 285);
   _actionMap[576][ASC] = ActionEntry(REDUCE, 285);
   _actionMap[576][DESC] = ActionEntry(REDUCE, 285);
   _actionMap[576][SEMICOLON] = ActionEntry(REDUCE, 285);
   _actionMap[576][PLUS] = ActionEntry(REDUCE, 285);
   _actionMap[576][MINUS] = ActionEntry(REDUCE, 285);
   _actionMap[576][DIVISION] = ActionEntry(REDUCE, 285);
   _actionMap[576][STAR] = ActionEntry(REDUCE, 285);
   _actionMap[576][CONCAT] = ActionEntry(REDUCE, 285);
   _actionMap[577][WHEN] = ActionEntry(REDUCE, 297);
   _actionMap[577][ELSE] = ActionEntry(REDUCE, 297);
   _actionMap[577][LEFT] = ActionEntry(REDUCE, 297);
   _actionMap[577][RIGHT] = ActionEntry(REDUCE, 297);
   _actionMap[577][INNER] = ActionEntry(REDUCE, 297);
   _actionMap[577][JOIN] = ActionEntry(REDUCE, 297);
   _actionMap[577][RETURNTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[577][ORDER] = ActionEntry(REDUCE, 297);
   _actionMap[577][GROUP] = ActionEntry(REDUCE, 297);
   _actionMap[577][WHERE] = ActionEntry(REDUCE, 297);
   _actionMap[577][FROM] = ActionEntry(REDUCE, 297);
}
void Cego::loadParser110()
{
   _actionMap[577][AS] = ActionEntry(REDUCE, 297);
   _actionMap[577][END_TOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[577][BEGIN] = ActionEntry(REDUCE, 297);
   _actionMap[577][THEN] = ActionEntry(REDUCE, 297);
   _actionMap[577][OR] = ActionEntry(REDUCE, 297);
   _actionMap[577][AND] = ActionEntry(REDUCE, 297);
   _actionMap[577][INTOK] = ActionEntry(REDUCE, 297);
   _actionMap[577][NOT] = ActionEntry(REDUCE, 297);
   _actionMap[577][BETWEEN] = ActionEntry(REDUCE, 297);
   _actionMap[577][IS] = ActionEntry(REDUCE, 297);
   _actionMap[577][LIKE] = ActionEntry(REDUCE, 297);
   _actionMap[577][MT] = ActionEntry(REDUCE, 297);
   _actionMap[577][LT] = ActionEntry(REDUCE, 297);
   _actionMap[577][NEGATION] = ActionEntry(REDUCE, 297);
   _actionMap[577][EQU] = ActionEntry(REDUCE, 297);
   _actionMap[577][RB] = ActionEntry(REDUCE, 297);
   _actionMap[577][ENDTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[577][UNION] = ActionEntry(REDUCE, 297);
   _actionMap[577][ROWLIMIT] = ActionEntry(REDUCE, 297);
   _actionMap[577][KSEP] = ActionEntry(REDUCE, 297);
   _actionMap[577][ASC] = ActionEntry(REDUCE, 297);
   _actionMap[577][DESC] = ActionEntry(REDUCE, 297);
   _actionMap[577][SEMICOLON] = ActionEntry(REDUCE, 297);
   _actionMap[577][PLUS] = ActionEntry(REDUCE, 297);
   _actionMap[577][MINUS] = ActionEntry(REDUCE, 297);
   _actionMap[577][DIVISION] = ActionEntry(REDUCE, 297);
   _actionMap[577][STAR] = ActionEntry(REDUCE, 297);
   _actionMap[577][CONCAT] = ActionEntry(REDUCE, 297);
   _actionMap[578][WHEN] = ActionEntry(REDUCE, 302);
   _actionMap[578][ELSE] = ActionEntry(REDUCE, 302);
   _actionMap[578][LEFT] = ActionEntry(REDUCE, 302);
   _actionMap[578][RIGHT] = ActionEntry(REDUCE, 302);
   _actionMap[578][INNER] = ActionEntry(REDUCE, 302);
   _actionMap[578][JOIN] = ActionEntry(REDUCE, 302);
   _actionMap[578][RETURNTOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[578][ORDER] = ActionEntry(REDUCE, 302);
   _actionMap[578][GROUP] = ActionEntry(REDUCE, 302);
   _actionMap[578][WHERE] = ActionEntry(REDUCE, 302);
   _actionMap[578][FROM] = ActionEntry(REDUCE, 302);
   _actionMap[578][AS] = ActionEntry(REDUCE, 302);
   _actionMap[578][END_TOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[578][BEGIN] = ActionEntry(REDUCE, 302);
   _actionMap[578][THEN] = ActionEntry(REDUCE, 302);
   _actionMap[578][OR] = ActionEntry(REDUCE, 302);
   _actionMap[578][AND] = ActionEntry(REDUCE, 302);
   _actionMap[578][INTOK] = ActionEntry(REDUCE, 302);
   _actionMap[578][NOT] = ActionEntry(REDUCE, 302);
   _actionMap[578][BETWEEN] = ActionEntry(REDUCE, 302);
   _actionMap[578][IS] = ActionEntry(REDUCE, 302);
   _actionMap[578][LIKE] = ActionEntry(REDUCE, 302);
}
void Cego::loadParser111()
{
   _actionMap[578][MT] = ActionEntry(REDUCE, 302);
   _actionMap[578][LT] = ActionEntry(REDUCE, 302);
   _actionMap[578][NEGATION] = ActionEntry(REDUCE, 302);
   _actionMap[578][EQU] = ActionEntry(REDUCE, 302);
   _actionMap[578][RB] = ActionEntry(REDUCE, 302);
   _actionMap[578][ENDTOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[578][UNION] = ActionEntry(REDUCE, 302);
   _actionMap[578][ROWLIMIT] = ActionEntry(REDUCE, 302);
   _actionMap[578][KSEP] = ActionEntry(REDUCE, 302);
   _actionMap[578][ASC] = ActionEntry(REDUCE, 302);
   _actionMap[578][DESC] = ActionEntry(REDUCE, 302);
   _actionMap[578][SEMICOLON] = ActionEntry(REDUCE, 302);
   _actionMap[578][PLUS] = ActionEntry(REDUCE, 302);
   _actionMap[578][MINUS] = ActionEntry(REDUCE, 302);
   _actionMap[578][DIVISION] = ActionEntry(REDUCE, 302);
   _actionMap[578][STAR] = ActionEntry(REDUCE, 302);
   _actionMap[578][CONCAT] = ActionEntry(REDUCE, 302);
   _actionMap[579][WHEN] = ActionEntry(REDUCE, 312);
   _actionMap[579][ELSE] = ActionEntry(REDUCE, 312);
   _actionMap[579][LEFT] = ActionEntry(REDUCE, 312);
   _actionMap[579][RIGHT] = ActionEntry(REDUCE, 312);
   _actionMap[579][INNER] = ActionEntry(REDUCE, 312);
   _actionMap[579][JOIN] = ActionEntry(REDUCE, 312);
   _actionMap[579][RETURNTOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[579][ORDER] = ActionEntry(REDUCE, 312);
   _actionMap[579][GROUP] = ActionEntry(REDUCE, 312);
   _actionMap[579][WHERE] = ActionEntry(REDUCE, 312);
   _actionMap[579][FROM] = ActionEntry(REDUCE, 312);
   _actionMap[579][AS] = ActionEntry(REDUCE, 312);
   _actionMap[579][END_TOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[579][BEGIN] = ActionEntry(REDUCE, 312);
   _actionMap[579][THEN] = ActionEntry(REDUCE, 312);
   _actionMap[579][OR] = ActionEntry(REDUCE, 312);
   _actionMap[579][AND] = ActionEntry(REDUCE, 312);
   _actionMap[579][INTOK] = ActionEntry(REDUCE, 312);
   _actionMap[579][NOT] = ActionEntry(REDUCE, 312);
   _actionMap[579][BETWEEN] = ActionEntry(REDUCE, 312);
   _actionMap[579][IS] = ActionEntry(REDUCE, 312);
   _actionMap[579][LIKE] = ActionEntry(REDUCE, 312);
   _actionMap[579][MT] = ActionEntry(REDUCE, 312);
   _actionMap[579][LT] = ActionEntry(REDUCE, 312);
   _actionMap[579][NEGATION] = ActionEntry(REDUCE, 312);
   _actionMap[579][EQU] = ActionEntry(REDUCE, 312);
   _actionMap[579][RB] = ActionEntry(REDUCE, 312);
   _actionMap[579][ENDTOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[579][UNION] = ActionEntry(REDUCE, 312);
   _actionMap[579][ROWLIMIT] = ActionEntry(REDUCE, 312);
   _actionMap[579][KSEP] = ActionEntry(REDUCE, 312);
   _actionMap[579][ASC] = ActionEntry(REDUCE, 312);
   _actionMap[579][DESC] = ActionEntry(REDUCE, 312);
}
void Cego::loadParser112()
{
   _actionMap[579][SEMICOLON] = ActionEntry(REDUCE, 312);
   _actionMap[579][PLUS] = ActionEntry(REDUCE, 312);
   _actionMap[579][MINUS] = ActionEntry(REDUCE, 312);
   _actionMap[579][DIVISION] = ActionEntry(REDUCE, 312);
   _actionMap[579][STAR] = ActionEntry(REDUCE, 312);
   _actionMap[579][CONCAT] = ActionEntry(REDUCE, 312);
   _actionMap[580][WHEN] = ActionEntry(REDUCE, 311);
   _actionMap[580][ELSE] = ActionEntry(REDUCE, 311);
   _actionMap[580][LEFT] = ActionEntry(REDUCE, 311);
   _actionMap[580][RIGHT] = ActionEntry(REDUCE, 311);
   _actionMap[580][INNER] = ActionEntry(REDUCE, 311);
   _actionMap[580][JOIN] = ActionEntry(REDUCE, 311);
   _actionMap[580][RETURNTOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[580][ORDER] = ActionEntry(REDUCE, 311);
   _actionMap[580][GROUP] = ActionEntry(REDUCE, 311);
   _actionMap[580][WHERE] = ActionEntry(REDUCE, 311);
   _actionMap[580][FROM] = ActionEntry(REDUCE, 311);
   _actionMap[580][AS] = ActionEntry(REDUCE, 311);
   _actionMap[580][END_TOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[580][BEGIN] = ActionEntry(REDUCE, 311);
   _actionMap[580][THEN] = ActionEntry(REDUCE, 311);
   _actionMap[580][OR] = ActionEntry(REDUCE, 311);
   _actionMap[580][AND] = ActionEntry(REDUCE, 311);
   _actionMap[580][INTOK] = ActionEntry(REDUCE, 311);
   _actionMap[580][NOT] = ActionEntry(REDUCE, 311);
   _actionMap[580][BETWEEN] = ActionEntry(REDUCE, 311);
   _actionMap[580][IS] = ActionEntry(REDUCE, 311);
   _actionMap[580][LIKE] = ActionEntry(REDUCE, 311);
   _actionMap[580][MT] = ActionEntry(REDUCE, 311);
   _actionMap[580][LT] = ActionEntry(REDUCE, 311);
   _actionMap[580][NEGATION] = ActionEntry(REDUCE, 311);
   _actionMap[580][EQU] = ActionEntry(REDUCE, 311);
   _actionMap[580][RB] = ActionEntry(REDUCE, 311);
   _actionMap[580][ENDTOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[580][UNION] = ActionEntry(REDUCE, 311);
   _actionMap[580][ROWLIMIT] = ActionEntry(REDUCE, 311);
   _actionMap[580][KSEP] = ActionEntry(REDUCE, 311);
   _actionMap[580][ASC] = ActionEntry(REDUCE, 311);
   _actionMap[580][DESC] = ActionEntry(REDUCE, 311);
   _actionMap[580][SEMICOLON] = ActionEntry(REDUCE, 311);
   _actionMap[580][PLUS] = ActionEntry(REDUCE, 311);
   _actionMap[580][MINUS] = ActionEntry(REDUCE, 311);
   _actionMap[580][DIVISION] = ActionEntry(REDUCE, 311);
   _actionMap[580][STAR] = ActionEntry(REDUCE, 311);
   _actionMap[580][CONCAT] = ActionEntry(REDUCE, 311);
   _actionMap[581][WHEN] = ActionEntry(REDUCE, 295);
   _actionMap[581][ELSE] = ActionEntry(REDUCE, 295);
   _actionMap[581][LEFT] = ActionEntry(REDUCE, 295);
   _actionMap[581][RIGHT] = ActionEntry(REDUCE, 295);
   _actionMap[581][INNER] = ActionEntry(REDUCE, 295);
}
void Cego::loadParser113()
{
   _actionMap[581][JOIN] = ActionEntry(REDUCE, 295);
   _actionMap[581][RETURNTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[581][ORDER] = ActionEntry(REDUCE, 295);
   _actionMap[581][GROUP] = ActionEntry(REDUCE, 295);
   _actionMap[581][WHERE] = ActionEntry(REDUCE, 295);
   _actionMap[581][FROM] = ActionEntry(REDUCE, 295);
   _actionMap[581][AS] = ActionEntry(REDUCE, 295);
   _actionMap[581][END_TOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[581][BEGIN] = ActionEntry(REDUCE, 295);
   _actionMap[581][THEN] = ActionEntry(REDUCE, 295);
   _actionMap[581][OR] = ActionEntry(REDUCE, 295);
   _actionMap[581][AND] = ActionEntry(REDUCE, 295);
   _actionMap[581][INTOK] = ActionEntry(REDUCE, 295);
   _actionMap[581][NOT] = ActionEntry(REDUCE, 295);
   _actionMap[581][BETWEEN] = ActionEntry(REDUCE, 295);
   _actionMap[581][IS] = ActionEntry(REDUCE, 295);
   _actionMap[581][LIKE] = ActionEntry(REDUCE, 295);
   _actionMap[581][MT] = ActionEntry(REDUCE, 295);
   _actionMap[581][LT] = ActionEntry(REDUCE, 295);
   _actionMap[581][NEGATION] = ActionEntry(REDUCE, 295);
   _actionMap[581][EQU] = ActionEntry(REDUCE, 295);
   _actionMap[581][RB] = ActionEntry(REDUCE, 295);
   _actionMap[581][ENDTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[581][UNION] = ActionEntry(REDUCE, 295);
   _actionMap[581][ROWLIMIT] = ActionEntry(REDUCE, 295);
   _actionMap[581][KSEP] = ActionEntry(REDUCE, 295);
   _actionMap[581][ASC] = ActionEntry(REDUCE, 295);
   _actionMap[581][DESC] = ActionEntry(REDUCE, 295);
   _actionMap[581][SEMICOLON] = ActionEntry(REDUCE, 295);
   _actionMap[581][PLUS] = ActionEntry(REDUCE, 295);
   _actionMap[581][MINUS] = ActionEntry(REDUCE, 295);
   _actionMap[581][DIVISION] = ActionEntry(REDUCE, 295);
   _actionMap[581][STAR] = ActionEntry(REDUCE, 295);
   _actionMap[581][CONCAT] = ActionEntry(REDUCE, 295);
   _actionMap[582][WHEN] = ActionEntry(REDUCE, 289);
   _actionMap[582][ELSE] = ActionEntry(REDUCE, 289);
   _actionMap[582][LEFT] = ActionEntry(REDUCE, 289);
   _actionMap[582][RIGHT] = ActionEntry(REDUCE, 289);
   _actionMap[582][INNER] = ActionEntry(REDUCE, 289);
   _actionMap[582][JOIN] = ActionEntry(REDUCE, 289);
   _actionMap[582][RETURNTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[582][ORDER] = ActionEntry(REDUCE, 289);
   _actionMap[582][GROUP] = ActionEntry(REDUCE, 289);
   _actionMap[582][WHERE] = ActionEntry(REDUCE, 289);
   _actionMap[582][FROM] = ActionEntry(REDUCE, 289);
   _actionMap[582][AS] = ActionEntry(REDUCE, 289);
   _actionMap[582][END_TOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[582][BEGIN] = ActionEntry(REDUCE, 289);
   _actionMap[582][THEN] = ActionEntry(REDUCE, 289);
   _actionMap[582][OR] = ActionEntry(REDUCE, 289);
}
void Cego::loadParser114()
{
   _actionMap[582][AND] = ActionEntry(REDUCE, 289);
   _actionMap[582][INTOK] = ActionEntry(REDUCE, 289);
   _actionMap[582][NOT] = ActionEntry(REDUCE, 289);
   _actionMap[582][BETWEEN] = ActionEntry(REDUCE, 289);
   _actionMap[582][IS] = ActionEntry(REDUCE, 289);
   _actionMap[582][LIKE] = ActionEntry(REDUCE, 289);
   _actionMap[582][MT] = ActionEntry(REDUCE, 289);
   _actionMap[582][LT] = ActionEntry(REDUCE, 289);
   _actionMap[582][NEGATION] = ActionEntry(REDUCE, 289);
   _actionMap[582][EQU] = ActionEntry(REDUCE, 289);
   _actionMap[582][RB] = ActionEntry(REDUCE, 289);
   _actionMap[582][ENDTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[582][UNION] = ActionEntry(REDUCE, 289);
   _actionMap[582][ROWLIMIT] = ActionEntry(REDUCE, 289);
   _actionMap[582][KSEP] = ActionEntry(REDUCE, 289);
   _actionMap[582][ASC] = ActionEntry(REDUCE, 289);
   _actionMap[582][DESC] = ActionEntry(REDUCE, 289);
   _actionMap[582][SEMICOLON] = ActionEntry(REDUCE, 289);
   _actionMap[582][PLUS] = ActionEntry(REDUCE, 289);
   _actionMap[582][MINUS] = ActionEntry(REDUCE, 289);
   _actionMap[582][DIVISION] = ActionEntry(REDUCE, 289);
   _actionMap[582][STAR] = ActionEntry(REDUCE, 289);
   _actionMap[582][CONCAT] = ActionEntry(REDUCE, 289);
   _actionMap[583][WHEN] = ActionEntry(REDUCE, 164);
   _actionMap[583][ELSE] = ActionEntry(REDUCE, 164);
   _actionMap[583][LEFT] = ActionEntry(REDUCE, 164);
   _actionMap[583][RIGHT] = ActionEntry(REDUCE, 164);
   _actionMap[583][INNER] = ActionEntry(REDUCE, 164);
   _actionMap[583][JOIN] = ActionEntry(REDUCE, 164);
   _actionMap[583][RETURNTOKEN] = ActionEntry(REDUCE, 164);
   _actionMap[583][ORDER] = ActionEntry(REDUCE, 164);
   _actionMap[583][GROUP] = ActionEntry(REDUCE, 164);
   _actionMap[583][WHERE] = ActionEntry(REDUCE, 164);
   _actionMap[583][AS] = ActionEntry(REDUCE, 164);
   _actionMap[583][FROM] = ActionEntry(REDUCE, 164);
   _actionMap[583][END_TOKEN] = ActionEntry(REDUCE, 164);
   _actionMap[583][BEGIN] = ActionEntry(REDUCE, 164);
   _actionMap[583][THEN] = ActionEntry(REDUCE, 164);
   _actionMap[583][OR] = ActionEntry(REDUCE, 164);
   _actionMap[583][AND] = ActionEntry(REDUCE, 164);
   _actionMap[583][LIKE] = ActionEntry(REDUCE, 164);
   _actionMap[583][IS] = ActionEntry(REDUCE, 164);
   _actionMap[583][BETWEEN] = ActionEntry(REDUCE, 164);
   _actionMap[583][NOT] = ActionEntry(REDUCE, 164);
   _actionMap[583][INTOK] = ActionEntry(REDUCE, 164);
   _actionMap[583][EQU] = ActionEntry(REDUCE, 164);
   _actionMap[583][NEGATION] = ActionEntry(REDUCE, 164);
   _actionMap[583][LT] = ActionEntry(REDUCE, 164);
   _actionMap[583][MT] = ActionEntry(REDUCE, 164);
   _actionMap[583][DESC] = ActionEntry(REDUCE, 164);
}
void Cego::loadParser115()
{
   _actionMap[583][ASC] = ActionEntry(REDUCE, 164);
   _actionMap[583][KSEP] = ActionEntry(REDUCE, 164);
   _actionMap[583][ROWLIMIT] = ActionEntry(REDUCE, 164);
   _actionMap[583][UNION] = ActionEntry(REDUCE, 164);
   _actionMap[583][ENDTOKEN] = ActionEntry(REDUCE, 164);
   _actionMap[583][RB] = ActionEntry(REDUCE, 164);
   _actionMap[583][SEMICOLON] = ActionEntry(REDUCE, 164);
   _actionMap[583][CONCAT] = ActionEntry(REDUCE, 164);
   _actionMap[583][STAR] = ActionEntry(REDUCE, 164);
   _actionMap[583][DIVISION] = ActionEntry(REDUCE, 164);
   _actionMap[583][MINUS] = ActionEntry(REDUCE, 164);
   _actionMap[583][PLUS] = ActionEntry(REDUCE, 164);
   _actionMap[584][WHEN] = ActionEntry(REDUCE, 165);
   _actionMap[584][ELSE] = ActionEntry(REDUCE, 165);
   _actionMap[584][LEFT] = ActionEntry(REDUCE, 165);
   _actionMap[584][RIGHT] = ActionEntry(REDUCE, 165);
   _actionMap[584][INNER] = ActionEntry(REDUCE, 165);
   _actionMap[584][JOIN] = ActionEntry(REDUCE, 165);
   _actionMap[584][RETURNTOKEN] = ActionEntry(REDUCE, 165);
   _actionMap[584][ORDER] = ActionEntry(REDUCE, 165);
   _actionMap[584][GROUP] = ActionEntry(REDUCE, 165);
   _actionMap[584][WHERE] = ActionEntry(REDUCE, 165);
   _actionMap[584][AS] = ActionEntry(REDUCE, 165);
   _actionMap[584][FROM] = ActionEntry(REDUCE, 165);
   _actionMap[584][END_TOKEN] = ActionEntry(REDUCE, 165);
   _actionMap[584][BEGIN] = ActionEntry(REDUCE, 165);
   _actionMap[584][THEN] = ActionEntry(REDUCE, 165);
   _actionMap[584][OR] = ActionEntry(REDUCE, 165);
   _actionMap[584][AND] = ActionEntry(REDUCE, 165);
   _actionMap[584][LIKE] = ActionEntry(REDUCE, 165);
   _actionMap[584][IS] = ActionEntry(REDUCE, 165);
   _actionMap[584][BETWEEN] = ActionEntry(REDUCE, 165);
   _actionMap[584][NOT] = ActionEntry(REDUCE, 165);
   _actionMap[584][INTOK] = ActionEntry(REDUCE, 165);
   _actionMap[584][EQU] = ActionEntry(REDUCE, 165);
   _actionMap[584][NEGATION] = ActionEntry(REDUCE, 165);
   _actionMap[584][LT] = ActionEntry(REDUCE, 165);
   _actionMap[584][MT] = ActionEntry(REDUCE, 165);
   _actionMap[584][DESC] = ActionEntry(REDUCE, 165);
   _actionMap[584][ASC] = ActionEntry(REDUCE, 165);
   _actionMap[584][KSEP] = ActionEntry(REDUCE, 165);
   _actionMap[584][ROWLIMIT] = ActionEntry(REDUCE, 165);
   _actionMap[584][UNION] = ActionEntry(REDUCE, 165);
   _actionMap[584][ENDTOKEN] = ActionEntry(REDUCE, 165);
   _actionMap[584][RB] = ActionEntry(REDUCE, 165);
   _actionMap[584][SEMICOLON] = ActionEntry(REDUCE, 165);
   _actionMap[584][CONCAT] = ActionEntry(REDUCE, 165);
   _actionMap[584][STAR] = ActionEntry(REDUCE, 165);
   _actionMap[584][DIVISION] = ActionEntry(REDUCE, 165);
   _actionMap[584][MINUS] = ActionEntry(REDUCE, 165);
}
void Cego::loadParser116()
{
   _actionMap[584][PLUS] = ActionEntry(REDUCE, 165);
   _actionMap[585][WHEN] = ActionEntry(REDUCE, 309);
   _actionMap[585][ELSE] = ActionEntry(REDUCE, 309);
   _actionMap[585][LEFT] = ActionEntry(REDUCE, 309);
   _actionMap[585][RIGHT] = ActionEntry(REDUCE, 309);
   _actionMap[585][INNER] = ActionEntry(REDUCE, 309);
   _actionMap[585][JOIN] = ActionEntry(REDUCE, 309);
   _actionMap[585][RETURNTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[585][ORDER] = ActionEntry(REDUCE, 309);
   _actionMap[585][GROUP] = ActionEntry(REDUCE, 309);
   _actionMap[585][WHERE] = ActionEntry(REDUCE, 309);
   _actionMap[585][FROM] = ActionEntry(REDUCE, 309);
   _actionMap[585][AS] = ActionEntry(REDUCE, 309);
   _actionMap[585][END_TOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[585][BEGIN] = ActionEntry(REDUCE, 309);
   _actionMap[585][THEN] = ActionEntry(REDUCE, 309);
   _actionMap[585][OR] = ActionEntry(REDUCE, 309);
   _actionMap[585][AND] = ActionEntry(REDUCE, 309);
   _actionMap[585][INTOK] = ActionEntry(REDUCE, 309);
   _actionMap[585][NOT] = ActionEntry(REDUCE, 309);
   _actionMap[585][BETWEEN] = ActionEntry(REDUCE, 309);
   _actionMap[585][IS] = ActionEntry(REDUCE, 309);
   _actionMap[585][LIKE] = ActionEntry(REDUCE, 309);
   _actionMap[585][MT] = ActionEntry(REDUCE, 309);
   _actionMap[585][LT] = ActionEntry(REDUCE, 309);
   _actionMap[585][NEGATION] = ActionEntry(REDUCE, 309);
   _actionMap[585][EQU] = ActionEntry(REDUCE, 309);
   _actionMap[585][RB] = ActionEntry(REDUCE, 309);
   _actionMap[585][ENDTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[585][UNION] = ActionEntry(REDUCE, 309);
   _actionMap[585][ROWLIMIT] = ActionEntry(REDUCE, 309);
   _actionMap[585][KSEP] = ActionEntry(REDUCE, 309);
   _actionMap[585][ASC] = ActionEntry(REDUCE, 309);
   _actionMap[585][DESC] = ActionEntry(REDUCE, 309);
   _actionMap[585][SEMICOLON] = ActionEntry(REDUCE, 309);
   _actionMap[585][PLUS] = ActionEntry(REDUCE, 309);
   _actionMap[585][MINUS] = ActionEntry(REDUCE, 309);
   _actionMap[585][DIVISION] = ActionEntry(REDUCE, 309);
   _actionMap[585][STAR] = ActionEntry(REDUCE, 309);
   _actionMap[585][CONCAT] = ActionEntry(REDUCE, 309);
   _actionMap[586][WHEN] = ActionEntry(REDUCE, 320);
   _actionMap[586][ELSE] = ActionEntry(REDUCE, 320);
   _actionMap[586][LEFT] = ActionEntry(REDUCE, 320);
   _actionMap[586][RIGHT] = ActionEntry(REDUCE, 320);
   _actionMap[586][INNER] = ActionEntry(REDUCE, 320);
   _actionMap[586][JOIN] = ActionEntry(REDUCE, 320);
   _actionMap[586][RETURNTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[586][ORDER] = ActionEntry(REDUCE, 320);
   _actionMap[586][GROUP] = ActionEntry(REDUCE, 320);
   _actionMap[586][WHERE] = ActionEntry(REDUCE, 320);
}
void Cego::loadParser117()
{
   _actionMap[586][FROM] = ActionEntry(REDUCE, 320);
   _actionMap[586][AS] = ActionEntry(REDUCE, 320);
   _actionMap[586][END_TOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[586][BEGIN] = ActionEntry(REDUCE, 320);
   _actionMap[586][THEN] = ActionEntry(REDUCE, 320);
   _actionMap[586][OR] = ActionEntry(REDUCE, 320);
   _actionMap[586][AND] = ActionEntry(REDUCE, 320);
   _actionMap[586][INTOK] = ActionEntry(REDUCE, 320);
   _actionMap[586][NOT] = ActionEntry(REDUCE, 320);
   _actionMap[586][BETWEEN] = ActionEntry(REDUCE, 320);
   _actionMap[586][IS] = ActionEntry(REDUCE, 320);
   _actionMap[586][LIKE] = ActionEntry(REDUCE, 320);
   _actionMap[586][MT] = ActionEntry(REDUCE, 320);
   _actionMap[586][LT] = ActionEntry(REDUCE, 320);
   _actionMap[586][NEGATION] = ActionEntry(REDUCE, 320);
   _actionMap[586][EQU] = ActionEntry(REDUCE, 320);
   _actionMap[586][RB] = ActionEntry(REDUCE, 320);
   _actionMap[586][ENDTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[586][UNION] = ActionEntry(REDUCE, 320);
   _actionMap[586][ROWLIMIT] = ActionEntry(REDUCE, 320);
   _actionMap[586][KSEP] = ActionEntry(REDUCE, 320);
   _actionMap[586][ASC] = ActionEntry(REDUCE, 320);
   _actionMap[586][DESC] = ActionEntry(REDUCE, 320);
   _actionMap[586][SEMICOLON] = ActionEntry(REDUCE, 320);
   _actionMap[586][PLUS] = ActionEntry(REDUCE, 320);
   _actionMap[586][MINUS] = ActionEntry(REDUCE, 320);
   _actionMap[586][DIVISION] = ActionEntry(REDUCE, 320);
   _actionMap[586][STAR] = ActionEntry(REDUCE, 320);
   _actionMap[586][CONCAT] = ActionEntry(REDUCE, 320);
   _actionMap[587][WHEN] = ActionEntry(REDUCE, 313);
   _actionMap[587][ELSE] = ActionEntry(REDUCE, 313);
   _actionMap[587][LEFT] = ActionEntry(REDUCE, 313);
   _actionMap[587][RIGHT] = ActionEntry(REDUCE, 313);
   _actionMap[587][INNER] = ActionEntry(REDUCE, 313);
   _actionMap[587][JOIN] = ActionEntry(REDUCE, 313);
   _actionMap[587][RETURNTOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[587][ORDER] = ActionEntry(REDUCE, 313);
   _actionMap[587][GROUP] = ActionEntry(REDUCE, 313);
   _actionMap[587][WHERE] = ActionEntry(REDUCE, 313);
   _actionMap[587][FROM] = ActionEntry(REDUCE, 313);
   _actionMap[587][AS] = ActionEntry(REDUCE, 313);
   _actionMap[587][END_TOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[587][BEGIN] = ActionEntry(REDUCE, 313);
   _actionMap[587][THEN] = ActionEntry(REDUCE, 313);
   _actionMap[587][OR] = ActionEntry(REDUCE, 313);
   _actionMap[587][AND] = ActionEntry(REDUCE, 313);
   _actionMap[587][INTOK] = ActionEntry(REDUCE, 313);
   _actionMap[587][NOT] = ActionEntry(REDUCE, 313);
   _actionMap[587][BETWEEN] = ActionEntry(REDUCE, 313);
   _actionMap[587][IS] = ActionEntry(REDUCE, 313);
}
void Cego::loadParser118()
{
   _actionMap[587][LIKE] = ActionEntry(REDUCE, 313);
   _actionMap[587][MT] = ActionEntry(REDUCE, 313);
   _actionMap[587][LT] = ActionEntry(REDUCE, 313);
   _actionMap[587][NEGATION] = ActionEntry(REDUCE, 313);
   _actionMap[587][EQU] = ActionEntry(REDUCE, 313);
   _actionMap[587][RB] = ActionEntry(REDUCE, 313);
   _actionMap[587][ENDTOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[587][UNION] = ActionEntry(REDUCE, 313);
   _actionMap[587][ROWLIMIT] = ActionEntry(REDUCE, 313);
   _actionMap[587][KSEP] = ActionEntry(REDUCE, 313);
   _actionMap[587][ASC] = ActionEntry(REDUCE, 313);
   _actionMap[587][DESC] = ActionEntry(REDUCE, 313);
   _actionMap[587][SEMICOLON] = ActionEntry(REDUCE, 313);
   _actionMap[587][PLUS] = ActionEntry(REDUCE, 313);
   _actionMap[587][MINUS] = ActionEntry(REDUCE, 313);
   _actionMap[587][DIVISION] = ActionEntry(REDUCE, 313);
   _actionMap[587][STAR] = ActionEntry(REDUCE, 313);
   _actionMap[587][CONCAT] = ActionEntry(REDUCE, 313);
   _actionMap[588][WHEN] = ActionEntry(REDUCE, 307);
   _actionMap[588][ELSE] = ActionEntry(REDUCE, 307);
   _actionMap[588][LEFT] = ActionEntry(REDUCE, 307);
   _actionMap[588][RIGHT] = ActionEntry(REDUCE, 307);
   _actionMap[588][INNER] = ActionEntry(REDUCE, 307);
   _actionMap[588][JOIN] = ActionEntry(REDUCE, 307);
   _actionMap[588][RETURNTOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[588][ORDER] = ActionEntry(REDUCE, 307);
   _actionMap[588][GROUP] = ActionEntry(REDUCE, 307);
   _actionMap[588][WHERE] = ActionEntry(REDUCE, 307);
   _actionMap[588][FROM] = ActionEntry(REDUCE, 307);
   _actionMap[588][AS] = ActionEntry(REDUCE, 307);
   _actionMap[588][END_TOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[588][BEGIN] = ActionEntry(REDUCE, 307);
   _actionMap[588][THEN] = ActionEntry(REDUCE, 307);
   _actionMap[588][OR] = ActionEntry(REDUCE, 307);
   _actionMap[588][AND] = ActionEntry(REDUCE, 307);
   _actionMap[588][INTOK] = ActionEntry(REDUCE, 307);
   _actionMap[588][NOT] = ActionEntry(REDUCE, 307);
   _actionMap[588][BETWEEN] = ActionEntry(REDUCE, 307);
   _actionMap[588][IS] = ActionEntry(REDUCE, 307);
   _actionMap[588][LIKE] = ActionEntry(REDUCE, 307);
   _actionMap[588][MT] = ActionEntry(REDUCE, 307);
   _actionMap[588][LT] = ActionEntry(REDUCE, 307);
   _actionMap[588][NEGATION] = ActionEntry(REDUCE, 307);
   _actionMap[588][EQU] = ActionEntry(REDUCE, 307);
   _actionMap[588][RB] = ActionEntry(REDUCE, 307);
   _actionMap[588][ENDTOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[588][UNION] = ActionEntry(REDUCE, 307);
   _actionMap[588][ROWLIMIT] = ActionEntry(REDUCE, 307);
   _actionMap[588][KSEP] = ActionEntry(REDUCE, 307);
   _actionMap[588][ASC] = ActionEntry(REDUCE, 307);
}
void Cego::loadParser119()
{
   _actionMap[588][DESC] = ActionEntry(REDUCE, 307);
   _actionMap[588][SEMICOLON] = ActionEntry(REDUCE, 307);
   _actionMap[588][PLUS] = ActionEntry(REDUCE, 307);
   _actionMap[588][MINUS] = ActionEntry(REDUCE, 307);
   _actionMap[588][DIVISION] = ActionEntry(REDUCE, 307);
   _actionMap[588][STAR] = ActionEntry(REDUCE, 307);
   _actionMap[588][CONCAT] = ActionEntry(REDUCE, 307);
   _actionMap[589][WHEN] = ActionEntry(REDUCE, 308);
   _actionMap[589][ELSE] = ActionEntry(REDUCE, 308);
   _actionMap[589][LEFT] = ActionEntry(REDUCE, 308);
   _actionMap[589][RIGHT] = ActionEntry(REDUCE, 308);
   _actionMap[589][INNER] = ActionEntry(REDUCE, 308);
   _actionMap[589][JOIN] = ActionEntry(REDUCE, 308);
   _actionMap[589][RETURNTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[589][ORDER] = ActionEntry(REDUCE, 308);
   _actionMap[589][GROUP] = ActionEntry(REDUCE, 308);
   _actionMap[589][WHERE] = ActionEntry(REDUCE, 308);
   _actionMap[589][FROM] = ActionEntry(REDUCE, 308);
   _actionMap[589][AS] = ActionEntry(REDUCE, 308);
   _actionMap[589][END_TOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[589][BEGIN] = ActionEntry(REDUCE, 308);
   _actionMap[589][THEN] = ActionEntry(REDUCE, 308);
   _actionMap[589][OR] = ActionEntry(REDUCE, 308);
   _actionMap[589][AND] = ActionEntry(REDUCE, 308);
   _actionMap[589][INTOK] = ActionEntry(REDUCE, 308);
   _actionMap[589][NOT] = ActionEntry(REDUCE, 308);
   _actionMap[589][BETWEEN] = ActionEntry(REDUCE, 308);
   _actionMap[589][IS] = ActionEntry(REDUCE, 308);
   _actionMap[589][LIKE] = ActionEntry(REDUCE, 308);
   _actionMap[589][MT] = ActionEntry(REDUCE, 308);
   _actionMap[589][LT] = ActionEntry(REDUCE, 308);
   _actionMap[589][NEGATION] = ActionEntry(REDUCE, 308);
   _actionMap[589][EQU] = ActionEntry(REDUCE, 308);
   _actionMap[589][RB] = ActionEntry(REDUCE, 308);
   _actionMap[589][ENDTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[589][UNION] = ActionEntry(REDUCE, 308);
   _actionMap[589][ROWLIMIT] = ActionEntry(REDUCE, 308);
   _actionMap[589][KSEP] = ActionEntry(REDUCE, 308);
   _actionMap[589][ASC] = ActionEntry(REDUCE, 308);
   _actionMap[589][DESC] = ActionEntry(REDUCE, 308);
   _actionMap[589][SEMICOLON] = ActionEntry(REDUCE, 308);
   _actionMap[589][PLUS] = ActionEntry(REDUCE, 308);
   _actionMap[589][MINUS] = ActionEntry(REDUCE, 308);
   _actionMap[589][DIVISION] = ActionEntry(REDUCE, 308);
   _actionMap[589][STAR] = ActionEntry(REDUCE, 308);
   _actionMap[589][CONCAT] = ActionEntry(REDUCE, 308);
   _actionMap[590][WHEN] = ActionEntry(REDUCE, 301);
   _actionMap[590][ELSE] = ActionEntry(REDUCE, 301);
   _actionMap[590][LEFT] = ActionEntry(REDUCE, 301);
   _actionMap[590][RIGHT] = ActionEntry(REDUCE, 301);
}
void Cego::loadParser120()
{
   _actionMap[590][INNER] = ActionEntry(REDUCE, 301);
   _actionMap[590][JOIN] = ActionEntry(REDUCE, 301);
   _actionMap[590][RETURNTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[590][ORDER] = ActionEntry(REDUCE, 301);
   _actionMap[590][GROUP] = ActionEntry(REDUCE, 301);
   _actionMap[590][WHERE] = ActionEntry(REDUCE, 301);
   _actionMap[590][FROM] = ActionEntry(REDUCE, 301);
   _actionMap[590][AS] = ActionEntry(REDUCE, 301);
   _actionMap[590][END_TOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[590][BEGIN] = ActionEntry(REDUCE, 301);
   _actionMap[590][THEN] = ActionEntry(REDUCE, 301);
   _actionMap[590][OR] = ActionEntry(REDUCE, 301);
   _actionMap[590][AND] = ActionEntry(REDUCE, 301);
   _actionMap[590][INTOK] = ActionEntry(REDUCE, 301);
   _actionMap[590][NOT] = ActionEntry(REDUCE, 301);
   _actionMap[590][BETWEEN] = ActionEntry(REDUCE, 301);
   _actionMap[590][IS] = ActionEntry(REDUCE, 301);
   _actionMap[590][LIKE] = ActionEntry(REDUCE, 301);
   _actionMap[590][MT] = ActionEntry(REDUCE, 301);
   _actionMap[590][LT] = ActionEntry(REDUCE, 301);
   _actionMap[590][NEGATION] = ActionEntry(REDUCE, 301);
   _actionMap[590][EQU] = ActionEntry(REDUCE, 301);
   _actionMap[590][RB] = ActionEntry(REDUCE, 301);
   _actionMap[590][ENDTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[590][UNION] = ActionEntry(REDUCE, 301);
   _actionMap[590][ROWLIMIT] = ActionEntry(REDUCE, 301);
   _actionMap[590][KSEP] = ActionEntry(REDUCE, 301);
   _actionMap[590][ASC] = ActionEntry(REDUCE, 301);
   _actionMap[590][DESC] = ActionEntry(REDUCE, 301);
   _actionMap[590][SEMICOLON] = ActionEntry(REDUCE, 301);
   _actionMap[590][PLUS] = ActionEntry(REDUCE, 301);
   _actionMap[590][MINUS] = ActionEntry(REDUCE, 301);
   _actionMap[590][DIVISION] = ActionEntry(REDUCE, 301);
   _actionMap[590][STAR] = ActionEntry(REDUCE, 301);
   _actionMap[590][CONCAT] = ActionEntry(REDUCE, 301);
   _actionMap[591][WHEN] = ActionEntry(REDUCE, 298);
   _actionMap[591][ELSE] = ActionEntry(REDUCE, 298);
   _actionMap[591][LEFT] = ActionEntry(REDUCE, 298);
   _actionMap[591][RIGHT] = ActionEntry(REDUCE, 298);
   _actionMap[591][INNER] = ActionEntry(REDUCE, 298);
   _actionMap[591][JOIN] = ActionEntry(REDUCE, 298);
   _actionMap[591][RETURNTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[591][ORDER] = ActionEntry(REDUCE, 298);
   _actionMap[591][GROUP] = ActionEntry(REDUCE, 298);
   _actionMap[591][WHERE] = ActionEntry(REDUCE, 298);
   _actionMap[591][FROM] = ActionEntry(REDUCE, 298);
   _actionMap[591][AS] = ActionEntry(REDUCE, 298);
   _actionMap[591][END_TOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[591][BEGIN] = ActionEntry(REDUCE, 298);
   _actionMap[591][THEN] = ActionEntry(REDUCE, 298);
}
void Cego::loadParser121()
{
   _actionMap[591][OR] = ActionEntry(REDUCE, 298);
   _actionMap[591][AND] = ActionEntry(REDUCE, 298);
   _actionMap[591][INTOK] = ActionEntry(REDUCE, 298);
   _actionMap[591][NOT] = ActionEntry(REDUCE, 298);
   _actionMap[591][BETWEEN] = ActionEntry(REDUCE, 298);
   _actionMap[591][IS] = ActionEntry(REDUCE, 298);
   _actionMap[591][LIKE] = ActionEntry(REDUCE, 298);
   _actionMap[591][MT] = ActionEntry(REDUCE, 298);
   _actionMap[591][LT] = ActionEntry(REDUCE, 298);
   _actionMap[591][NEGATION] = ActionEntry(REDUCE, 298);
   _actionMap[591][EQU] = ActionEntry(REDUCE, 298);
   _actionMap[591][RB] = ActionEntry(REDUCE, 298);
   _actionMap[591][ENDTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[591][UNION] = ActionEntry(REDUCE, 298);
   _actionMap[591][ROWLIMIT] = ActionEntry(REDUCE, 298);
   _actionMap[591][KSEP] = ActionEntry(REDUCE, 298);
   _actionMap[591][ASC] = ActionEntry(REDUCE, 298);
   _actionMap[591][DESC] = ActionEntry(REDUCE, 298);
   _actionMap[591][SEMICOLON] = ActionEntry(REDUCE, 298);
   _actionMap[591][PLUS] = ActionEntry(REDUCE, 298);
   _actionMap[591][MINUS] = ActionEntry(REDUCE, 298);
   _actionMap[591][DIVISION] = ActionEntry(REDUCE, 298);
   _actionMap[591][STAR] = ActionEntry(REDUCE, 298);
   _actionMap[591][CONCAT] = ActionEntry(REDUCE, 298);
   _actionMap[592][WHEN] = ActionEntry(REDUCE, 290);
   _actionMap[592][ELSE] = ActionEntry(REDUCE, 290);
   _actionMap[592][LEFT] = ActionEntry(REDUCE, 290);
   _actionMap[592][RIGHT] = ActionEntry(REDUCE, 290);
   _actionMap[592][INNER] = ActionEntry(REDUCE, 290);
   _actionMap[592][JOIN] = ActionEntry(REDUCE, 290);
   _actionMap[592][RETURNTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[592][ORDER] = ActionEntry(REDUCE, 290);
   _actionMap[592][GROUP] = ActionEntry(REDUCE, 290);
   _actionMap[592][WHERE] = ActionEntry(REDUCE, 290);
   _actionMap[592][FROM] = ActionEntry(REDUCE, 290);
   _actionMap[592][AS] = ActionEntry(REDUCE, 290);
   _actionMap[592][END_TOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[592][BEGIN] = ActionEntry(REDUCE, 290);
   _actionMap[592][THEN] = ActionEntry(REDUCE, 290);
   _actionMap[592][OR] = ActionEntry(REDUCE, 290);
   _actionMap[592][AND] = ActionEntry(REDUCE, 290);
   _actionMap[592][INTOK] = ActionEntry(REDUCE, 290);
   _actionMap[592][NOT] = ActionEntry(REDUCE, 290);
   _actionMap[592][BETWEEN] = ActionEntry(REDUCE, 290);
   _actionMap[592][IS] = ActionEntry(REDUCE, 290);
   _actionMap[592][LIKE] = ActionEntry(REDUCE, 290);
   _actionMap[592][MT] = ActionEntry(REDUCE, 290);
   _actionMap[592][LT] = ActionEntry(REDUCE, 290);
   _actionMap[592][NEGATION] = ActionEntry(REDUCE, 290);
   _actionMap[592][EQU] = ActionEntry(REDUCE, 290);
}
void Cego::loadParser122()
{
   _actionMap[592][RB] = ActionEntry(REDUCE, 290);
   _actionMap[592][ENDTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[592][UNION] = ActionEntry(REDUCE, 290);
   _actionMap[592][ROWLIMIT] = ActionEntry(REDUCE, 290);
   _actionMap[592][KSEP] = ActionEntry(REDUCE, 290);
   _actionMap[592][ASC] = ActionEntry(REDUCE, 290);
   _actionMap[592][DESC] = ActionEntry(REDUCE, 290);
   _actionMap[592][SEMICOLON] = ActionEntry(REDUCE, 290);
   _actionMap[592][PLUS] = ActionEntry(REDUCE, 290);
   _actionMap[592][MINUS] = ActionEntry(REDUCE, 290);
   _actionMap[592][DIVISION] = ActionEntry(REDUCE, 290);
   _actionMap[592][STAR] = ActionEntry(REDUCE, 290);
   _actionMap[592][CONCAT] = ActionEntry(REDUCE, 290);
   _actionMap[593][WHEN] = ActionEntry(REDUCE, 288);
   _actionMap[593][ELSE] = ActionEntry(REDUCE, 288);
   _actionMap[593][LEFT] = ActionEntry(REDUCE, 288);
   _actionMap[593][RIGHT] = ActionEntry(REDUCE, 288);
   _actionMap[593][INNER] = ActionEntry(REDUCE, 288);
   _actionMap[593][JOIN] = ActionEntry(REDUCE, 288);
   _actionMap[593][RETURNTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[593][ORDER] = ActionEntry(REDUCE, 288);
   _actionMap[593][GROUP] = ActionEntry(REDUCE, 288);
   _actionMap[593][WHERE] = ActionEntry(REDUCE, 288);
   _actionMap[593][FROM] = ActionEntry(REDUCE, 288);
   _actionMap[593][AS] = ActionEntry(REDUCE, 288);
   _actionMap[593][END_TOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[593][BEGIN] = ActionEntry(REDUCE, 288);
   _actionMap[593][THEN] = ActionEntry(REDUCE, 288);
   _actionMap[593][OR] = ActionEntry(REDUCE, 288);
   _actionMap[593][AND] = ActionEntry(REDUCE, 288);
   _actionMap[593][INTOK] = ActionEntry(REDUCE, 288);
   _actionMap[593][NOT] = ActionEntry(REDUCE, 288);
   _actionMap[593][BETWEEN] = ActionEntry(REDUCE, 288);
   _actionMap[593][IS] = ActionEntry(REDUCE, 288);
   _actionMap[593][LIKE] = ActionEntry(REDUCE, 288);
   _actionMap[593][MT] = ActionEntry(REDUCE, 288);
   _actionMap[593][LT] = ActionEntry(REDUCE, 288);
   _actionMap[593][NEGATION] = ActionEntry(REDUCE, 288);
   _actionMap[593][EQU] = ActionEntry(REDUCE, 288);
   _actionMap[593][RB] = ActionEntry(REDUCE, 288);
   _actionMap[593][ENDTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[593][UNION] = ActionEntry(REDUCE, 288);
   _actionMap[593][ROWLIMIT] = ActionEntry(REDUCE, 288);
   _actionMap[593][KSEP] = ActionEntry(REDUCE, 288);
   _actionMap[593][ASC] = ActionEntry(REDUCE, 288);
   _actionMap[593][DESC] = ActionEntry(REDUCE, 288);
   _actionMap[593][SEMICOLON] = ActionEntry(REDUCE, 288);
   _actionMap[593][PLUS] = ActionEntry(REDUCE, 288);
   _actionMap[593][MINUS] = ActionEntry(REDUCE, 288);
   _actionMap[593][DIVISION] = ActionEntry(REDUCE, 288);
}
void Cego::loadParser123()
{
   _actionMap[593][STAR] = ActionEntry(REDUCE, 288);
   _actionMap[593][CONCAT] = ActionEntry(REDUCE, 288);
   _actionMap[594][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[594][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[594][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[594][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[594][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[594][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[594][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[594][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[594][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[594][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[594][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[594][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[594][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[594][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[594][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[594][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[594][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[594][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[594][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[594][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[594][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[594][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[594][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[594][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[594][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[594][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[594][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[594][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[594][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[594][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[594][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[594][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[594][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[594][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[594][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[594][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[594][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[594][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[594][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[594][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[594][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[594][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[594][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[594][LB] = ActionEntry(SHIFT, 156);
   _actionMap[594][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[594][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[594][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[594][NULLTOKEN] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser124()
{
   _actionMap[594][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[594][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[594][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[594][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[594][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[594][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[594][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[594][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[594][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[594][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[594][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[594][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[594][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[594][ObjSpec] = 103;
   _jumpMap[594][Constant] = 102;
   _jumpMap[594][SignedFloat] = 101;
   _jumpMap[594][SignedInt] = 100;
   _jumpMap[594][Attribute] = 99;
   _jumpMap[594][Function] = 98;
   _jumpMap[594][CasePrepare] = 97;
   _jumpMap[594][CaseClause] = 96;
   _jumpMap[594][Factor] = 95;
   _jumpMap[594][Term] = 94;
   _jumpMap[594][Expr] = 721;
   _actionMap[595][WHEN] = ActionEntry(REDUCE, 300);
   _actionMap[595][ELSE] = ActionEntry(REDUCE, 300);
   _actionMap[595][LEFT] = ActionEntry(REDUCE, 300);
   _actionMap[595][RIGHT] = ActionEntry(REDUCE, 300);
   _actionMap[595][INNER] = ActionEntry(REDUCE, 300);
   _actionMap[595][JOIN] = ActionEntry(REDUCE, 300);
   _actionMap[595][RETURNTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[595][ORDER] = ActionEntry(REDUCE, 300);
   _actionMap[595][GROUP] = ActionEntry(REDUCE, 300);
   _actionMap[595][WHERE] = ActionEntry(REDUCE, 300);
   _actionMap[595][FROM] = ActionEntry(REDUCE, 300);
   _actionMap[595][AS] = ActionEntry(REDUCE, 300);
   _actionMap[595][END_TOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[595][BEGIN] = ActionEntry(REDUCE, 300);
   _actionMap[595][THEN] = ActionEntry(REDUCE, 300);
   _actionMap[595][OR] = ActionEntry(REDUCE, 300);
   _actionMap[595][AND] = ActionEntry(REDUCE, 300);
   _actionMap[595][INTOK] = ActionEntry(REDUCE, 300);
   _actionMap[595][NOT] = ActionEntry(REDUCE, 300);
   _actionMap[595][BETWEEN] = ActionEntry(REDUCE, 300);
   _actionMap[595][IS] = ActionEntry(REDUCE, 300);
   _actionMap[595][LIKE] = ActionEntry(REDUCE, 300);
   _actionMap[595][MT] = ActionEntry(REDUCE, 300);
   _actionMap[595][LT] = ActionEntry(REDUCE, 300);
   _actionMap[595][NEGATION] = ActionEntry(REDUCE, 300);
   _actionMap[595][EQU] = ActionEntry(REDUCE, 300);
}
void Cego::loadParser125()
{
   _actionMap[595][RB] = ActionEntry(REDUCE, 300);
   _actionMap[595][ENDTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[595][UNION] = ActionEntry(REDUCE, 300);
   _actionMap[595][ROWLIMIT] = ActionEntry(REDUCE, 300);
   _actionMap[595][KSEP] = ActionEntry(REDUCE, 300);
   _actionMap[595][ASC] = ActionEntry(REDUCE, 300);
   _actionMap[595][DESC] = ActionEntry(REDUCE, 300);
   _actionMap[595][SEMICOLON] = ActionEntry(REDUCE, 300);
   _actionMap[595][PLUS] = ActionEntry(REDUCE, 300);
   _actionMap[595][MINUS] = ActionEntry(REDUCE, 300);
   _actionMap[595][DIVISION] = ActionEntry(REDUCE, 300);
   _actionMap[595][STAR] = ActionEntry(REDUCE, 300);
   _actionMap[595][CONCAT] = ActionEntry(REDUCE, 300);
   _actionMap[596][WHEN] = ActionEntry(REDUCE, 161);
   _actionMap[596][ELSE] = ActionEntry(REDUCE, 161);
   _actionMap[596][LEFT] = ActionEntry(REDUCE, 161);
   _actionMap[596][RIGHT] = ActionEntry(REDUCE, 161);
   _actionMap[596][INNER] = ActionEntry(REDUCE, 161);
   _actionMap[596][JOIN] = ActionEntry(REDUCE, 161);
   _actionMap[596][RETURNTOKEN] = ActionEntry(REDUCE, 161);
   _actionMap[596][ORDER] = ActionEntry(REDUCE, 161);
   _actionMap[596][GROUP] = ActionEntry(REDUCE, 161);
   _actionMap[596][WHERE] = ActionEntry(REDUCE, 161);
   _actionMap[596][AS] = ActionEntry(REDUCE, 161);
   _actionMap[596][FROM] = ActionEntry(REDUCE, 161);
   _actionMap[596][END_TOKEN] = ActionEntry(REDUCE, 161);
   _actionMap[596][BEGIN] = ActionEntry(REDUCE, 161);
   _actionMap[596][THEN] = ActionEntry(REDUCE, 161);
   _actionMap[596][OR] = ActionEntry(REDUCE, 161);
   _actionMap[596][AND] = ActionEntry(REDUCE, 161);
   _actionMap[596][LIKE] = ActionEntry(REDUCE, 161);
   _actionMap[596][IS] = ActionEntry(REDUCE, 161);
   _actionMap[596][BETWEEN] = ActionEntry(REDUCE, 161);
   _actionMap[596][NOT] = ActionEntry(REDUCE, 161);
   _actionMap[596][INTOK] = ActionEntry(REDUCE, 161);
   _actionMap[596][EQU] = ActionEntry(REDUCE, 161);
   _actionMap[596][NEGATION] = ActionEntry(REDUCE, 161);
   _actionMap[596][LT] = ActionEntry(REDUCE, 161);
   _actionMap[596][MT] = ActionEntry(REDUCE, 161);
   _actionMap[596][DESC] = ActionEntry(REDUCE, 161);
   _actionMap[596][ASC] = ActionEntry(REDUCE, 161);
   _actionMap[596][KSEP] = ActionEntry(REDUCE, 161);
   _actionMap[596][ROWLIMIT] = ActionEntry(REDUCE, 161);
   _actionMap[596][UNION] = ActionEntry(REDUCE, 161);
   _actionMap[596][ENDTOKEN] = ActionEntry(REDUCE, 161);
   _actionMap[596][RB] = ActionEntry(REDUCE, 161);
   _actionMap[596][SEMICOLON] = ActionEntry(REDUCE, 161);
   _actionMap[596][CONCAT] = ActionEntry(REDUCE, 161);
   _actionMap[596][STAR] = ActionEntry(REDUCE, 161);
   _actionMap[596][DIVISION] = ActionEntry(REDUCE, 161);
}
void Cego::loadParser126()
{
   _actionMap[596][MINUS] = ActionEntry(REDUCE, 161);
   _actionMap[596][PLUS] = ActionEntry(REDUCE, 161);
   _actionMap[597][WHEN] = ActionEntry(REDUCE, 304);
   _actionMap[597][ELSE] = ActionEntry(REDUCE, 304);
   _actionMap[597][LEFT] = ActionEntry(REDUCE, 304);
   _actionMap[597][RIGHT] = ActionEntry(REDUCE, 304);
   _actionMap[597][INNER] = ActionEntry(REDUCE, 304);
   _actionMap[597][JOIN] = ActionEntry(REDUCE, 304);
   _actionMap[597][RETURNTOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[597][ORDER] = ActionEntry(REDUCE, 304);
   _actionMap[597][GROUP] = ActionEntry(REDUCE, 304);
   _actionMap[597][WHERE] = ActionEntry(REDUCE, 304);
   _actionMap[597][FROM] = ActionEntry(REDUCE, 304);
   _actionMap[597][AS] = ActionEntry(REDUCE, 304);
   _actionMap[597][END_TOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[597][BEGIN] = ActionEntry(REDUCE, 304);
   _actionMap[597][THEN] = ActionEntry(REDUCE, 304);
   _actionMap[597][OR] = ActionEntry(REDUCE, 304);
   _actionMap[597][AND] = ActionEntry(REDUCE, 304);
   _actionMap[597][INTOK] = ActionEntry(REDUCE, 304);
   _actionMap[597][NOT] = ActionEntry(REDUCE, 304);
   _actionMap[597][BETWEEN] = ActionEntry(REDUCE, 304);
   _actionMap[597][IS] = ActionEntry(REDUCE, 304);
   _actionMap[597][LIKE] = ActionEntry(REDUCE, 304);
   _actionMap[597][MT] = ActionEntry(REDUCE, 304);
   _actionMap[597][LT] = ActionEntry(REDUCE, 304);
   _actionMap[597][NEGATION] = ActionEntry(REDUCE, 304);
   _actionMap[597][EQU] = ActionEntry(REDUCE, 304);
   _actionMap[597][RB] = ActionEntry(REDUCE, 304);
   _actionMap[597][ENDTOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[597][UNION] = ActionEntry(REDUCE, 304);
   _actionMap[597][ROWLIMIT] = ActionEntry(REDUCE, 304);
   _actionMap[597][KSEP] = ActionEntry(REDUCE, 304);
   _actionMap[597][ASC] = ActionEntry(REDUCE, 304);
   _actionMap[597][DESC] = ActionEntry(REDUCE, 304);
   _actionMap[597][SEMICOLON] = ActionEntry(REDUCE, 304);
   _actionMap[597][PLUS] = ActionEntry(REDUCE, 304);
   _actionMap[597][MINUS] = ActionEntry(REDUCE, 304);
   _actionMap[597][DIVISION] = ActionEntry(REDUCE, 304);
   _actionMap[597][STAR] = ActionEntry(REDUCE, 304);
   _actionMap[597][CONCAT] = ActionEntry(REDUCE, 304);
   _actionMap[598][WHEN] = ActionEntry(REDUCE, 305);
   _actionMap[598][ELSE] = ActionEntry(REDUCE, 305);
   _actionMap[598][LEFT] = ActionEntry(REDUCE, 305);
   _actionMap[598][RIGHT] = ActionEntry(REDUCE, 305);
   _actionMap[598][INNER] = ActionEntry(REDUCE, 305);
   _actionMap[598][JOIN] = ActionEntry(REDUCE, 305);
   _actionMap[598][RETURNTOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[598][ORDER] = ActionEntry(REDUCE, 305);
   _actionMap[598][GROUP] = ActionEntry(REDUCE, 305);
}
void Cego::loadParser127()
{
   _actionMap[598][WHERE] = ActionEntry(REDUCE, 305);
   _actionMap[598][FROM] = ActionEntry(REDUCE, 305);
   _actionMap[598][AS] = ActionEntry(REDUCE, 305);
   _actionMap[598][END_TOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[598][BEGIN] = ActionEntry(REDUCE, 305);
   _actionMap[598][THEN] = ActionEntry(REDUCE, 305);
   _actionMap[598][OR] = ActionEntry(REDUCE, 305);
   _actionMap[598][AND] = ActionEntry(REDUCE, 305);
   _actionMap[598][INTOK] = ActionEntry(REDUCE, 305);
   _actionMap[598][NOT] = ActionEntry(REDUCE, 305);
   _actionMap[598][BETWEEN] = ActionEntry(REDUCE, 305);
   _actionMap[598][IS] = ActionEntry(REDUCE, 305);
   _actionMap[598][LIKE] = ActionEntry(REDUCE, 305);
   _actionMap[598][MT] = ActionEntry(REDUCE, 305);
   _actionMap[598][LT] = ActionEntry(REDUCE, 305);
   _actionMap[598][NEGATION] = ActionEntry(REDUCE, 305);
   _actionMap[598][EQU] = ActionEntry(REDUCE, 305);
   _actionMap[598][RB] = ActionEntry(REDUCE, 305);
   _actionMap[598][ENDTOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[598][UNION] = ActionEntry(REDUCE, 305);
   _actionMap[598][ROWLIMIT] = ActionEntry(REDUCE, 305);
   _actionMap[598][KSEP] = ActionEntry(REDUCE, 305);
   _actionMap[598][ASC] = ActionEntry(REDUCE, 305);
   _actionMap[598][DESC] = ActionEntry(REDUCE, 305);
   _actionMap[598][SEMICOLON] = ActionEntry(REDUCE, 305);
   _actionMap[598][PLUS] = ActionEntry(REDUCE, 305);
   _actionMap[598][MINUS] = ActionEntry(REDUCE, 305);
   _actionMap[598][DIVISION] = ActionEntry(REDUCE, 305);
   _actionMap[598][STAR] = ActionEntry(REDUCE, 305);
   _actionMap[598][CONCAT] = ActionEntry(REDUCE, 305);
   _actionMap[599][WHEN] = ActionEntry(REDUCE, 306);
   _actionMap[599][ELSE] = ActionEntry(REDUCE, 306);
   _actionMap[599][LEFT] = ActionEntry(REDUCE, 306);
   _actionMap[599][RIGHT] = ActionEntry(REDUCE, 306);
   _actionMap[599][INNER] = ActionEntry(REDUCE, 306);
   _actionMap[599][JOIN] = ActionEntry(REDUCE, 306);
   _actionMap[599][RETURNTOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[599][ORDER] = ActionEntry(REDUCE, 306);
   _actionMap[599][GROUP] = ActionEntry(REDUCE, 306);
   _actionMap[599][WHERE] = ActionEntry(REDUCE, 306);
   _actionMap[599][FROM] = ActionEntry(REDUCE, 306);
   _actionMap[599][AS] = ActionEntry(REDUCE, 306);
   _actionMap[599][END_TOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[599][BEGIN] = ActionEntry(REDUCE, 306);
   _actionMap[599][THEN] = ActionEntry(REDUCE, 306);
   _actionMap[599][OR] = ActionEntry(REDUCE, 306);
   _actionMap[599][AND] = ActionEntry(REDUCE, 306);
   _actionMap[599][INTOK] = ActionEntry(REDUCE, 306);
   _actionMap[599][NOT] = ActionEntry(REDUCE, 306);
   _actionMap[599][BETWEEN] = ActionEntry(REDUCE, 306);
}
void Cego::loadParser128()
{
   _actionMap[599][IS] = ActionEntry(REDUCE, 306);
   _actionMap[599][LIKE] = ActionEntry(REDUCE, 306);
   _actionMap[599][MT] = ActionEntry(REDUCE, 306);
   _actionMap[599][LT] = ActionEntry(REDUCE, 306);
   _actionMap[599][NEGATION] = ActionEntry(REDUCE, 306);
   _actionMap[599][EQU] = ActionEntry(REDUCE, 306);
   _actionMap[599][RB] = ActionEntry(REDUCE, 306);
   _actionMap[599][ENDTOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[599][UNION] = ActionEntry(REDUCE, 306);
   _actionMap[599][ROWLIMIT] = ActionEntry(REDUCE, 306);
   _actionMap[599][KSEP] = ActionEntry(REDUCE, 306);
   _actionMap[599][ASC] = ActionEntry(REDUCE, 306);
   _actionMap[599][DESC] = ActionEntry(REDUCE, 306);
   _actionMap[599][SEMICOLON] = ActionEntry(REDUCE, 306);
   _actionMap[599][PLUS] = ActionEntry(REDUCE, 306);
   _actionMap[599][MINUS] = ActionEntry(REDUCE, 306);
   _actionMap[599][DIVISION] = ActionEntry(REDUCE, 306);
   _actionMap[599][STAR] = ActionEntry(REDUCE, 306);
   _actionMap[599][CONCAT] = ActionEntry(REDUCE, 306);
   _actionMap[600][WHEN] = ActionEntry(REDUCE, 287);
   _actionMap[600][ELSE] = ActionEntry(REDUCE, 287);
   _actionMap[600][LEFT] = ActionEntry(REDUCE, 287);
   _actionMap[600][RIGHT] = ActionEntry(REDUCE, 287);
   _actionMap[600][INNER] = ActionEntry(REDUCE, 287);
   _actionMap[600][JOIN] = ActionEntry(REDUCE, 287);
   _actionMap[600][RETURNTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[600][ORDER] = ActionEntry(REDUCE, 287);
   _actionMap[600][GROUP] = ActionEntry(REDUCE, 287);
   _actionMap[600][WHERE] = ActionEntry(REDUCE, 287);
   _actionMap[600][FROM] = ActionEntry(REDUCE, 287);
   _actionMap[600][AS] = ActionEntry(REDUCE, 287);
   _actionMap[600][END_TOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[600][BEGIN] = ActionEntry(REDUCE, 287);
   _actionMap[600][THEN] = ActionEntry(REDUCE, 287);
   _actionMap[600][OR] = ActionEntry(REDUCE, 287);
   _actionMap[600][AND] = ActionEntry(REDUCE, 287);
   _actionMap[600][INTOK] = ActionEntry(REDUCE, 287);
   _actionMap[600][NOT] = ActionEntry(REDUCE, 287);
   _actionMap[600][BETWEEN] = ActionEntry(REDUCE, 287);
   _actionMap[600][IS] = ActionEntry(REDUCE, 287);
   _actionMap[600][LIKE] = ActionEntry(REDUCE, 287);
   _actionMap[600][MT] = ActionEntry(REDUCE, 287);
   _actionMap[600][LT] = ActionEntry(REDUCE, 287);
   _actionMap[600][NEGATION] = ActionEntry(REDUCE, 287);
   _actionMap[600][EQU] = ActionEntry(REDUCE, 287);
   _actionMap[600][RB] = ActionEntry(REDUCE, 287);
   _actionMap[600][ENDTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[600][UNION] = ActionEntry(REDUCE, 287);
   _actionMap[600][ROWLIMIT] = ActionEntry(REDUCE, 287);
   _actionMap[600][KSEP] = ActionEntry(REDUCE, 287);
}
void Cego::loadParser129()
{
   _actionMap[600][ASC] = ActionEntry(REDUCE, 287);
   _actionMap[600][DESC] = ActionEntry(REDUCE, 287);
   _actionMap[600][SEMICOLON] = ActionEntry(REDUCE, 287);
   _actionMap[600][PLUS] = ActionEntry(REDUCE, 287);
   _actionMap[600][MINUS] = ActionEntry(REDUCE, 287);
   _actionMap[600][DIVISION] = ActionEntry(REDUCE, 287);
   _actionMap[600][STAR] = ActionEntry(REDUCE, 287);
   _actionMap[600][CONCAT] = ActionEntry(REDUCE, 287);
   _actionMap[601][WHEN] = ActionEntry(REDUCE, 303);
   _actionMap[601][ELSE] = ActionEntry(REDUCE, 303);
   _actionMap[601][LEFT] = ActionEntry(REDUCE, 303);
   _actionMap[601][RIGHT] = ActionEntry(REDUCE, 303);
   _actionMap[601][INNER] = ActionEntry(REDUCE, 303);
   _actionMap[601][JOIN] = ActionEntry(REDUCE, 303);
   _actionMap[601][RETURNTOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[601][ORDER] = ActionEntry(REDUCE, 303);
   _actionMap[601][GROUP] = ActionEntry(REDUCE, 303);
   _actionMap[601][WHERE] = ActionEntry(REDUCE, 303);
   _actionMap[601][FROM] = ActionEntry(REDUCE, 303);
   _actionMap[601][AS] = ActionEntry(REDUCE, 303);
   _actionMap[601][END_TOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[601][BEGIN] = ActionEntry(REDUCE, 303);
   _actionMap[601][THEN] = ActionEntry(REDUCE, 303);
   _actionMap[601][OR] = ActionEntry(REDUCE, 303);
   _actionMap[601][AND] = ActionEntry(REDUCE, 303);
   _actionMap[601][INTOK] = ActionEntry(REDUCE, 303);
   _actionMap[601][NOT] = ActionEntry(REDUCE, 303);
   _actionMap[601][BETWEEN] = ActionEntry(REDUCE, 303);
   _actionMap[601][IS] = ActionEntry(REDUCE, 303);
   _actionMap[601][LIKE] = ActionEntry(REDUCE, 303);
   _actionMap[601][MT] = ActionEntry(REDUCE, 303);
   _actionMap[601][LT] = ActionEntry(REDUCE, 303);
   _actionMap[601][NEGATION] = ActionEntry(REDUCE, 303);
   _actionMap[601][EQU] = ActionEntry(REDUCE, 303);
   _actionMap[601][RB] = ActionEntry(REDUCE, 303);
   _actionMap[601][ENDTOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[601][UNION] = ActionEntry(REDUCE, 303);
   _actionMap[601][ROWLIMIT] = ActionEntry(REDUCE, 303);
   _actionMap[601][KSEP] = ActionEntry(REDUCE, 303);
   _actionMap[601][ASC] = ActionEntry(REDUCE, 303);
   _actionMap[601][DESC] = ActionEntry(REDUCE, 303);
   _actionMap[601][SEMICOLON] = ActionEntry(REDUCE, 303);
   _actionMap[601][PLUS] = ActionEntry(REDUCE, 303);
   _actionMap[601][MINUS] = ActionEntry(REDUCE, 303);
   _actionMap[601][DIVISION] = ActionEntry(REDUCE, 303);
   _actionMap[601][STAR] = ActionEntry(REDUCE, 303);
   _actionMap[601][CONCAT] = ActionEntry(REDUCE, 303);
   _actionMap[602][WHEN] = ActionEntry(REDUCE, 296);
   _actionMap[602][ELSE] = ActionEntry(REDUCE, 296);
   _actionMap[602][LEFT] = ActionEntry(REDUCE, 296);
}
void Cego::loadParser130()
{
   _actionMap[602][RIGHT] = ActionEntry(REDUCE, 296);
   _actionMap[602][INNER] = ActionEntry(REDUCE, 296);
   _actionMap[602][JOIN] = ActionEntry(REDUCE, 296);
   _actionMap[602][RETURNTOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[602][ORDER] = ActionEntry(REDUCE, 296);
   _actionMap[602][GROUP] = ActionEntry(REDUCE, 296);
   _actionMap[602][WHERE] = ActionEntry(REDUCE, 296);
   _actionMap[602][FROM] = ActionEntry(REDUCE, 296);
   _actionMap[602][AS] = ActionEntry(REDUCE, 296);
   _actionMap[602][END_TOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[602][BEGIN] = ActionEntry(REDUCE, 296);
   _actionMap[602][THEN] = ActionEntry(REDUCE, 296);
   _actionMap[602][OR] = ActionEntry(REDUCE, 296);
   _actionMap[602][AND] = ActionEntry(REDUCE, 296);
   _actionMap[602][INTOK] = ActionEntry(REDUCE, 296);
   _actionMap[602][NOT] = ActionEntry(REDUCE, 296);
   _actionMap[602][BETWEEN] = ActionEntry(REDUCE, 296);
   _actionMap[602][IS] = ActionEntry(REDUCE, 296);
   _actionMap[602][LIKE] = ActionEntry(REDUCE, 296);
   _actionMap[602][MT] = ActionEntry(REDUCE, 296);
   _actionMap[602][LT] = ActionEntry(REDUCE, 296);
   _actionMap[602][NEGATION] = ActionEntry(REDUCE, 296);
   _actionMap[602][EQU] = ActionEntry(REDUCE, 296);
   _actionMap[602][RB] = ActionEntry(REDUCE, 296);
   _actionMap[602][ENDTOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[602][UNION] = ActionEntry(REDUCE, 296);
   _actionMap[602][ROWLIMIT] = ActionEntry(REDUCE, 296);
   _actionMap[602][KSEP] = ActionEntry(REDUCE, 296);
   _actionMap[602][ASC] = ActionEntry(REDUCE, 296);
   _actionMap[602][DESC] = ActionEntry(REDUCE, 296);
   _actionMap[602][SEMICOLON] = ActionEntry(REDUCE, 296);
   _actionMap[602][PLUS] = ActionEntry(REDUCE, 296);
   _actionMap[602][MINUS] = ActionEntry(REDUCE, 296);
   _actionMap[602][DIVISION] = ActionEntry(REDUCE, 296);
   _actionMap[602][STAR] = ActionEntry(REDUCE, 296);
   _actionMap[602][CONCAT] = ActionEntry(REDUCE, 296);
   _actionMap[603][WHEN] = ActionEntry(REDUCE, 374);
   _actionMap[603][ELSE] = ActionEntry(REDUCE, 374);
   _actionMap[603][LEFT] = ActionEntry(REDUCE, 374);
   _actionMap[603][RIGHT] = ActionEntry(REDUCE, 374);
   _actionMap[603][INNER] = ActionEntry(REDUCE, 374);
   _actionMap[603][JOIN] = ActionEntry(REDUCE, 374);
   _actionMap[603][RETURNTOKEN] = ActionEntry(REDUCE, 374);
   _actionMap[603][ORDER] = ActionEntry(REDUCE, 374);
   _actionMap[603][GROUP] = ActionEntry(REDUCE, 374);
   _actionMap[603][WHERE] = ActionEntry(REDUCE, 374);
   _actionMap[603][FROM] = ActionEntry(REDUCE, 374);
   _actionMap[603][AS] = ActionEntry(REDUCE, 374);
   _actionMap[603][END_TOKEN] = ActionEntry(REDUCE, 374);
   _actionMap[603][BEGIN] = ActionEntry(REDUCE, 374);
}
void Cego::loadParser131()
{
   _actionMap[603][THEN] = ActionEntry(REDUCE, 374);
   _actionMap[603][OR] = ActionEntry(REDUCE, 374);
   _actionMap[603][AND] = ActionEntry(REDUCE, 374);
   _actionMap[603][ENDTOKEN] = ActionEntry(REDUCE, 374);
   _actionMap[603][UNION] = ActionEntry(REDUCE, 374);
   _actionMap[603][ROWLIMIT] = ActionEntry(REDUCE, 374);
   _actionMap[603][ASC] = ActionEntry(REDUCE, 374);
   _actionMap[603][DESC] = ActionEntry(REDUCE, 374);
   _actionMap[603][INTOK] = ActionEntry(REDUCE, 374);
   _actionMap[603][BETWEEN] = ActionEntry(REDUCE, 374);
   _actionMap[603][LIKE] = ActionEntry(REDUCE, 374);
   _actionMap[603][PLUS] = ActionEntry(REDUCE, 374);
   _actionMap[603][MINUS] = ActionEntry(REDUCE, 374);
   _actionMap[603][CONCAT] = ActionEntry(REDUCE, 374);
   _actionMap[603][DIVISION] = ActionEntry(REDUCE, 374);
   _actionMap[603][STAR] = ActionEntry(REDUCE, 374);
   _actionMap[603][MT] = ActionEntry(REDUCE, 374);
   _actionMap[603][LT] = ActionEntry(REDUCE, 374);
   _actionMap[603][NEGATION] = ActionEntry(REDUCE, 374);
   _actionMap[603][EQU] = ActionEntry(REDUCE, 374);
   _actionMap[603][IS] = ActionEntry(REDUCE, 374);
   _actionMap[603][NULLTOKEN] = ActionEntry(REDUCE, 374);
   _actionMap[603][NOT] = ActionEntry(REDUCE, 374);
   _actionMap[603][KSEP] = ActionEntry(REDUCE, 374);
   _actionMap[603][SEMICOLON] = ActionEntry(REDUCE, 374);
   _actionMap[603][RB] = ActionEntry(REDUCE, 374);
   _actionMap[604][INTVAL] = ActionEntry(SHIFT, 304);
   _actionMap[605][WHEN] = ActionEntry(REDUCE, 380);
   _actionMap[605][ELSE] = ActionEntry(REDUCE, 380);
   _actionMap[605][LEFT] = ActionEntry(REDUCE, 380);
   _actionMap[605][RIGHT] = ActionEntry(REDUCE, 380);
   _actionMap[605][INNER] = ActionEntry(REDUCE, 380);
   _actionMap[605][JOIN] = ActionEntry(REDUCE, 380);
   _actionMap[605][RETURNTOKEN] = ActionEntry(REDUCE, 380);
   _actionMap[605][ORDER] = ActionEntry(REDUCE, 380);
   _actionMap[605][GROUP] = ActionEntry(REDUCE, 380);
   _actionMap[605][WHERE] = ActionEntry(REDUCE, 380);
   _actionMap[605][FROM] = ActionEntry(REDUCE, 380);
   _actionMap[605][AS] = ActionEntry(REDUCE, 380);
   _actionMap[605][END_TOKEN] = ActionEntry(REDUCE, 380);
   _actionMap[605][BEGIN] = ActionEntry(REDUCE, 380);
   _actionMap[605][THEN] = ActionEntry(REDUCE, 380);
   _actionMap[605][OR] = ActionEntry(REDUCE, 380);
   _actionMap[605][AND] = ActionEntry(REDUCE, 380);
   _actionMap[605][ENDTOKEN] = ActionEntry(REDUCE, 380);
   _actionMap[605][UNION] = ActionEntry(REDUCE, 380);
   _actionMap[605][ROWLIMIT] = ActionEntry(REDUCE, 380);
   _actionMap[605][ASC] = ActionEntry(REDUCE, 380);
   _actionMap[605][DESC] = ActionEntry(REDUCE, 380);
   _actionMap[605][INTOK] = ActionEntry(REDUCE, 380);
}
void Cego::loadParser132()
{
   _actionMap[605][BETWEEN] = ActionEntry(REDUCE, 380);
   _actionMap[605][LIKE] = ActionEntry(REDUCE, 380);
   _actionMap[605][PLUS] = ActionEntry(REDUCE, 380);
   _actionMap[605][MINUS] = ActionEntry(REDUCE, 380);
   _actionMap[605][CONCAT] = ActionEntry(REDUCE, 380);
   _actionMap[605][DIVISION] = ActionEntry(REDUCE, 380);
   _actionMap[605][STAR] = ActionEntry(REDUCE, 380);
   _actionMap[605][MT] = ActionEntry(REDUCE, 380);
   _actionMap[605][LT] = ActionEntry(REDUCE, 380);
   _actionMap[605][NEGATION] = ActionEntry(REDUCE, 380);
   _actionMap[605][EQU] = ActionEntry(REDUCE, 380);
   _actionMap[605][IS] = ActionEntry(REDUCE, 380);
   _actionMap[605][NULLTOKEN] = ActionEntry(REDUCE, 380);
   _actionMap[605][NOT] = ActionEntry(REDUCE, 380);
   _actionMap[605][KSEP] = ActionEntry(REDUCE, 380);
   _actionMap[605][SEMICOLON] = ActionEntry(REDUCE, 380);
   _actionMap[605][RB] = ActionEntry(REDUCE, 380);
   _actionMap[606][FLOATVAL] = ActionEntry(SHIFT, 305);
   _actionMap[607][WHEN] = ActionEntry(REDUCE, 379);
   _actionMap[607][ELSE] = ActionEntry(REDUCE, 379);
   _actionMap[607][LEFT] = ActionEntry(REDUCE, 379);
   _actionMap[607][RIGHT] = ActionEntry(REDUCE, 379);
   _actionMap[607][INNER] = ActionEntry(REDUCE, 379);
   _actionMap[607][JOIN] = ActionEntry(REDUCE, 379);
   _actionMap[607][RETURNTOKEN] = ActionEntry(REDUCE, 379);
   _actionMap[607][ORDER] = ActionEntry(REDUCE, 379);
   _actionMap[607][GROUP] = ActionEntry(REDUCE, 379);
   _actionMap[607][WHERE] = ActionEntry(REDUCE, 379);
   _actionMap[607][FROM] = ActionEntry(REDUCE, 379);
   _actionMap[607][AS] = ActionEntry(REDUCE, 379);
   _actionMap[607][END_TOKEN] = ActionEntry(REDUCE, 379);
   _actionMap[607][BEGIN] = ActionEntry(REDUCE, 379);
   _actionMap[607][THEN] = ActionEntry(REDUCE, 379);
   _actionMap[607][OR] = ActionEntry(REDUCE, 379);
   _actionMap[607][AND] = ActionEntry(REDUCE, 379);
   _actionMap[607][ENDTOKEN] = ActionEntry(REDUCE, 379);
   _actionMap[607][UNION] = ActionEntry(REDUCE, 379);
   _actionMap[607][ROWLIMIT] = ActionEntry(REDUCE, 379);
   _actionMap[607][ASC] = ActionEntry(REDUCE, 379);
   _actionMap[607][DESC] = ActionEntry(REDUCE, 379);
   _actionMap[607][INTOK] = ActionEntry(REDUCE, 379);
   _actionMap[607][BETWEEN] = ActionEntry(REDUCE, 379);
   _actionMap[607][LIKE] = ActionEntry(REDUCE, 379);
   _actionMap[607][PLUS] = ActionEntry(REDUCE, 379);
   _actionMap[607][MINUS] = ActionEntry(REDUCE, 379);
   _actionMap[607][CONCAT] = ActionEntry(REDUCE, 379);
   _actionMap[607][DIVISION] = ActionEntry(REDUCE, 379);
   _actionMap[607][STAR] = ActionEntry(REDUCE, 379);
   _actionMap[607][MT] = ActionEntry(REDUCE, 379);
   _actionMap[607][LT] = ActionEntry(REDUCE, 379);
}
void Cego::loadParser133()
{
   _actionMap[607][NEGATION] = ActionEntry(REDUCE, 379);
   _actionMap[607][EQU] = ActionEntry(REDUCE, 379);
   _actionMap[607][IS] = ActionEntry(REDUCE, 379);
   _actionMap[607][NULLTOKEN] = ActionEntry(REDUCE, 379);
   _actionMap[607][NOT] = ActionEntry(REDUCE, 379);
   _actionMap[607][KSEP] = ActionEntry(REDUCE, 379);
   _actionMap[607][SEMICOLON] = ActionEntry(REDUCE, 379);
   _actionMap[607][RB] = ActionEntry(REDUCE, 379);
   _actionMap[608][WHEN] = ActionEntry(REDUCE, 381);
   _actionMap[608][ELSE] = ActionEntry(REDUCE, 381);
   _actionMap[608][LEFT] = ActionEntry(REDUCE, 381);
   _actionMap[608][RIGHT] = ActionEntry(REDUCE, 381);
   _actionMap[608][INNER] = ActionEntry(REDUCE, 381);
   _actionMap[608][JOIN] = ActionEntry(REDUCE, 381);
   _actionMap[608][RETURNTOKEN] = ActionEntry(REDUCE, 381);
   _actionMap[608][ORDER] = ActionEntry(REDUCE, 381);
   _actionMap[608][GROUP] = ActionEntry(REDUCE, 381);
   _actionMap[608][WHERE] = ActionEntry(REDUCE, 381);
   _actionMap[608][FROM] = ActionEntry(REDUCE, 381);
   _actionMap[608][AS] = ActionEntry(REDUCE, 381);
   _actionMap[608][END_TOKEN] = ActionEntry(REDUCE, 381);
   _actionMap[608][BEGIN] = ActionEntry(REDUCE, 381);
   _actionMap[608][THEN] = ActionEntry(REDUCE, 381);
   _actionMap[608][OR] = ActionEntry(REDUCE, 381);
   _actionMap[608][AND] = ActionEntry(REDUCE, 381);
   _actionMap[608][ENDTOKEN] = ActionEntry(REDUCE, 381);
   _actionMap[608][UNION] = ActionEntry(REDUCE, 381);
   _actionMap[608][ROWLIMIT] = ActionEntry(REDUCE, 381);
   _actionMap[608][ASC] = ActionEntry(REDUCE, 381);
   _actionMap[608][DESC] = ActionEntry(REDUCE, 381);
   _actionMap[608][INTOK] = ActionEntry(REDUCE, 381);
   _actionMap[608][BETWEEN] = ActionEntry(REDUCE, 381);
   _actionMap[608][LIKE] = ActionEntry(REDUCE, 381);
   _actionMap[608][PLUS] = ActionEntry(REDUCE, 381);
   _actionMap[608][MINUS] = ActionEntry(REDUCE, 381);
   _actionMap[608][CONCAT] = ActionEntry(REDUCE, 381);
   _actionMap[608][DIVISION] = ActionEntry(REDUCE, 381);
   _actionMap[608][STAR] = ActionEntry(REDUCE, 381);
   _actionMap[608][MT] = ActionEntry(REDUCE, 381);
   _actionMap[608][LT] = ActionEntry(REDUCE, 381);
   _actionMap[608][NEGATION] = ActionEntry(REDUCE, 381);
   _actionMap[608][EQU] = ActionEntry(REDUCE, 381);
   _actionMap[608][IS] = ActionEntry(REDUCE, 381);
   _actionMap[608][NULLTOKEN] = ActionEntry(REDUCE, 381);
   _actionMap[608][NOT] = ActionEntry(REDUCE, 381);
   _actionMap[608][KSEP] = ActionEntry(REDUCE, 381);
   _actionMap[608][SEMICOLON] = ActionEntry(REDUCE, 381);
   _actionMap[608][RB] = ActionEntry(REDUCE, 381);
   _actionMap[609][WHEN] = ActionEntry(REDUCE, 373);
   _actionMap[609][ELSE] = ActionEntry(REDUCE, 373);
}
void Cego::loadParser134()
{
   _actionMap[609][LEFT] = ActionEntry(REDUCE, 373);
   _actionMap[609][RIGHT] = ActionEntry(REDUCE, 373);
   _actionMap[609][INNER] = ActionEntry(REDUCE, 373);
   _actionMap[609][JOIN] = ActionEntry(REDUCE, 373);
   _actionMap[609][RETURNTOKEN] = ActionEntry(REDUCE, 373);
   _actionMap[609][ORDER] = ActionEntry(REDUCE, 373);
   _actionMap[609][GROUP] = ActionEntry(REDUCE, 373);
   _actionMap[609][WHERE] = ActionEntry(REDUCE, 373);
   _actionMap[609][FROM] = ActionEntry(REDUCE, 373);
   _actionMap[609][AS] = ActionEntry(REDUCE, 373);
   _actionMap[609][END_TOKEN] = ActionEntry(REDUCE, 373);
   _actionMap[609][BEGIN] = ActionEntry(REDUCE, 373);
   _actionMap[609][THEN] = ActionEntry(REDUCE, 373);
   _actionMap[609][OR] = ActionEntry(REDUCE, 373);
   _actionMap[609][AND] = ActionEntry(REDUCE, 373);
   _actionMap[609][ENDTOKEN] = ActionEntry(REDUCE, 373);
   _actionMap[609][UNION] = ActionEntry(REDUCE, 373);
   _actionMap[609][ROWLIMIT] = ActionEntry(REDUCE, 373);
   _actionMap[609][ASC] = ActionEntry(REDUCE, 373);
   _actionMap[609][DESC] = ActionEntry(REDUCE, 373);
   _actionMap[609][INTOK] = ActionEntry(REDUCE, 373);
   _actionMap[609][BETWEEN] = ActionEntry(REDUCE, 373);
   _actionMap[609][LIKE] = ActionEntry(REDUCE, 373);
   _actionMap[609][PLUS] = ActionEntry(REDUCE, 373);
   _actionMap[609][MINUS] = ActionEntry(REDUCE, 373);
   _actionMap[609][CONCAT] = ActionEntry(REDUCE, 373);
   _actionMap[609][DIVISION] = ActionEntry(REDUCE, 373);
   _actionMap[609][STAR] = ActionEntry(REDUCE, 373);
   _actionMap[609][MT] = ActionEntry(REDUCE, 373);
   _actionMap[609][LT] = ActionEntry(REDUCE, 373);
   _actionMap[609][NEGATION] = ActionEntry(REDUCE, 373);
   _actionMap[609][EQU] = ActionEntry(REDUCE, 373);
   _actionMap[609][IS] = ActionEntry(REDUCE, 373);
   _actionMap[609][NULLTOKEN] = ActionEntry(REDUCE, 373);
   _actionMap[609][NOT] = ActionEntry(REDUCE, 373);
   _actionMap[609][KSEP] = ActionEntry(REDUCE, 373);
   _actionMap[609][SEMICOLON] = ActionEntry(REDUCE, 373);
   _actionMap[609][RB] = ActionEntry(REDUCE, 373);
   _actionMap[610][WHEN] = ActionEntry(REDUCE, 375);
   _actionMap[610][ELSE] = ActionEntry(REDUCE, 375);
   _actionMap[610][LEFT] = ActionEntry(REDUCE, 375);
   _actionMap[610][RIGHT] = ActionEntry(REDUCE, 375);
   _actionMap[610][INNER] = ActionEntry(REDUCE, 375);
   _actionMap[610][JOIN] = ActionEntry(REDUCE, 375);
   _actionMap[610][RETURNTOKEN] = ActionEntry(REDUCE, 375);
   _actionMap[610][ORDER] = ActionEntry(REDUCE, 375);
   _actionMap[610][GROUP] = ActionEntry(REDUCE, 375);
   _actionMap[610][WHERE] = ActionEntry(REDUCE, 375);
   _actionMap[610][FROM] = ActionEntry(REDUCE, 375);
   _actionMap[610][AS] = ActionEntry(REDUCE, 375);
}
void Cego::loadParser135()
{
   _actionMap[610][END_TOKEN] = ActionEntry(REDUCE, 375);
   _actionMap[610][BEGIN] = ActionEntry(REDUCE, 375);
   _actionMap[610][THEN] = ActionEntry(REDUCE, 375);
   _actionMap[610][OR] = ActionEntry(REDUCE, 375);
   _actionMap[610][AND] = ActionEntry(REDUCE, 375);
   _actionMap[610][ENDTOKEN] = ActionEntry(REDUCE, 375);
   _actionMap[610][UNION] = ActionEntry(REDUCE, 375);
   _actionMap[610][ROWLIMIT] = ActionEntry(REDUCE, 375);
   _actionMap[610][ASC] = ActionEntry(REDUCE, 375);
   _actionMap[610][DESC] = ActionEntry(REDUCE, 375);
   _actionMap[610][INTOK] = ActionEntry(REDUCE, 375);
   _actionMap[610][BETWEEN] = ActionEntry(REDUCE, 375);
   _actionMap[610][LIKE] = ActionEntry(REDUCE, 375);
   _actionMap[610][PLUS] = ActionEntry(REDUCE, 375);
   _actionMap[610][MINUS] = ActionEntry(REDUCE, 375);
   _actionMap[610][CONCAT] = ActionEntry(REDUCE, 375);
   _actionMap[610][DIVISION] = ActionEntry(REDUCE, 375);
   _actionMap[610][STAR] = ActionEntry(REDUCE, 375);
   _actionMap[610][MT] = ActionEntry(REDUCE, 375);
   _actionMap[610][LT] = ActionEntry(REDUCE, 375);
   _actionMap[610][NEGATION] = ActionEntry(REDUCE, 375);
   _actionMap[610][EQU] = ActionEntry(REDUCE, 375);
   _actionMap[610][IS] = ActionEntry(REDUCE, 375);
   _actionMap[610][NULLTOKEN] = ActionEntry(REDUCE, 375);
   _actionMap[610][NOT] = ActionEntry(REDUCE, 375);
   _actionMap[610][KSEP] = ActionEntry(REDUCE, 375);
   _actionMap[610][SEMICOLON] = ActionEntry(REDUCE, 375);
   _actionMap[610][RB] = ActionEntry(REDUCE, 375);
   _actionMap[611][WHEN] = ActionEntry(REDUCE, 376);
   _actionMap[611][ELSE] = ActionEntry(REDUCE, 376);
   _actionMap[611][LEFT] = ActionEntry(REDUCE, 376);
   _actionMap[611][RIGHT] = ActionEntry(REDUCE, 376);
   _actionMap[611][INNER] = ActionEntry(REDUCE, 376);
   _actionMap[611][JOIN] = ActionEntry(REDUCE, 376);
   _actionMap[611][RETURNTOKEN] = ActionEntry(REDUCE, 376);
   _actionMap[611][ORDER] = ActionEntry(REDUCE, 376);
   _actionMap[611][GROUP] = ActionEntry(REDUCE, 376);
   _actionMap[611][WHERE] = ActionEntry(REDUCE, 376);
   _actionMap[611][FROM] = ActionEntry(REDUCE, 376);
   _actionMap[611][AS] = ActionEntry(REDUCE, 376);
   _actionMap[611][END_TOKEN] = ActionEntry(REDUCE, 376);
   _actionMap[611][BEGIN] = ActionEntry(REDUCE, 376);
   _actionMap[611][THEN] = ActionEntry(REDUCE, 376);
   _actionMap[611][OR] = ActionEntry(REDUCE, 376);
   _actionMap[611][AND] = ActionEntry(REDUCE, 376);
   _actionMap[611][ENDTOKEN] = ActionEntry(REDUCE, 376);
   _actionMap[611][UNION] = ActionEntry(REDUCE, 376);
   _actionMap[611][ROWLIMIT] = ActionEntry(REDUCE, 376);
   _actionMap[611][ASC] = ActionEntry(REDUCE, 376);
   _actionMap[611][DESC] = ActionEntry(REDUCE, 376);
}
void Cego::loadParser136()
{
   _actionMap[611][INTOK] = ActionEntry(REDUCE, 376);
   _actionMap[611][BETWEEN] = ActionEntry(REDUCE, 376);
   _actionMap[611][LIKE] = ActionEntry(REDUCE, 376);
   _actionMap[611][PLUS] = ActionEntry(REDUCE, 376);
   _actionMap[611][MINUS] = ActionEntry(REDUCE, 376);
   _actionMap[611][CONCAT] = ActionEntry(REDUCE, 376);
   _actionMap[611][DIVISION] = ActionEntry(REDUCE, 376);
   _actionMap[611][STAR] = ActionEntry(REDUCE, 376);
   _actionMap[611][MT] = ActionEntry(REDUCE, 376);
   _actionMap[611][LT] = ActionEntry(REDUCE, 376);
   _actionMap[611][NEGATION] = ActionEntry(REDUCE, 376);
   _actionMap[611][EQU] = ActionEntry(REDUCE, 376);
   _actionMap[611][IS] = ActionEntry(REDUCE, 376);
   _actionMap[611][NULLTOKEN] = ActionEntry(REDUCE, 376);
   _actionMap[611][NOT] = ActionEntry(REDUCE, 376);
   _actionMap[611][KSEP] = ActionEntry(REDUCE, 376);
   _actionMap[611][SEMICOLON] = ActionEntry(REDUCE, 376);
   _actionMap[611][RB] = ActionEntry(REDUCE, 376);
   _actionMap[612][SEMICOLON] = ActionEntry(REDUCE, 280);
   _actionMap[613][SEMICOLON] = ActionEntry(REDUCE, 279);
   _actionMap[614][SEMICOLON] = ActionEntry(REDUCE, 284);
   _actionMap[615][SEMICOLON] = ActionEntry(REDUCE, 281);
   _actionMap[616][SEMICOLON] = ActionEntry(REDUCE, 282);
   _actionMap[617][SEMICOLON] = ActionEntry(REDUCE, 278);
   _actionMap[618][SEMICOLON] = ActionEntry(REDUCE, 283);
   _actionMap[619][SEMICOLON] = ActionEntry(REDUCE, 237);
   _actionMap[619][RB] = ActionEntry(REDUCE, 237);
   _actionMap[619][ENDTOKEN] = ActionEntry(REDUCE, 237);
   _actionMap[619][UNION] = ActionEntry(REDUCE, 237);
   _actionMap[619][ROWLIMIT] = ActionEntry(REDUCE, 237);
   _actionMap[619][ORDER] = ActionEntry(REDUCE, 237);
   _actionMap[619][GROUP] = ActionEntry(SHIFT, 724);
   _jumpMap[619][NoGroup] = 723;
   _jumpMap[619][GroupClause] = 722;
   _actionMap[620][LEFT] = ActionEntry(REDUCE, 220);
   _actionMap[620][RIGHT] = ActionEntry(REDUCE, 220);
   _actionMap[620][INNER] = ActionEntry(REDUCE, 220);
   _actionMap[620][JOIN] = ActionEntry(REDUCE, 220);
   _actionMap[620][RETURNTOKEN] = ActionEntry(REDUCE, 220);
   _actionMap[620][SEMICOLON] = ActionEntry(REDUCE, 220);
   _actionMap[620][RB] = ActionEntry(REDUCE, 220);
   _actionMap[620][ENDTOKEN] = ActionEntry(REDUCE, 220);
   _actionMap[620][UNION] = ActionEntry(REDUCE, 220);
   _actionMap[620][ROWLIMIT] = ActionEntry(REDUCE, 220);
   _actionMap[620][ORDER] = ActionEntry(REDUCE, 220);
   _actionMap[620][GROUP] = ActionEntry(REDUCE, 220);
   _actionMap[620][WHERE] = ActionEntry(REDUCE, 220);
   _actionMap[621][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[621][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[621][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
}
void Cego::loadParser137()
{
   _jumpMap[621][ObjSpec] = 473;
   _jumpMap[621][Table] = 725;
   _actionMap[622][JOIN] = ActionEntry(SHIFT, 726);
   _actionMap[623][IDENTIFIER] = ActionEntry(REDUCE, 226);
   _actionMap[623][QUALIFIEDOBJ] = ActionEntry(REDUCE, 226);
   _actionMap[623][QUALIFIEDTS] = ActionEntry(REDUCE, 226);
   _actionMap[624][OUTER] = ActionEntry(SHIFT, 727);
   _actionMap[625][OUTER] = ActionEntry(SHIFT, 728);
   _actionMap[626][LEFT] = ActionEntry(REDUCE, 221);
   _actionMap[626][RIGHT] = ActionEntry(REDUCE, 221);
   _actionMap[626][INNER] = ActionEntry(REDUCE, 221);
   _actionMap[626][JOIN] = ActionEntry(REDUCE, 221);
   _actionMap[626][RETURNTOKEN] = ActionEntry(REDUCE, 221);
   _actionMap[626][SEMICOLON] = ActionEntry(REDUCE, 221);
   _actionMap[626][RB] = ActionEntry(REDUCE, 221);
   _actionMap[626][ENDTOKEN] = ActionEntry(REDUCE, 221);
   _actionMap[626][UNION] = ActionEntry(REDUCE, 221);
   _actionMap[626][ROWLIMIT] = ActionEntry(REDUCE, 221);
   _actionMap[626][ORDER] = ActionEntry(REDUCE, 221);
   _actionMap[626][GROUP] = ActionEntry(REDUCE, 221);
   _actionMap[626][WHERE] = ActionEntry(REDUCE, 221);
   _actionMap[627][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[627][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[627][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[627][ObjSpec] = 473;
   _jumpMap[627][Table] = 730;
   _jumpMap[627][TableList] = 729;
   _actionMap[628][WHERE] = ActionEntry(REDUCE, 230);
   _actionMap[628][GROUP] = ActionEntry(REDUCE, 230);
   _actionMap[628][ORDER] = ActionEntry(REDUCE, 230);
   _actionMap[628][ROWLIMIT] = ActionEntry(REDUCE, 230);
   _actionMap[628][UNION] = ActionEntry(REDUCE, 230);
   _actionMap[628][ENDTOKEN] = ActionEntry(REDUCE, 230);
   _actionMap[628][RB] = ActionEntry(REDUCE, 230);
   _actionMap[628][SEMICOLON] = ActionEntry(REDUCE, 230);
   _actionMap[628][RETURNTOKEN] = ActionEntry(REDUCE, 230);
   _actionMap[628][LEFT] = ActionEntry(REDUCE, 230);
   _actionMap[628][RIGHT] = ActionEntry(REDUCE, 230);
   _actionMap[628][INNER] = ActionEntry(REDUCE, 230);
   _actionMap[628][JOIN] = ActionEntry(REDUCE, 230);
   _actionMap[628][KSEP] = ActionEntry(REDUCE, 230);
   _actionMap[628][ON] = ActionEntry(REDUCE, 230);
   _actionMap[629][FROM] = ActionEntry(REDUCE, 232);
   _actionMap[629][RB] = ActionEntry(REDUCE, 232);
   _actionMap[629][SEMICOLON] = ActionEntry(REDUCE, 232);
   _actionMap[629][ENDTOKEN] = ActionEntry(REDUCE, 232);
   _actionMap[629][KSEP] = ActionEntry(REDUCE, 232);
   _actionMap[630][FROM] = ActionEntry(REDUCE, 215);
   _actionMap[630][RB] = ActionEntry(REDUCE, 215);
   _actionMap[630][SEMICOLON] = ActionEntry(REDUCE, 215);
}
void Cego::loadParser138()
{
   _actionMap[630][ENDTOKEN] = ActionEntry(REDUCE, 215);
   _actionMap[630][KSEP] = ActionEntry(REDUCE, 215);
   _actionMap[631][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[631][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[631][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[631][SEMICOLON] = ActionEntry(REDUCE, 78);
   _actionMap[632][RETURNTOKEN] = ActionEntry(SHIFT, 732);
   _actionMap[632][SEMICOLON] = ActionEntry(REDUCE, 263);
   _jumpMap[632][UpdReturnOpt] = 731;
   _actionMap[633][IDENTIFIER] = ActionEntry(SHIFT, 484);
   _jumpMap[633][Assignment] = 733;
   _actionMap[634][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[634][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[634][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[634][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[634][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[634][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[634][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[634][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[634][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[634][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[634][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[634][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[634][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[634][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[634][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[634][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[634][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[634][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[634][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[634][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[634][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[634][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[634][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[634][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[634][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[634][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[634][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[634][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[634][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[634][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[634][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[634][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[634][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[634][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[634][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[634][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[634][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[634][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[634][NEXTCOUNT] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser139()
{
   _actionMap[634][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[634][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[634][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[634][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[634][LB] = ActionEntry(SHIFT, 156);
   _actionMap[634][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[634][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[634][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[634][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[634][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[634][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[634][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[634][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[634][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[634][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[634][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[634][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[634][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[634][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[634][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[634][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[634][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[634][ObjSpec] = 103;
   _jumpMap[634][Constant] = 102;
   _jumpMap[634][SignedFloat] = 101;
   _jumpMap[634][SignedInt] = 100;
   _jumpMap[634][Attribute] = 99;
   _jumpMap[634][Function] = 98;
   _jumpMap[634][CasePrepare] = 97;
   _jumpMap[634][CaseClause] = 96;
   _jumpMap[634][Factor] = 95;
   _jumpMap[634][Term] = 94;
   _jumpMap[634][Expr] = 734;
   _actionMap[635][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[635][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[635][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[635][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[635][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[635][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[635][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[635][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[635][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[635][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[635][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[635][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[635][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[635][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[635][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[635][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[635][RIGHT] = ActionEntry(SHIFT, 142);
}
void Cego::loadParser140()
{
   _actionMap[635][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[635][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[635][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[635][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[635][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[635][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[635][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[635][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[635][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[635][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[635][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[635][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[635][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[635][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[635][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[635][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[635][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[635][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[635][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[635][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[635][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[635][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[635][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[635][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[635][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[635][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[635][LB] = ActionEntry(SHIFT, 156);
   _actionMap[635][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[635][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[635][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[635][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[635][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[635][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[635][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[635][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[635][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[635][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[635][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[635][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[635][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[635][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[635][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[635][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[635][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[635][RB] = ActionEntry(REDUCE, 122);
   _jumpMap[635][ObjSpec] = 103;
   _jumpMap[635][Constant] = 102;
   _jumpMap[635][SignedFloat] = 101;
   _jumpMap[635][SignedInt] = 100;
   _jumpMap[635][Attribute] = 99;
}
void Cego::loadParser141()
{
   _jumpMap[635][Function] = 98;
   _jumpMap[635][CasePrepare] = 97;
   _jumpMap[635][CaseClause] = 96;
   _jumpMap[635][Factor] = 95;
   _jumpMap[635][Term] = 94;
   _jumpMap[635][Expr] = 348;
   _jumpMap[635][ProcValueList] = 347;
   _jumpMap[635][ProcValueListOpt] = 735;
   _actionMap[338][SEMICOLON] = ActionEntry(REDUCE, 66);
   _actionMap[339][SEMICOLON] = ActionEntry(REDUCE, 270);
   _actionMap[340][KSEP] = ActionEntry(SHIFT, 486);
   _actionMap[340][SEMICOLON] = ActionEntry(REDUCE, 272);
   _actionMap[341][CHECK] = ActionEntry(SHIFT, 487);
   _actionMap[341][FOREIGN] = ActionEntry(SHIFT, 489);
   _actionMap[341][COLUMN] = ActionEntry(SHIFT, 488);
   _actionMap[342][COLUMN] = ActionEntry(SHIFT, 490);
   _actionMap[343][COLUMN] = ActionEntry(SHIFT, 491);
   _actionMap[344][COLUMN] = ActionEntry(SHIFT, 492);
   _actionMap[345][STRINGVAL] = ActionEntry(SHIFT, 493);
   _actionMap[346][RB] = ActionEntry(SHIFT, 349);
   _actionMap[347][KSEP] = ActionEntry(SHIFT, 494);
   _actionMap[347][RB] = ActionEntry(REDUCE, 121);
   _actionMap[348][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[348][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[348][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[348][KSEP] = ActionEntry(REDUCE, 124);
   _actionMap[348][RB] = ActionEntry(REDUCE, 124);
   _actionMap[349][SEMICOLON] = ActionEntry(REDUCE, 55);
   _actionMap[350][END_TOKEN] = ActionEntry(SHIFT, 495);
   _actionMap[351][EXCEPTION] = ActionEntry(REDUCE, 119);
   _actionMap[351][ELSE] = ActionEntry(REDUCE, 119);
   _actionMap[351][ELSIF] = ActionEntry(REDUCE, 119);
   _actionMap[351][END_TOKEN] = ActionEntry(REDUCE, 119);
   _actionMap[351][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[351][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[351][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[351][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[351][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[351][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[351][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[351][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[351][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[351][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[351][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[351][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[351][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[351][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[351][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[351][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[351][RIGHT] = ActionEntry(SHIFT, 142);
}
void Cego::loadParser142()
{
   _actionMap[351][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[351][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[351][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[351][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[351][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[351][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[351][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[351][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[351][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[351][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[351][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[351][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[351][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[351][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[351][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[351][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[351][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[351][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[351][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[351][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[351][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[351][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[351][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[351][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[351][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[351][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[351][LB] = ActionEntry(SHIFT, 156);
   _actionMap[351][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[351][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[351][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[351][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[351][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[351][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[351][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[351][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[351][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[351][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[351][VARREF] = ActionEntry(SHIFT, 371);
   _actionMap[351][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[351][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[351][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[351][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[351][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[351][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[351][IF] = ActionEntry(SHIFT, 365);
   _actionMap[351][BEGIN] = ActionEntry(SHIFT, 362);
   _actionMap[351][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[351][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[351][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[351][UPDATE] = ActionEntry(SHIFT, 37);
}
void Cego::loadParser143()
{
   _actionMap[351][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[351][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[351][VAR] = ActionEntry(SHIFT, 369);
   _actionMap[351][CURSOR] = ActionEntry(SHIFT, 364);
   _actionMap[351][CLOSE] = ActionEntry(SHIFT, 363);
   _actionMap[351][NOOP] = ActionEntry(SHIFT, 366);
   _actionMap[351][THROW] = ActionEntry(SHIFT, 368);
   _actionMap[351][RETURNTOKEN] = ActionEntry(SHIFT, 367);
   _actionMap[351][WHILE] = ActionEntry(SHIFT, 370);
   _jumpMap[351][ObjSpec] = 103;
   _jumpMap[351][Constant] = 102;
   _jumpMap[351][SignedFloat] = 101;
   _jumpMap[351][SignedInt] = 100;
   _jumpMap[351][Attribute] = 99;
   _jumpMap[351][Function] = 98;
   _jumpMap[351][DeleteStatement] = 361;
   _jumpMap[351][UpdateStatement] = 360;
   _jumpMap[351][InsertStatement] = 359;
   _jumpMap[351][RollbackStatement] = 358;
   _jumpMap[351][CommitStatement] = 357;
   _jumpMap[351][StartStatement] = 356;
   _jumpMap[351][CasePrepare] = 97;
   _jumpMap[351][CaseClause] = 96;
   _jumpMap[351][Factor] = 95;
   _jumpMap[351][Term] = 94;
   _jumpMap[351][Expr] = 355;
   _jumpMap[351][ProcStatement] = 497;
   _jumpMap[351][ProcIfPart] = 353;
   _jumpMap[351][ProcExceptionList] = 496;
   _jumpMap[351][ProcBlockStart] = 352;
   _actionMap[352][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[352][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[352][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[352][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[352][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[352][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[352][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[352][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[352][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[352][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[352][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[352][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[352][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[352][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[352][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[352][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[352][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[352][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[352][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[352][REPLACE] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser144()
{
   _actionMap[352][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[352][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[352][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[352][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[352][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[352][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[352][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[352][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[352][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[352][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[352][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[352][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[352][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[352][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[352][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[352][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[352][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[352][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[352][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[352][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[352][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[352][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[352][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[352][LB] = ActionEntry(SHIFT, 156);
   _actionMap[352][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[352][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[352][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[352][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[352][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[352][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[352][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[352][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[352][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[352][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[352][VARREF] = ActionEntry(SHIFT, 371);
   _actionMap[352][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[352][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[352][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[352][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[352][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[352][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[352][IF] = ActionEntry(SHIFT, 365);
   _actionMap[352][BEGIN] = ActionEntry(SHIFT, 362);
   _actionMap[352][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[352][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[352][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[352][UPDATE] = ActionEntry(SHIFT, 37);
   _actionMap[352][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[352][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[352][VAR] = ActionEntry(SHIFT, 369);
}
void Cego::loadParser145()
{
   _actionMap[352][CURSOR] = ActionEntry(SHIFT, 364);
   _actionMap[352][CLOSE] = ActionEntry(SHIFT, 363);
   _actionMap[352][NOOP] = ActionEntry(SHIFT, 366);
   _actionMap[352][THROW] = ActionEntry(SHIFT, 368);
   _actionMap[352][RETURNTOKEN] = ActionEntry(SHIFT, 367);
   _actionMap[352][WHILE] = ActionEntry(SHIFT, 370);
   _jumpMap[352][ObjSpec] = 103;
   _jumpMap[352][Constant] = 102;
   _jumpMap[352][SignedFloat] = 101;
   _jumpMap[352][SignedInt] = 100;
   _jumpMap[352][Attribute] = 99;
   _jumpMap[352][Function] = 98;
   _jumpMap[352][DeleteStatement] = 361;
   _jumpMap[352][UpdateStatement] = 360;
   _jumpMap[352][InsertStatement] = 359;
   _jumpMap[352][RollbackStatement] = 358;
   _jumpMap[352][CommitStatement] = 357;
   _jumpMap[352][StartStatement] = 356;
   _jumpMap[352][CasePrepare] = 97;
   _jumpMap[352][CaseClause] = 96;
   _jumpMap[352][Factor] = 95;
   _jumpMap[352][Term] = 94;
   _jumpMap[352][Expr] = 355;
   _jumpMap[352][ProcStatement] = 354;
   _jumpMap[352][ProcIfPart] = 353;
   _jumpMap[352][ProcBlockStart] = 352;
   _jumpMap[352][ProcStatementList] = 351;
   _jumpMap[352][ProcStmtBlock] = 498;
   _actionMap[353][ELSIF] = ActionEntry(SHIFT, 501);
   _actionMap[353][END_TOKEN] = ActionEntry(REDUCE, 129);
   _actionMap[353][ELSE] = ActionEntry(REDUCE, 129);
   _jumpMap[353][ProcElsIfOpt] = 500;
   _jumpMap[353][ProcElsIfList] = 499;
   _actionMap[354][SEMICOLON] = ActionEntry(SHIFT, 502);
   _actionMap[355][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[355][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[355][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[355][SEMICOLON] = ActionEntry(REDUCE, 102);
   _actionMap[356][SEMICOLON] = ActionEntry(REDUCE, 111);
   _actionMap[357][SEMICOLON] = ActionEntry(REDUCE, 112);
   _actionMap[358][SEMICOLON] = ActionEntry(REDUCE, 113);
   _actionMap[359][SEMICOLON] = ActionEntry(REDUCE, 108);
   _actionMap[360][SEMICOLON] = ActionEntry(REDUCE, 110);
   _actionMap[361][SEMICOLON] = ActionEntry(REDUCE, 109);
   _actionMap[362][VAR] = ActionEntry(REDUCE, 117);
   _actionMap[362][CURSOR] = ActionEntry(REDUCE, 117);
   _actionMap[362][CLOSE] = ActionEntry(REDUCE, 117);
   _actionMap[362][VARREF] = ActionEntry(REDUCE, 117);
   _actionMap[362][NOOP] = ActionEntry(REDUCE, 117);
   _actionMap[362][THROW] = ActionEntry(REDUCE, 117);
}
void Cego::loadParser146()
{
   _actionMap[362][RETURNTOKEN] = ActionEntry(REDUCE, 117);
   _actionMap[362][WHILE] = ActionEntry(REDUCE, 117);
   _actionMap[362][IF] = ActionEntry(REDUCE, 117);
   _actionMap[362][BEGIN] = ActionEntry(REDUCE, 117);
   _actionMap[362][ROLLBACK] = ActionEntry(REDUCE, 117);
   _actionMap[362][COMMIT] = ActionEntry(REDUCE, 117);
   _actionMap[362][START_TOKEN] = ActionEntry(REDUCE, 117);
   _actionMap[362][UPDATE] = ActionEntry(REDUCE, 117);
   _actionMap[362][DELETETOK] = ActionEntry(REDUCE, 117);
   _actionMap[362][INSERT] = ActionEntry(REDUCE, 117);
   _actionMap[362][FETCH] = ActionEntry(REDUCE, 117);
   _actionMap[362][LB] = ActionEntry(REDUCE, 117);
   _actionMap[362][COUNT] = ActionEntry(REDUCE, 117);
   _actionMap[362][SUM] = ActionEntry(REDUCE, 117);
   _actionMap[362][AVG] = ActionEntry(REDUCE, 117);
   _actionMap[362][MIN] = ActionEntry(REDUCE, 117);
   _actionMap[362][MAX] = ActionEntry(REDUCE, 117);
   _actionMap[362][CASE] = ActionEntry(REDUCE, 117);
   _actionMap[362][INT2ASC] = ActionEntry(REDUCE, 117);
   _actionMap[362][ASC2INT] = ActionEntry(REDUCE, 117);
   _actionMap[362][TRIM] = ActionEntry(REDUCE, 117);
   _actionMap[362][RTRIM] = ActionEntry(REDUCE, 117);
   _actionMap[362][LTRIM] = ActionEntry(REDUCE, 117);
   _actionMap[362][ROUND] = ActionEntry(REDUCE, 117);
   _actionMap[362][DATE2STR] = ActionEntry(REDUCE, 117);
   _actionMap[362][DATE2INT] = ActionEntry(REDUCE, 117);
   _actionMap[362][INT2DATE] = ActionEntry(REDUCE, 117);
   _actionMap[362][NEWDATE] = ActionEntry(REDUCE, 117);
   _actionMap[362][LOWER] = ActionEntry(REDUCE, 117);
   _actionMap[362][UPPER] = ActionEntry(REDUCE, 117);
   _actionMap[362][LEFT] = ActionEntry(REDUCE, 117);
   _actionMap[362][RIGHT] = ActionEntry(REDUCE, 117);
   _actionMap[362][GETPOS] = ActionEntry(REDUCE, 117);
   _actionMap[362][SUBSTR] = ActionEntry(REDUCE, 117);
   _actionMap[362][REPLACE] = ActionEntry(REDUCE, 117);
   _actionMap[362][LENGTH] = ActionEntry(REDUCE, 117);
   _actionMap[362][TRUNC] = ActionEntry(REDUCE, 117);
   _actionMap[362][STR2INT] = ActionEntry(REDUCE, 117);
   _actionMap[362][STR2LONG] = ActionEntry(REDUCE, 117);
   _actionMap[362][STR2DATE] = ActionEntry(REDUCE, 117);
   _actionMap[362][RANDSTR] = ActionEntry(REDUCE, 117);
   _actionMap[362][RANDINT] = ActionEntry(REDUCE, 117);
   _actionMap[362][MOD] = ActionEntry(REDUCE, 117);
   _actionMap[362][DIV] = ActionEntry(REDUCE, 117);
   _actionMap[362][LMOD] = ActionEntry(REDUCE, 117);
   _actionMap[362][LDIV] = ActionEntry(REDUCE, 117);
   _actionMap[362][POWER] = ActionEntry(REDUCE, 117);
   _actionMap[362][BITAND] = ActionEntry(REDUCE, 117);
   _actionMap[362][BITOR] = ActionEntry(REDUCE, 117);
   _actionMap[362][BITXOR] = ActionEntry(REDUCE, 117);
}
void Cego::loadParser147()
{
   _actionMap[362][BLOBSIZE] = ActionEntry(REDUCE, 117);
   _actionMap[362][CLOBSIZE] = ActionEntry(REDUCE, 117);
   _actionMap[362][CLOB2STR] = ActionEntry(REDUCE, 117);
   _actionMap[362][NEXTCOUNT] = ActionEntry(REDUCE, 117);
   _actionMap[362][SETCOUNT] = ActionEntry(REDUCE, 117);
   _actionMap[362][IDENTIFIER] = ActionEntry(REDUCE, 117);
   _actionMap[362][QUALIFIEDOBJ] = ActionEntry(REDUCE, 117);
   _actionMap[362][QUALIFIEDTS] = ActionEntry(REDUCE, 117);
   _actionMap[362][QUALIFIEDPRE] = ActionEntry(REDUCE, 117);
   _actionMap[362][STRINGVAL] = ActionEntry(REDUCE, 117);
   _actionMap[362][DATE] = ActionEntry(REDUCE, 117);
   _actionMap[362][SYSDATE] = ActionEntry(REDUCE, 117);
   _actionMap[362][NULLTOKEN] = ActionEntry(REDUCE, 117);
   _actionMap[362][TRUEVAL] = ActionEntry(REDUCE, 117);
   _actionMap[362][FALSEVAL] = ActionEntry(REDUCE, 117);
   _actionMap[362][BLOB] = ActionEntry(REDUCE, 117);
   _actionMap[362][CLOB] = ActionEntry(REDUCE, 117);
   _actionMap[362][FLOATVAL] = ActionEntry(REDUCE, 117);
   _actionMap[362][MINUS] = ActionEntry(REDUCE, 117);
   _actionMap[362][INTVAL] = ActionEntry(REDUCE, 117);
   _actionMap[363][IDENTIFIER] = ActionEntry(SHIFT, 503);
   _actionMap[364][IDENTIFIER] = ActionEntry(SHIFT, 504);
   _actionMap[365][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[365][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[365][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[365][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[365][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[365][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[365][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[365][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[365][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[365][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[365][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[365][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[365][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[365][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[365][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[365][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[365][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[365][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[365][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[365][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[365][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[365][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[365][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[365][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[365][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[365][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[365][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[365][MOD] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser148()
{
   _actionMap[365][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[365][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[365][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[365][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[365][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[365][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[365][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[365][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[365][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[365][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[365][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[365][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[365][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[365][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[365][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[365][LB] = ActionEntry(SHIFT, 509);
   _actionMap[365][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[365][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[365][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[365][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[365][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[365][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[365][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[365][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[365][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[365][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[365][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[365][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[365][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[365][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[365][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[365][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[365][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[365][ObjSpec] = 103;
   _jumpMap[365][Constant] = 102;
   _jumpMap[365][SignedFloat] = 101;
   _jumpMap[365][SignedInt] = 100;
   _jumpMap[365][Attribute] = 99;
   _jumpMap[365][Function] = 98;
   _jumpMap[365][CasePrepare] = 97;
   _jumpMap[365][CaseClause] = 96;
   _jumpMap[365][Factor] = 95;
   _jumpMap[365][Term] = 94;
   _jumpMap[365][Expr] = 508;
   _jumpMap[365][ProcPredicate] = 507;
   _jumpMap[365][ProcCondition] = 506;
   _jumpMap[365][ProcIfCondition] = 505;
   _actionMap[366][SEMICOLON] = ActionEntry(REDUCE, 103);
   _actionMap[367][SEMICOLON] = ActionEntry(REDUCE, 114);
   _actionMap[367][FLOATVAL] = ActionEntry(SHIFT, 159);
}
void Cego::loadParser149()
{
   _actionMap[367][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[367][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[367][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[367][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[367][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[367][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[367][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[367][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[367][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[367][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[367][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[367][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[367][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[367][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[367][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[367][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[367][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[367][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[367][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[367][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[367][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[367][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[367][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[367][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[367][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[367][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[367][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[367][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[367][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[367][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[367][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[367][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[367][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[367][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[367][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[367][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[367][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[367][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[367][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[367][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[367][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[367][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[367][LB] = ActionEntry(SHIFT, 156);
   _actionMap[367][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[367][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[367][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[367][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[367][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[367][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[367][BLOB] = ActionEntry(SHIFT, 110);
}
void Cego::loadParser150()
{
   _actionMap[367][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[367][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[367][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[367][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[367][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[367][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[367][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[367][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[367][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[367][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[367][ObjSpec] = 103;
   _jumpMap[367][Constant] = 102;
   _jumpMap[367][SignedFloat] = 101;
   _jumpMap[367][SignedInt] = 100;
   _jumpMap[367][Attribute] = 99;
   _jumpMap[367][Function] = 98;
   _jumpMap[367][CasePrepare] = 97;
   _jumpMap[367][CaseClause] = 96;
   _jumpMap[367][Factor] = 95;
   _jumpMap[367][Term] = 94;
   _jumpMap[367][Expr] = 510;
   _actionMap[368][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[368][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[368][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[368][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[368][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[368][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[368][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[368][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[368][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[368][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[368][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[368][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[368][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[368][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[368][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[368][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[368][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[368][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[368][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[368][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[368][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[368][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[368][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[368][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[368][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[368][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[368][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[368][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[368][DIV] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser151()
{
   _actionMap[368][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[368][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[368][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[368][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[368][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[368][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[368][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[368][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[368][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[368][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[368][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[368][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[368][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[368][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[368][LB] = ActionEntry(SHIFT, 156);
   _actionMap[368][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[368][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[368][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[368][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[368][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[368][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[368][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[368][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[368][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[368][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[368][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[368][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[368][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[368][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[368][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[368][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[368][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[368][ObjSpec] = 103;
   _jumpMap[368][Constant] = 102;
   _jumpMap[368][SignedFloat] = 101;
   _jumpMap[368][SignedInt] = 100;
   _jumpMap[368][Attribute] = 99;
   _jumpMap[368][Function] = 98;
   _jumpMap[368][CasePrepare] = 97;
   _jumpMap[368][CaseClause] = 96;
   _jumpMap[368][Factor] = 95;
   _jumpMap[368][Term] = 94;
   _jumpMap[368][Expr] = 511;
   _actionMap[369][IDENTIFIER] = ActionEntry(SHIFT, 512);
   _actionMap[370][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[370][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[370][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[370][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[370][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[370][TRIM] = ActionEntry(SHIFT, 152);
}
void Cego::loadParser152()
{
   _actionMap[370][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[370][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[370][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[370][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[370][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[370][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[370][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[370][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[370][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[370][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[370][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[370][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[370][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[370][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[370][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[370][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[370][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[370][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[370][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[370][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[370][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[370][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[370][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[370][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[370][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[370][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[370][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[370][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[370][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[370][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[370][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[370][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[370][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[370][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[370][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[370][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[370][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[370][LB] = ActionEntry(SHIFT, 509);
   _actionMap[370][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[370][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[370][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[370][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[370][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[370][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[370][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[370][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[370][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[370][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[370][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[370][FETCH] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser153()
{
   _actionMap[370][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[370][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[370][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[370][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[370][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[370][ObjSpec] = 103;
   _jumpMap[370][Constant] = 102;
   _jumpMap[370][SignedFloat] = 101;
   _jumpMap[370][SignedInt] = 100;
   _jumpMap[370][Attribute] = 99;
   _jumpMap[370][Function] = 98;
   _jumpMap[370][CasePrepare] = 97;
   _jumpMap[370][CaseClause] = 96;
   _jumpMap[370][Factor] = 95;
   _jumpMap[370][Term] = 94;
   _jumpMap[370][Expr] = 508;
   _jumpMap[370][ProcPredicate] = 507;
   _jumpMap[370][ProcCondition] = 514;
   _jumpMap[370][ProcWhileCondition] = 513;
   _actionMap[371][CONCAT] = ActionEntry(REDUCE, 152);
   _actionMap[371][STAR] = ActionEntry(REDUCE, 152);
   _actionMap[371][DIVISION] = ActionEntry(REDUCE, 152);
   _actionMap[371][MINUS] = ActionEntry(REDUCE, 152);
   _actionMap[371][PLUS] = ActionEntry(REDUCE, 152);
   _actionMap[371][SEMICOLON] = ActionEntry(REDUCE, 152);
   _actionMap[371][EQU] = ActionEntry(SHIFT, 515);
   _actionMap[372][ON] = ActionEntry(SHIFT, 516);
   _actionMap[373][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[373][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[373][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[373][ObjSpec] = 517;
   _actionMap[374][IDENTIFIER] = ActionEntry(SHIFT, 522);
   _actionMap[374][RB] = ActionEntry(REDUCE, 90);
   _jumpMap[374][ProcArg] = 520;
   _jumpMap[374][ProcArgList] = 519;
   _jumpMap[374][ProcArgOpt] = 518;
   _actionMap[375][IDENTIFIER] = ActionEntry(SHIFT, 527);
   _actionMap[375][PRIMARY] = ActionEntry(SHIFT, 526);
   _jumpMap[375][ColumnDesc] = 525;
   _jumpMap[375][KeyColumn] = 524;
   _jumpMap[375][ColumnList] = 523;
   _actionMap[376][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[376][SelectStatement] = 528;
   _actionMap[377][SEMICOLON] = ActionEntry(REDUCE, 328);
   _actionMap[377][WHERE] = ActionEntry(SHIFT, 380);
   _jumpMap[377][NoWhere] = 379;
   _jumpMap[377][WhereClause] = 378;
   _actionMap[378][SEMICOLON] = ActionEntry(REDUCE, 267);
   _actionMap[379][RETURNTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[379][GROUP] = ActionEntry(REDUCE, 327);
}
void Cego::loadParser154()
{
   _actionMap[379][ORDER] = ActionEntry(REDUCE, 327);
   _actionMap[379][ROWLIMIT] = ActionEntry(REDUCE, 327);
   _actionMap[379][UNION] = ActionEntry(REDUCE, 327);
   _actionMap[379][ENDTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[379][RB] = ActionEntry(REDUCE, 327);
   _actionMap[379][SEMICOLON] = ActionEntry(REDUCE, 327);
   _actionMap[380][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[380][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[380][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[380][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[380][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[380][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[380][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[380][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[380][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[380][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[380][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[380][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[380][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[380][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[380][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[380][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[380][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[380][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[380][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[380][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[380][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[380][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[380][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[380][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[380][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[380][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[380][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[380][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[380][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[380][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[380][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[380][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[380][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[380][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[380][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[380][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[380][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[380][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[380][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[380][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[380][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[380][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[380][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[380][LB] = ActionEntry(SHIFT, 401);
}
void Cego::loadParser155()
{
   _actionMap[380][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[380][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[380][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[380][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[380][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[380][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[380][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[380][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[380][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[380][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[380][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[380][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[380][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[380][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[380][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[380][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[380][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[380][EXISTS] = ActionEntry(SHIFT, 399);
   _actionMap[380][NOT] = ActionEntry(SHIFT, 400);
   _jumpMap[380][ObjSpec] = 103;
   _jumpMap[380][Constant] = 102;
   _jumpMap[380][SignedFloat] = 101;
   _jumpMap[380][SignedInt] = 100;
   _jumpMap[380][Attribute] = 99;
   _jumpMap[380][QueryPredicate] = 398;
   _jumpMap[380][QueryCondition] = 529;
   _jumpMap[380][Function] = 98;
   _jumpMap[380][CasePrepare] = 97;
   _jumpMap[380][CaseClause] = 96;
   _jumpMap[380][Factor] = 95;
   _jumpMap[380][Term] = 94;
   _jumpMap[380][Expr] = 396;
   _actionMap[381][SEMICOLON] = ActionEntry(REDUCE, 24);
   _actionMap[382][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[382][VALUES] = ActionEntry(SHIFT, 385);
   _jumpMap[382][SelectStatement] = 384;
   _jumpMap[382][InsertPrepare] = 383;
   _actionMap[383][LB] = ActionEntry(SHIFT, 532);
   _jumpMap[383][InsertValueSpec] = 531;
   _jumpMap[383][InsertValueSpecList] = 530;
   _actionMap[384][SEMICOLON] = ActionEntry(REDUCE, 198);
   _actionMap[385][LB] = ActionEntry(REDUCE, 201);
   _actionMap[386][IDENTIFIER] = ActionEntry(SHIFT, 534);
   _jumpMap[386][InsertArgList] = 533;
   _actionMap[387][SEMICOLON] = ActionEntry(REDUCE, 13);
   _actionMap[388][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[388][SelectStatement] = 535;
   _actionMap[389][STAR] = ActionEntry(SHIFT, 243);
   _actionMap[389][DIVISION] = ActionEntry(SHIFT, 244);
   _actionMap[389][WHEN] = ActionEntry(REDUCE, 148);
}
void Cego::loadParser156()
{
   _actionMap[389][ELSE] = ActionEntry(REDUCE, 148);
   _actionMap[389][LEFT] = ActionEntry(REDUCE, 148);
   _actionMap[389][RIGHT] = ActionEntry(REDUCE, 148);
   _actionMap[389][INNER] = ActionEntry(REDUCE, 148);
   _actionMap[389][JOIN] = ActionEntry(REDUCE, 148);
   _actionMap[389][RETURNTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[389][ORDER] = ActionEntry(REDUCE, 148);
   _actionMap[389][GROUP] = ActionEntry(REDUCE, 148);
   _actionMap[389][WHERE] = ActionEntry(REDUCE, 148);
   _actionMap[389][BEGIN] = ActionEntry(REDUCE, 148);
   _actionMap[389][THEN] = ActionEntry(REDUCE, 148);
   _actionMap[389][OR] = ActionEntry(REDUCE, 148);
   _actionMap[389][AS] = ActionEntry(REDUCE, 148);
   _actionMap[389][FROM] = ActionEntry(REDUCE, 148);
   _actionMap[389][LIKE] = ActionEntry(REDUCE, 148);
   _actionMap[389][BETWEEN] = ActionEntry(REDUCE, 148);
   _actionMap[389][NOT] = ActionEntry(REDUCE, 148);
   _actionMap[389][INTOK] = ActionEntry(REDUCE, 148);
   _actionMap[389][END_TOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[389][AND] = ActionEntry(REDUCE, 148);
   _actionMap[389][IS] = ActionEntry(REDUCE, 148);
   _actionMap[389][EQU] = ActionEntry(REDUCE, 148);
   _actionMap[389][NEGATION] = ActionEntry(REDUCE, 148);
   _actionMap[389][LT] = ActionEntry(REDUCE, 148);
   _actionMap[389][MT] = ActionEntry(REDUCE, 148);
   _actionMap[389][DESC] = ActionEntry(REDUCE, 148);
   _actionMap[389][ASC] = ActionEntry(REDUCE, 148);
   _actionMap[389][KSEP] = ActionEntry(REDUCE, 148);
   _actionMap[389][ROWLIMIT] = ActionEntry(REDUCE, 148);
   _actionMap[389][UNION] = ActionEntry(REDUCE, 148);
   _actionMap[389][ENDTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[389][RB] = ActionEntry(REDUCE, 148);
   _actionMap[389][SEMICOLON] = ActionEntry(REDUCE, 148);
   _actionMap[389][CONCAT] = ActionEntry(REDUCE, 148);
   _actionMap[389][MINUS] = ActionEntry(REDUCE, 148);
   _actionMap[389][PLUS] = ActionEntry(REDUCE, 148);
   _actionMap[390][STAR] = ActionEntry(SHIFT, 243);
   _actionMap[390][DIVISION] = ActionEntry(SHIFT, 244);
   _actionMap[390][WHEN] = ActionEntry(REDUCE, 146);
   _actionMap[390][ELSE] = ActionEntry(REDUCE, 146);
   _actionMap[390][LEFT] = ActionEntry(REDUCE, 146);
   _actionMap[390][RIGHT] = ActionEntry(REDUCE, 146);
   _actionMap[390][INNER] = ActionEntry(REDUCE, 146);
   _actionMap[390][JOIN] = ActionEntry(REDUCE, 146);
   _actionMap[390][RETURNTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[390][ORDER] = ActionEntry(REDUCE, 146);
   _actionMap[390][GROUP] = ActionEntry(REDUCE, 146);
   _actionMap[390][WHERE] = ActionEntry(REDUCE, 146);
   _actionMap[390][BEGIN] = ActionEntry(REDUCE, 146);
   _actionMap[390][THEN] = ActionEntry(REDUCE, 146);
}
void Cego::loadParser157()
{
   _actionMap[390][OR] = ActionEntry(REDUCE, 146);
   _actionMap[390][AS] = ActionEntry(REDUCE, 146);
   _actionMap[390][FROM] = ActionEntry(REDUCE, 146);
   _actionMap[390][LIKE] = ActionEntry(REDUCE, 146);
   _actionMap[390][BETWEEN] = ActionEntry(REDUCE, 146);
   _actionMap[390][NOT] = ActionEntry(REDUCE, 146);
   _actionMap[390][INTOK] = ActionEntry(REDUCE, 146);
   _actionMap[390][END_TOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[390][AND] = ActionEntry(REDUCE, 146);
   _actionMap[390][IS] = ActionEntry(REDUCE, 146);
   _actionMap[390][EQU] = ActionEntry(REDUCE, 146);
   _actionMap[390][NEGATION] = ActionEntry(REDUCE, 146);
   _actionMap[390][LT] = ActionEntry(REDUCE, 146);
   _actionMap[390][MT] = ActionEntry(REDUCE, 146);
   _actionMap[390][DESC] = ActionEntry(REDUCE, 146);
   _actionMap[390][ASC] = ActionEntry(REDUCE, 146);
   _actionMap[390][KSEP] = ActionEntry(REDUCE, 146);
   _actionMap[390][ROWLIMIT] = ActionEntry(REDUCE, 146);
   _actionMap[390][UNION] = ActionEntry(REDUCE, 146);
   _actionMap[390][ENDTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[390][RB] = ActionEntry(REDUCE, 146);
   _actionMap[390][SEMICOLON] = ActionEntry(REDUCE, 146);
   _actionMap[390][CONCAT] = ActionEntry(REDUCE, 146);
   _actionMap[390][MINUS] = ActionEntry(REDUCE, 146);
   _actionMap[390][PLUS] = ActionEntry(REDUCE, 146);
   _actionMap[391][STAR] = ActionEntry(SHIFT, 243);
   _actionMap[391][DIVISION] = ActionEntry(SHIFT, 244);
   _actionMap[391][WHEN] = ActionEntry(REDUCE, 145);
   _actionMap[391][ELSE] = ActionEntry(REDUCE, 145);
   _actionMap[391][LEFT] = ActionEntry(REDUCE, 145);
   _actionMap[391][RIGHT] = ActionEntry(REDUCE, 145);
   _actionMap[391][INNER] = ActionEntry(REDUCE, 145);
   _actionMap[391][JOIN] = ActionEntry(REDUCE, 145);
   _actionMap[391][RETURNTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[391][ORDER] = ActionEntry(REDUCE, 145);
   _actionMap[391][GROUP] = ActionEntry(REDUCE, 145);
   _actionMap[391][WHERE] = ActionEntry(REDUCE, 145);
   _actionMap[391][BEGIN] = ActionEntry(REDUCE, 145);
   _actionMap[391][THEN] = ActionEntry(REDUCE, 145);
   _actionMap[391][OR] = ActionEntry(REDUCE, 145);
   _actionMap[391][AS] = ActionEntry(REDUCE, 145);
   _actionMap[391][FROM] = ActionEntry(REDUCE, 145);
   _actionMap[391][LIKE] = ActionEntry(REDUCE, 145);
   _actionMap[391][BETWEEN] = ActionEntry(REDUCE, 145);
   _actionMap[391][NOT] = ActionEntry(REDUCE, 145);
   _actionMap[391][INTOK] = ActionEntry(REDUCE, 145);
   _actionMap[391][END_TOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[391][AND] = ActionEntry(REDUCE, 145);
   _actionMap[391][IS] = ActionEntry(REDUCE, 145);
   _actionMap[391][EQU] = ActionEntry(REDUCE, 145);
}
void Cego::loadParser158()
{
   _actionMap[391][NEGATION] = ActionEntry(REDUCE, 145);
   _actionMap[391][LT] = ActionEntry(REDUCE, 145);
   _actionMap[391][MT] = ActionEntry(REDUCE, 145);
   _actionMap[391][DESC] = ActionEntry(REDUCE, 145);
   _actionMap[391][ASC] = ActionEntry(REDUCE, 145);
   _actionMap[391][KSEP] = ActionEntry(REDUCE, 145);
   _actionMap[391][ROWLIMIT] = ActionEntry(REDUCE, 145);
   _actionMap[391][UNION] = ActionEntry(REDUCE, 145);
   _actionMap[391][ENDTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[391][RB] = ActionEntry(REDUCE, 145);
   _actionMap[391][SEMICOLON] = ActionEntry(REDUCE, 145);
   _actionMap[391][CONCAT] = ActionEntry(REDUCE, 145);
   _actionMap[391][MINUS] = ActionEntry(REDUCE, 145);
   _actionMap[391][PLUS] = ActionEntry(REDUCE, 145);
   _actionMap[392][WHEN] = ActionEntry(REDUCE, 149);
   _actionMap[392][ELSE] = ActionEntry(REDUCE, 149);
   _actionMap[392][LEFT] = ActionEntry(REDUCE, 149);
   _actionMap[392][RIGHT] = ActionEntry(REDUCE, 149);
   _actionMap[392][INNER] = ActionEntry(REDUCE, 149);
   _actionMap[392][JOIN] = ActionEntry(REDUCE, 149);
   _actionMap[392][RETURNTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[392][ORDER] = ActionEntry(REDUCE, 149);
   _actionMap[392][GROUP] = ActionEntry(REDUCE, 149);
   _actionMap[392][WHERE] = ActionEntry(REDUCE, 149);
   _actionMap[392][BEGIN] = ActionEntry(REDUCE, 149);
   _actionMap[392][THEN] = ActionEntry(REDUCE, 149);
   _actionMap[392][OR] = ActionEntry(REDUCE, 149);
   _actionMap[392][FROM] = ActionEntry(REDUCE, 149);
   _actionMap[392][AS] = ActionEntry(REDUCE, 149);
   _actionMap[392][END_TOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[392][AND] = ActionEntry(REDUCE, 149);
   _actionMap[392][INTOK] = ActionEntry(REDUCE, 149);
   _actionMap[392][NOT] = ActionEntry(REDUCE, 149);
   _actionMap[392][BETWEEN] = ActionEntry(REDUCE, 149);
   _actionMap[392][IS] = ActionEntry(REDUCE, 149);
   _actionMap[392][LIKE] = ActionEntry(REDUCE, 149);
   _actionMap[392][MT] = ActionEntry(REDUCE, 149);
   _actionMap[392][LT] = ActionEntry(REDUCE, 149);
   _actionMap[392][NEGATION] = ActionEntry(REDUCE, 149);
   _actionMap[392][EQU] = ActionEntry(REDUCE, 149);
   _actionMap[392][RB] = ActionEntry(REDUCE, 149);
   _actionMap[392][ENDTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[392][UNION] = ActionEntry(REDUCE, 149);
   _actionMap[392][ROWLIMIT] = ActionEntry(REDUCE, 149);
   _actionMap[392][KSEP] = ActionEntry(REDUCE, 149);
   _actionMap[392][ASC] = ActionEntry(REDUCE, 149);
   _actionMap[392][DESC] = ActionEntry(REDUCE, 149);
   _actionMap[392][SEMICOLON] = ActionEntry(REDUCE, 149);
   _actionMap[392][PLUS] = ActionEntry(REDUCE, 149);
   _actionMap[392][MINUS] = ActionEntry(REDUCE, 149);
}
void Cego::loadParser159()
{
   _actionMap[392][CONCAT] = ActionEntry(REDUCE, 149);
   _actionMap[392][DIVISION] = ActionEntry(REDUCE, 149);
   _actionMap[392][STAR] = ActionEntry(REDUCE, 149);
   _actionMap[393][WHEN] = ActionEntry(REDUCE, 150);
   _actionMap[393][ELSE] = ActionEntry(REDUCE, 150);
   _actionMap[393][LEFT] = ActionEntry(REDUCE, 150);
   _actionMap[393][RIGHT] = ActionEntry(REDUCE, 150);
   _actionMap[393][INNER] = ActionEntry(REDUCE, 150);
   _actionMap[393][JOIN] = ActionEntry(REDUCE, 150);
   _actionMap[393][RETURNTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[393][ORDER] = ActionEntry(REDUCE, 150);
   _actionMap[393][GROUP] = ActionEntry(REDUCE, 150);
   _actionMap[393][WHERE] = ActionEntry(REDUCE, 150);
   _actionMap[393][BEGIN] = ActionEntry(REDUCE, 150);
   _actionMap[393][THEN] = ActionEntry(REDUCE, 150);
   _actionMap[393][OR] = ActionEntry(REDUCE, 150);
   _actionMap[393][FROM] = ActionEntry(REDUCE, 150);
   _actionMap[393][AS] = ActionEntry(REDUCE, 150);
   _actionMap[393][END_TOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[393][AND] = ActionEntry(REDUCE, 150);
   _actionMap[393][INTOK] = ActionEntry(REDUCE, 150);
   _actionMap[393][NOT] = ActionEntry(REDUCE, 150);
   _actionMap[393][BETWEEN] = ActionEntry(REDUCE, 150);
   _actionMap[393][IS] = ActionEntry(REDUCE, 150);
   _actionMap[393][LIKE] = ActionEntry(REDUCE, 150);
   _actionMap[393][MT] = ActionEntry(REDUCE, 150);
   _actionMap[393][LT] = ActionEntry(REDUCE, 150);
   _actionMap[393][NEGATION] = ActionEntry(REDUCE, 150);
   _actionMap[393][EQU] = ActionEntry(REDUCE, 150);
   _actionMap[393][RB] = ActionEntry(REDUCE, 150);
   _actionMap[393][ENDTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[393][UNION] = ActionEntry(REDUCE, 150);
   _actionMap[393][ROWLIMIT] = ActionEntry(REDUCE, 150);
   _actionMap[393][KSEP] = ActionEntry(REDUCE, 150);
   _actionMap[393][ASC] = ActionEntry(REDUCE, 150);
   _actionMap[393][DESC] = ActionEntry(REDUCE, 150);
   _actionMap[393][SEMICOLON] = ActionEntry(REDUCE, 150);
   _actionMap[393][PLUS] = ActionEntry(REDUCE, 150);
   _actionMap[393][MINUS] = ActionEntry(REDUCE, 150);
   _actionMap[393][CONCAT] = ActionEntry(REDUCE, 150);
   _actionMap[393][DIVISION] = ActionEntry(REDUCE, 150);
   _actionMap[393][STAR] = ActionEntry(REDUCE, 150);
   _actionMap[394][WHEN] = ActionEntry(REDUCE, 167);
   _actionMap[394][ELSE] = ActionEntry(REDUCE, 167);
   _actionMap[395][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[395][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[395][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[395][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[395][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[395][TRIM] = ActionEntry(SHIFT, 152);
}
void Cego::loadParser160()
{
   _actionMap[395][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[395][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[395][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[395][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[395][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[395][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[395][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[395][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[395][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[395][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[395][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[395][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[395][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[395][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[395][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[395][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[395][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[395][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[395][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[395][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[395][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[395][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[395][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[395][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[395][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[395][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[395][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[395][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[395][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[395][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[395][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[395][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[395][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[395][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[395][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[395][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[395][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[395][LB] = ActionEntry(SHIFT, 156);
   _actionMap[395][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[395][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[395][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[395][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[395][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[395][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[395][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[395][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[395][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[395][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[395][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[395][FETCH] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser161()
{
   _actionMap[395][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[395][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[395][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[395][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[395][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[395][ObjSpec] = 103;
   _jumpMap[395][Constant] = 102;
   _jumpMap[395][SignedFloat] = 101;
   _jumpMap[395][SignedInt] = 100;
   _jumpMap[395][Attribute] = 99;
   _jumpMap[395][Function] = 98;
   _jumpMap[395][CasePrepare] = 97;
   _jumpMap[395][CaseClause] = 96;
   _jumpMap[395][Factor] = 95;
   _jumpMap[395][Term] = 94;
   _jumpMap[395][Expr] = 536;
   _actionMap[396][INTOK] = ActionEntry(SHIFT, 539);
   _actionMap[396][NOT] = ActionEntry(SHIFT, 542);
   _actionMap[396][BETWEEN] = ActionEntry(SHIFT, 538);
   _actionMap[396][IS] = ActionEntry(SHIFT, 540);
   _actionMap[396][LIKE] = ActionEntry(SHIFT, 541);
   _actionMap[396][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[396][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[396][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[396][EQU] = ActionEntry(SHIFT, 543);
   _actionMap[396][NEGATION] = ActionEntry(SHIFT, 546);
   _actionMap[396][LT] = ActionEntry(SHIFT, 544);
   _actionMap[396][MT] = ActionEntry(SHIFT, 545);
   _jumpMap[396][Comparison] = 537;
   _actionMap[397][THEN] = ActionEntry(SHIFT, 549);
   _actionMap[397][AND] = ActionEntry(SHIFT, 547);
   _actionMap[397][OR] = ActionEntry(SHIFT, 548);
   _actionMap[398][THEN] = ActionEntry(REDUCE, 331);
   _actionMap[398][LEFT] = ActionEntry(REDUCE, 331);
   _actionMap[398][RIGHT] = ActionEntry(REDUCE, 331);
   _actionMap[398][INNER] = ActionEntry(REDUCE, 331);
   _actionMap[398][JOIN] = ActionEntry(REDUCE, 331);
   _actionMap[398][RETURNTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[398][SEMICOLON] = ActionEntry(REDUCE, 331);
   _actionMap[398][RB] = ActionEntry(REDUCE, 331);
   _actionMap[398][ENDTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[398][UNION] = ActionEntry(REDUCE, 331);
   _actionMap[398][ROWLIMIT] = ActionEntry(REDUCE, 331);
   _actionMap[398][ORDER] = ActionEntry(REDUCE, 331);
   _actionMap[398][GROUP] = ActionEntry(REDUCE, 331);
   _actionMap[398][WHERE] = ActionEntry(REDUCE, 331);
   _actionMap[398][OR] = ActionEntry(REDUCE, 331);
   _actionMap[398][AND] = ActionEntry(REDUCE, 331);
   _actionMap[399][LB] = ActionEntry(SHIFT, 550);
   _actionMap[400][FLOATVAL] = ActionEntry(SHIFT, 159);
}
void Cego::loadParser162()
{
   _actionMap[400][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[400][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[400][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[400][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[400][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[400][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[400][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[400][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[400][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[400][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[400][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[400][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[400][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[400][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[400][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[400][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[400][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[400][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[400][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[400][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[400][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[400][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[400][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[400][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[400][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[400][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[400][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[400][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[400][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[400][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[400][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[400][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[400][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[400][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[400][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[400][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[400][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[400][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[400][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[400][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[400][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[400][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[400][LB] = ActionEntry(SHIFT, 401);
   _actionMap[400][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[400][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[400][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[400][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[400][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[400][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[400][BLOB] = ActionEntry(SHIFT, 110);
}
void Cego::loadParser163()
{
   _actionMap[400][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[400][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[400][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[400][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[400][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[400][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[400][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[400][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[400][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[400][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[400][EXISTS] = ActionEntry(SHIFT, 399);
   _actionMap[400][NOT] = ActionEntry(SHIFT, 400);
   _jumpMap[400][ObjSpec] = 103;
   _jumpMap[400][Constant] = 102;
   _jumpMap[400][SignedFloat] = 101;
   _jumpMap[400][SignedInt] = 100;
   _jumpMap[400][Attribute] = 99;
   _jumpMap[400][QueryPredicate] = 551;
   _jumpMap[400][Function] = 98;
   _jumpMap[400][CasePrepare] = 97;
   _jumpMap[400][CaseClause] = 96;
   _jumpMap[400][Factor] = 95;
   _jumpMap[400][Term] = 94;
   _jumpMap[400][Expr] = 396;
   _actionMap[401][LONG] = ActionEntry(SHIFT, 301);
   _actionMap[401][BIGINT] = ActionEntry(SHIFT, 297);
   _actionMap[401][SMALLINT] = ActionEntry(SHIFT, 302);
   _actionMap[401][TINYINT] = ActionEntry(SHIFT, 303);
   _actionMap[401][DOUBLE] = ActionEntry(SHIFT, 299);
   _actionMap[401][DECIMAL] = ActionEntry(SHIFT, 298);
   _actionMap[401][FIXED] = ActionEntry(SHIFT, 300);
   _actionMap[401][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[401][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[401][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[401][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[401][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[401][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[401][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[401][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[401][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[401][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[401][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[401][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[401][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[401][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[401][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[401][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[401][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[401][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[401][SUBSTR] = ActionEntry(SHIFT, 146);
}
void Cego::loadParser164()
{
   _actionMap[401][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[401][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[401][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[401][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[401][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[401][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[401][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[401][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[401][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[401][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[401][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[401][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[401][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[401][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[401][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[401][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[401][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[401][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[401][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[401][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[401][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[401][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[401][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[401][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[401][LB] = ActionEntry(SHIFT, 401);
   _actionMap[401][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[401][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[401][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[401][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[401][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[401][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[401][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[401][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[401][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[401][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[401][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[401][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[401][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[401][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[401][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[401][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[401][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[401][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[401][EXISTS] = ActionEntry(SHIFT, 399);
   _actionMap[401][NOT] = ActionEntry(SHIFT, 400);
   _jumpMap[401][ObjSpec] = 103;
   _jumpMap[401][Constant] = 102;
   _jumpMap[401][SignedFloat] = 101;
   _jumpMap[401][SignedInt] = 100;
   _jumpMap[401][Attribute] = 99;
}
void Cego::loadParser165()
{
   _jumpMap[401][QueryPredicate] = 398;
   _jumpMap[401][QueryCondition] = 553;
   _jumpMap[401][Function] = 98;
   _jumpMap[401][SelectStatement] = 296;
   _jumpMap[401][CasePrepare] = 97;
   _jumpMap[401][CaseClause] = 96;
   _jumpMap[401][Factor] = 95;
   _jumpMap[401][Term] = 94;
   _jumpMap[401][Expr] = 552;
   _actionMap[402][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[402][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[402][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[402][KSEP] = ActionEntry(REDUCE, 325);
   _actionMap[402][RB] = ActionEntry(REDUCE, 325);
   _actionMap[403][RB] = ActionEntry(SHIFT, 555);
   _actionMap[403][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[404][WHEN] = ActionEntry(REDUCE, 323);
   _actionMap[404][ELSE] = ActionEntry(REDUCE, 323);
   _actionMap[404][LEFT] = ActionEntry(REDUCE, 323);
   _actionMap[404][RIGHT] = ActionEntry(REDUCE, 323);
   _actionMap[404][INNER] = ActionEntry(REDUCE, 323);
   _actionMap[404][JOIN] = ActionEntry(REDUCE, 323);
   _actionMap[404][RETURNTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[404][ORDER] = ActionEntry(REDUCE, 323);
   _actionMap[404][GROUP] = ActionEntry(REDUCE, 323);
   _actionMap[404][WHERE] = ActionEntry(REDUCE, 323);
   _actionMap[404][FROM] = ActionEntry(REDUCE, 323);
   _actionMap[404][AS] = ActionEntry(REDUCE, 323);
   _actionMap[404][END_TOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[404][BEGIN] = ActionEntry(REDUCE, 323);
   _actionMap[404][THEN] = ActionEntry(REDUCE, 323);
   _actionMap[404][OR] = ActionEntry(REDUCE, 323);
   _actionMap[404][AND] = ActionEntry(REDUCE, 323);
   _actionMap[404][INTOK] = ActionEntry(REDUCE, 323);
   _actionMap[404][NOT] = ActionEntry(REDUCE, 323);
   _actionMap[404][BETWEEN] = ActionEntry(REDUCE, 323);
   _actionMap[404][IS] = ActionEntry(REDUCE, 323);
   _actionMap[404][LIKE] = ActionEntry(REDUCE, 323);
   _actionMap[404][MT] = ActionEntry(REDUCE, 323);
   _actionMap[404][LT] = ActionEntry(REDUCE, 323);
   _actionMap[404][NEGATION] = ActionEntry(REDUCE, 323);
   _actionMap[404][EQU] = ActionEntry(REDUCE, 323);
   _actionMap[404][RB] = ActionEntry(REDUCE, 323);
   _actionMap[404][ENDTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[404][UNION] = ActionEntry(REDUCE, 323);
   _actionMap[404][ROWLIMIT] = ActionEntry(REDUCE, 323);
   _actionMap[404][KSEP] = ActionEntry(REDUCE, 323);
   _actionMap[404][ASC] = ActionEntry(REDUCE, 323);
   _actionMap[404][DESC] = ActionEntry(REDUCE, 323);
   _actionMap[404][SEMICOLON] = ActionEntry(REDUCE, 323);
}
void Cego::loadParser166()
{
   _actionMap[404][PLUS] = ActionEntry(REDUCE, 323);
   _actionMap[404][MINUS] = ActionEntry(REDUCE, 323);
   _actionMap[404][DIVISION] = ActionEntry(REDUCE, 323);
   _actionMap[404][STAR] = ActionEntry(REDUCE, 323);
   _actionMap[404][CONCAT] = ActionEntry(REDUCE, 323);
   _actionMap[405][RB] = ActionEntry(SHIFT, 556);
   _actionMap[405][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[406][RB] = ActionEntry(SHIFT, 557);
   _actionMap[406][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[406][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[406][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[407][RB] = ActionEntry(SHIFT, 558);
   _actionMap[407][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[408][RB] = ActionEntry(SHIFT, 559);
   _actionMap[408][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[409][RB] = ActionEntry(SHIFT, 560);
   _actionMap[409][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[410][RAB] = ActionEntry(SHIFT, 561);
   _actionMap[411][RB] = ActionEntry(SHIFT, 562);
   _actionMap[411][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[412][RAB] = ActionEntry(SHIFT, 563);
   _actionMap[413][RB] = ActionEntry(SHIFT, 564);
   _actionMap[413][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[414][RB] = ActionEntry(SHIFT, 565);
   _actionMap[414][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[415][RB] = ActionEntry(SHIFT, 566);
   _actionMap[415][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[415][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[415][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[416][RB] = ActionEntry(SHIFT, 567);
   _actionMap[417][KSEP] = ActionEntry(SHIFT, 568);
   _actionMap[418][KSEP] = ActionEntry(REDUCE, 389);
   _actionMap[419][RB] = ActionEntry(SHIFT, 569);
   _actionMap[419][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[420][RB] = ActionEntry(SHIFT, 570);
   _actionMap[420][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[421][RB] = ActionEntry(SHIFT, 571);
   _actionMap[421][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[422][LB] = ActionEntry(SHIFT, 572);
   _actionMap[423][RB] = ActionEntry(SHIFT, 573);
   _actionMap[423][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[424][RB] = ActionEntry(SHIFT, 574);
   _actionMap[424][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[425][RB] = ActionEntry(SHIFT, 575);
   _actionMap[425][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[426][RB] = ActionEntry(SHIFT, 576);
   _actionMap[426][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[427][RB] = ActionEntry(SHIFT, 577);
   _actionMap[427][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[428][RB] = ActionEntry(SHIFT, 578);
}
void Cego::loadParser167()
{
   _actionMap[428][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[429][RB] = ActionEntry(SHIFT, 579);
   _actionMap[429][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[430][RB] = ActionEntry(SHIFT, 580);
   _actionMap[430][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[431][RB] = ActionEntry(SHIFT, 581);
   _actionMap[431][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[432][RB] = ActionEntry(SHIFT, 582);
   _actionMap[432][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[433][RB] = ActionEntry(SHIFT, 583);
   _actionMap[433][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[433][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[433][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[434][RB] = ActionEntry(SHIFT, 584);
   _actionMap[434][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[434][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[434][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[435][RB] = ActionEntry(SHIFT, 585);
   _actionMap[435][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[436][RB] = ActionEntry(SHIFT, 586);
   _actionMap[437][RB] = ActionEntry(SHIFT, 587);
   _actionMap[437][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[438][RB] = ActionEntry(SHIFT, 588);
   _actionMap[438][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[439][RB] = ActionEntry(SHIFT, 589);
   _actionMap[439][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[440][RB] = ActionEntry(SHIFT, 590);
   _actionMap[440][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[441][RB] = ActionEntry(SHIFT, 591);
   _actionMap[441][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[442][RB] = ActionEntry(SHIFT, 592);
   _actionMap[442][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[443][RB] = ActionEntry(SHIFT, 593);
   _actionMap[443][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[444][KSEP] = ActionEntry(SHIFT, 594);
   _actionMap[445][RB] = ActionEntry(SHIFT, 595);
   _actionMap[445][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[446][RB] = ActionEntry(SHIFT, 596);
   _actionMap[446][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[446][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[446][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[447][RB] = ActionEntry(SHIFT, 597);
   _actionMap[447][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[448][RB] = ActionEntry(SHIFT, 598);
   _actionMap[448][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[449][RB] = ActionEntry(SHIFT, 599);
   _actionMap[449][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[450][RB] = ActionEntry(SHIFT, 600);
   _actionMap[450][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[451][RB] = ActionEntry(SHIFT, 601);
}
void Cego::loadParser168()
{
   _actionMap[451][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[452][RB] = ActionEntry(SHIFT, 602);
   _actionMap[452][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[453][WHEN] = ActionEntry(REDUCE, 157);
   _actionMap[453][ELSE] = ActionEntry(REDUCE, 157);
   _actionMap[453][LEFT] = ActionEntry(REDUCE, 157);
   _actionMap[453][RIGHT] = ActionEntry(REDUCE, 157);
   _actionMap[453][INNER] = ActionEntry(REDUCE, 157);
   _actionMap[453][JOIN] = ActionEntry(REDUCE, 157);
   _actionMap[453][RETURNTOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[453][ORDER] = ActionEntry(REDUCE, 157);
   _actionMap[453][GROUP] = ActionEntry(REDUCE, 157);
   _actionMap[453][WHERE] = ActionEntry(REDUCE, 157);
   _actionMap[453][AS] = ActionEntry(REDUCE, 157);
   _actionMap[453][FROM] = ActionEntry(REDUCE, 157);
   _actionMap[453][END_TOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[453][BEGIN] = ActionEntry(REDUCE, 157);
   _actionMap[453][THEN] = ActionEntry(REDUCE, 157);
   _actionMap[453][OR] = ActionEntry(REDUCE, 157);
   _actionMap[453][AND] = ActionEntry(REDUCE, 157);
   _actionMap[453][DESC] = ActionEntry(REDUCE, 157);
   _actionMap[453][ASC] = ActionEntry(REDUCE, 157);
   _actionMap[453][KSEP] = ActionEntry(REDUCE, 157);
   _actionMap[453][ROWLIMIT] = ActionEntry(REDUCE, 157);
   _actionMap[453][UNION] = ActionEntry(REDUCE, 157);
   _actionMap[453][ENDTOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[453][SEMICOLON] = ActionEntry(REDUCE, 157);
   _actionMap[453][LIKE] = ActionEntry(REDUCE, 157);
   _actionMap[453][BETWEEN] = ActionEntry(REDUCE, 157);
   _actionMap[453][NOT] = ActionEntry(REDUCE, 157);
   _actionMap[453][INTOK] = ActionEntry(REDUCE, 157);
   _actionMap[453][RB] = ActionEntry(REDUCE, 157);
   _actionMap[453][STAR] = ActionEntry(REDUCE, 157);
   _actionMap[453][DIVISION] = ActionEntry(REDUCE, 157);
   _actionMap[453][CONCAT] = ActionEntry(REDUCE, 157);
   _actionMap[453][MINUS] = ActionEntry(REDUCE, 157);
   _actionMap[453][PLUS] = ActionEntry(REDUCE, 157);
   _actionMap[453][IS] = ActionEntry(REDUCE, 157);
   _actionMap[453][EQU] = ActionEntry(REDUCE, 157);
   _actionMap[453][NEGATION] = ActionEntry(REDUCE, 157);
   _actionMap[453][LT] = ActionEntry(REDUCE, 157);
   _actionMap[453][MT] = ActionEntry(REDUCE, 157);
   _actionMap[454][WHEN] = ActionEntry(REDUCE, 158);
   _actionMap[454][ELSE] = ActionEntry(REDUCE, 158);
   _actionMap[454][LEFT] = ActionEntry(REDUCE, 158);
   _actionMap[454][RIGHT] = ActionEntry(REDUCE, 158);
   _actionMap[454][INNER] = ActionEntry(REDUCE, 158);
   _actionMap[454][JOIN] = ActionEntry(REDUCE, 158);
   _actionMap[454][RETURNTOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[454][ORDER] = ActionEntry(REDUCE, 158);
}
void Cego::loadParser169()
{
   _actionMap[454][GROUP] = ActionEntry(REDUCE, 158);
   _actionMap[454][WHERE] = ActionEntry(REDUCE, 158);
   _actionMap[454][AS] = ActionEntry(REDUCE, 158);
   _actionMap[454][FROM] = ActionEntry(REDUCE, 158);
   _actionMap[454][END_TOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[454][BEGIN] = ActionEntry(REDUCE, 158);
   _actionMap[454][THEN] = ActionEntry(REDUCE, 158);
   _actionMap[454][OR] = ActionEntry(REDUCE, 158);
   _actionMap[454][AND] = ActionEntry(REDUCE, 158);
   _actionMap[454][DESC] = ActionEntry(REDUCE, 158);
   _actionMap[454][ASC] = ActionEntry(REDUCE, 158);
   _actionMap[454][KSEP] = ActionEntry(REDUCE, 158);
   _actionMap[454][ROWLIMIT] = ActionEntry(REDUCE, 158);
   _actionMap[454][UNION] = ActionEntry(REDUCE, 158);
   _actionMap[454][ENDTOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[454][SEMICOLON] = ActionEntry(REDUCE, 158);
   _actionMap[454][LIKE] = ActionEntry(REDUCE, 158);
   _actionMap[454][BETWEEN] = ActionEntry(REDUCE, 158);
   _actionMap[454][NOT] = ActionEntry(REDUCE, 158);
   _actionMap[454][INTOK] = ActionEntry(REDUCE, 158);
   _actionMap[454][RB] = ActionEntry(REDUCE, 158);
   _actionMap[454][STAR] = ActionEntry(REDUCE, 158);
   _actionMap[454][DIVISION] = ActionEntry(REDUCE, 158);
   _actionMap[454][CONCAT] = ActionEntry(REDUCE, 158);
   _actionMap[454][MINUS] = ActionEntry(REDUCE, 158);
   _actionMap[454][PLUS] = ActionEntry(REDUCE, 158);
   _actionMap[454][IS] = ActionEntry(REDUCE, 158);
   _actionMap[454][EQU] = ActionEntry(REDUCE, 158);
   _actionMap[454][NEGATION] = ActionEntry(REDUCE, 158);
   _actionMap[454][LT] = ActionEntry(REDUCE, 158);
   _actionMap[454][MT] = ActionEntry(REDUCE, 158);
   _actionMap[455][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[455][MINUS] = ActionEntry(SHIFT, 604);
   _jumpMap[455][SignedInt] = 603;
   _actionMap[456][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[456][MINUS] = ActionEntry(SHIFT, 606);
   _jumpMap[456][SignedFloat] = 605;
   _actionMap[457][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[457][MINUS] = ActionEntry(SHIFT, 606);
   _jumpMap[457][SignedFloat] = 607;
   _actionMap[458][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[458][MINUS] = ActionEntry(SHIFT, 606);
   _jumpMap[458][SignedFloat] = 608;
   _actionMap[459][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[459][MINUS] = ActionEntry(SHIFT, 604);
   _jumpMap[459][SignedInt] = 609;
   _actionMap[460][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[460][MINUS] = ActionEntry(SHIFT, 604);
   _jumpMap[460][SignedInt] = 610;
   _actionMap[461][INTVAL] = ActionEntry(SHIFT, 158);
}
void Cego::loadParser170()
{
   _actionMap[461][MINUS] = ActionEntry(SHIFT, 604);
   _jumpMap[461][SignedInt] = 611;
   _actionMap[462][IDENTIFIER] = ActionEntry(SHIFT, 612);
   _actionMap[463][IDENTIFIER] = ActionEntry(SHIFT, 613);
   _actionMap[464][IDENTIFIER] = ActionEntry(SHIFT, 614);
   _actionMap[465][IDENTIFIER] = ActionEntry(SHIFT, 615);
   _actionMap[466][IDENTIFIER] = ActionEntry(SHIFT, 616);
   _actionMap[467][IDENTIFIER] = ActionEntry(SHIFT, 617);
   _actionMap[468][IDENTIFIER] = ActionEntry(SHIFT, 618);
   _actionMap[469][SEMICOLON] = ActionEntry(REDUCE, 328);
   _actionMap[469][RB] = ActionEntry(REDUCE, 328);
   _actionMap[469][ENDTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[469][UNION] = ActionEntry(REDUCE, 328);
   _actionMap[469][ROWLIMIT] = ActionEntry(REDUCE, 328);
   _actionMap[469][ORDER] = ActionEntry(REDUCE, 328);
   _actionMap[469][GROUP] = ActionEntry(REDUCE, 328);
   _actionMap[469][WHERE] = ActionEntry(SHIFT, 380);
   _jumpMap[469][NoWhere] = 379;
   _jumpMap[469][WhereClause] = 619;
   _actionMap[470][WHERE] = ActionEntry(REDUCE, 219);
   _actionMap[470][GROUP] = ActionEntry(REDUCE, 219);
   _actionMap[470][ORDER] = ActionEntry(REDUCE, 219);
   _actionMap[470][ROWLIMIT] = ActionEntry(REDUCE, 219);
   _actionMap[470][UNION] = ActionEntry(REDUCE, 219);
   _actionMap[470][ENDTOKEN] = ActionEntry(REDUCE, 219);
   _actionMap[470][RB] = ActionEntry(REDUCE, 219);
   _actionMap[470][SEMICOLON] = ActionEntry(REDUCE, 219);
   _actionMap[470][RETURNTOKEN] = ActionEntry(REDUCE, 219);
   _actionMap[470][INNER] = ActionEntry(SHIFT, 622);
   _actionMap[470][JOIN] = ActionEntry(SHIFT, 623);
   _actionMap[470][LEFT] = ActionEntry(SHIFT, 624);
   _actionMap[470][RIGHT] = ActionEntry(SHIFT, 625);
   _jumpMap[470][InnerJoin] = 621;
   _jumpMap[470][JoinSpec] = 620;
   _actionMap[471][WHERE] = ActionEntry(REDUCE, 218);
   _actionMap[471][GROUP] = ActionEntry(REDUCE, 218);
   _actionMap[471][ORDER] = ActionEntry(REDUCE, 218);
   _actionMap[471][ROWLIMIT] = ActionEntry(REDUCE, 218);
   _actionMap[471][UNION] = ActionEntry(REDUCE, 218);
   _actionMap[471][ENDTOKEN] = ActionEntry(REDUCE, 218);
   _actionMap[471][RB] = ActionEntry(REDUCE, 218);
   _actionMap[471][SEMICOLON] = ActionEntry(REDUCE, 218);
   _actionMap[471][RETURNTOKEN] = ActionEntry(REDUCE, 218);
   _actionMap[472][KSEP] = ActionEntry(SHIFT, 627);
   _actionMap[472][RETURNTOKEN] = ActionEntry(REDUCE, 228);
   _actionMap[472][SEMICOLON] = ActionEntry(REDUCE, 228);
   _actionMap[472][RB] = ActionEntry(REDUCE, 228);
   _actionMap[472][ENDTOKEN] = ActionEntry(REDUCE, 228);
   _actionMap[472][UNION] = ActionEntry(REDUCE, 228);
   _actionMap[472][ROWLIMIT] = ActionEntry(REDUCE, 228);
}
void Cego::loadParser171()
{
   _actionMap[472][ORDER] = ActionEntry(REDUCE, 228);
   _actionMap[472][GROUP] = ActionEntry(REDUCE, 228);
   _actionMap[472][WHERE] = ActionEntry(REDUCE, 228);
   _actionMap[472][INNER] = ActionEntry(SHIFT, 622);
   _actionMap[472][JOIN] = ActionEntry(SHIFT, 623);
   _actionMap[472][LEFT] = ActionEntry(SHIFT, 624);
   _actionMap[472][RIGHT] = ActionEntry(SHIFT, 625);
   _jumpMap[472][InnerJoin] = 621;
   _jumpMap[472][JoinSpec] = 626;
   _actionMap[473][WHERE] = ActionEntry(REDUCE, 229);
   _actionMap[473][IDENTIFIER] = ActionEntry(SHIFT, 628);
   _actionMap[473][GROUP] = ActionEntry(REDUCE, 229);
   _actionMap[473][ORDER] = ActionEntry(REDUCE, 229);
   _actionMap[473][ROWLIMIT] = ActionEntry(REDUCE, 229);
   _actionMap[473][UNION] = ActionEntry(REDUCE, 229);
   _actionMap[473][ENDTOKEN] = ActionEntry(REDUCE, 229);
   _actionMap[473][RB] = ActionEntry(REDUCE, 229);
   _actionMap[473][SEMICOLON] = ActionEntry(REDUCE, 229);
   _actionMap[473][RETURNTOKEN] = ActionEntry(REDUCE, 229);
   _actionMap[473][LEFT] = ActionEntry(REDUCE, 229);
   _actionMap[473][RIGHT] = ActionEntry(REDUCE, 229);
   _actionMap[473][INNER] = ActionEntry(REDUCE, 229);
   _actionMap[473][JOIN] = ActionEntry(REDUCE, 229);
   _actionMap[473][KSEP] = ActionEntry(REDUCE, 229);
   _actionMap[473][ON] = ActionEntry(REDUCE, 229);
   _actionMap[474][FROM] = ActionEntry(REDUCE, 217);
   _actionMap[474][RB] = ActionEntry(REDUCE, 217);
   _actionMap[474][SEMICOLON] = ActionEntry(REDUCE, 217);
   _actionMap[474][ENDTOKEN] = ActionEntry(REDUCE, 217);
   _actionMap[474][KSEP] = ActionEntry(REDUCE, 217);
   _actionMap[475][FROM] = ActionEntry(REDUCE, 233);
   _actionMap[475][RB] = ActionEntry(REDUCE, 233);
   _actionMap[475][SEMICOLON] = ActionEntry(REDUCE, 233);
   _actionMap[475][ENDTOKEN] = ActionEntry(REDUCE, 233);
   _actionMap[475][KSEP] = ActionEntry(REDUCE, 233);
   _actionMap[476][IDENTIFIER] = ActionEntry(SHIFT, 629);
   _actionMap[477][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[477][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[477][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[477][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[477][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[477][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[477][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[477][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[477][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[477][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[477][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[477][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[477][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[477][LOWER] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser172()
{
   _actionMap[477][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[477][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[477][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[477][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[477][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[477][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[477][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[477][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[477][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[477][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[477][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[477][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[477][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[477][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[477][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[477][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[477][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[477][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[477][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[477][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[477][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[477][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[477][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[477][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[477][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[477][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[477][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[477][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[477][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[477][LB] = ActionEntry(SHIFT, 156);
   _actionMap[477][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[477][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[477][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[477][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[477][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[477][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[477][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[477][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[477][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[477][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[477][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[477][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[477][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[477][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[477][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[477][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[477][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[477][ObjSpec] = 103;
   _jumpMap[477][Constant] = 102;
   _jumpMap[477][SignedFloat] = 101;
}
void Cego::loadParser173()
{
   _jumpMap[477][SignedInt] = 100;
   _jumpMap[477][Attribute] = 99;
   _jumpMap[477][Function] = 98;
   _jumpMap[477][SelectItem] = 630;
   _jumpMap[477][CasePrepare] = 97;
   _jumpMap[477][CaseClause] = 96;
   _jumpMap[477][Factor] = 95;
   _jumpMap[477][Term] = 94;
   _jumpMap[477][Expr] = 319;
   _actionMap[478][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[478][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[478][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[478][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[478][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[478][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[478][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[478][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[478][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[478][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[478][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[478][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[478][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[478][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[478][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[478][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[478][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[478][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[478][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[478][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[478][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[478][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[478][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[478][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[478][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[478][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[478][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[478][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[478][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[478][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[478][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[478][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[478][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[478][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[478][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[478][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[478][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[478][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[478][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[478][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[478][IDENTIFIER] = ActionEntry(SHIFT, 160);
}
void Cego::loadParser174()
{
   _actionMap[478][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[478][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[478][LB] = ActionEntry(SHIFT, 156);
   _actionMap[478][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[478][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[478][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[478][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[478][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[478][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[478][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[478][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[478][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[478][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[478][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[478][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[478][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[478][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[478][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[478][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[478][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[478][ObjSpec] = 103;
   _jumpMap[478][Constant] = 102;
   _jumpMap[478][SignedFloat] = 101;
   _jumpMap[478][SignedInt] = 100;
   _jumpMap[478][Attribute] = 99;
   _jumpMap[478][Function] = 98;
   _jumpMap[478][CasePrepare] = 97;
   _jumpMap[478][CaseClause] = 96;
   _jumpMap[478][Factor] = 95;
   _jumpMap[478][Term] = 94;
   _jumpMap[478][Expr] = 631;
   _actionMap[479][SEMICOLON] = ActionEntry(REDUCE, 41);
   _actionMap[480][SEMICOLON] = ActionEntry(REDUCE, 40);
   _actionMap[481][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[481][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[481][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[481][SEMICOLON] = ActionEntry(REDUCE, 73);
   _actionMap[482][KSEP] = ActionEntry(SHIFT, 633);
   _actionMap[482][SEMICOLON] = ActionEntry(REDUCE, 328);
   _actionMap[482][RETURNTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[482][WHERE] = ActionEntry(SHIFT, 380);
   _jumpMap[482][NoWhere] = 379;
   _jumpMap[482][WhereClause] = 632;
   _actionMap[483][KSEP] = ActionEntry(REDUCE, 260);
   _actionMap[483][WHERE] = ActionEntry(REDUCE, 260);
   _actionMap[483][GROUP] = ActionEntry(REDUCE, 260);
   _actionMap[483][ORDER] = ActionEntry(REDUCE, 260);
   _actionMap[483][ROWLIMIT] = ActionEntry(REDUCE, 260);
   _actionMap[483][UNION] = ActionEntry(REDUCE, 260);
   _actionMap[483][ENDTOKEN] = ActionEntry(REDUCE, 260);
}
void Cego::loadParser175()
{
   _actionMap[483][RB] = ActionEntry(REDUCE, 260);
   _actionMap[483][SEMICOLON] = ActionEntry(REDUCE, 260);
   _actionMap[483][RETURNTOKEN] = ActionEntry(REDUCE, 260);
   _actionMap[484][EQU] = ActionEntry(SHIFT, 634);
   _actionMap[485][LB] = ActionEntry(SHIFT, 635);
   _actionMap[195][SEMICOLON] = ActionEntry(REDUCE, 68);
   _actionMap[196][SEMICOLON] = ActionEntry(REDUCE, 63);
   _actionMap[197][SEMICOLON] = ActionEntry(REDUCE, 67);
   _actionMap[198][SEMICOLON] = ActionEntry(REDUCE, 77);
   _actionMap[199][TO] = ActionEntry(REDUCE, 79);
   _actionMap[199][SEMICOLON] = ActionEntry(REDUCE, 79);
   _actionMap[200][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[200][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[200][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[200][ObjSpec] = 338;
   _actionMap[201][SEMICOLON] = ActionEntry(REDUCE, 65);
   _actionMap[202][SEMICOLON] = ActionEntry(REDUCE, 62);
   _actionMap[203][SEMICOLON] = ActionEntry(REDUCE, 64);
   _actionMap[204][ADD] = ActionEntry(SHIFT, 341);
   _actionMap[204][DROP] = ActionEntry(SHIFT, 342);
   _actionMap[204][MODIFY] = ActionEntry(SHIFT, 343);
   _actionMap[204][RENAME] = ActionEntry(SHIFT, 344);
   _jumpMap[204][AlterOption] = 340;
   _jumpMap[204][AlterList] = 339;
   _actionMap[205][BY] = ActionEntry(SHIFT, 345);
   _actionMap[206][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[206][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[206][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[206][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[206][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[206][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[206][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[206][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[206][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[206][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[206][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[206][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[206][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[206][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[206][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[206][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[206][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[206][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[206][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[206][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[206][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[206][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[206][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[206][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[206][STR2DATE] = ActionEntry(SHIFT, 151);
}
void Cego::loadParser176()
{
   _actionMap[206][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[206][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[206][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[206][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[206][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[206][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[206][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[206][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[206][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[206][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[206][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[206][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[206][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[206][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[206][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[206][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[206][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[206][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[206][LB] = ActionEntry(SHIFT, 156);
   _actionMap[206][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[206][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[206][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[206][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[206][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[206][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[206][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[206][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[206][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[206][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[206][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[206][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[206][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[206][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[206][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[206][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[206][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[206][RB] = ActionEntry(REDUCE, 122);
   _jumpMap[206][ObjSpec] = 103;
   _jumpMap[206][Constant] = 102;
   _jumpMap[206][SignedFloat] = 101;
   _jumpMap[206][SignedInt] = 100;
   _jumpMap[206][Attribute] = 99;
   _jumpMap[206][Function] = 98;
   _jumpMap[206][CasePrepare] = 97;
   _jumpMap[206][CaseClause] = 96;
   _jumpMap[206][Factor] = 95;
   _jumpMap[206][Term] = 94;
   _jumpMap[206][Expr] = 348;
   _jumpMap[206][ProcValueList] = 347;
   _jumpMap[206][ProcValueListOpt] = 346;
}
void Cego::loadParser177()
{
   _actionMap[207][SEMICOLON] = ActionEntry(REDUCE, 75);
   _actionMap[208][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[208][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[208][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[208][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[208][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[208][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[208][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[208][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[208][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[208][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[208][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[208][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[208][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[208][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[208][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[208][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[208][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[208][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[208][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[208][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[208][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[208][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[208][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[208][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[208][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[208][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[208][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[208][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[208][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[208][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[208][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[208][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[208][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[208][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[208][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[208][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[208][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[208][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[208][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[208][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[208][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[208][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[208][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[208][LB] = ActionEntry(SHIFT, 156);
   _actionMap[208][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[208][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[208][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[208][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[208][TRUEVAL] = ActionEntry(SHIFT, 153);
}
void Cego::loadParser178()
{
   _actionMap[208][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[208][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[208][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[208][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[208][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[208][VARREF] = ActionEntry(SHIFT, 371);
   _actionMap[208][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[208][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[208][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[208][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[208][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[208][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[208][IF] = ActionEntry(SHIFT, 365);
   _actionMap[208][BEGIN] = ActionEntry(SHIFT, 362);
   _actionMap[208][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[208][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[208][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[208][UPDATE] = ActionEntry(SHIFT, 37);
   _actionMap[208][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[208][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[208][VAR] = ActionEntry(SHIFT, 369);
   _actionMap[208][CURSOR] = ActionEntry(SHIFT, 364);
   _actionMap[208][CLOSE] = ActionEntry(SHIFT, 363);
   _actionMap[208][NOOP] = ActionEntry(SHIFT, 366);
   _actionMap[208][THROW] = ActionEntry(SHIFT, 368);
   _actionMap[208][RETURNTOKEN] = ActionEntry(SHIFT, 367);
   _actionMap[208][WHILE] = ActionEntry(SHIFT, 370);
   _jumpMap[208][ObjSpec] = 103;
   _jumpMap[208][Constant] = 102;
   _jumpMap[208][SignedFloat] = 101;
   _jumpMap[208][SignedInt] = 100;
   _jumpMap[208][Attribute] = 99;
   _jumpMap[208][Function] = 98;
   _jumpMap[208][DeleteStatement] = 361;
   _jumpMap[208][UpdateStatement] = 360;
   _jumpMap[208][InsertStatement] = 359;
   _jumpMap[208][RollbackStatement] = 358;
   _jumpMap[208][CommitStatement] = 357;
   _jumpMap[208][StartStatement] = 356;
   _jumpMap[208][CasePrepare] = 97;
   _jumpMap[208][CaseClause] = 96;
   _jumpMap[208][Factor] = 95;
   _jumpMap[208][Term] = 94;
   _jumpMap[208][Expr] = 355;
   _jumpMap[208][ProcStatement] = 354;
   _jumpMap[208][ProcIfPart] = 353;
   _jumpMap[208][ProcBlockStart] = 352;
   _jumpMap[208][ProcStatementList] = 351;
   _jumpMap[208][ProcStmtBlock] = 350;
   _actionMap[209][IDENTIFIER] = ActionEntry(SHIFT, 372);
}
void Cego::loadParser179()
{
   _actionMap[210][ON] = ActionEntry(REDUCE, 191);
   _actionMap[210][IDENTIFIER] = ActionEntry(REDUCE, 191);
   _actionMap[211][ON] = ActionEntry(REDUCE, 190);
   _actionMap[211][IDENTIFIER] = ActionEntry(REDUCE, 190);
   _actionMap[212][SEMICOLON] = ActionEntry(REDUCE, 76);
   _actionMap[213][ON] = ActionEntry(SHIFT, 373);
   _actionMap[214][LB] = ActionEntry(SHIFT, 374);
   _actionMap[215][LB] = ActionEntry(SHIFT, 375);
   _actionMap[216][AS] = ActionEntry(SHIFT, 376);
   _actionMap[217][IDENTIFIER] = ActionEntry(SHIFT, 336);
   _actionMap[217][WHERE] = ActionEntry(REDUCE, 269);
   _actionMap[217][GROUP] = ActionEntry(REDUCE, 269);
   _actionMap[217][ORDER] = ActionEntry(REDUCE, 269);
   _actionMap[217][ROWLIMIT] = ActionEntry(REDUCE, 269);
   _actionMap[217][UNION] = ActionEntry(REDUCE, 269);
   _actionMap[217][ENDTOKEN] = ActionEntry(REDUCE, 269);
   _actionMap[217][RB] = ActionEntry(REDUCE, 269);
   _actionMap[217][SEMICOLON] = ActionEntry(REDUCE, 269);
   _actionMap[217][RETURNTOKEN] = ActionEntry(REDUCE, 269);
   _jumpMap[217][NoWhere] = 379;
   _jumpMap[217][WhereClause] = 378;
   _jumpMap[217][UpdDelAlias] = 377;
   _actionMap[218][SEMICOLON] = ActionEntry(REDUCE, 22);
   _actionMap[219][SEMICOLON] = ActionEntry(REDUCE, 21);
   _actionMap[220][SEMICOLON] = ActionEntry(REDUCE, 25);
   _actionMap[221][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[221][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[221][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[221][ObjSpec] = 381;
   _actionMap[222][SEMICOLON] = ActionEntry(REDUCE, 26);
   _actionMap[223][SEMICOLON] = ActionEntry(REDUCE, 20);
   _actionMap[224][SEMICOLON] = ActionEntry(REDUCE, 23);
   _actionMap[225][COUNTER] = ActionEntry(REDUCE, 70);
   _actionMap[225][BTREE] = ActionEntry(REDUCE, 70);
   _actionMap[225][INDEX] = ActionEntry(REDUCE, 70);
   _actionMap[225][CHECK] = ActionEntry(REDUCE, 70);
   _actionMap[225][FOREIGN] = ActionEntry(REDUCE, 70);
   _actionMap[225][PROCEDURE] = ActionEntry(REDUCE, 70);
   _actionMap[225][VIEW] = ActionEntry(REDUCE, 70);
   _actionMap[225][AVLTREE] = ActionEntry(REDUCE, 70);
   _actionMap[225][TABLE] = ActionEntry(REDUCE, 70);
   _actionMap[226][LB] = ActionEntry(SHIFT, 386);
   _actionMap[226][VALUES] = ActionEntry(REDUCE, 200);
   _actionMap[226][SELECT] = ActionEntry(REDUCE, 200);
   _jumpMap[226][SelectStatement] = 384;
   _jumpMap[226][InsertPrepare] = 383;
   _jumpMap[226][InsertArgSpec] = 382;
   _actionMap[227][SEMICOLON] = ActionEntry(REDUCE, 81);
   _actionMap[227][IDENTIFIER] = ActionEntry(REDUCE, 81);
   _actionMap[228][SEMICOLON] = ActionEntry(REDUCE, 7);
}
void Cego::loadParser180()
{
   _actionMap[229][IDENTIFIER] = ActionEntry(SHIFT, 387);
   _actionMap[230][SEMICOLON] = ActionEntry(REDUCE, 6);
   _actionMap[231][SEMICOLON] = ActionEntry(REDUCE, 12);
   _actionMap[232][SEMICOLON] = ActionEntry(REDUCE, 9);
   _actionMap[233][SEMICOLON] = ActionEntry(REDUCE, 8);
   _actionMap[234][SEMICOLON] = ActionEntry(REDUCE, 4);
   _actionMap[235][SEMICOLON] = ActionEntry(REDUCE, 10);
   _actionMap[236][SEMICOLON] = ActionEntry(REDUCE, 3);
   _actionMap[237][SEMICOLON] = ActionEntry(REDUCE, 11);
   _actionMap[238][SEMICOLON] = ActionEntry(REDUCE, 5);
   _actionMap[239][AS] = ActionEntry(SHIFT, 388);
   _actionMap[240][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[240][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[240][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[240][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[240][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[240][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[240][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[240][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[240][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[240][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[240][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[240][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[240][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[240][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[240][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[240][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[240][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[240][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[240][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[240][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[240][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[240][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[240][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[240][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[240][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[240][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[240][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[240][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[240][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[240][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[240][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[240][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[240][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[240][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[240][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[240][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[240][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[240][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[240][BITXOR] = ActionEntry(SHIFT, 109);
}
void Cego::loadParser181()
{
   _actionMap[240][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[240][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[240][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[240][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[240][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[240][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[240][LB] = ActionEntry(SHIFT, 156);
   _actionMap[240][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[240][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[240][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[240][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[240][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[240][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[240][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[240][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[240][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[240][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[240][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[240][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[240][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[240][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[240][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[240][ObjSpec] = 103;
   _jumpMap[240][Constant] = 102;
   _jumpMap[240][SignedFloat] = 101;
   _jumpMap[240][SignedInt] = 100;
   _jumpMap[240][Attribute] = 99;
   _jumpMap[240][Function] = 98;
   _jumpMap[240][CasePrepare] = 97;
   _jumpMap[240][CaseClause] = 96;
   _jumpMap[240][Factor] = 95;
   _jumpMap[240][Term] = 389;
   _actionMap[241][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[241][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[241][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[241][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[241][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[241][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[241][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[241][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[241][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[241][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[241][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[241][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[241][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[241][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[241][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[241][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[241][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[241][LOWER] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser182()
{
   _actionMap[241][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[241][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[241][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[241][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[241][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[241][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[241][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[241][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[241][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[241][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[241][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[241][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[241][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[241][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[241][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[241][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[241][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[241][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[241][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[241][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[241][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[241][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[241][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[241][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[241][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[241][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[241][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[241][LB] = ActionEntry(SHIFT, 156);
   _actionMap[241][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[241][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[241][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[241][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[241][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[241][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[241][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[241][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[241][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[241][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[241][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[241][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[241][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[241][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[241][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[241][ObjSpec] = 103;
   _jumpMap[241][Constant] = 102;
   _jumpMap[241][SignedFloat] = 101;
   _jumpMap[241][SignedInt] = 100;
   _jumpMap[241][Attribute] = 99;
   _jumpMap[241][Function] = 98;
   _jumpMap[241][CasePrepare] = 97;
}
void Cego::loadParser183()
{
   _jumpMap[241][CaseClause] = 96;
   _jumpMap[241][Factor] = 95;
   _jumpMap[241][Term] = 390;
   _actionMap[242][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[242][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[242][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[242][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[242][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[242][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[242][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[242][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[242][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[242][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[242][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[242][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[242][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[242][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[242][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[242][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[242][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[242][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[242][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[242][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[242][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[242][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[242][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[242][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[242][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[242][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[242][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[242][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[242][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[242][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[242][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[242][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[242][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[242][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[242][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[242][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[242][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[242][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[242][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[242][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[242][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[242][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[242][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[242][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[242][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[242][LB] = ActionEntry(SHIFT, 156);
   _actionMap[242][STRINGVAL] = ActionEntry(SHIFT, 104);
}
void Cego::loadParser184()
{
   _actionMap[242][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[242][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[242][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[242][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[242][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[242][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[242][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[242][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[242][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[242][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[242][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[242][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[242][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[242][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[242][ObjSpec] = 103;
   _jumpMap[242][Constant] = 102;
   _jumpMap[242][SignedFloat] = 101;
   _jumpMap[242][SignedInt] = 100;
   _jumpMap[242][Attribute] = 99;
   _jumpMap[242][Function] = 98;
   _jumpMap[242][CasePrepare] = 97;
   _jumpMap[242][CaseClause] = 96;
   _jumpMap[242][Factor] = 95;
   _jumpMap[242][Term] = 391;
   _actionMap[243][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[243][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[243][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[243][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[243][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[243][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[243][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[243][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[243][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[243][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[243][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[243][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[243][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[243][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[243][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[243][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[243][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[243][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[243][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[243][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[243][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[243][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[243][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[243][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[243][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[243][TRUNC] = ActionEntry(SHIFT, 154);
}
void Cego::loadParser185()
{
   _actionMap[243][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[243][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[243][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[243][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[243][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[243][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[243][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[243][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[243][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[243][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[243][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[243][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[243][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[243][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[243][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[243][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[243][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[243][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[243][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[243][LB] = ActionEntry(SHIFT, 156);
   _actionMap[243][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[243][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[243][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[243][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[243][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[243][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[243][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[243][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[243][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[243][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[243][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[243][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[243][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[243][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[243][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[243][ObjSpec] = 103;
   _jumpMap[243][Constant] = 102;
   _jumpMap[243][SignedFloat] = 101;
   _jumpMap[243][SignedInt] = 100;
   _jumpMap[243][Attribute] = 99;
   _jumpMap[243][Function] = 98;
   _jumpMap[243][CasePrepare] = 97;
   _jumpMap[243][CaseClause] = 96;
   _jumpMap[243][Factor] = 392;
   _actionMap[244][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[244][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[244][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[244][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[244][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[244][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
}
void Cego::loadParser186()
{
   _actionMap[244][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[244][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[244][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[244][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[244][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[244][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[244][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[244][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[244][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[244][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[244][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[244][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[244][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[244][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[244][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[244][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[244][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[244][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[244][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[244][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[244][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[244][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[244][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[244][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[244][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[244][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[244][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[244][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[244][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[244][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[244][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[244][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[244][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[244][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[244][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[244][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[244][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[244][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[244][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[244][LB] = ActionEntry(SHIFT, 156);
   _actionMap[244][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[244][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[244][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[244][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[244][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[244][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[244][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[244][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[244][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[244][FETCH] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser187()
{
   _actionMap[244][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[244][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[244][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[244][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[244][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[244][ObjSpec] = 103;
   _jumpMap[244][Constant] = 102;
   _jumpMap[244][SignedFloat] = 101;
   _jumpMap[244][SignedInt] = 100;
   _jumpMap[244][Attribute] = 99;
   _jumpMap[244][Function] = 98;
   _jumpMap[244][CasePrepare] = 97;
   _jumpMap[244][CaseClause] = 96;
   _jumpMap[244][Factor] = 393;
   _actionMap[245][ELSE] = ActionEntry(SHIFT, 395);
   _actionMap[245][WHEN] = ActionEntry(SHIFT, 247);
   _jumpMap[245][CaseCondition] = 394;
   _actionMap[246][WHEN] = ActionEntry(REDUCE, 168);
   _actionMap[246][ELSE] = ActionEntry(REDUCE, 168);
   _actionMap[247][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[247][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[247][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[247][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[247][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[247][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[247][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[247][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[247][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[247][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[247][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[247][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[247][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[247][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[247][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[247][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[247][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[247][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[247][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[247][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[247][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[247][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[247][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[247][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[247][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[247][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[247][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[247][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[247][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[247][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[247][LDIV] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser188()
{
   _actionMap[247][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[247][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[247][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[247][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[247][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[247][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[247][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[247][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[247][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[247][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[247][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[247][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[247][LB] = ActionEntry(SHIFT, 401);
   _actionMap[247][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[247][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[247][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[247][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[247][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[247][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[247][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[247][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[247][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[247][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[247][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[247][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[247][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[247][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[247][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[247][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[247][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[247][EXISTS] = ActionEntry(SHIFT, 399);
   _actionMap[247][NOT] = ActionEntry(SHIFT, 400);
   _jumpMap[247][ObjSpec] = 103;
   _jumpMap[247][Constant] = 102;
   _jumpMap[247][SignedFloat] = 101;
   _jumpMap[247][SignedInt] = 100;
   _jumpMap[247][Attribute] = 99;
   _jumpMap[247][QueryPredicate] = 398;
   _jumpMap[247][QueryCondition] = 397;
   _jumpMap[247][Function] = 98;
   _jumpMap[247][CasePrepare] = 97;
   _jumpMap[247][CaseClause] = 96;
   _jumpMap[247][Factor] = 95;
   _jumpMap[247][Term] = 94;
   _jumpMap[247][Expr] = 396;
   _actionMap[248][RB] = ActionEntry(SHIFT, 404);
   _actionMap[248][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[248][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[248][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[248][INT2ASC] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser189()
{
   _actionMap[248][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[248][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[248][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[248][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[248][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[248][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[248][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[248][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[248][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[248][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[248][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[248][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[248][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[248][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[248][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[248][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[248][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[248][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[248][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[248][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[248][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[248][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[248][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[248][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[248][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[248][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[248][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[248][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[248][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[248][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[248][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[248][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[248][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[248][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[248][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[248][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[248][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[248][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[248][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[248][LB] = ActionEntry(SHIFT, 156);
   _actionMap[248][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[248][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[248][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[248][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[248][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[248][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[248][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[248][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[248][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[248][CASE] = ActionEntry(SHIFT, 112);
}
void Cego::loadParser190()
{
   _actionMap[248][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[248][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[248][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[248][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[248][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[248][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[248][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[248][ObjSpec] = 103;
   _jumpMap[248][Constant] = 102;
   _jumpMap[248][SignedFloat] = 101;
   _jumpMap[248][SignedInt] = 100;
   _jumpMap[248][Attribute] = 99;
   _jumpMap[248][ExpressionList] = 403;
   _jumpMap[248][Function] = 98;
   _jumpMap[248][CasePrepare] = 97;
   _jumpMap[248][CaseClause] = 96;
   _jumpMap[248][Factor] = 95;
   _jumpMap[248][Term] = 94;
   _jumpMap[248][Expr] = 402;
   _actionMap[249][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[249][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[249][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[249][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[249][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[249][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[249][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[249][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[249][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[249][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[249][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[249][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[249][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[249][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[249][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[249][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[249][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[249][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[249][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[249][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[249][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[249][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[249][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[249][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[249][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[249][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[249][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[249][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[249][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[249][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[249][LDIV] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser191()
{
   _actionMap[249][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[249][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[249][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[249][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[249][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[249][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[249][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[249][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[249][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[249][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[249][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[249][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[249][LB] = ActionEntry(SHIFT, 156);
   _actionMap[249][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[249][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[249][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[249][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[249][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[249][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[249][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[249][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[249][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[249][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[249][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[249][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[249][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[249][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[249][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[249][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[249][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[249][ObjSpec] = 103;
   _jumpMap[249][Constant] = 102;
   _jumpMap[249][SignedFloat] = 101;
   _jumpMap[249][SignedInt] = 100;
   _jumpMap[249][Attribute] = 99;
   _jumpMap[249][ExpressionList] = 405;
   _jumpMap[249][Function] = 98;
   _jumpMap[249][CasePrepare] = 97;
   _jumpMap[249][CaseClause] = 96;
   _jumpMap[249][Factor] = 95;
   _jumpMap[249][Term] = 94;
   _jumpMap[249][Expr] = 402;
   _actionMap[250][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[250][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[250][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[250][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[250][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[250][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[250][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[250][LTRIM] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser192()
{
   _actionMap[250][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[250][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[250][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[250][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[250][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[250][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[250][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[250][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[250][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[250][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[250][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[250][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[250][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[250][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[250][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[250][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[250][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[250][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[250][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[250][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[250][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[250][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[250][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[250][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[250][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[250][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[250][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[250][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[250][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[250][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[250][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[250][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[250][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[250][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[250][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[250][LB] = ActionEntry(SHIFT, 156);
   _actionMap[250][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[250][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[250][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[250][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[250][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[250][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[250][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[250][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[250][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[250][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[250][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[250][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[250][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[250][SUM] = ActionEntry(SHIFT, 147);
}
void Cego::loadParser193()
{
   _actionMap[250][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[250][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[250][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[250][ObjSpec] = 103;
   _jumpMap[250][Constant] = 102;
   _jumpMap[250][SignedFloat] = 101;
   _jumpMap[250][SignedInt] = 100;
   _jumpMap[250][Attribute] = 99;
   _jumpMap[250][Function] = 98;
   _jumpMap[250][CasePrepare] = 97;
   _jumpMap[250][CaseClause] = 96;
   _jumpMap[250][Factor] = 95;
   _jumpMap[250][Term] = 94;
   _jumpMap[250][Expr] = 406;
   _actionMap[251][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[251][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[251][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[251][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[251][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[251][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[251][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[251][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[251][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[251][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[251][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[251][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[251][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[251][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[251][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[251][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[251][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[251][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[251][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[251][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[251][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[251][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[251][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[251][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[251][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[251][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[251][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[251][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[251][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[251][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[251][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[251][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[251][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[251][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[251][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[251][BLOBSIZE] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser194()
{
   _actionMap[251][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[251][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[251][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[251][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[251][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[251][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[251][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[251][LB] = ActionEntry(SHIFT, 156);
   _actionMap[251][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[251][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[251][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[251][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[251][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[251][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[251][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[251][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[251][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[251][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[251][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[251][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[251][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[251][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[251][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[251][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[251][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[251][ObjSpec] = 103;
   _jumpMap[251][Constant] = 102;
   _jumpMap[251][SignedFloat] = 101;
   _jumpMap[251][SignedInt] = 100;
   _jumpMap[251][Attribute] = 99;
   _jumpMap[251][ExpressionList] = 407;
   _jumpMap[251][Function] = 98;
   _jumpMap[251][CasePrepare] = 97;
   _jumpMap[251][CaseClause] = 96;
   _jumpMap[251][Factor] = 95;
   _jumpMap[251][Term] = 94;
   _jumpMap[251][Expr] = 402;
   _actionMap[252][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[252][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[252][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[252][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[252][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[252][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[252][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[252][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[252][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[252][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[252][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[252][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[252][NEWDATE] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser195()
{
   _actionMap[252][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[252][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[252][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[252][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[252][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[252][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[252][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[252][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[252][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[252][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[252][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[252][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[252][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[252][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[252][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[252][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[252][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[252][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[252][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[252][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[252][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[252][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[252][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[252][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[252][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[252][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[252][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[252][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[252][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[252][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[252][LB] = ActionEntry(SHIFT, 156);
   _actionMap[252][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[252][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[252][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[252][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[252][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[252][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[252][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[252][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[252][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[252][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[252][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[252][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[252][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[252][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[252][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[252][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[252][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[252][ObjSpec] = 103;
   _jumpMap[252][Constant] = 102;
}
void Cego::loadParser196()
{
   _jumpMap[252][SignedFloat] = 101;
   _jumpMap[252][SignedInt] = 100;
   _jumpMap[252][Attribute] = 99;
   _jumpMap[252][ExpressionList] = 408;
   _jumpMap[252][Function] = 98;
   _jumpMap[252][CasePrepare] = 97;
   _jumpMap[252][CaseClause] = 96;
   _jumpMap[252][Factor] = 95;
   _jumpMap[252][Term] = 94;
   _jumpMap[252][Expr] = 402;
   _actionMap[253][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[253][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[253][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[253][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[253][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[253][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[253][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[253][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[253][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[253][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[253][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[253][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[253][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[253][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[253][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[253][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[253][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[253][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[253][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[253][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[253][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[253][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[253][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[253][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[253][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[253][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[253][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[253][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[253][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[253][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[253][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[253][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[253][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[253][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[253][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[253][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[253][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[253][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[253][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[253][SETCOUNT] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser197()
{
   _actionMap[253][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[253][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[253][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[253][LB] = ActionEntry(SHIFT, 156);
   _actionMap[253][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[253][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[253][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[253][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[253][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[253][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[253][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[253][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[253][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[253][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[253][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[253][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[253][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[253][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[253][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[253][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[253][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[253][ObjSpec] = 103;
   _jumpMap[253][Constant] = 102;
   _jumpMap[253][SignedFloat] = 101;
   _jumpMap[253][SignedInt] = 100;
   _jumpMap[253][Attribute] = 99;
   _jumpMap[253][ExpressionList] = 409;
   _jumpMap[253][Function] = 98;
   _jumpMap[253][CasePrepare] = 97;
   _jumpMap[253][CaseClause] = 96;
   _jumpMap[253][Factor] = 95;
   _jumpMap[253][Term] = 94;
   _jumpMap[253][Expr] = 402;
   _actionMap[254][INTVAL] = ActionEntry(SHIFT, 410);
   _actionMap[255][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[255][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[255][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[255][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[255][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[255][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[255][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[255][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[255][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[255][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[255][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[255][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[255][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[255][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[255][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[255][LEFT] = ActionEntry(SHIFT, 127);
}
void Cego::loadParser198()
{
   _actionMap[255][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[255][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[255][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[255][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[255][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[255][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[255][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[255][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[255][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[255][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[255][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[255][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[255][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[255][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[255][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[255][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[255][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[255][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[255][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[255][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[255][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[255][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[255][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[255][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[255][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[255][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[255][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[255][LB] = ActionEntry(SHIFT, 156);
   _actionMap[255][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[255][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[255][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[255][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[255][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[255][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[255][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[255][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[255][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[255][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[255][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[255][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[255][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[255][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[255][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[255][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[255][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[255][ObjSpec] = 103;
   _jumpMap[255][Constant] = 102;
   _jumpMap[255][SignedFloat] = 101;
   _jumpMap[255][SignedInt] = 100;
   _jumpMap[255][Attribute] = 99;
}
void Cego::loadParser199()
{
   _jumpMap[255][ExpressionList] = 411;
   _jumpMap[255][Function] = 98;
   _jumpMap[255][CasePrepare] = 97;
   _jumpMap[255][CaseClause] = 96;
   _jumpMap[255][Factor] = 95;
   _jumpMap[255][Term] = 94;
   _jumpMap[255][Expr] = 402;
   _actionMap[256][INTVAL] = ActionEntry(SHIFT, 412);
   _actionMap[257][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[257][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[257][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[257][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[257][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[257][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[257][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[257][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[257][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[257][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[257][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[257][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[257][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[257][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[257][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[257][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[257][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[257][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[257][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[257][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[257][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[257][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[257][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[257][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[257][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[257][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[257][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[257][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[257][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[257][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[257][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[257][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[257][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[257][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[257][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[257][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[257][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[257][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[257][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[257][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[257][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[257][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
}
void Cego::loadParser200()
{
   _actionMap[257][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[257][LB] = ActionEntry(SHIFT, 156);
   _actionMap[257][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[257][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[257][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[257][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[257][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[257][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[257][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[257][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[257][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[257][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[257][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[257][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[257][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[257][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[257][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[257][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[257][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[257][ObjSpec] = 103;
   _jumpMap[257][Constant] = 102;
   _jumpMap[257][SignedFloat] = 101;
   _jumpMap[257][SignedInt] = 100;
   _jumpMap[257][Attribute] = 99;
   _jumpMap[257][ExpressionList] = 413;
   _jumpMap[257][Function] = 98;
   _jumpMap[257][CasePrepare] = 97;
   _jumpMap[257][CaseClause] = 96;
   _jumpMap[257][Factor] = 95;
   _jumpMap[257][Term] = 94;
   _jumpMap[257][Expr] = 402;
   _actionMap[258][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[258][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[258][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[258][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[258][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[258][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[258][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[258][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[258][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[258][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[258][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[258][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[258][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[258][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[258][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[258][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[258][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[258][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[258][SUBSTR] = ActionEntry(SHIFT, 146);
}
void Cego::loadParser201()
{
   _actionMap[258][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[258][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[258][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[258][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[258][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[258][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[258][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[258][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[258][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[258][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[258][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[258][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[258][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[258][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[258][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[258][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[258][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[258][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[258][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[258][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[258][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[258][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[258][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[258][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[258][LB] = ActionEntry(SHIFT, 156);
   _actionMap[258][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[258][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[258][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[258][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[258][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[258][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[258][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[258][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[258][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[258][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[258][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[258][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[258][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[258][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[258][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[258][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[258][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[258][ObjSpec] = 103;
   _jumpMap[258][Constant] = 102;
   _jumpMap[258][SignedFloat] = 101;
   _jumpMap[258][SignedInt] = 100;
   _jumpMap[258][Attribute] = 99;
   _jumpMap[258][ExpressionList] = 414;
   _jumpMap[258][Function] = 98;
   _jumpMap[258][CasePrepare] = 97;
}
void Cego::loadParser202()
{
   _jumpMap[258][CaseClause] = 96;
   _jumpMap[258][Factor] = 95;
   _jumpMap[258][Term] = 94;
   _jumpMap[258][Expr] = 402;
   _actionMap[259][STAR] = ActionEntry(SHIFT, 416);
   _actionMap[259][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[259][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[259][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[259][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[259][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[259][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[259][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[259][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[259][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[259][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[259][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[259][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[259][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[259][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[259][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[259][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[259][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[259][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[259][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[259][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[259][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[259][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[259][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[259][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[259][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[259][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[259][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[259][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[259][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[259][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[259][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[259][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[259][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[259][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[259][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[259][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[259][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[259][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[259][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[259][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[259][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[259][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[259][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[259][LB] = ActionEntry(SHIFT, 156);
   _actionMap[259][STRINGVAL] = ActionEntry(SHIFT, 104);
}
void Cego::loadParser203()
{
   _actionMap[259][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[259][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[259][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[259][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[259][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[259][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[259][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[259][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[259][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[259][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[259][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[259][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[259][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[259][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[259][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[259][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[259][ObjSpec] = 103;
   _jumpMap[259][Constant] = 102;
   _jumpMap[259][SignedFloat] = 101;
   _jumpMap[259][SignedInt] = 100;
   _jumpMap[259][Attribute] = 99;
   _jumpMap[259][Function] = 98;
   _jumpMap[259][CasePrepare] = 97;
   _jumpMap[259][CaseClause] = 96;
   _jumpMap[259][Factor] = 95;
   _jumpMap[259][Term] = 94;
   _jumpMap[259][Expr] = 415;
   _actionMap[260][STRINGVAL] = ActionEntry(SHIFT, 418);
   _jumpMap[260][DateFormat] = 417;
   _actionMap[261][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[261][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[261][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[261][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[261][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[261][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[261][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[261][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[261][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[261][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[261][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[261][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[261][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[261][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[261][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[261][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[261][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[261][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[261][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[261][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[261][LENGTH] = ActionEntry(SHIFT, 128);
}
void Cego::loadParser204()
{
   _actionMap[261][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[261][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[261][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[261][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[261][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[261][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[261][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[261][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[261][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[261][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[261][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[261][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[261][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[261][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[261][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[261][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[261][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[261][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[261][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[261][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[261][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[261][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[261][LB] = ActionEntry(SHIFT, 156);
   _actionMap[261][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[261][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[261][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[261][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[261][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[261][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[261][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[261][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[261][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[261][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[261][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[261][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[261][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[261][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[261][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[261][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[261][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[261][ObjSpec] = 103;
   _jumpMap[261][Constant] = 102;
   _jumpMap[261][SignedFloat] = 101;
   _jumpMap[261][SignedInt] = 100;
   _jumpMap[261][Attribute] = 99;
   _jumpMap[261][ExpressionList] = 419;
   _jumpMap[261][Function] = 98;
   _jumpMap[261][CasePrepare] = 97;
   _jumpMap[261][CaseClause] = 96;
   _jumpMap[261][Factor] = 95;
}
void Cego::loadParser205()
{
   _jumpMap[261][Term] = 94;
   _jumpMap[261][Expr] = 402;
   _actionMap[262][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[262][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[262][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[262][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[262][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[262][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[262][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[262][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[262][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[262][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[262][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[262][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[262][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[262][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[262][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[262][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[262][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[262][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[262][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[262][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[262][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[262][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[262][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[262][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[262][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[262][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[262][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[262][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[262][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[262][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[262][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[262][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[262][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[262][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[262][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[262][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[262][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[262][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[262][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[262][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[262][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[262][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[262][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[262][LB] = ActionEntry(SHIFT, 156);
   _actionMap[262][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[262][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[262][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[262][NULLTOKEN] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser206()
{
   _actionMap[262][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[262][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[262][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[262][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[262][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[262][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[262][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[262][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[262][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[262][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[262][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[262][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[262][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[262][ObjSpec] = 103;
   _jumpMap[262][Constant] = 102;
   _jumpMap[262][SignedFloat] = 101;
   _jumpMap[262][SignedInt] = 100;
   _jumpMap[262][Attribute] = 99;
   _jumpMap[262][ExpressionList] = 420;
   _jumpMap[262][Function] = 98;
   _jumpMap[262][CasePrepare] = 97;
   _jumpMap[262][CaseClause] = 96;
   _jumpMap[262][Factor] = 95;
   _jumpMap[262][Term] = 94;
   _jumpMap[262][Expr] = 402;
   _actionMap[263][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[263][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[263][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[263][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[263][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[263][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[263][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[263][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[263][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[263][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[263][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[263][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[263][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[263][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[263][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[263][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[263][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[263][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[263][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[263][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[263][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[263][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[263][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[263][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[263][STR2DATE] = ActionEntry(SHIFT, 151);
}
void Cego::loadParser207()
{
   _actionMap[263][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[263][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[263][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[263][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[263][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[263][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[263][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[263][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[263][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[263][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[263][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[263][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[263][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[263][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[263][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[263][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[263][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[263][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[263][LB] = ActionEntry(SHIFT, 156);
   _actionMap[263][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[263][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[263][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[263][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[263][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[263][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[263][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[263][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[263][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[263][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[263][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[263][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[263][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[263][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[263][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[263][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[263][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[263][ObjSpec] = 103;
   _jumpMap[263][Constant] = 102;
   _jumpMap[263][SignedFloat] = 101;
   _jumpMap[263][SignedInt] = 100;
   _jumpMap[263][Attribute] = 99;
   _jumpMap[263][ExpressionList] = 421;
   _jumpMap[263][Function] = 98;
   _jumpMap[263][CasePrepare] = 97;
   _jumpMap[263][CaseClause] = 96;
   _jumpMap[263][Factor] = 95;
   _jumpMap[263][Term] = 94;
   _jumpMap[263][Expr] = 402;
   _actionMap[264][INTO] = ActionEntry(SHIFT, 422);
   _actionMap[265][FLOATVAL] = ActionEntry(SHIFT, 159);
}
void Cego::loadParser208()
{
   _actionMap[265][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[265][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[265][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[265][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[265][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[265][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[265][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[265][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[265][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[265][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[265][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[265][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[265][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[265][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[265][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[265][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[265][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[265][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[265][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[265][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[265][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[265][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[265][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[265][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[265][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[265][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[265][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[265][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[265][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[265][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[265][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[265][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[265][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[265][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[265][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[265][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[265][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[265][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[265][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[265][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[265][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[265][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[265][LB] = ActionEntry(SHIFT, 156);
   _actionMap[265][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[265][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[265][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[265][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[265][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[265][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[265][BLOB] = ActionEntry(SHIFT, 110);
}
void Cego::loadParser209()
{
   _actionMap[265][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[265][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[265][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[265][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[265][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[265][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[265][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[265][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[265][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[265][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[265][ObjSpec] = 103;
   _jumpMap[265][Constant] = 102;
   _jumpMap[265][SignedFloat] = 101;
   _jumpMap[265][SignedInt] = 100;
   _jumpMap[265][Attribute] = 99;
   _jumpMap[265][ExpressionList] = 423;
   _jumpMap[265][Function] = 98;
   _jumpMap[265][CasePrepare] = 97;
   _jumpMap[265][CaseClause] = 96;
   _jumpMap[265][Factor] = 95;
   _jumpMap[265][Term] = 94;
   _jumpMap[265][Expr] = 402;
   _actionMap[266][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[266][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[266][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[266][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[266][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[266][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[266][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[266][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[266][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[266][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[266][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[266][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[266][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[266][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[266][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[266][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[266][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[266][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[266][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[266][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[266][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[266][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[266][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[266][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[266][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[266][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[266][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[266][MOD] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser210()
{
   _actionMap[266][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[266][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[266][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[266][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[266][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[266][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[266][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[266][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[266][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[266][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[266][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[266][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[266][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[266][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[266][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[266][LB] = ActionEntry(SHIFT, 156);
   _actionMap[266][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[266][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[266][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[266][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[266][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[266][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[266][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[266][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[266][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[266][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[266][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[266][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[266][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[266][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[266][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[266][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[266][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[266][ObjSpec] = 103;
   _jumpMap[266][Constant] = 102;
   _jumpMap[266][SignedFloat] = 101;
   _jumpMap[266][SignedInt] = 100;
   _jumpMap[266][Attribute] = 99;
   _jumpMap[266][ExpressionList] = 424;
   _jumpMap[266][Function] = 98;
   _jumpMap[266][CasePrepare] = 97;
   _jumpMap[266][CaseClause] = 96;
   _jumpMap[266][Factor] = 95;
   _jumpMap[266][Term] = 94;
   _jumpMap[266][Expr] = 402;
   _actionMap[267][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[267][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[267][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[267][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[267][ASC2INT] = ActionEntry(SHIFT, 105);
}
void Cego::loadParser211()
{
   _actionMap[267][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[267][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[267][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[267][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[267][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[267][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[267][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[267][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[267][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[267][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[267][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[267][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[267][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[267][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[267][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[267][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[267][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[267][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[267][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[267][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[267][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[267][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[267][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[267][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[267][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[267][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[267][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[267][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[267][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[267][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[267][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[267][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[267][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[267][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[267][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[267][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[267][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[267][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[267][LB] = ActionEntry(SHIFT, 156);
   _actionMap[267][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[267][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[267][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[267][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[267][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[267][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[267][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[267][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[267][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[267][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[267][VARREF] = ActionEntry(SHIFT, 161);
}
void Cego::loadParser212()
{
   _actionMap[267][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[267][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[267][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[267][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[267][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[267][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[267][ObjSpec] = 103;
   _jumpMap[267][Constant] = 102;
   _jumpMap[267][SignedFloat] = 101;
   _jumpMap[267][SignedInt] = 100;
   _jumpMap[267][Attribute] = 99;
   _jumpMap[267][ExpressionList] = 425;
   _jumpMap[267][Function] = 98;
   _jumpMap[267][CasePrepare] = 97;
   _jumpMap[267][CaseClause] = 96;
   _jumpMap[267][Factor] = 95;
   _jumpMap[267][Term] = 94;
   _jumpMap[267][Expr] = 402;
   _actionMap[268][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[268][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[268][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[268][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[268][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[268][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[268][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[268][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[268][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[268][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[268][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[268][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[268][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[268][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[268][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[268][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[268][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[268][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[268][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[268][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[268][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[268][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[268][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[268][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[268][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[268][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[268][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[268][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[268][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[268][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[268][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[268][POWER] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser213()
{
   _actionMap[268][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[268][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[268][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[268][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[268][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[268][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[268][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[268][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[268][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[268][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[268][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[268][LB] = ActionEntry(SHIFT, 156);
   _actionMap[268][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[268][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[268][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[268][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[268][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[268][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[268][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[268][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[268][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[268][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[268][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[268][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[268][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[268][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[268][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[268][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[268][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[268][ObjSpec] = 103;
   _jumpMap[268][Constant] = 102;
   _jumpMap[268][SignedFloat] = 101;
   _jumpMap[268][SignedInt] = 100;
   _jumpMap[268][Attribute] = 99;
   _jumpMap[268][ExpressionList] = 426;
   _jumpMap[268][Function] = 98;
   _jumpMap[268][CasePrepare] = 97;
   _jumpMap[268][CaseClause] = 96;
   _jumpMap[268][Factor] = 95;
   _jumpMap[268][Term] = 94;
   _jumpMap[268][Expr] = 402;
   _actionMap[269][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[269][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[269][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[269][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[269][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[269][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[269][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[269][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[269][ROUND] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser214()
{
   _actionMap[269][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[269][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[269][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[269][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[269][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[269][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[269][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[269][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[269][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[269][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[269][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[269][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[269][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[269][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[269][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[269][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[269][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[269][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[269][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[269][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[269][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[269][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[269][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[269][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[269][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[269][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[269][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[269][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[269][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[269][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[269][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[269][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[269][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[269][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[269][LB] = ActionEntry(SHIFT, 156);
   _actionMap[269][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[269][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[269][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[269][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[269][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[269][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[269][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[269][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[269][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[269][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[269][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[269][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[269][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[269][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[269][AVG] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser215()
{
   _actionMap[269][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[269][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[269][ObjSpec] = 103;
   _jumpMap[269][Constant] = 102;
   _jumpMap[269][SignedFloat] = 101;
   _jumpMap[269][SignedInt] = 100;
   _jumpMap[269][Attribute] = 99;
   _jumpMap[269][ExpressionList] = 427;
   _jumpMap[269][Function] = 98;
   _jumpMap[269][CasePrepare] = 97;
   _jumpMap[269][CaseClause] = 96;
   _jumpMap[269][Factor] = 95;
   _jumpMap[269][Term] = 94;
   _jumpMap[269][Expr] = 402;
   _actionMap[270][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[270][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[270][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[270][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[270][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[270][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[270][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[270][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[270][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[270][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[270][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[270][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[270][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[270][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[270][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[270][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[270][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[270][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[270][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[270][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[270][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[270][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[270][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[270][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[270][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[270][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[270][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[270][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[270][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[270][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[270][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[270][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[270][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[270][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[270][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[270][BLOBSIZE] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser216()
{
   _actionMap[270][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[270][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[270][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[270][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[270][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[270][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[270][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[270][LB] = ActionEntry(SHIFT, 156);
   _actionMap[270][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[270][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[270][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[270][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[270][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[270][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[270][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[270][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[270][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[270][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[270][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[270][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[270][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[270][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[270][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[270][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[270][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[270][ObjSpec] = 103;
   _jumpMap[270][Constant] = 102;
   _jumpMap[270][SignedFloat] = 101;
   _jumpMap[270][SignedInt] = 100;
   _jumpMap[270][Attribute] = 99;
   _jumpMap[270][ExpressionList] = 428;
   _jumpMap[270][Function] = 98;
   _jumpMap[270][CasePrepare] = 97;
   _jumpMap[270][CaseClause] = 96;
   _jumpMap[270][Factor] = 95;
   _jumpMap[270][Term] = 94;
   _jumpMap[270][Expr] = 402;
   _actionMap[271][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[271][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[271][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[271][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[271][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[271][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[271][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[271][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[271][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[271][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[271][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[271][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[271][NEWDATE] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser217()
{
   _actionMap[271][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[271][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[271][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[271][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[271][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[271][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[271][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[271][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[271][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[271][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[271][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[271][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[271][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[271][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[271][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[271][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[271][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[271][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[271][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[271][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[271][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[271][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[271][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[271][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[271][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[271][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[271][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[271][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[271][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[271][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[271][LB] = ActionEntry(SHIFT, 156);
   _actionMap[271][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[271][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[271][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[271][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[271][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[271][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[271][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[271][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[271][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[271][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[271][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[271][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[271][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[271][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[271][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[271][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[271][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[271][ObjSpec] = 103;
   _jumpMap[271][Constant] = 102;
}
void Cego::loadParser218()
{
   _jumpMap[271][SignedFloat] = 101;
   _jumpMap[271][SignedInt] = 100;
   _jumpMap[271][Attribute] = 99;
   _jumpMap[271][ExpressionList] = 429;
   _jumpMap[271][Function] = 98;
   _jumpMap[271][CasePrepare] = 97;
   _jumpMap[271][CaseClause] = 96;
   _jumpMap[271][Factor] = 95;
   _jumpMap[271][Term] = 94;
   _jumpMap[271][Expr] = 402;
   _actionMap[272][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[272][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[272][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[272][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[272][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[272][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[272][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[272][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[272][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[272][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[272][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[272][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[272][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[272][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[272][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[272][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[272][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[272][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[272][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[272][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[272][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[272][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[272][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[272][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[272][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[272][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[272][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[272][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[272][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[272][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[272][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[272][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[272][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[272][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[272][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[272][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[272][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[272][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[272][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[272][SETCOUNT] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser219()
{
   _actionMap[272][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[272][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[272][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[272][LB] = ActionEntry(SHIFT, 156);
   _actionMap[272][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[272][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[272][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[272][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[272][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[272][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[272][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[272][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[272][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[272][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[272][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[272][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[272][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[272][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[272][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[272][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[272][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[272][ObjSpec] = 103;
   _jumpMap[272][Constant] = 102;
   _jumpMap[272][SignedFloat] = 101;
   _jumpMap[272][SignedInt] = 100;
   _jumpMap[272][Attribute] = 99;
   _jumpMap[272][ExpressionList] = 430;
   _jumpMap[272][Function] = 98;
   _jumpMap[272][CasePrepare] = 97;
   _jumpMap[272][CaseClause] = 96;
   _jumpMap[272][Factor] = 95;
   _jumpMap[272][Term] = 94;
   _jumpMap[272][Expr] = 402;
   _actionMap[273][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[273][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[273][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[273][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[273][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[273][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[273][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[273][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[273][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[273][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[273][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[273][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[273][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[273][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[273][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[273][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[273][RIGHT] = ActionEntry(SHIFT, 142);
}
void Cego::loadParser220()
{
   _actionMap[273][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[273][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[273][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[273][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[273][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[273][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[273][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[273][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[273][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[273][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[273][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[273][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[273][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[273][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[273][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[273][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[273][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[273][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[273][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[273][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[273][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[273][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[273][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[273][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[273][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[273][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[273][LB] = ActionEntry(SHIFT, 156);
   _actionMap[273][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[273][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[273][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[273][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[273][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[273][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[273][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[273][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[273][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[273][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[273][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[273][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[273][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[273][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[273][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[273][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[273][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[273][ObjSpec] = 103;
   _jumpMap[273][Constant] = 102;
   _jumpMap[273][SignedFloat] = 101;
   _jumpMap[273][SignedInt] = 100;
   _jumpMap[273][Attribute] = 99;
   _jumpMap[273][ExpressionList] = 431;
}
void Cego::loadParser221()
{
   _jumpMap[273][Function] = 98;
   _jumpMap[273][CasePrepare] = 97;
   _jumpMap[273][CaseClause] = 96;
   _jumpMap[273][Factor] = 95;
   _jumpMap[273][Term] = 94;
   _jumpMap[273][Expr] = 402;
   _actionMap[274][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[274][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[274][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[274][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[274][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[274][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[274][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[274][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[274][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[274][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[274][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[274][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[274][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[274][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[274][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[274][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[274][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[274][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[274][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[274][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[274][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[274][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[274][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[274][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[274][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[274][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[274][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[274][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[274][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[274][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[274][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[274][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[274][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[274][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[274][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[274][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[274][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[274][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[274][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[274][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[274][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[274][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[274][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[274][LB] = ActionEntry(SHIFT, 156);
}
void Cego::loadParser222()
{
   _actionMap[274][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[274][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[274][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[274][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[274][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[274][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[274][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[274][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[274][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[274][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[274][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[274][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[274][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[274][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[274][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[274][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[274][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[274][ObjSpec] = 103;
   _jumpMap[274][Constant] = 102;
   _jumpMap[274][SignedFloat] = 101;
   _jumpMap[274][SignedInt] = 100;
   _jumpMap[274][Attribute] = 99;
   _jumpMap[274][ExpressionList] = 432;
   _jumpMap[274][Function] = 98;
   _jumpMap[274][CasePrepare] = 97;
   _jumpMap[274][CaseClause] = 96;
   _jumpMap[274][Factor] = 95;
   _jumpMap[274][Term] = 94;
   _jumpMap[274][Expr] = 402;
   _actionMap[275][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[275][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[275][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[275][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[275][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[275][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[275][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[275][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[275][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[275][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[275][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[275][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[275][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[275][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[275][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[275][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[275][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[275][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[275][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[275][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[275][LENGTH] = ActionEntry(SHIFT, 128);
}
void Cego::loadParser223()
{
   _actionMap[275][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[275][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[275][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[275][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[275][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[275][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[275][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[275][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[275][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[275][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[275][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[275][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[275][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[275][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[275][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[275][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[275][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[275][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[275][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[275][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[275][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[275][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[275][LB] = ActionEntry(SHIFT, 156);
   _actionMap[275][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[275][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[275][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[275][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[275][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[275][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[275][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[275][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[275][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[275][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[275][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[275][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[275][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[275][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[275][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[275][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[275][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[275][ObjSpec] = 103;
   _jumpMap[275][Constant] = 102;
   _jumpMap[275][SignedFloat] = 101;
   _jumpMap[275][SignedInt] = 100;
   _jumpMap[275][Attribute] = 99;
   _jumpMap[275][Function] = 98;
   _jumpMap[275][CasePrepare] = 97;
   _jumpMap[275][CaseClause] = 96;
   _jumpMap[275][Factor] = 95;
   _jumpMap[275][Term] = 94;
}
void Cego::loadParser224()
{
   _jumpMap[275][Expr] = 433;
   _actionMap[276][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[276][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[276][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[276][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[276][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[276][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[276][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[276][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[276][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[276][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[276][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[276][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[276][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[276][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[276][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[276][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[276][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[276][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[276][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[276][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[276][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[276][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[276][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[276][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[276][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[276][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[276][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[276][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[276][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[276][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[276][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[276][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[276][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[276][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[276][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[276][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[276][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[276][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[276][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[276][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[276][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[276][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[276][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[276][LB] = ActionEntry(SHIFT, 156);
   _actionMap[276][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[276][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[276][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[276][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[276][TRUEVAL] = ActionEntry(SHIFT, 153);
}
void Cego::loadParser225()
{
   _actionMap[276][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[276][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[276][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[276][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[276][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[276][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[276][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[276][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[276][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[276][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[276][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[276][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[276][ObjSpec] = 103;
   _jumpMap[276][Constant] = 102;
   _jumpMap[276][SignedFloat] = 101;
   _jumpMap[276][SignedInt] = 100;
   _jumpMap[276][Attribute] = 99;
   _jumpMap[276][Function] = 98;
   _jumpMap[276][CasePrepare] = 97;
   _jumpMap[276][CaseClause] = 96;
   _jumpMap[276][Factor] = 95;
   _jumpMap[276][Term] = 94;
   _jumpMap[276][Expr] = 434;
   _actionMap[277][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[277][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[277][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[277][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[277][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[277][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[277][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[277][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[277][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[277][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[277][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[277][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[277][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[277][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[277][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[277][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[277][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[277][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[277][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[277][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[277][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[277][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[277][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[277][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[277][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[277][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[277][RANDINT] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser226()
{
   _actionMap[277][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[277][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[277][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[277][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[277][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[277][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[277][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[277][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[277][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[277][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[277][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[277][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[277][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[277][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[277][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[277][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[277][LB] = ActionEntry(SHIFT, 156);
   _actionMap[277][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[277][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[277][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[277][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[277][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[277][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[277][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[277][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[277][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[277][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[277][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[277][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[277][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[277][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[277][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[277][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[277][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[277][ObjSpec] = 103;
   _jumpMap[277][Constant] = 102;
   _jumpMap[277][SignedFloat] = 101;
   _jumpMap[277][SignedInt] = 100;
   _jumpMap[277][Attribute] = 99;
   _jumpMap[277][ExpressionList] = 435;
   _jumpMap[277][Function] = 98;
   _jumpMap[277][CasePrepare] = 97;
   _jumpMap[277][CaseClause] = 96;
   _jumpMap[277][Factor] = 95;
   _jumpMap[277][Term] = 94;
   _jumpMap[277][Expr] = 402;
   _actionMap[278][IDENTIFIER] = ActionEntry(SHIFT, 436);
   _actionMap[279][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[279][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[279][INTVAL] = ActionEntry(SHIFT, 158);
}
void Cego::loadParser227()
{
   _actionMap[279][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[279][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[279][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[279][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[279][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[279][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[279][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[279][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[279][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[279][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[279][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[279][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[279][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[279][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[279][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[279][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[279][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[279][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[279][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[279][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[279][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[279][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[279][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[279][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[279][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[279][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[279][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[279][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[279][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[279][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[279][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[279][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[279][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[279][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[279][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[279][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[279][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[279][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[279][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[279][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[279][LB] = ActionEntry(SHIFT, 156);
   _actionMap[279][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[279][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[279][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[279][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[279][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[279][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[279][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[279][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[279][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
}
void Cego::loadParser228()
{
   _actionMap[279][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[279][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[279][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[279][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[279][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[279][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[279][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[279][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[279][ObjSpec] = 103;
   _jumpMap[279][Constant] = 102;
   _jumpMap[279][SignedFloat] = 101;
   _jumpMap[279][SignedInt] = 100;
   _jumpMap[279][Attribute] = 99;
   _jumpMap[279][ExpressionList] = 437;
   _jumpMap[279][Function] = 98;
   _jumpMap[279][CasePrepare] = 97;
   _jumpMap[279][CaseClause] = 96;
   _jumpMap[279][Factor] = 95;
   _jumpMap[279][Term] = 94;
   _jumpMap[279][Expr] = 402;
   _actionMap[280][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[280][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[280][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[280][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[280][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[280][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[280][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[280][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[280][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[280][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[280][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[280][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[280][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[280][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[280][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[280][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[280][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[280][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[280][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[280][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[280][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[280][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[280][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[280][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[280][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[280][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[280][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[280][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[280][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[280][LMOD] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser229()
{
   _actionMap[280][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[280][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[280][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[280][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[280][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[280][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[280][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[280][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[280][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[280][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[280][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[280][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[280][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[280][LB] = ActionEntry(SHIFT, 156);
   _actionMap[280][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[280][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[280][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[280][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[280][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[280][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[280][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[280][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[280][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[280][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[280][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[280][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[280][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[280][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[280][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[280][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[280][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[280][ObjSpec] = 103;
   _jumpMap[280][Constant] = 102;
   _jumpMap[280][SignedFloat] = 101;
   _jumpMap[280][SignedInt] = 100;
   _jumpMap[280][Attribute] = 99;
   _jumpMap[280][ExpressionList] = 438;
   _jumpMap[280][Function] = 98;
   _jumpMap[280][CasePrepare] = 97;
   _jumpMap[280][CaseClause] = 96;
   _jumpMap[280][Factor] = 95;
   _jumpMap[280][Term] = 94;
   _jumpMap[280][Expr] = 402;
   _actionMap[281][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[281][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[281][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[281][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[281][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[281][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[281][RTRIM] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser230()
{
   _actionMap[281][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[281][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[281][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[281][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[281][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[281][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[281][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[281][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[281][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[281][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[281][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[281][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[281][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[281][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[281][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[281][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[281][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[281][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[281][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[281][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[281][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[281][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[281][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[281][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[281][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[281][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[281][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[281][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[281][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[281][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[281][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[281][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[281][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[281][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[281][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[281][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[281][LB] = ActionEntry(SHIFT, 156);
   _actionMap[281][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[281][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[281][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[281][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[281][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[281][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[281][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[281][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[281][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[281][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[281][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[281][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[281][COUNT] = ActionEntry(SHIFT, 116);
}
void Cego::loadParser231()
{
   _actionMap[281][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[281][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[281][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[281][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[281][ObjSpec] = 103;
   _jumpMap[281][Constant] = 102;
   _jumpMap[281][SignedFloat] = 101;
   _jumpMap[281][SignedInt] = 100;
   _jumpMap[281][Attribute] = 99;
   _jumpMap[281][ExpressionList] = 439;
   _jumpMap[281][Function] = 98;
   _jumpMap[281][CasePrepare] = 97;
   _jumpMap[281][CaseClause] = 96;
   _jumpMap[281][Factor] = 95;
   _jumpMap[281][Term] = 94;
   _jumpMap[281][Expr] = 402;
   _actionMap[282][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[282][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[282][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[282][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[282][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[282][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[282][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[282][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[282][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[282][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[282][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[282][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[282][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[282][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[282][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[282][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[282][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[282][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[282][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[282][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[282][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[282][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[282][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[282][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[282][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[282][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[282][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[282][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[282][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[282][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[282][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[282][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[282][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[282][BITOR] = ActionEntry(SHIFT, 108);
}
void Cego::loadParser232()
{
   _actionMap[282][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[282][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[282][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[282][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[282][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[282][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[282][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[282][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[282][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[282][LB] = ActionEntry(SHIFT, 156);
   _actionMap[282][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[282][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[282][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[282][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[282][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[282][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[282][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[282][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[282][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[282][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[282][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[282][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[282][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[282][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[282][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[282][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[282][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[282][ObjSpec] = 103;
   _jumpMap[282][Constant] = 102;
   _jumpMap[282][SignedFloat] = 101;
   _jumpMap[282][SignedInt] = 100;
   _jumpMap[282][Attribute] = 99;
   _jumpMap[282][ExpressionList] = 440;
   _jumpMap[282][Function] = 98;
   _jumpMap[282][CasePrepare] = 97;
   _jumpMap[282][CaseClause] = 96;
   _jumpMap[282][Factor] = 95;
   _jumpMap[282][Term] = 94;
   _jumpMap[282][Expr] = 402;
   _actionMap[283][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[283][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[283][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[283][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[283][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[283][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[283][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[283][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[283][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[283][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[283][DATE2INT] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser233()
{
   _actionMap[283][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[283][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[283][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[283][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[283][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[283][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[283][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[283][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[283][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[283][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[283][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[283][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[283][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[283][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[283][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[283][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[283][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[283][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[283][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[283][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[283][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[283][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[283][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[283][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[283][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[283][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[283][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[283][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[283][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[283][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[283][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[283][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[283][LB] = ActionEntry(SHIFT, 156);
   _actionMap[283][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[283][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[283][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[283][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[283][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[283][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[283][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[283][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[283][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[283][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[283][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[283][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[283][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[283][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[283][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[283][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[283][MAX] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser234()
{
   _jumpMap[283][ObjSpec] = 103;
   _jumpMap[283][Constant] = 102;
   _jumpMap[283][SignedFloat] = 101;
   _jumpMap[283][SignedInt] = 100;
   _jumpMap[283][Attribute] = 99;
   _jumpMap[283][ExpressionList] = 441;
   _jumpMap[283][Function] = 98;
   _jumpMap[283][CasePrepare] = 97;
   _jumpMap[283][CaseClause] = 96;
   _jumpMap[283][Factor] = 95;
   _jumpMap[283][Term] = 94;
   _jumpMap[283][Expr] = 402;
   _actionMap[284][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[284][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[284][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[284][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[284][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[284][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[284][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[284][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[284][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[284][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[284][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[284][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[284][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[284][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[284][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[284][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[284][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[284][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[284][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[284][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[284][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[284][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[284][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[284][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[284][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[284][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[284][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[284][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[284][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[284][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[284][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[284][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[284][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[284][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[284][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[284][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[284][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[284][CLOB2STR] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser235()
{
   _actionMap[284][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[284][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[284][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[284][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[284][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[284][LB] = ActionEntry(SHIFT, 156);
   _actionMap[284][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[284][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[284][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[284][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[284][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[284][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[284][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[284][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[284][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[284][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[284][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[284][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[284][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[284][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[284][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[284][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[284][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[284][ObjSpec] = 103;
   _jumpMap[284][Constant] = 102;
   _jumpMap[284][SignedFloat] = 101;
   _jumpMap[284][SignedInt] = 100;
   _jumpMap[284][Attribute] = 99;
   _jumpMap[284][ExpressionList] = 442;
   _jumpMap[284][Function] = 98;
   _jumpMap[284][CasePrepare] = 97;
   _jumpMap[284][CaseClause] = 96;
   _jumpMap[284][Factor] = 95;
   _jumpMap[284][Term] = 94;
   _jumpMap[284][Expr] = 402;
   _actionMap[285][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[285][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[285][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[285][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[285][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[285][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[285][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[285][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[285][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[285][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[285][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[285][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[285][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[285][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[285][UPPER] = ActionEntry(SHIFT, 155);
}
void Cego::loadParser236()
{
   _actionMap[285][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[285][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[285][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[285][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[285][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[285][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[285][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[285][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[285][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[285][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[285][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[285][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[285][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[285][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[285][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[285][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[285][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[285][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[285][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[285][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[285][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[285][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[285][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[285][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[285][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[285][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[285][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[285][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[285][LB] = ActionEntry(SHIFT, 156);
   _actionMap[285][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[285][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[285][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[285][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[285][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[285][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[285][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[285][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[285][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[285][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[285][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[285][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[285][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[285][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[285][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[285][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[285][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[285][ObjSpec] = 103;
   _jumpMap[285][Constant] = 102;
   _jumpMap[285][SignedFloat] = 101;
   _jumpMap[285][SignedInt] = 100;
}
void Cego::loadParser237()
{
   _jumpMap[285][Attribute] = 99;
   _jumpMap[285][ExpressionList] = 443;
   _jumpMap[285][Function] = 98;
   _jumpMap[285][CasePrepare] = 97;
   _jumpMap[285][CaseClause] = 96;
   _jumpMap[285][Factor] = 95;
   _jumpMap[285][Term] = 94;
   _jumpMap[285][Expr] = 402;
   _actionMap[286][IDENTIFIER] = ActionEntry(SHIFT, 444);
   _actionMap[287][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[287][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[287][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[287][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[287][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[287][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[287][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[287][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[287][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[287][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[287][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[287][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[287][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[287][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[287][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[287][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[287][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[287][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[287][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[287][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[287][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[287][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[287][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[287][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[287][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[287][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[287][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[287][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[287][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[287][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[287][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[287][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[287][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[287][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[287][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[287][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[287][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[287][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[287][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[287][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[287][IDENTIFIER] = ActionEntry(SHIFT, 160);
}
void Cego::loadParser238()
{
   _actionMap[287][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[287][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[287][LB] = ActionEntry(SHIFT, 156);
   _actionMap[287][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[287][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[287][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[287][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[287][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[287][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[287][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[287][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[287][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[287][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[287][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[287][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[287][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[287][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[287][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[287][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[287][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[287][ObjSpec] = 103;
   _jumpMap[287][Constant] = 102;
   _jumpMap[287][SignedFloat] = 101;
   _jumpMap[287][SignedInt] = 100;
   _jumpMap[287][Attribute] = 99;
   _jumpMap[287][ExpressionList] = 445;
   _jumpMap[287][Function] = 98;
   _jumpMap[287][CasePrepare] = 97;
   _jumpMap[287][CaseClause] = 96;
   _jumpMap[287][Factor] = 95;
   _jumpMap[287][Term] = 94;
   _jumpMap[287][Expr] = 402;
   _actionMap[288][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[288][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[288][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[288][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[288][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[288][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[288][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[288][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[288][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[288][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[288][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[288][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[288][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[288][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[288][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[288][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[288][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[288][GETPOS] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser239()
{
   _actionMap[288][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[288][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[288][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[288][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[288][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[288][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[288][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[288][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[288][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[288][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[288][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[288][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[288][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[288][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[288][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[288][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[288][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[288][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[288][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[288][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[288][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[288][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[288][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[288][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[288][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[288][LB] = ActionEntry(SHIFT, 156);
   _actionMap[288][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[288][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[288][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[288][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[288][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[288][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[288][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[288][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[288][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[288][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[288][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[288][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[288][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[288][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[288][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[288][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[288][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[288][ObjSpec] = 103;
   _jumpMap[288][Constant] = 102;
   _jumpMap[288][SignedFloat] = 101;
   _jumpMap[288][SignedInt] = 100;
   _jumpMap[288][Attribute] = 99;
   _jumpMap[288][Function] = 98;
   _jumpMap[288][CasePrepare] = 97;
}
void Cego::loadParser240()
{
   _jumpMap[288][CaseClause] = 96;
   _jumpMap[288][Factor] = 95;
   _jumpMap[288][Term] = 94;
   _jumpMap[288][Expr] = 446;
   _actionMap[289][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[289][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[289][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[289][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[289][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[289][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[289][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[289][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[289][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[289][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[289][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[289][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[289][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[289][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[289][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[289][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[289][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[289][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[289][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[289][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[289][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[289][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[289][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[289][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[289][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[289][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[289][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[289][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[289][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[289][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[289][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[289][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[289][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[289][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[289][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[289][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[289][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[289][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[289][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[289][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[289][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[289][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[289][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[289][LB] = ActionEntry(SHIFT, 156);
   _actionMap[289][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[289][DATE] = ActionEntry(SHIFT, 117);
}
void Cego::loadParser241()
{
   _actionMap[289][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[289][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[289][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[289][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[289][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[289][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[289][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[289][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[289][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[289][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[289][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[289][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[289][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[289][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[289][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[289][ObjSpec] = 103;
   _jumpMap[289][Constant] = 102;
   _jumpMap[289][SignedFloat] = 101;
   _jumpMap[289][SignedInt] = 100;
   _jumpMap[289][Attribute] = 99;
   _jumpMap[289][ExpressionList] = 447;
   _jumpMap[289][Function] = 98;
   _jumpMap[289][CasePrepare] = 97;
   _jumpMap[289][CaseClause] = 96;
   _jumpMap[289][Factor] = 95;
   _jumpMap[289][Term] = 94;
   _jumpMap[289][Expr] = 402;
   _actionMap[290][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[290][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[290][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[290][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[290][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[290][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[290][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[290][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[290][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[290][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[290][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[290][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[290][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[290][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[290][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[290][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[290][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[290][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[290][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[290][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[290][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[290][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[290][STR2INT] = ActionEntry(SHIFT, 149);
}
void Cego::loadParser242()
{
   _actionMap[290][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[290][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[290][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[290][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[290][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[290][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[290][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[290][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[290][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[290][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[290][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[290][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[290][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[290][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[290][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[290][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[290][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[290][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[290][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[290][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[290][LB] = ActionEntry(SHIFT, 156);
   _actionMap[290][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[290][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[290][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[290][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[290][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[290][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[290][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[290][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[290][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[290][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[290][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[290][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[290][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[290][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[290][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[290][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[290][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[290][ObjSpec] = 103;
   _jumpMap[290][Constant] = 102;
   _jumpMap[290][SignedFloat] = 101;
   _jumpMap[290][SignedInt] = 100;
   _jumpMap[290][Attribute] = 99;
   _jumpMap[290][ExpressionList] = 448;
   _jumpMap[290][Function] = 98;
   _jumpMap[290][CasePrepare] = 97;
   _jumpMap[290][CaseClause] = 96;
   _jumpMap[290][Factor] = 95;
   _jumpMap[290][Term] = 94;
   _jumpMap[290][Expr] = 402;
}
void Cego::loadParser243()
{
   _actionMap[291][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[291][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[291][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[291][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[291][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[291][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[291][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[291][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[291][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[291][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[291][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[291][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[291][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[291][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[291][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[291][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[291][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[291][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[291][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[291][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[291][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[291][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[291][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[291][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[291][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[291][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[291][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[291][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[291][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[291][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[291][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[291][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[291][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[291][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[291][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[291][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[291][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[291][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[291][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[291][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[291][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[291][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[291][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[291][LB] = ActionEntry(SHIFT, 156);
   _actionMap[291][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[291][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[291][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[291][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[291][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[291][FALSEVAL] = ActionEntry(SHIFT, 121);
}
void Cego::loadParser244()
{
   _actionMap[291][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[291][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[291][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[291][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[291][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[291][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[291][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[291][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[291][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[291][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[291][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[291][ObjSpec] = 103;
   _jumpMap[291][Constant] = 102;
   _jumpMap[291][SignedFloat] = 101;
   _jumpMap[291][SignedInt] = 100;
   _jumpMap[291][Attribute] = 99;
   _jumpMap[291][ExpressionList] = 449;
   _jumpMap[291][Function] = 98;
   _jumpMap[291][CasePrepare] = 97;
   _jumpMap[291][CaseClause] = 96;
   _jumpMap[291][Factor] = 95;
   _jumpMap[291][Term] = 94;
   _jumpMap[291][Expr] = 402;
   _actionMap[292][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[292][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[292][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[292][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[292][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[292][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[292][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[292][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[292][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[292][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[292][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[292][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[292][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[292][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[292][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[292][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[292][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[292][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[292][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[292][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[292][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[292][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[292][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[292][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[292][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[292][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[292][RANDINT] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser245()
{
   _actionMap[292][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[292][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[292][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[292][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[292][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[292][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[292][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[292][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[292][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[292][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[292][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[292][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[292][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[292][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[292][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[292][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[292][LB] = ActionEntry(SHIFT, 156);
   _actionMap[292][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[292][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[292][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[292][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[292][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[292][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[292][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[292][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[292][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[292][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[292][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[292][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[292][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[292][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[292][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[292][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[292][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[292][ObjSpec] = 103;
   _jumpMap[292][Constant] = 102;
   _jumpMap[292][SignedFloat] = 101;
   _jumpMap[292][SignedInt] = 100;
   _jumpMap[292][Attribute] = 99;
   _jumpMap[292][ExpressionList] = 450;
   _jumpMap[292][Function] = 98;
   _jumpMap[292][CasePrepare] = 97;
   _jumpMap[292][CaseClause] = 96;
   _jumpMap[292][Factor] = 95;
   _jumpMap[292][Term] = 94;
   _jumpMap[292][Expr] = 402;
   _actionMap[293][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[293][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[293][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[293][INT2ASC] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser246()
{
   _actionMap[293][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[293][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[293][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[293][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[293][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[293][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[293][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[293][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[293][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[293][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[293][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[293][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[293][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[293][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[293][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[293][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[293][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[293][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[293][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[293][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[293][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[293][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[293][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[293][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[293][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[293][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[293][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[293][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[293][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[293][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[293][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[293][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[293][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[293][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[293][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[293][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[293][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[293][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[293][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[293][LB] = ActionEntry(SHIFT, 156);
   _actionMap[293][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[293][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[293][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[293][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[293][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[293][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[293][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[293][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[293][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[293][CASE] = ActionEntry(SHIFT, 112);
}
void Cego::loadParser247()
{
   _actionMap[293][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[293][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[293][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[293][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[293][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[293][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[293][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[293][ObjSpec] = 103;
   _jumpMap[293][Constant] = 102;
   _jumpMap[293][SignedFloat] = 101;
   _jumpMap[293][SignedInt] = 100;
   _jumpMap[293][Attribute] = 99;
   _jumpMap[293][ExpressionList] = 451;
   _jumpMap[293][Function] = 98;
   _jumpMap[293][CasePrepare] = 97;
   _jumpMap[293][CaseClause] = 96;
   _jumpMap[293][Factor] = 95;
   _jumpMap[293][Term] = 94;
   _jumpMap[293][Expr] = 402;
   _actionMap[294][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[294][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[294][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[294][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[294][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[294][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[294][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[294][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[294][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[294][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[294][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[294][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[294][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[294][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[294][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[294][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[294][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[294][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[294][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[294][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[294][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[294][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[294][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[294][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[294][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[294][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[294][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[294][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[294][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[294][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[294][LDIV] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser248()
{
   _actionMap[294][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[294][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[294][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[294][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[294][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[294][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[294][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[294][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[294][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[294][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[294][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[294][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[294][LB] = ActionEntry(SHIFT, 156);
   _actionMap[294][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[294][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[294][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[294][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[294][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[294][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[294][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[294][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[294][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[294][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[294][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[294][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[294][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[294][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[294][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[294][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[294][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[294][ObjSpec] = 103;
   _jumpMap[294][Constant] = 102;
   _jumpMap[294][SignedFloat] = 101;
   _jumpMap[294][SignedInt] = 100;
   _jumpMap[294][Attribute] = 99;
   _jumpMap[294][ExpressionList] = 452;
   _jumpMap[294][Function] = 98;
   _jumpMap[294][CasePrepare] = 97;
   _jumpMap[294][CaseClause] = 96;
   _jumpMap[294][Factor] = 95;
   _jumpMap[294][Term] = 94;
   _jumpMap[294][Expr] = 402;
   _actionMap[295][RB] = ActionEntry(SHIFT, 453);
   _actionMap[295][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[295][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[295][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[296][RB] = ActionEntry(SHIFT, 454);
   _actionMap[297][RB] = ActionEntry(SHIFT, 455);
   _actionMap[298][RB] = ActionEntry(SHIFT, 456);
   _actionMap[299][RB] = ActionEntry(SHIFT, 457);
}
void Cego::loadParser249()
{
   _actionMap[300][RB] = ActionEntry(SHIFT, 458);
   _actionMap[301][RB] = ActionEntry(SHIFT, 459);
   _actionMap[302][RB] = ActionEntry(SHIFT, 460);
   _actionMap[303][RB] = ActionEntry(SHIFT, 461);
   _actionMap[304][WHEN] = ActionEntry(REDUCE, 369);
   _actionMap[304][ELSE] = ActionEntry(REDUCE, 369);
   _actionMap[304][LEFT] = ActionEntry(REDUCE, 369);
   _actionMap[304][RIGHT] = ActionEntry(REDUCE, 369);
   _actionMap[304][INNER] = ActionEntry(REDUCE, 369);
   _actionMap[304][JOIN] = ActionEntry(REDUCE, 369);
   _actionMap[304][RETURNTOKEN] = ActionEntry(REDUCE, 369);
   _actionMap[304][ORDER] = ActionEntry(REDUCE, 369);
   _actionMap[304][GROUP] = ActionEntry(REDUCE, 369);
   _actionMap[304][WHERE] = ActionEntry(REDUCE, 369);
   _actionMap[304][AS] = ActionEntry(REDUCE, 369);
   _actionMap[304][FROM] = ActionEntry(REDUCE, 369);
   _actionMap[304][END_TOKEN] = ActionEntry(REDUCE, 369);
   _actionMap[304][BEGIN] = ActionEntry(REDUCE, 369);
   _actionMap[304][THEN] = ActionEntry(REDUCE, 369);
   _actionMap[304][OR] = ActionEntry(REDUCE, 369);
   _actionMap[304][AND] = ActionEntry(REDUCE, 369);
   _actionMap[304][NULLTOKEN] = ActionEntry(REDUCE, 369);
   _actionMap[304][LIKE] = ActionEntry(REDUCE, 369);
   _actionMap[304][IS] = ActionEntry(REDUCE, 369);
   _actionMap[304][BETWEEN] = ActionEntry(REDUCE, 369);
   _actionMap[304][NOT] = ActionEntry(REDUCE, 369);
   _actionMap[304][INTOK] = ActionEntry(REDUCE, 369);
   _actionMap[304][EQU] = ActionEntry(REDUCE, 369);
   _actionMap[304][NEGATION] = ActionEntry(REDUCE, 369);
   _actionMap[304][LT] = ActionEntry(REDUCE, 369);
   _actionMap[304][MT] = ActionEntry(REDUCE, 369);
   _actionMap[304][DESC] = ActionEntry(REDUCE, 369);
   _actionMap[304][ASC] = ActionEntry(REDUCE, 369);
   _actionMap[304][KSEP] = ActionEntry(REDUCE, 369);
   _actionMap[304][ROWLIMIT] = ActionEntry(REDUCE, 369);
   _actionMap[304][UNION] = ActionEntry(REDUCE, 369);
   _actionMap[304][ENDTOKEN] = ActionEntry(REDUCE, 369);
   _actionMap[304][RB] = ActionEntry(REDUCE, 369);
   _actionMap[304][SEMICOLON] = ActionEntry(REDUCE, 369);
   _actionMap[304][CONCAT] = ActionEntry(REDUCE, 369);
   _actionMap[304][STAR] = ActionEntry(REDUCE, 369);
   _actionMap[304][DIVISION] = ActionEntry(REDUCE, 369);
   _actionMap[304][MINUS] = ActionEntry(REDUCE, 369);
   _actionMap[304][PLUS] = ActionEntry(REDUCE, 369);
   _actionMap[305][WHEN] = ActionEntry(REDUCE, 371);
   _actionMap[305][ELSE] = ActionEntry(REDUCE, 371);
   _actionMap[305][LEFT] = ActionEntry(REDUCE, 371);
   _actionMap[305][RIGHT] = ActionEntry(REDUCE, 371);
   _actionMap[305][INNER] = ActionEntry(REDUCE, 371);
   _actionMap[305][JOIN] = ActionEntry(REDUCE, 371);
}
void Cego::loadParser250()
{
   _actionMap[305][RETURNTOKEN] = ActionEntry(REDUCE, 371);
   _actionMap[305][ORDER] = ActionEntry(REDUCE, 371);
   _actionMap[305][GROUP] = ActionEntry(REDUCE, 371);
   _actionMap[305][WHERE] = ActionEntry(REDUCE, 371);
   _actionMap[305][AS] = ActionEntry(REDUCE, 371);
   _actionMap[305][FROM] = ActionEntry(REDUCE, 371);
   _actionMap[305][END_TOKEN] = ActionEntry(REDUCE, 371);
   _actionMap[305][BEGIN] = ActionEntry(REDUCE, 371);
   _actionMap[305][THEN] = ActionEntry(REDUCE, 371);
   _actionMap[305][OR] = ActionEntry(REDUCE, 371);
   _actionMap[305][AND] = ActionEntry(REDUCE, 371);
   _actionMap[305][NULLTOKEN] = ActionEntry(REDUCE, 371);
   _actionMap[305][LIKE] = ActionEntry(REDUCE, 371);
   _actionMap[305][IS] = ActionEntry(REDUCE, 371);
   _actionMap[305][BETWEEN] = ActionEntry(REDUCE, 371);
   _actionMap[305][NOT] = ActionEntry(REDUCE, 371);
   _actionMap[305][INTOK] = ActionEntry(REDUCE, 371);
   _actionMap[305][EQU] = ActionEntry(REDUCE, 371);
   _actionMap[305][NEGATION] = ActionEntry(REDUCE, 371);
   _actionMap[305][LT] = ActionEntry(REDUCE, 371);
   _actionMap[305][MT] = ActionEntry(REDUCE, 371);
   _actionMap[305][DESC] = ActionEntry(REDUCE, 371);
   _actionMap[305][ASC] = ActionEntry(REDUCE, 371);
   _actionMap[305][KSEP] = ActionEntry(REDUCE, 371);
   _actionMap[305][ROWLIMIT] = ActionEntry(REDUCE, 371);
   _actionMap[305][UNION] = ActionEntry(REDUCE, 371);
   _actionMap[305][ENDTOKEN] = ActionEntry(REDUCE, 371);
   _actionMap[305][RB] = ActionEntry(REDUCE, 371);
   _actionMap[305][SEMICOLON] = ActionEntry(REDUCE, 371);
   _actionMap[305][CONCAT] = ActionEntry(REDUCE, 371);
   _actionMap[305][STAR] = ActionEntry(REDUCE, 371);
   _actionMap[305][DIVISION] = ActionEntry(REDUCE, 371);
   _actionMap[305][MINUS] = ActionEntry(REDUCE, 371);
   _actionMap[305][PLUS] = ActionEntry(REDUCE, 371);
   _actionMap[306][WHEN] = ActionEntry(REDUCE, 367);
   _actionMap[306][ELSE] = ActionEntry(REDUCE, 367);
   _actionMap[306][LEFT] = ActionEntry(REDUCE, 367);
   _actionMap[306][RIGHT] = ActionEntry(REDUCE, 367);
   _actionMap[306][INNER] = ActionEntry(REDUCE, 367);
   _actionMap[306][JOIN] = ActionEntry(REDUCE, 367);
   _actionMap[306][RETURNTOKEN] = ActionEntry(REDUCE, 367);
   _actionMap[306][GROUP] = ActionEntry(REDUCE, 367);
   _actionMap[306][WHERE] = ActionEntry(REDUCE, 367);
   _actionMap[306][FROM] = ActionEntry(REDUCE, 367);
   _actionMap[306][AS] = ActionEntry(REDUCE, 367);
   _actionMap[306][END_TOKEN] = ActionEntry(REDUCE, 367);
   _actionMap[306][BEGIN] = ActionEntry(REDUCE, 367);
   _actionMap[306][THEN] = ActionEntry(REDUCE, 367);
   _actionMap[306][OR] = ActionEntry(REDUCE, 367);
   _actionMap[306][AND] = ActionEntry(REDUCE, 367);
}
void Cego::loadParser251()
{
   _actionMap[306][INTOK] = ActionEntry(REDUCE, 367);
   _actionMap[306][NOT] = ActionEntry(REDUCE, 367);
   _actionMap[306][BETWEEN] = ActionEntry(REDUCE, 367);
   _actionMap[306][IS] = ActionEntry(REDUCE, 367);
   _actionMap[306][LIKE] = ActionEntry(REDUCE, 367);
   _actionMap[306][HAVING] = ActionEntry(REDUCE, 367);
   _actionMap[306][ORDER] = ActionEntry(REDUCE, 367);
   _actionMap[306][MT] = ActionEntry(REDUCE, 367);
   _actionMap[306][LT] = ActionEntry(REDUCE, 367);
   _actionMap[306][NEGATION] = ActionEntry(REDUCE, 367);
   _actionMap[306][EQU] = ActionEntry(REDUCE, 367);
   _actionMap[306][RB] = ActionEntry(REDUCE, 367);
   _actionMap[306][ENDTOKEN] = ActionEntry(REDUCE, 367);
   _actionMap[306][UNION] = ActionEntry(REDUCE, 367);
   _actionMap[306][ROWLIMIT] = ActionEntry(REDUCE, 367);
   _actionMap[306][KSEP] = ActionEntry(REDUCE, 367);
   _actionMap[306][ASC] = ActionEntry(REDUCE, 367);
   _actionMap[306][DESC] = ActionEntry(REDUCE, 367);
   _actionMap[306][SEMICOLON] = ActionEntry(REDUCE, 367);
   _actionMap[306][PLUS] = ActionEntry(REDUCE, 367);
   _actionMap[306][MINUS] = ActionEntry(REDUCE, 367);
   _actionMap[306][DIVISION] = ActionEntry(REDUCE, 367);
   _actionMap[306][STAR] = ActionEntry(REDUCE, 367);
   _actionMap[306][CONCAT] = ActionEntry(REDUCE, 367);
   _actionMap[307][TO] = ActionEntry(SHIFT, 462);
   _actionMap[308][TO] = ActionEntry(SHIFT, 463);
   _actionMap[309][TO] = ActionEntry(SHIFT, 464);
   _actionMap[310][TO] = ActionEntry(SHIFT, 465);
   _actionMap[311][TO] = ActionEntry(SHIFT, 466);
   _actionMap[312][TO] = ActionEntry(SHIFT, 467);
   _actionMap[313][TO] = ActionEntry(SHIFT, 468);
   _actionMap[314][SEMICOLON] = ActionEntry(REDUCE, 43);
   _actionMap[315][SEMICOLON] = ActionEntry(REDUCE, 42);
   _actionMap[316][SEMICOLON] = ActionEntry(REDUCE, 209);
   _actionMap[316][RB] = ActionEntry(REDUCE, 209);
   _actionMap[317][SEMICOLON] = ActionEntry(REDUCE, 211);
   _actionMap[317][RB] = ActionEntry(REDUCE, 211);
   _actionMap[318][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[318][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[318][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[318][ObjSpec] = 473;
   _jumpMap[318][Table] = 472;
   _jumpMap[318][TableList] = 471;
   _jumpMap[318][JoinSpecList] = 470;
   _jumpMap[318][TableSource] = 469;
   _actionMap[319][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[319][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[319][CONCAT] = ActionEntry(SHIFT, 240);
   _actionMap[319][FROM] = ActionEntry(REDUCE, 234);
   _actionMap[319][AS] = ActionEntry(SHIFT, 476);
}
void Cego::loadParser252()
{
   _actionMap[319][RB] = ActionEntry(REDUCE, 234);
   _actionMap[319][SEMICOLON] = ActionEntry(REDUCE, 234);
   _actionMap[319][ENDTOKEN] = ActionEntry(REDUCE, 234);
   _actionMap[319][KSEP] = ActionEntry(REDUCE, 234);
   _jumpMap[319][NoAliasOpt] = 475;
   _jumpMap[319][AliasOpt] = 474;
   _actionMap[320][KSEP] = ActionEntry(SHIFT, 477);
   _actionMap[320][FROM] = ActionEntry(REDUCE, 213);
   _actionMap[320][RB] = ActionEntry(REDUCE, 213);
   _actionMap[320][SEMICOLON] = ActionEntry(REDUCE, 213);
   _actionMap[320][ENDTOKEN] = ActionEntry(REDUCE, 213);
   _actionMap[321][FROM] = ActionEntry(REDUCE, 216);
   _actionMap[321][RB] = ActionEntry(REDUCE, 216);
   _actionMap[321][SEMICOLON] = ActionEntry(REDUCE, 216);
   _actionMap[321][ENDTOKEN] = ActionEntry(REDUCE, 216);
   _actionMap[321][KSEP] = ActionEntry(REDUCE, 216);
   _actionMap[322][SEMICOLON] = ActionEntry(REDUCE, 36);
   _actionMap[323][SEMICOLON] = ActionEntry(REDUCE, 35);
   _actionMap[324][SEMICOLON] = ActionEntry(REDUCE, 38);
   _actionMap[325][SEMICOLON] = ActionEntry(REDUCE, 37);
   _actionMap[326][TO] = ActionEntry(SHIFT, 478);
   _actionMap[327][SEMICOLON] = ActionEntry(REDUCE, 39);
   _actionMap[328][SEMICOLON] = ActionEntry(REDUCE, 30);
   _actionMap[329][ON] = ActionEntry(SHIFT, 480);
   _actionMap[329][OFF] = ActionEntry(SHIFT, 479);
   _actionMap[330][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[330][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[330][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[330][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[330][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[330][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[330][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[330][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[330][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[330][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[330][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[330][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[330][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[330][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[330][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[330][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[330][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[330][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[330][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[330][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[330][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[330][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[330][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[330][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[330][STR2DATE] = ActionEntry(SHIFT, 151);
}
void Cego::loadParser253()
{
   _actionMap[330][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[330][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[330][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[330][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[330][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[330][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[330][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[330][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[330][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[330][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[330][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[330][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[330][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[330][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[330][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[330][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[330][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[330][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[330][LB] = ActionEntry(SHIFT, 156);
   _actionMap[330][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[330][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[330][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[330][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[330][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[330][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[330][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[330][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[330][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[330][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[330][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[330][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[330][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[330][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[330][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[330][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[330][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[330][ObjSpec] = 103;
   _jumpMap[330][Constant] = 102;
   _jumpMap[330][SignedFloat] = 101;
   _jumpMap[330][SignedInt] = 100;
   _jumpMap[330][Attribute] = 99;
   _jumpMap[330][Function] = 98;
   _jumpMap[330][CasePrepare] = 97;
   _jumpMap[330][CaseClause] = 96;
   _jumpMap[330][Factor] = 95;
   _jumpMap[330][Term] = 94;
   _jumpMap[330][Expr] = 481;
   _actionMap[331][SEMICOLON] = ActionEntry(REDUCE, 29);
   _actionMap[332][SEMICOLON] = ActionEntry(REDUCE, 27);
   _actionMap[333][SEMICOLON] = ActionEntry(REDUCE, 28);
}
void Cego::loadParser254()
{
   _actionMap[334][SET] = ActionEntry(SHIFT, 335);
   _actionMap[335][IDENTIFIER] = ActionEntry(SHIFT, 484);
   _jumpMap[335][Assignment] = 483;
   _jumpMap[335][UpdateList] = 482;
   _actionMap[336][SET] = ActionEntry(REDUCE, 268);
   _actionMap[336][WHERE] = ActionEntry(REDUCE, 268);
   _actionMap[336][GROUP] = ActionEntry(REDUCE, 268);
   _actionMap[336][ORDER] = ActionEntry(REDUCE, 268);
   _actionMap[336][ROWLIMIT] = ActionEntry(REDUCE, 268);
   _actionMap[336][UNION] = ActionEntry(REDUCE, 268);
   _actionMap[336][ENDTOKEN] = ActionEntry(REDUCE, 268);
   _actionMap[336][RB] = ActionEntry(REDUCE, 268);
   _actionMap[336][SEMICOLON] = ActionEntry(REDUCE, 268);
   _actionMap[336][RETURNTOKEN] = ActionEntry(REDUCE, 268);
   _actionMap[337][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[337][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[337][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[337][ObjSpec] = 485;
   _actionMap[40][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[40][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[40][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[40][ObjSpec] = 195;
   _actionMap[41][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[41][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[41][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[41][ObjSpec] = 196;
   _actionMap[42][FOR] = ActionEntry(REDUCE, 192);
   _actionMap[42][SEMICOLON] = ActionEntry(REDUCE, 192);
   _actionMap[42][QUALIFIEDOBJ] = ActionEntry(REDUCE, 192);
   _actionMap[42][QUALIFIEDTS] = ActionEntry(REDUCE, 192);
   _actionMap[42][ON] = ActionEntry(REDUCE, 192);
   _actionMap[42][IDENTIFIER] = ActionEntry(REDUCE, 192);
   _actionMap[43][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[43][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[43][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[43][ObjSpec] = 197;
   _actionMap[44][IDENTIFIER] = ActionEntry(SHIFT, 199);
   _jumpMap[44][CounterId] = 198;
   _actionMap[45][KEY] = ActionEntry(SHIFT, 200);
   _actionMap[46][FOR] = ActionEntry(REDUCE, 193);
   _actionMap[46][SEMICOLON] = ActionEntry(REDUCE, 193);
   _actionMap[46][QUALIFIEDOBJ] = ActionEntry(REDUCE, 193);
   _actionMap[46][QUALIFIEDTS] = ActionEntry(REDUCE, 193);
   _actionMap[46][ON] = ActionEntry(REDUCE, 193);
   _actionMap[46][IDENTIFIER] = ActionEntry(REDUCE, 193);
   _actionMap[47][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[47][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[47][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[47][ObjSpec] = 201;
   _actionMap[48][IDENTIFIER] = ActionEntry(SHIFT, 54);
}
void Cego::loadParser255()
{
   _actionMap[48][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[48][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[48][ObjSpec] = 202;
   _actionMap[49][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[49][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[49][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[49][ObjSpec] = 203;
   _actionMap[50][ENDTOKEN] = ActionEntry(ACCEPT, 0);
   _actionMap[51][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[51][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[51][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[51][ObjSpec] = 204;
   _actionMap[52][IDENTIFIED] = ActionEntry(SHIFT, 205);
   _actionMap[53][LB] = ActionEntry(SHIFT, 206);
   _actionMap[54][TO] = ActionEntry(REDUCE, 391);
   _actionMap[54][VALUES] = ActionEntry(REDUCE, 391);
   _actionMap[54][SELECT] = ActionEntry(REDUCE, 391);
   _actionMap[54][SET] = ActionEntry(REDUCE, 391);
   _actionMap[54][AS] = ActionEntry(REDUCE, 391);
   _actionMap[54][DROP] = ActionEntry(REDUCE, 391);
   _actionMap[54][MODIFY] = ActionEntry(REDUCE, 391);
   _actionMap[54][RENAME] = ActionEntry(REDUCE, 391);
   _actionMap[54][ADD] = ActionEntry(REDUCE, 391);
   _actionMap[54][JOIN] = ActionEntry(REDUCE, 391);
   _actionMap[54][INNER] = ActionEntry(REDUCE, 391);
   _actionMap[54][RIGHT] = ActionEntry(REDUCE, 391);
   _actionMap[54][LEFT] = ActionEntry(REDUCE, 391);
   _actionMap[54][KSEP] = ActionEntry(REDUCE, 391);
   _actionMap[54][RETURNTOKEN] = ActionEntry(REDUCE, 391);
   _actionMap[54][SEMICOLON] = ActionEntry(REDUCE, 391);
   _actionMap[54][RB] = ActionEntry(REDUCE, 391);
   _actionMap[54][ENDTOKEN] = ActionEntry(REDUCE, 391);
   _actionMap[54][UNION] = ActionEntry(REDUCE, 391);
   _actionMap[54][ROWLIMIT] = ActionEntry(REDUCE, 391);
   _actionMap[54][ORDER] = ActionEntry(REDUCE, 391);
   _actionMap[54][GROUP] = ActionEntry(REDUCE, 391);
   _actionMap[54][WHERE] = ActionEntry(REDUCE, 391);
   _actionMap[54][LB] = ActionEntry(REDUCE, 391);
   _actionMap[54][IDENTIFIER] = ActionEntry(REDUCE, 391);
   _actionMap[54][ON] = ActionEntry(REDUCE, 391);
   _actionMap[55][TO] = ActionEntry(REDUCE, 392);
   _actionMap[55][VALUES] = ActionEntry(REDUCE, 392);
   _actionMap[55][SELECT] = ActionEntry(REDUCE, 392);
   _actionMap[55][SET] = ActionEntry(REDUCE, 392);
   _actionMap[55][AS] = ActionEntry(REDUCE, 392);
   _actionMap[55][DROP] = ActionEntry(REDUCE, 392);
   _actionMap[55][MODIFY] = ActionEntry(REDUCE, 392);
   _actionMap[55][RENAME] = ActionEntry(REDUCE, 392);
   _actionMap[55][ADD] = ActionEntry(REDUCE, 392);
   _actionMap[55][JOIN] = ActionEntry(REDUCE, 392);
}
void Cego::loadParser256()
{
   _actionMap[55][INNER] = ActionEntry(REDUCE, 392);
   _actionMap[55][RIGHT] = ActionEntry(REDUCE, 392);
   _actionMap[55][LEFT] = ActionEntry(REDUCE, 392);
   _actionMap[55][KSEP] = ActionEntry(REDUCE, 392);
   _actionMap[55][RETURNTOKEN] = ActionEntry(REDUCE, 392);
   _actionMap[55][SEMICOLON] = ActionEntry(REDUCE, 392);
   _actionMap[55][RB] = ActionEntry(REDUCE, 392);
   _actionMap[55][ENDTOKEN] = ActionEntry(REDUCE, 392);
   _actionMap[55][UNION] = ActionEntry(REDUCE, 392);
   _actionMap[55][ROWLIMIT] = ActionEntry(REDUCE, 392);
   _actionMap[55][ORDER] = ActionEntry(REDUCE, 392);
   _actionMap[55][GROUP] = ActionEntry(REDUCE, 392);
   _actionMap[55][WHERE] = ActionEntry(REDUCE, 392);
   _actionMap[55][LB] = ActionEntry(REDUCE, 392);
   _actionMap[55][IDENTIFIER] = ActionEntry(REDUCE, 392);
   _actionMap[55][ON] = ActionEntry(REDUCE, 392);
   _actionMap[56][TO] = ActionEntry(REDUCE, 393);
   _actionMap[56][VALUES] = ActionEntry(REDUCE, 393);
   _actionMap[56][SELECT] = ActionEntry(REDUCE, 393);
   _actionMap[56][SET] = ActionEntry(REDUCE, 393);
   _actionMap[56][AS] = ActionEntry(REDUCE, 393);
   _actionMap[56][DROP] = ActionEntry(REDUCE, 393);
   _actionMap[56][MODIFY] = ActionEntry(REDUCE, 393);
   _actionMap[56][RENAME] = ActionEntry(REDUCE, 393);
   _actionMap[56][ADD] = ActionEntry(REDUCE, 393);
   _actionMap[56][JOIN] = ActionEntry(REDUCE, 393);
   _actionMap[56][INNER] = ActionEntry(REDUCE, 393);
   _actionMap[56][RIGHT] = ActionEntry(REDUCE, 393);
   _actionMap[56][LEFT] = ActionEntry(REDUCE, 393);
   _actionMap[56][KSEP] = ActionEntry(REDUCE, 393);
   _actionMap[56][RETURNTOKEN] = ActionEntry(REDUCE, 393);
   _actionMap[56][SEMICOLON] = ActionEntry(REDUCE, 393);
   _actionMap[56][RB] = ActionEntry(REDUCE, 393);
   _actionMap[56][ENDTOKEN] = ActionEntry(REDUCE, 393);
   _actionMap[56][UNION] = ActionEntry(REDUCE, 393);
   _actionMap[56][ROWLIMIT] = ActionEntry(REDUCE, 393);
   _actionMap[56][ORDER] = ActionEntry(REDUCE, 393);
   _actionMap[56][GROUP] = ActionEntry(REDUCE, 393);
   _actionMap[56][WHERE] = ActionEntry(REDUCE, 393);
   _actionMap[56][IDENTIFIER] = ActionEntry(REDUCE, 393);
   _actionMap[56][ON] = ActionEntry(REDUCE, 393);
   _actionMap[56][LB] = ActionEntry(REDUCE, 393);
   _actionMap[57][IDENTIFIER] = ActionEntry(SHIFT, 207);
   _actionMap[58][BEGIN] = ActionEntry(SHIFT, 208);
   _actionMap[59][SEMICOLON] = ActionEntry(REDUCE, 53);
   _actionMap[60][BTREE] = ActionEntry(SHIFT, 42);
   _actionMap[60][INDEX] = ActionEntry(SHIFT, 46);
   _actionMap[60][AVLTREE] = ActionEntry(SHIFT, 211);
   _jumpMap[60][BtreeType] = 210;
   _jumpMap[60][IndexType] = 209;
}
void Cego::loadParser257()
{
   _actionMap[61][IDENTIFIER] = ActionEntry(SHIFT, 199);
   _jumpMap[61][CounterId] = 212;
   _actionMap[62][BTREE] = ActionEntry(SHIFT, 42);
   _actionMap[62][INDEX] = ActionEntry(SHIFT, 46);
   _actionMap[62][AVLTREE] = ActionEntry(SHIFT, 211);
   _jumpMap[62][BtreeType] = 210;
   _jumpMap[62][IndexType] = 213;
   _actionMap[63][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[63][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[63][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[63][ObjSpec] = 214;
   _actionMap[64][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[64][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[64][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[64][ObjSpec] = 215;
   _actionMap[65][AVLTREE] = ActionEntry(REDUCE, 188);
   _actionMap[65][BTREE] = ActionEntry(REDUCE, 188);
   _actionMap[65][INDEX] = ActionEntry(REDUCE, 188);
   _actionMap[66][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[66][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[66][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[66][ObjSpec] = 216;
   _actionMap[67][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[67][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[67][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[67][ObjSpec] = 217;
   _actionMap[68][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[68][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[68][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[68][ObjSpec] = 218;
   _actionMap[69][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[69][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[69][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[69][ObjSpec] = 219;
   _actionMap[70][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[70][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[70][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[70][ObjSpec] = 220;
   _actionMap[71][KEY] = ActionEntry(SHIFT, 221);
   _actionMap[72][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[72][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[72][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[72][ObjSpec] = 222;
   _actionMap[73][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[73][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[73][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[73][ObjSpec] = 223;
   _actionMap[74][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[74][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[74][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
}
void Cego::loadParser258()
{
   _jumpMap[74][ObjSpec] = 224;
   _actionMap[75][EXISTS] = ActionEntry(SHIFT, 225);
   _actionMap[76][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[76][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[76][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[76][ObjSpec] = 226;
   _actionMap[77][IDENTIFIER] = ActionEntry(SHIFT, 227);
   _actionMap[77][SEMICOLON] = ActionEntry(REDUCE, 80);
   _actionMap[78][IDENTIFIER] = ActionEntry(REDUCE, 82);
   _actionMap[78][SEMICOLON] = ActionEntry(REDUCE, 82);
   _actionMap[79][FOR] = ActionEntry(SHIFT, 229);
   _actionMap[79][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[79][TableSetOpt] = 228;
   _actionMap[80][FOR] = ActionEntry(SHIFT, 229);
   _actionMap[80][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[80][TableSetOpt] = 230;
   _actionMap[81][FOR] = ActionEntry(SHIFT, 229);
   _actionMap[81][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[81][TableSetOpt] = 231;
   _actionMap[82][FOR] = ActionEntry(SHIFT, 229);
   _actionMap[82][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[82][TableSetOpt] = 232;
   _actionMap[83][FOR] = ActionEntry(SHIFT, 229);
   _actionMap[83][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[83][TableSetOpt] = 233;
   _actionMap[84][FOR] = ActionEntry(SHIFT, 229);
   _actionMap[84][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[84][TableSetOpt] = 234;
   _actionMap[85][FOR] = ActionEntry(SHIFT, 229);
   _actionMap[85][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[85][TableSetOpt] = 235;
   _actionMap[86][FOR] = ActionEntry(SHIFT, 229);
   _actionMap[86][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[86][TableSetOpt] = 236;
   _actionMap[87][SEMICOLON] = ActionEntry(REDUCE, 2);
   _actionMap[88][FOR] = ActionEntry(SHIFT, 229);
   _actionMap[88][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[88][TableSetOpt] = 237;
   _actionMap[89][FOR] = ActionEntry(SHIFT, 229);
   _actionMap[89][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[89][TableSetOpt] = 238;
   _actionMap[90][SEMICOLON] = ActionEntry(REDUCE, 54);
   _actionMap[91][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[91][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[91][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[91][ObjSpec] = 239;
   _actionMap[92][SEMICOLON] = ActionEntry(REDUCE, 45);
   _actionMap[93][PLUS] = ActionEntry(SHIFT, 242);
   _actionMap[93][MINUS] = ActionEntry(SHIFT, 241);
   _actionMap[93][CONCAT] = ActionEntry(SHIFT, 240);
}
void Cego::loadParser259()
{
   _actionMap[93][SEMICOLON] = ActionEntry(REDUCE, 74);
   _actionMap[94][STAR] = ActionEntry(SHIFT, 243);
   _actionMap[94][DIVISION] = ActionEntry(SHIFT, 244);
   _actionMap[94][WHEN] = ActionEntry(REDUCE, 147);
   _actionMap[94][ELSE] = ActionEntry(REDUCE, 147);
   _actionMap[94][LEFT] = ActionEntry(REDUCE, 147);
   _actionMap[94][RIGHT] = ActionEntry(REDUCE, 147);
   _actionMap[94][INNER] = ActionEntry(REDUCE, 147);
   _actionMap[94][JOIN] = ActionEntry(REDUCE, 147);
   _actionMap[94][RETURNTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[94][ORDER] = ActionEntry(REDUCE, 147);
   _actionMap[94][GROUP] = ActionEntry(REDUCE, 147);
   _actionMap[94][WHERE] = ActionEntry(REDUCE, 147);
   _actionMap[94][BEGIN] = ActionEntry(REDUCE, 147);
   _actionMap[94][THEN] = ActionEntry(REDUCE, 147);
   _actionMap[94][OR] = ActionEntry(REDUCE, 147);
   _actionMap[94][AS] = ActionEntry(REDUCE, 147);
   _actionMap[94][FROM] = ActionEntry(REDUCE, 147);
   _actionMap[94][END_TOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[94][AND] = ActionEntry(REDUCE, 147);
   _actionMap[94][LIKE] = ActionEntry(REDUCE, 147);
   _actionMap[94][IS] = ActionEntry(REDUCE, 147);
   _actionMap[94][BETWEEN] = ActionEntry(REDUCE, 147);
   _actionMap[94][NOT] = ActionEntry(REDUCE, 147);
   _actionMap[94][INTOK] = ActionEntry(REDUCE, 147);
   _actionMap[94][EQU] = ActionEntry(REDUCE, 147);
   _actionMap[94][NEGATION] = ActionEntry(REDUCE, 147);
   _actionMap[94][LT] = ActionEntry(REDUCE, 147);
   _actionMap[94][MT] = ActionEntry(REDUCE, 147);
   _actionMap[94][DESC] = ActionEntry(REDUCE, 147);
   _actionMap[94][ASC] = ActionEntry(REDUCE, 147);
   _actionMap[94][KSEP] = ActionEntry(REDUCE, 147);
   _actionMap[94][ROWLIMIT] = ActionEntry(REDUCE, 147);
   _actionMap[94][UNION] = ActionEntry(REDUCE, 147);
   _actionMap[94][ENDTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[94][RB] = ActionEntry(REDUCE, 147);
   _actionMap[94][SEMICOLON] = ActionEntry(REDUCE, 147);
   _actionMap[94][CONCAT] = ActionEntry(REDUCE, 147);
   _actionMap[94][MINUS] = ActionEntry(REDUCE, 147);
   _actionMap[94][PLUS] = ActionEntry(REDUCE, 147);
   _actionMap[95][WHEN] = ActionEntry(REDUCE, 151);
   _actionMap[95][ELSE] = ActionEntry(REDUCE, 151);
   _actionMap[95][LEFT] = ActionEntry(REDUCE, 151);
   _actionMap[95][RIGHT] = ActionEntry(REDUCE, 151);
   _actionMap[95][INNER] = ActionEntry(REDUCE, 151);
   _actionMap[95][JOIN] = ActionEntry(REDUCE, 151);
   _actionMap[95][RETURNTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[95][ORDER] = ActionEntry(REDUCE, 151);
   _actionMap[95][GROUP] = ActionEntry(REDUCE, 151);
   _actionMap[95][WHERE] = ActionEntry(REDUCE, 151);
}
void Cego::loadParser260()
{
   _actionMap[95][BEGIN] = ActionEntry(REDUCE, 151);
   _actionMap[95][THEN] = ActionEntry(REDUCE, 151);
   _actionMap[95][OR] = ActionEntry(REDUCE, 151);
   _actionMap[95][FROM] = ActionEntry(REDUCE, 151);
   _actionMap[95][AS] = ActionEntry(REDUCE, 151);
   _actionMap[95][END_TOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[95][AND] = ActionEntry(REDUCE, 151);
   _actionMap[95][INTOK] = ActionEntry(REDUCE, 151);
   _actionMap[95][NOT] = ActionEntry(REDUCE, 151);
   _actionMap[95][BETWEEN] = ActionEntry(REDUCE, 151);
   _actionMap[95][IS] = ActionEntry(REDUCE, 151);
   _actionMap[95][LIKE] = ActionEntry(REDUCE, 151);
   _actionMap[95][MT] = ActionEntry(REDUCE, 151);
   _actionMap[95][LT] = ActionEntry(REDUCE, 151);
   _actionMap[95][NEGATION] = ActionEntry(REDUCE, 151);
   _actionMap[95][EQU] = ActionEntry(REDUCE, 151);
   _actionMap[95][RB] = ActionEntry(REDUCE, 151);
   _actionMap[95][ENDTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[95][UNION] = ActionEntry(REDUCE, 151);
   _actionMap[95][ROWLIMIT] = ActionEntry(REDUCE, 151);
   _actionMap[95][KSEP] = ActionEntry(REDUCE, 151);
   _actionMap[95][ASC] = ActionEntry(REDUCE, 151);
   _actionMap[95][DESC] = ActionEntry(REDUCE, 151);
   _actionMap[95][SEMICOLON] = ActionEntry(REDUCE, 151);
   _actionMap[95][PLUS] = ActionEntry(REDUCE, 151);
   _actionMap[95][MINUS] = ActionEntry(REDUCE, 151);
   _actionMap[95][DIVISION] = ActionEntry(REDUCE, 151);
   _actionMap[95][STAR] = ActionEntry(REDUCE, 151);
   _actionMap[95][CONCAT] = ActionEntry(REDUCE, 151);
   _actionMap[96][WHEN] = ActionEntry(REDUCE, 159);
   _actionMap[96][ELSE] = ActionEntry(REDUCE, 159);
   _actionMap[96][LEFT] = ActionEntry(REDUCE, 159);
   _actionMap[96][RIGHT] = ActionEntry(REDUCE, 159);
   _actionMap[96][INNER] = ActionEntry(REDUCE, 159);
   _actionMap[96][JOIN] = ActionEntry(REDUCE, 159);
   _actionMap[96][RETURNTOKEN] = ActionEntry(REDUCE, 159);
   _actionMap[96][ORDER] = ActionEntry(REDUCE, 159);
   _actionMap[96][GROUP] = ActionEntry(REDUCE, 159);
   _actionMap[96][WHERE] = ActionEntry(REDUCE, 159);
   _actionMap[96][BEGIN] = ActionEntry(REDUCE, 159);
   _actionMap[96][THEN] = ActionEntry(REDUCE, 159);
   _actionMap[96][OR] = ActionEntry(REDUCE, 159);
   _actionMap[96][AS] = ActionEntry(REDUCE, 159);
   _actionMap[96][FROM] = ActionEntry(REDUCE, 159);
   _actionMap[96][END_TOKEN] = ActionEntry(REDUCE, 159);
   _actionMap[96][AND] = ActionEntry(REDUCE, 159);
   _actionMap[96][LIKE] = ActionEntry(REDUCE, 159);
   _actionMap[96][IS] = ActionEntry(REDUCE, 159);
   _actionMap[96][BETWEEN] = ActionEntry(REDUCE, 159);
   _actionMap[96][NOT] = ActionEntry(REDUCE, 159);
}
void Cego::loadParser261()
{
   _actionMap[96][INTOK] = ActionEntry(REDUCE, 159);
   _actionMap[96][EQU] = ActionEntry(REDUCE, 159);
   _actionMap[96][NEGATION] = ActionEntry(REDUCE, 159);
   _actionMap[96][LT] = ActionEntry(REDUCE, 159);
   _actionMap[96][MT] = ActionEntry(REDUCE, 159);
   _actionMap[96][DESC] = ActionEntry(REDUCE, 159);
   _actionMap[96][ASC] = ActionEntry(REDUCE, 159);
   _actionMap[96][KSEP] = ActionEntry(REDUCE, 159);
   _actionMap[96][ROWLIMIT] = ActionEntry(REDUCE, 159);
   _actionMap[96][UNION] = ActionEntry(REDUCE, 159);
   _actionMap[96][ENDTOKEN] = ActionEntry(REDUCE, 159);
   _actionMap[96][RB] = ActionEntry(REDUCE, 159);
   _actionMap[96][SEMICOLON] = ActionEntry(REDUCE, 159);
   _actionMap[96][CONCAT] = ActionEntry(REDUCE, 159);
   _actionMap[96][STAR] = ActionEntry(REDUCE, 159);
   _actionMap[96][DIVISION] = ActionEntry(REDUCE, 159);
   _actionMap[96][MINUS] = ActionEntry(REDUCE, 159);
   _actionMap[96][PLUS] = ActionEntry(REDUCE, 159);
   _actionMap[97][WHEN] = ActionEntry(SHIFT, 247);
   _jumpMap[97][CaseCondition] = 246;
   _jumpMap[97][CaseConditionList] = 245;
   _actionMap[98][WHEN] = ActionEntry(REDUCE, 156);
   _actionMap[98][ELSE] = ActionEntry(REDUCE, 156);
   _actionMap[98][LEFT] = ActionEntry(REDUCE, 156);
   _actionMap[98][RIGHT] = ActionEntry(REDUCE, 156);
   _actionMap[98][INNER] = ActionEntry(REDUCE, 156);
   _actionMap[98][JOIN] = ActionEntry(REDUCE, 156);
   _actionMap[98][RETURNTOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[98][ORDER] = ActionEntry(REDUCE, 156);
   _actionMap[98][GROUP] = ActionEntry(REDUCE, 156);
   _actionMap[98][WHERE] = ActionEntry(REDUCE, 156);
   _actionMap[98][BEGIN] = ActionEntry(REDUCE, 156);
   _actionMap[98][THEN] = ActionEntry(REDUCE, 156);
   _actionMap[98][OR] = ActionEntry(REDUCE, 156);
   _actionMap[98][AS] = ActionEntry(REDUCE, 156);
   _actionMap[98][FROM] = ActionEntry(REDUCE, 156);
   _actionMap[98][END_TOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[98][AND] = ActionEntry(REDUCE, 156);
   _actionMap[98][LIKE] = ActionEntry(REDUCE, 156);
   _actionMap[98][IS] = ActionEntry(REDUCE, 156);
   _actionMap[98][BETWEEN] = ActionEntry(REDUCE, 156);
   _actionMap[98][NOT] = ActionEntry(REDUCE, 156);
   _actionMap[98][INTOK] = ActionEntry(REDUCE, 156);
   _actionMap[98][EQU] = ActionEntry(REDUCE, 156);
   _actionMap[98][NEGATION] = ActionEntry(REDUCE, 156);
   _actionMap[98][LT] = ActionEntry(REDUCE, 156);
   _actionMap[98][MT] = ActionEntry(REDUCE, 156);
   _actionMap[98][DESC] = ActionEntry(REDUCE, 156);
   _actionMap[98][ASC] = ActionEntry(REDUCE, 156);
   _actionMap[98][KSEP] = ActionEntry(REDUCE, 156);
}
void Cego::loadParser262()
{
   _actionMap[98][ROWLIMIT] = ActionEntry(REDUCE, 156);
   _actionMap[98][UNION] = ActionEntry(REDUCE, 156);
   _actionMap[98][ENDTOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[98][RB] = ActionEntry(REDUCE, 156);
   _actionMap[98][SEMICOLON] = ActionEntry(REDUCE, 156);
   _actionMap[98][CONCAT] = ActionEntry(REDUCE, 156);
   _actionMap[98][STAR] = ActionEntry(REDUCE, 156);
   _actionMap[98][DIVISION] = ActionEntry(REDUCE, 156);
   _actionMap[98][MINUS] = ActionEntry(REDUCE, 156);
   _actionMap[98][PLUS] = ActionEntry(REDUCE, 156);
   _actionMap[99][WHEN] = ActionEntry(REDUCE, 155);
   _actionMap[99][ELSE] = ActionEntry(REDUCE, 155);
   _actionMap[99][LEFT] = ActionEntry(REDUCE, 155);
   _actionMap[99][RIGHT] = ActionEntry(REDUCE, 155);
   _actionMap[99][INNER] = ActionEntry(REDUCE, 155);
   _actionMap[99][JOIN] = ActionEntry(REDUCE, 155);
   _actionMap[99][RETURNTOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[99][ORDER] = ActionEntry(REDUCE, 155);
   _actionMap[99][GROUP] = ActionEntry(REDUCE, 155);
   _actionMap[99][WHERE] = ActionEntry(REDUCE, 155);
   _actionMap[99][AS] = ActionEntry(REDUCE, 155);
   _actionMap[99][FROM] = ActionEntry(REDUCE, 155);
   _actionMap[99][END_TOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[99][BEGIN] = ActionEntry(REDUCE, 155);
   _actionMap[99][THEN] = ActionEntry(REDUCE, 155);
   _actionMap[99][OR] = ActionEntry(REDUCE, 155);
   _actionMap[99][AND] = ActionEntry(REDUCE, 155);
   _actionMap[99][LIKE] = ActionEntry(REDUCE, 155);
   _actionMap[99][IS] = ActionEntry(REDUCE, 155);
   _actionMap[99][BETWEEN] = ActionEntry(REDUCE, 155);
   _actionMap[99][NOT] = ActionEntry(REDUCE, 155);
   _actionMap[99][INTOK] = ActionEntry(REDUCE, 155);
   _actionMap[99][EQU] = ActionEntry(REDUCE, 155);
   _actionMap[99][NEGATION] = ActionEntry(REDUCE, 155);
   _actionMap[99][LT] = ActionEntry(REDUCE, 155);
   _actionMap[99][MT] = ActionEntry(REDUCE, 155);
   _actionMap[99][DESC] = ActionEntry(REDUCE, 155);
   _actionMap[99][ASC] = ActionEntry(REDUCE, 155);
   _actionMap[99][KSEP] = ActionEntry(REDUCE, 155);
   _actionMap[99][ROWLIMIT] = ActionEntry(REDUCE, 155);
   _actionMap[99][UNION] = ActionEntry(REDUCE, 155);
   _actionMap[99][ENDTOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[99][RB] = ActionEntry(REDUCE, 155);
   _actionMap[99][SEMICOLON] = ActionEntry(REDUCE, 155);
   _actionMap[99][CONCAT] = ActionEntry(REDUCE, 155);
   _actionMap[99][STAR] = ActionEntry(REDUCE, 155);
   _actionMap[99][DIVISION] = ActionEntry(REDUCE, 155);
   _actionMap[99][MINUS] = ActionEntry(REDUCE, 155);
   _actionMap[99][PLUS] = ActionEntry(REDUCE, 155);
   _actionMap[100][WHEN] = ActionEntry(REDUCE, 372);
}
void Cego::loadParser263()
{
   _actionMap[100][ELSE] = ActionEntry(REDUCE, 372);
   _actionMap[100][LEFT] = ActionEntry(REDUCE, 372);
   _actionMap[100][RIGHT] = ActionEntry(REDUCE, 372);
   _actionMap[100][INNER] = ActionEntry(REDUCE, 372);
   _actionMap[100][JOIN] = ActionEntry(REDUCE, 372);
   _actionMap[100][RETURNTOKEN] = ActionEntry(REDUCE, 372);
   _actionMap[100][ORDER] = ActionEntry(REDUCE, 372);
   _actionMap[100][GROUP] = ActionEntry(REDUCE, 372);
   _actionMap[100][WHERE] = ActionEntry(REDUCE, 372);
   _actionMap[100][NULLTOKEN] = ActionEntry(REDUCE, 372);
   _actionMap[100][FROM] = ActionEntry(REDUCE, 372);
   _actionMap[100][AS] = ActionEntry(REDUCE, 372);
   _actionMap[100][END_TOKEN] = ActionEntry(REDUCE, 372);
   _actionMap[100][BEGIN] = ActionEntry(REDUCE, 372);
   _actionMap[100][THEN] = ActionEntry(REDUCE, 372);
   _actionMap[100][OR] = ActionEntry(REDUCE, 372);
   _actionMap[100][AND] = ActionEntry(REDUCE, 372);
   _actionMap[100][INTOK] = ActionEntry(REDUCE, 372);
   _actionMap[100][NOT] = ActionEntry(REDUCE, 372);
   _actionMap[100][BETWEEN] = ActionEntry(REDUCE, 372);
   _actionMap[100][IS] = ActionEntry(REDUCE, 372);
   _actionMap[100][LIKE] = ActionEntry(REDUCE, 372);
   _actionMap[100][MT] = ActionEntry(REDUCE, 372);
   _actionMap[100][LT] = ActionEntry(REDUCE, 372);
   _actionMap[100][NEGATION] = ActionEntry(REDUCE, 372);
   _actionMap[100][EQU] = ActionEntry(REDUCE, 372);
   _actionMap[100][RB] = ActionEntry(REDUCE, 372);
   _actionMap[100][ENDTOKEN] = ActionEntry(REDUCE, 372);
   _actionMap[100][UNION] = ActionEntry(REDUCE, 372);
   _actionMap[100][ROWLIMIT] = ActionEntry(REDUCE, 372);
   _actionMap[100][KSEP] = ActionEntry(REDUCE, 372);
   _actionMap[100][ASC] = ActionEntry(REDUCE, 372);
   _actionMap[100][DESC] = ActionEntry(REDUCE, 372);
   _actionMap[100][SEMICOLON] = ActionEntry(REDUCE, 372);
   _actionMap[100][PLUS] = ActionEntry(REDUCE, 372);
   _actionMap[100][MINUS] = ActionEntry(REDUCE, 372);
   _actionMap[100][DIVISION] = ActionEntry(REDUCE, 372);
   _actionMap[100][STAR] = ActionEntry(REDUCE, 372);
   _actionMap[100][CONCAT] = ActionEntry(REDUCE, 372);
   _actionMap[101][WHEN] = ActionEntry(REDUCE, 378);
   _actionMap[101][ELSE] = ActionEntry(REDUCE, 378);
   _actionMap[101][LEFT] = ActionEntry(REDUCE, 378);
   _actionMap[101][RIGHT] = ActionEntry(REDUCE, 378);
   _actionMap[101][INNER] = ActionEntry(REDUCE, 378);
   _actionMap[101][JOIN] = ActionEntry(REDUCE, 378);
   _actionMap[101][RETURNTOKEN] = ActionEntry(REDUCE, 378);
   _actionMap[101][ORDER] = ActionEntry(REDUCE, 378);
   _actionMap[101][GROUP] = ActionEntry(REDUCE, 378);
   _actionMap[101][WHERE] = ActionEntry(REDUCE, 378);
   _actionMap[101][NULLTOKEN] = ActionEntry(REDUCE, 378);
}
void Cego::loadParser264()
{
   _actionMap[101][FROM] = ActionEntry(REDUCE, 378);
   _actionMap[101][AS] = ActionEntry(REDUCE, 378);
   _actionMap[101][END_TOKEN] = ActionEntry(REDUCE, 378);
   _actionMap[101][BEGIN] = ActionEntry(REDUCE, 378);
   _actionMap[101][THEN] = ActionEntry(REDUCE, 378);
   _actionMap[101][OR] = ActionEntry(REDUCE, 378);
   _actionMap[101][AND] = ActionEntry(REDUCE, 378);
   _actionMap[101][INTOK] = ActionEntry(REDUCE, 378);
   _actionMap[101][NOT] = ActionEntry(REDUCE, 378);
   _actionMap[101][BETWEEN] = ActionEntry(REDUCE, 378);
   _actionMap[101][IS] = ActionEntry(REDUCE, 378);
   _actionMap[101][LIKE] = ActionEntry(REDUCE, 378);
   _actionMap[101][MT] = ActionEntry(REDUCE, 378);
   _actionMap[101][LT] = ActionEntry(REDUCE, 378);
   _actionMap[101][NEGATION] = ActionEntry(REDUCE, 378);
   _actionMap[101][EQU] = ActionEntry(REDUCE, 378);
   _actionMap[101][RB] = ActionEntry(REDUCE, 378);
   _actionMap[101][ENDTOKEN] = ActionEntry(REDUCE, 378);
   _actionMap[101][UNION] = ActionEntry(REDUCE, 378);
   _actionMap[101][ROWLIMIT] = ActionEntry(REDUCE, 378);
   _actionMap[101][KSEP] = ActionEntry(REDUCE, 378);
   _actionMap[101][ASC] = ActionEntry(REDUCE, 378);
   _actionMap[101][DESC] = ActionEntry(REDUCE, 378);
   _actionMap[101][SEMICOLON] = ActionEntry(REDUCE, 378);
   _actionMap[101][PLUS] = ActionEntry(REDUCE, 378);
   _actionMap[101][MINUS] = ActionEntry(REDUCE, 378);
   _actionMap[101][DIVISION] = ActionEntry(REDUCE, 378);
   _actionMap[101][STAR] = ActionEntry(REDUCE, 378);
   _actionMap[101][CONCAT] = ActionEntry(REDUCE, 378);
   _actionMap[102][WHEN] = ActionEntry(REDUCE, 153);
   _actionMap[102][ELSE] = ActionEntry(REDUCE, 153);
   _actionMap[102][LEFT] = ActionEntry(REDUCE, 153);
   _actionMap[102][RIGHT] = ActionEntry(REDUCE, 153);
   _actionMap[102][INNER] = ActionEntry(REDUCE, 153);
   _actionMap[102][JOIN] = ActionEntry(REDUCE, 153);
   _actionMap[102][RETURNTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[102][ORDER] = ActionEntry(REDUCE, 153);
   _actionMap[102][GROUP] = ActionEntry(REDUCE, 153);
   _actionMap[102][WHERE] = ActionEntry(REDUCE, 153);
   _actionMap[102][AS] = ActionEntry(REDUCE, 153);
   _actionMap[102][FROM] = ActionEntry(REDUCE, 153);
   _actionMap[102][END_TOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[102][BEGIN] = ActionEntry(REDUCE, 153);
   _actionMap[102][THEN] = ActionEntry(REDUCE, 153);
   _actionMap[102][OR] = ActionEntry(REDUCE, 153);
   _actionMap[102][AND] = ActionEntry(REDUCE, 153);
   _actionMap[102][LIKE] = ActionEntry(REDUCE, 153);
   _actionMap[102][IS] = ActionEntry(REDUCE, 153);
   _actionMap[102][BETWEEN] = ActionEntry(REDUCE, 153);
   _actionMap[102][NOT] = ActionEntry(REDUCE, 153);
}
void Cego::loadParser265()
{
   _actionMap[102][INTOK] = ActionEntry(REDUCE, 153);
   _actionMap[102][EQU] = ActionEntry(REDUCE, 153);
   _actionMap[102][NEGATION] = ActionEntry(REDUCE, 153);
   _actionMap[102][LT] = ActionEntry(REDUCE, 153);
   _actionMap[102][MT] = ActionEntry(REDUCE, 153);
   _actionMap[102][DESC] = ActionEntry(REDUCE, 153);
   _actionMap[102][ASC] = ActionEntry(REDUCE, 153);
   _actionMap[102][KSEP] = ActionEntry(REDUCE, 153);
   _actionMap[102][ROWLIMIT] = ActionEntry(REDUCE, 153);
   _actionMap[102][UNION] = ActionEntry(REDUCE, 153);
   _actionMap[102][ENDTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[102][RB] = ActionEntry(REDUCE, 153);
   _actionMap[102][SEMICOLON] = ActionEntry(REDUCE, 153);
   _actionMap[102][CONCAT] = ActionEntry(REDUCE, 153);
   _actionMap[102][STAR] = ActionEntry(REDUCE, 153);
   _actionMap[102][DIVISION] = ActionEntry(REDUCE, 153);
   _actionMap[102][MINUS] = ActionEntry(REDUCE, 153);
   _actionMap[102][PLUS] = ActionEntry(REDUCE, 153);
   _actionMap[103][LB] = ActionEntry(SHIFT, 248);
   _actionMap[104][WHEN] = ActionEntry(REDUCE, 377);
   _actionMap[104][ELSE] = ActionEntry(REDUCE, 377);
   _actionMap[104][LEFT] = ActionEntry(REDUCE, 377);
   _actionMap[104][RIGHT] = ActionEntry(REDUCE, 377);
   _actionMap[104][INNER] = ActionEntry(REDUCE, 377);
   _actionMap[104][JOIN] = ActionEntry(REDUCE, 377);
   _actionMap[104][RETURNTOKEN] = ActionEntry(REDUCE, 377);
   _actionMap[104][ORDER] = ActionEntry(REDUCE, 377);
   _actionMap[104][GROUP] = ActionEntry(REDUCE, 377);
   _actionMap[104][WHERE] = ActionEntry(REDUCE, 377);
   _actionMap[104][NULLTOKEN] = ActionEntry(REDUCE, 377);
   _actionMap[104][FROM] = ActionEntry(REDUCE, 377);
   _actionMap[104][AS] = ActionEntry(REDUCE, 377);
   _actionMap[104][END_TOKEN] = ActionEntry(REDUCE, 377);
   _actionMap[104][BEGIN] = ActionEntry(REDUCE, 377);
   _actionMap[104][THEN] = ActionEntry(REDUCE, 377);
   _actionMap[104][OR] = ActionEntry(REDUCE, 377);
   _actionMap[104][AND] = ActionEntry(REDUCE, 377);
   _actionMap[104][INTOK] = ActionEntry(REDUCE, 377);
   _actionMap[104][NOT] = ActionEntry(REDUCE, 377);
   _actionMap[104][BETWEEN] = ActionEntry(REDUCE, 377);
   _actionMap[104][IS] = ActionEntry(REDUCE, 377);
   _actionMap[104][LIKE] = ActionEntry(REDUCE, 377);
   _actionMap[104][MT] = ActionEntry(REDUCE, 377);
   _actionMap[104][LT] = ActionEntry(REDUCE, 377);
   _actionMap[104][NEGATION] = ActionEntry(REDUCE, 377);
   _actionMap[104][EQU] = ActionEntry(REDUCE, 377);
   _actionMap[104][RB] = ActionEntry(REDUCE, 377);
   _actionMap[104][ENDTOKEN] = ActionEntry(REDUCE, 377);
   _actionMap[104][UNION] = ActionEntry(REDUCE, 377);
   _actionMap[104][ROWLIMIT] = ActionEntry(REDUCE, 377);
}
void Cego::loadParser266()
{
   _actionMap[104][KSEP] = ActionEntry(REDUCE, 377);
   _actionMap[104][ASC] = ActionEntry(REDUCE, 377);
   _actionMap[104][DESC] = ActionEntry(REDUCE, 377);
   _actionMap[104][SEMICOLON] = ActionEntry(REDUCE, 377);
   _actionMap[104][PLUS] = ActionEntry(REDUCE, 377);
   _actionMap[104][MINUS] = ActionEntry(REDUCE, 377);
   _actionMap[104][DIVISION] = ActionEntry(REDUCE, 377);
   _actionMap[104][STAR] = ActionEntry(REDUCE, 377);
   _actionMap[104][CONCAT] = ActionEntry(REDUCE, 377);
   _actionMap[105][LB] = ActionEntry(SHIFT, 249);
   _actionMap[106][LB] = ActionEntry(SHIFT, 250);
   _actionMap[107][LB] = ActionEntry(SHIFT, 251);
   _actionMap[108][LB] = ActionEntry(SHIFT, 252);
   _actionMap[109][LB] = ActionEntry(SHIFT, 253);
   _actionMap[110][LAB] = ActionEntry(SHIFT, 254);
   _actionMap[111][LB] = ActionEntry(SHIFT, 255);
   _actionMap[112][WHEN] = ActionEntry(REDUCE, 170);
   _actionMap[113][LAB] = ActionEntry(SHIFT, 256);
   _actionMap[114][LB] = ActionEntry(SHIFT, 257);
   _actionMap[115][LB] = ActionEntry(SHIFT, 258);
   _actionMap[116][LB] = ActionEntry(SHIFT, 259);
   _actionMap[117][LB] = ActionEntry(SHIFT, 260);
   _actionMap[118][LB] = ActionEntry(SHIFT, 261);
   _actionMap[119][LB] = ActionEntry(SHIFT, 262);
   _actionMap[120][LB] = ActionEntry(SHIFT, 263);
   _actionMap[121][WHEN] = ActionEntry(REDUCE, 386);
   _actionMap[121][ELSE] = ActionEntry(REDUCE, 386);
   _actionMap[121][LEFT] = ActionEntry(REDUCE, 386);
   _actionMap[121][RIGHT] = ActionEntry(REDUCE, 386);
   _actionMap[121][INNER] = ActionEntry(REDUCE, 386);
   _actionMap[121][JOIN] = ActionEntry(REDUCE, 386);
   _actionMap[121][RETURNTOKEN] = ActionEntry(REDUCE, 386);
   _actionMap[121][ORDER] = ActionEntry(REDUCE, 386);
   _actionMap[121][GROUP] = ActionEntry(REDUCE, 386);
   _actionMap[121][WHERE] = ActionEntry(REDUCE, 386);
   _actionMap[121][FROM] = ActionEntry(REDUCE, 386);
   _actionMap[121][AS] = ActionEntry(REDUCE, 386);
   _actionMap[121][END_TOKEN] = ActionEntry(REDUCE, 386);
   _actionMap[121][BEGIN] = ActionEntry(REDUCE, 386);
   _actionMap[121][THEN] = ActionEntry(REDUCE, 386);
   _actionMap[121][OR] = ActionEntry(REDUCE, 386);
   _actionMap[121][AND] = ActionEntry(REDUCE, 386);
   _actionMap[121][NULLTOKEN] = ActionEntry(REDUCE, 386);
   _actionMap[121][INTOK] = ActionEntry(REDUCE, 386);
   _actionMap[121][NOT] = ActionEntry(REDUCE, 386);
   _actionMap[121][BETWEEN] = ActionEntry(REDUCE, 386);
   _actionMap[121][IS] = ActionEntry(REDUCE, 386);
   _actionMap[121][LIKE] = ActionEntry(REDUCE, 386);
   _actionMap[121][MT] = ActionEntry(REDUCE, 386);
   _actionMap[121][LT] = ActionEntry(REDUCE, 386);
}
void Cego::loadParser267()
{
   _actionMap[121][NEGATION] = ActionEntry(REDUCE, 386);
   _actionMap[121][EQU] = ActionEntry(REDUCE, 386);
   _actionMap[121][RB] = ActionEntry(REDUCE, 386);
   _actionMap[121][ENDTOKEN] = ActionEntry(REDUCE, 386);
   _actionMap[121][UNION] = ActionEntry(REDUCE, 386);
   _actionMap[121][ROWLIMIT] = ActionEntry(REDUCE, 386);
   _actionMap[121][KSEP] = ActionEntry(REDUCE, 386);
   _actionMap[121][ASC] = ActionEntry(REDUCE, 386);
   _actionMap[121][DESC] = ActionEntry(REDUCE, 386);
   _actionMap[121][SEMICOLON] = ActionEntry(REDUCE, 386);
   _actionMap[121][PLUS] = ActionEntry(REDUCE, 386);
   _actionMap[121][MINUS] = ActionEntry(REDUCE, 386);
   _actionMap[121][DIVISION] = ActionEntry(REDUCE, 386);
   _actionMap[121][STAR] = ActionEntry(REDUCE, 386);
   _actionMap[121][CONCAT] = ActionEntry(REDUCE, 386);
   _actionMap[122][IDENTIFIER] = ActionEntry(SHIFT, 264);
   _actionMap[123][LB] = ActionEntry(SHIFT, 265);
   _actionMap[124][LB] = ActionEntry(SHIFT, 266);
   _actionMap[125][LB] = ActionEntry(SHIFT, 267);
   _actionMap[126][LB] = ActionEntry(SHIFT, 268);
   _actionMap[127][LB] = ActionEntry(SHIFT, 269);
   _actionMap[128][LB] = ActionEntry(SHIFT, 270);
   _actionMap[129][LB] = ActionEntry(SHIFT, 271);
   _actionMap[130][LB] = ActionEntry(SHIFT, 272);
   _actionMap[131][LB] = ActionEntry(SHIFT, 273);
   _actionMap[132][LB] = ActionEntry(SHIFT, 274);
   _actionMap[133][LB] = ActionEntry(SHIFT, 275);
   _actionMap[134][LB] = ActionEntry(SHIFT, 276);
   _actionMap[135][LB] = ActionEntry(SHIFT, 277);
   _actionMap[136][LB] = ActionEntry(SHIFT, 278);
   _actionMap[137][WHEN] = ActionEntry(REDUCE, 384);
   _actionMap[137][ELSE] = ActionEntry(REDUCE, 384);
   _actionMap[137][LEFT] = ActionEntry(REDUCE, 384);
   _actionMap[137][RIGHT] = ActionEntry(REDUCE, 384);
   _actionMap[137][INNER] = ActionEntry(REDUCE, 384);
   _actionMap[137][JOIN] = ActionEntry(REDUCE, 384);
   _actionMap[137][RETURNTOKEN] = ActionEntry(REDUCE, 384);
   _actionMap[137][ORDER] = ActionEntry(REDUCE, 384);
   _actionMap[137][GROUP] = ActionEntry(REDUCE, 384);
   _actionMap[137][WHERE] = ActionEntry(REDUCE, 384);
   _actionMap[137][FROM] = ActionEntry(REDUCE, 384);
   _actionMap[137][AS] = ActionEntry(REDUCE, 384);
   _actionMap[137][END_TOKEN] = ActionEntry(REDUCE, 384);
   _actionMap[137][BEGIN] = ActionEntry(REDUCE, 384);
   _actionMap[137][THEN] = ActionEntry(REDUCE, 384);
   _actionMap[137][OR] = ActionEntry(REDUCE, 384);
   _actionMap[137][AND] = ActionEntry(REDUCE, 384);
   _actionMap[137][NULLTOKEN] = ActionEntry(REDUCE, 384);
   _actionMap[137][INTOK] = ActionEntry(REDUCE, 384);
   _actionMap[137][NOT] = ActionEntry(REDUCE, 384);
}
void Cego::loadParser268()
{
   _actionMap[137][BETWEEN] = ActionEntry(REDUCE, 384);
   _actionMap[137][IS] = ActionEntry(REDUCE, 384);
   _actionMap[137][LIKE] = ActionEntry(REDUCE, 384);
   _actionMap[137][MT] = ActionEntry(REDUCE, 384);
   _actionMap[137][LT] = ActionEntry(REDUCE, 384);
   _actionMap[137][NEGATION] = ActionEntry(REDUCE, 384);
   _actionMap[137][EQU] = ActionEntry(REDUCE, 384);
   _actionMap[137][RB] = ActionEntry(REDUCE, 384);
   _actionMap[137][ENDTOKEN] = ActionEntry(REDUCE, 384);
   _actionMap[137][UNION] = ActionEntry(REDUCE, 384);
   _actionMap[137][ROWLIMIT] = ActionEntry(REDUCE, 384);
   _actionMap[137][KSEP] = ActionEntry(REDUCE, 384);
   _actionMap[137][ASC] = ActionEntry(REDUCE, 384);
   _actionMap[137][DESC] = ActionEntry(REDUCE, 384);
   _actionMap[137][SEMICOLON] = ActionEntry(REDUCE, 384);
   _actionMap[137][PLUS] = ActionEntry(REDUCE, 384);
   _actionMap[137][MINUS] = ActionEntry(REDUCE, 384);
   _actionMap[137][DIVISION] = ActionEntry(REDUCE, 384);
   _actionMap[137][STAR] = ActionEntry(REDUCE, 384);
   _actionMap[137][CONCAT] = ActionEntry(REDUCE, 384);
   _actionMap[138][LB] = ActionEntry(SHIFT, 279);
   _actionMap[139][LB] = ActionEntry(SHIFT, 280);
   _actionMap[140][LB] = ActionEntry(SHIFT, 281);
   _actionMap[141][LB] = ActionEntry(SHIFT, 282);
   _actionMap[142][LB] = ActionEntry(SHIFT, 283);
   _actionMap[143][LB] = ActionEntry(SHIFT, 284);
   _actionMap[144][LB] = ActionEntry(SHIFT, 285);
   _actionMap[145][LB] = ActionEntry(SHIFT, 286);
   _actionMap[146][LB] = ActionEntry(SHIFT, 287);
   _actionMap[147][LB] = ActionEntry(SHIFT, 288);
   _actionMap[148][WHEN] = ActionEntry(REDUCE, 383);
   _actionMap[148][ELSE] = ActionEntry(REDUCE, 383);
   _actionMap[148][LEFT] = ActionEntry(REDUCE, 383);
   _actionMap[148][RIGHT] = ActionEntry(REDUCE, 383);
   _actionMap[148][INNER] = ActionEntry(REDUCE, 383);
   _actionMap[148][JOIN] = ActionEntry(REDUCE, 383);
   _actionMap[148][RETURNTOKEN] = ActionEntry(REDUCE, 383);
   _actionMap[148][ORDER] = ActionEntry(REDUCE, 383);
   _actionMap[148][GROUP] = ActionEntry(REDUCE, 383);
   _actionMap[148][WHERE] = ActionEntry(REDUCE, 383);
   _actionMap[148][FROM] = ActionEntry(REDUCE, 383);
   _actionMap[148][AS] = ActionEntry(REDUCE, 383);
   _actionMap[148][END_TOKEN] = ActionEntry(REDUCE, 383);
   _actionMap[148][BEGIN] = ActionEntry(REDUCE, 383);
   _actionMap[148][THEN] = ActionEntry(REDUCE, 383);
   _actionMap[148][OR] = ActionEntry(REDUCE, 383);
   _actionMap[148][AND] = ActionEntry(REDUCE, 383);
   _actionMap[148][NULLTOKEN] = ActionEntry(REDUCE, 383);
   _actionMap[148][INTOK] = ActionEntry(REDUCE, 383);
   _actionMap[148][NOT] = ActionEntry(REDUCE, 383);
}
void Cego::loadParser269()
{
   _actionMap[148][BETWEEN] = ActionEntry(REDUCE, 383);
   _actionMap[148][IS] = ActionEntry(REDUCE, 383);
   _actionMap[148][LIKE] = ActionEntry(REDUCE, 383);
   _actionMap[148][MT] = ActionEntry(REDUCE, 383);
   _actionMap[148][LT] = ActionEntry(REDUCE, 383);
   _actionMap[148][NEGATION] = ActionEntry(REDUCE, 383);
   _actionMap[148][EQU] = ActionEntry(REDUCE, 383);
   _actionMap[148][RB] = ActionEntry(REDUCE, 383);
   _actionMap[148][ENDTOKEN] = ActionEntry(REDUCE, 383);
   _actionMap[148][UNION] = ActionEntry(REDUCE, 383);
   _actionMap[148][ROWLIMIT] = ActionEntry(REDUCE, 383);
   _actionMap[148][KSEP] = ActionEntry(REDUCE, 383);
   _actionMap[148][ASC] = ActionEntry(REDUCE, 383);
   _actionMap[148][DESC] = ActionEntry(REDUCE, 383);
   _actionMap[148][SEMICOLON] = ActionEntry(REDUCE, 383);
   _actionMap[148][PLUS] = ActionEntry(REDUCE, 383);
   _actionMap[148][MINUS] = ActionEntry(REDUCE, 383);
   _actionMap[148][DIVISION] = ActionEntry(REDUCE, 383);
   _actionMap[148][STAR] = ActionEntry(REDUCE, 383);
   _actionMap[148][CONCAT] = ActionEntry(REDUCE, 383);
   _actionMap[149][LB] = ActionEntry(SHIFT, 289);
   _actionMap[150][LB] = ActionEntry(SHIFT, 290);
   _actionMap[151][LB] = ActionEntry(SHIFT, 291);
   _actionMap[152][LB] = ActionEntry(SHIFT, 292);
   _actionMap[153][WHEN] = ActionEntry(REDUCE, 385);
   _actionMap[153][ELSE] = ActionEntry(REDUCE, 385);
   _actionMap[153][LEFT] = ActionEntry(REDUCE, 385);
   _actionMap[153][RIGHT] = ActionEntry(REDUCE, 385);
   _actionMap[153][INNER] = ActionEntry(REDUCE, 385);
   _actionMap[153][JOIN] = ActionEntry(REDUCE, 385);
   _actionMap[153][RETURNTOKEN] = ActionEntry(REDUCE, 385);
   _actionMap[153][ORDER] = ActionEntry(REDUCE, 385);
   _actionMap[153][GROUP] = ActionEntry(REDUCE, 385);
   _actionMap[153][WHERE] = ActionEntry(REDUCE, 385);
   _actionMap[153][FROM] = ActionEntry(REDUCE, 385);
   _actionMap[153][AS] = ActionEntry(REDUCE, 385);
   _actionMap[153][END_TOKEN] = ActionEntry(REDUCE, 385);
   _actionMap[153][BEGIN] = ActionEntry(REDUCE, 385);
   _actionMap[153][THEN] = ActionEntry(REDUCE, 385);
   _actionMap[153][OR] = ActionEntry(REDUCE, 385);
   _actionMap[153][AND] = ActionEntry(REDUCE, 385);
   _actionMap[153][NULLTOKEN] = ActionEntry(REDUCE, 385);
   _actionMap[153][INTOK] = ActionEntry(REDUCE, 385);
   _actionMap[153][NOT] = ActionEntry(REDUCE, 385);
   _actionMap[153][BETWEEN] = ActionEntry(REDUCE, 385);
   _actionMap[153][IS] = ActionEntry(REDUCE, 385);
   _actionMap[153][LIKE] = ActionEntry(REDUCE, 385);
   _actionMap[153][MT] = ActionEntry(REDUCE, 385);
   _actionMap[153][LT] = ActionEntry(REDUCE, 385);
   _actionMap[153][NEGATION] = ActionEntry(REDUCE, 385);
}
void Cego::loadParser270()
{
   _actionMap[153][EQU] = ActionEntry(REDUCE, 385);
   _actionMap[153][RB] = ActionEntry(REDUCE, 385);
   _actionMap[153][ENDTOKEN] = ActionEntry(REDUCE, 385);
   _actionMap[153][UNION] = ActionEntry(REDUCE, 385);
   _actionMap[153][ROWLIMIT] = ActionEntry(REDUCE, 385);
   _actionMap[153][KSEP] = ActionEntry(REDUCE, 385);
   _actionMap[153][ASC] = ActionEntry(REDUCE, 385);
   _actionMap[153][DESC] = ActionEntry(REDUCE, 385);
   _actionMap[153][SEMICOLON] = ActionEntry(REDUCE, 385);
   _actionMap[153][PLUS] = ActionEntry(REDUCE, 385);
   _actionMap[153][MINUS] = ActionEntry(REDUCE, 385);
   _actionMap[153][DIVISION] = ActionEntry(REDUCE, 385);
   _actionMap[153][STAR] = ActionEntry(REDUCE, 385);
   _actionMap[153][CONCAT] = ActionEntry(REDUCE, 385);
   _actionMap[154][LB] = ActionEntry(SHIFT, 293);
   _actionMap[155][LB] = ActionEntry(SHIFT, 294);
   _actionMap[156][LONG] = ActionEntry(SHIFT, 301);
   _actionMap[156][BIGINT] = ActionEntry(SHIFT, 297);
   _actionMap[156][SMALLINT] = ActionEntry(SHIFT, 302);
   _actionMap[156][TINYINT] = ActionEntry(SHIFT, 303);
   _actionMap[156][DOUBLE] = ActionEntry(SHIFT, 299);
   _actionMap[156][DECIMAL] = ActionEntry(SHIFT, 298);
   _actionMap[156][FIXED] = ActionEntry(SHIFT, 300);
   _actionMap[156][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[156][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[156][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[156][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[156][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[156][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[156][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[156][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[156][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[156][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[156][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[156][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[156][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[156][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[156][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[156][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[156][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[156][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[156][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[156][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[156][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[156][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[156][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[156][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[156][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[156][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[156][RANDINT] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser271()
{
   _actionMap[156][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[156][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[156][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[156][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[156][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[156][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[156][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[156][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[156][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[156][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[156][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[156][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[156][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[156][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[156][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[156][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[156][LB] = ActionEntry(SHIFT, 156);
   _actionMap[156][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[156][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[156][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[156][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[156][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[156][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[156][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[156][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[156][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[156][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[156][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[156][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[156][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[156][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[156][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[156][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[156][MAX] = ActionEntry(SHIFT, 134);
   _actionMap[156][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[156][ObjSpec] = 103;
   _jumpMap[156][Constant] = 102;
   _jumpMap[156][SignedFloat] = 101;
   _jumpMap[156][SignedInt] = 100;
   _jumpMap[156][Attribute] = 99;
   _jumpMap[156][Function] = 98;
   _jumpMap[156][SelectStatement] = 296;
   _jumpMap[156][CasePrepare] = 97;
   _jumpMap[156][CaseClause] = 96;
   _jumpMap[156][Factor] = 95;
   _jumpMap[156][Term] = 94;
   _jumpMap[156][Expr] = 295;
   _actionMap[157][FLOATVAL] = ActionEntry(SHIFT, 305);
   _actionMap[157][INTVAL] = ActionEntry(SHIFT, 304);
   _actionMap[158][WHEN] = ActionEntry(REDUCE, 368);
}
void Cego::loadParser272()
{
   _actionMap[158][ELSE] = ActionEntry(REDUCE, 368);
   _actionMap[158][LEFT] = ActionEntry(REDUCE, 368);
   _actionMap[158][RIGHT] = ActionEntry(REDUCE, 368);
   _actionMap[158][INNER] = ActionEntry(REDUCE, 368);
   _actionMap[158][JOIN] = ActionEntry(REDUCE, 368);
   _actionMap[158][RETURNTOKEN] = ActionEntry(REDUCE, 368);
   _actionMap[158][ORDER] = ActionEntry(REDUCE, 368);
   _actionMap[158][GROUP] = ActionEntry(REDUCE, 368);
   _actionMap[158][WHERE] = ActionEntry(REDUCE, 368);
   _actionMap[158][AS] = ActionEntry(REDUCE, 368);
   _actionMap[158][FROM] = ActionEntry(REDUCE, 368);
   _actionMap[158][END_TOKEN] = ActionEntry(REDUCE, 368);
   _actionMap[158][BEGIN] = ActionEntry(REDUCE, 368);
   _actionMap[158][THEN] = ActionEntry(REDUCE, 368);
   _actionMap[158][OR] = ActionEntry(REDUCE, 368);
   _actionMap[158][AND] = ActionEntry(REDUCE, 368);
   _actionMap[158][NULLTOKEN] = ActionEntry(REDUCE, 368);
   _actionMap[158][LIKE] = ActionEntry(REDUCE, 368);
   _actionMap[158][IS] = ActionEntry(REDUCE, 368);
   _actionMap[158][BETWEEN] = ActionEntry(REDUCE, 368);
   _actionMap[158][NOT] = ActionEntry(REDUCE, 368);
   _actionMap[158][INTOK] = ActionEntry(REDUCE, 368);
   _actionMap[158][EQU] = ActionEntry(REDUCE, 368);
   _actionMap[158][NEGATION] = ActionEntry(REDUCE, 368);
   _actionMap[158][LT] = ActionEntry(REDUCE, 368);
   _actionMap[158][MT] = ActionEntry(REDUCE, 368);
   _actionMap[158][DESC] = ActionEntry(REDUCE, 368);
   _actionMap[158][ASC] = ActionEntry(REDUCE, 368);
   _actionMap[158][KSEP] = ActionEntry(REDUCE, 368);
   _actionMap[158][ROWLIMIT] = ActionEntry(REDUCE, 368);
   _actionMap[158][UNION] = ActionEntry(REDUCE, 368);
   _actionMap[158][ENDTOKEN] = ActionEntry(REDUCE, 368);
   _actionMap[158][RB] = ActionEntry(REDUCE, 368);
   _actionMap[158][SEMICOLON] = ActionEntry(REDUCE, 368);
   _actionMap[158][CONCAT] = ActionEntry(REDUCE, 368);
   _actionMap[158][STAR] = ActionEntry(REDUCE, 368);
   _actionMap[158][DIVISION] = ActionEntry(REDUCE, 368);
   _actionMap[158][MINUS] = ActionEntry(REDUCE, 368);
   _actionMap[158][PLUS] = ActionEntry(REDUCE, 368);
   _actionMap[159][WHEN] = ActionEntry(REDUCE, 370);
   _actionMap[159][ELSE] = ActionEntry(REDUCE, 370);
   _actionMap[159][LEFT] = ActionEntry(REDUCE, 370);
   _actionMap[159][RIGHT] = ActionEntry(REDUCE, 370);
   _actionMap[159][INNER] = ActionEntry(REDUCE, 370);
   _actionMap[159][JOIN] = ActionEntry(REDUCE, 370);
   _actionMap[159][RETURNTOKEN] = ActionEntry(REDUCE, 370);
   _actionMap[159][ORDER] = ActionEntry(REDUCE, 370);
   _actionMap[159][GROUP] = ActionEntry(REDUCE, 370);
   _actionMap[159][WHERE] = ActionEntry(REDUCE, 370);
   _actionMap[159][AS] = ActionEntry(REDUCE, 370);
}
void Cego::loadParser273()
{
   _actionMap[159][FROM] = ActionEntry(REDUCE, 370);
   _actionMap[159][END_TOKEN] = ActionEntry(REDUCE, 370);
   _actionMap[159][BEGIN] = ActionEntry(REDUCE, 370);
   _actionMap[159][THEN] = ActionEntry(REDUCE, 370);
   _actionMap[159][OR] = ActionEntry(REDUCE, 370);
   _actionMap[159][AND] = ActionEntry(REDUCE, 370);
   _actionMap[159][NULLTOKEN] = ActionEntry(REDUCE, 370);
   _actionMap[159][LIKE] = ActionEntry(REDUCE, 370);
   _actionMap[159][IS] = ActionEntry(REDUCE, 370);
   _actionMap[159][BETWEEN] = ActionEntry(REDUCE, 370);
   _actionMap[159][NOT] = ActionEntry(REDUCE, 370);
   _actionMap[159][INTOK] = ActionEntry(REDUCE, 370);
   _actionMap[159][EQU] = ActionEntry(REDUCE, 370);
   _actionMap[159][NEGATION] = ActionEntry(REDUCE, 370);
   _actionMap[159][LT] = ActionEntry(REDUCE, 370);
   _actionMap[159][MT] = ActionEntry(REDUCE, 370);
   _actionMap[159][DESC] = ActionEntry(REDUCE, 370);
   _actionMap[159][ASC] = ActionEntry(REDUCE, 370);
   _actionMap[159][KSEP] = ActionEntry(REDUCE, 370);
   _actionMap[159][ROWLIMIT] = ActionEntry(REDUCE, 370);
   _actionMap[159][UNION] = ActionEntry(REDUCE, 370);
   _actionMap[159][ENDTOKEN] = ActionEntry(REDUCE, 370);
   _actionMap[159][RB] = ActionEntry(REDUCE, 370);
   _actionMap[159][SEMICOLON] = ActionEntry(REDUCE, 370);
   _actionMap[159][CONCAT] = ActionEntry(REDUCE, 370);
   _actionMap[159][STAR] = ActionEntry(REDUCE, 370);
   _actionMap[159][DIVISION] = ActionEntry(REDUCE, 370);
   _actionMap[159][MINUS] = ActionEntry(REDUCE, 370);
   _actionMap[159][PLUS] = ActionEntry(REDUCE, 370);
   _actionMap[160][WHEN] = ActionEntry(REDUCE, 365);
   _actionMap[160][ELSE] = ActionEntry(REDUCE, 365);
   _actionMap[160][LEFT] = ActionEntry(REDUCE, 365);
   _actionMap[160][RIGHT] = ActionEntry(REDUCE, 365);
   _actionMap[160][INNER] = ActionEntry(REDUCE, 365);
   _actionMap[160][JOIN] = ActionEntry(REDUCE, 365);
   _actionMap[160][RETURNTOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[160][ORDER] = ActionEntry(REDUCE, 365);
   _actionMap[160][GROUP] = ActionEntry(REDUCE, 365);
   _actionMap[160][WHERE] = ActionEntry(REDUCE, 365);
   _actionMap[160][FROM] = ActionEntry(REDUCE, 365);
   _actionMap[160][AS] = ActionEntry(REDUCE, 365);
   _actionMap[160][END_TOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[160][BEGIN] = ActionEntry(REDUCE, 365);
   _actionMap[160][THEN] = ActionEntry(REDUCE, 365);
   _actionMap[160][OR] = ActionEntry(REDUCE, 365);
   _actionMap[160][AND] = ActionEntry(REDUCE, 365);
   _actionMap[160][INTOK] = ActionEntry(REDUCE, 365);
   _actionMap[160][NOT] = ActionEntry(REDUCE, 365);
   _actionMap[160][BETWEEN] = ActionEntry(REDUCE, 365);
   _actionMap[160][IS] = ActionEntry(REDUCE, 365);
}
void Cego::loadParser274()
{
   _actionMap[160][LIKE] = ActionEntry(REDUCE, 365);
   _actionMap[160][MT] = ActionEntry(REDUCE, 365);
   _actionMap[160][LT] = ActionEntry(REDUCE, 365);
   _actionMap[160][NEGATION] = ActionEntry(REDUCE, 365);
   _actionMap[160][EQU] = ActionEntry(REDUCE, 365);
   _actionMap[160][RB] = ActionEntry(REDUCE, 365);
   _actionMap[160][ENDTOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[160][UNION] = ActionEntry(REDUCE, 365);
   _actionMap[160][ROWLIMIT] = ActionEntry(REDUCE, 365);
   _actionMap[160][KSEP] = ActionEntry(REDUCE, 365);
   _actionMap[160][ASC] = ActionEntry(REDUCE, 365);
   _actionMap[160][DESC] = ActionEntry(REDUCE, 365);
   _actionMap[160][SEMICOLON] = ActionEntry(REDUCE, 365);
   _actionMap[160][PLUS] = ActionEntry(REDUCE, 365);
   _actionMap[160][MINUS] = ActionEntry(REDUCE, 365);
   _actionMap[160][LB] = ActionEntry(REDUCE, 391);
   _actionMap[160][DIVISION] = ActionEntry(REDUCE, 365);
   _actionMap[160][STAR] = ActionEntry(REDUCE, 365);
   _actionMap[160][CONCAT] = ActionEntry(REDUCE, 365);
   _actionMap[161][WHEN] = ActionEntry(REDUCE, 152);
   _actionMap[161][ELSE] = ActionEntry(REDUCE, 152);
   _actionMap[161][LEFT] = ActionEntry(REDUCE, 152);
   _actionMap[161][RIGHT] = ActionEntry(REDUCE, 152);
   _actionMap[161][INNER] = ActionEntry(REDUCE, 152);
   _actionMap[161][JOIN] = ActionEntry(REDUCE, 152);
   _actionMap[161][RETURNTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[161][ORDER] = ActionEntry(REDUCE, 152);
   _actionMap[161][GROUP] = ActionEntry(REDUCE, 152);
   _actionMap[161][WHERE] = ActionEntry(REDUCE, 152);
   _actionMap[161][AS] = ActionEntry(REDUCE, 152);
   _actionMap[161][FROM] = ActionEntry(REDUCE, 152);
   _actionMap[161][END_TOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[161][BEGIN] = ActionEntry(REDUCE, 152);
   _actionMap[161][THEN] = ActionEntry(REDUCE, 152);
   _actionMap[161][OR] = ActionEntry(REDUCE, 152);
   _actionMap[161][AND] = ActionEntry(REDUCE, 152);
   _actionMap[161][LIKE] = ActionEntry(REDUCE, 152);
   _actionMap[161][IS] = ActionEntry(REDUCE, 152);
   _actionMap[161][BETWEEN] = ActionEntry(REDUCE, 152);
   _actionMap[161][NOT] = ActionEntry(REDUCE, 152);
   _actionMap[161][INTOK] = ActionEntry(REDUCE, 152);
   _actionMap[161][EQU] = ActionEntry(REDUCE, 152);
   _actionMap[161][NEGATION] = ActionEntry(REDUCE, 152);
   _actionMap[161][LT] = ActionEntry(REDUCE, 152);
   _actionMap[161][MT] = ActionEntry(REDUCE, 152);
   _actionMap[161][DESC] = ActionEntry(REDUCE, 152);
   _actionMap[161][ASC] = ActionEntry(REDUCE, 152);
   _actionMap[161][KSEP] = ActionEntry(REDUCE, 152);
   _actionMap[161][ROWLIMIT] = ActionEntry(REDUCE, 152);
   _actionMap[161][UNION] = ActionEntry(REDUCE, 152);
}
void Cego::loadParser275()
{
   _actionMap[161][ENDTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[161][RB] = ActionEntry(REDUCE, 152);
   _actionMap[161][SEMICOLON] = ActionEntry(REDUCE, 152);
   _actionMap[161][CONCAT] = ActionEntry(REDUCE, 152);
   _actionMap[161][STAR] = ActionEntry(REDUCE, 152);
   _actionMap[161][DIVISION] = ActionEntry(REDUCE, 152);
   _actionMap[161][MINUS] = ActionEntry(REDUCE, 152);
   _actionMap[161][PLUS] = ActionEntry(REDUCE, 152);
   _actionMap[162][WHEN] = ActionEntry(REDUCE, 366);
   _actionMap[162][ELSE] = ActionEntry(REDUCE, 366);
   _actionMap[162][LEFT] = ActionEntry(REDUCE, 366);
   _actionMap[162][RIGHT] = ActionEntry(REDUCE, 366);
   _actionMap[162][INNER] = ActionEntry(REDUCE, 366);
   _actionMap[162][JOIN] = ActionEntry(REDUCE, 366);
   _actionMap[162][RETURNTOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[162][ORDER] = ActionEntry(REDUCE, 366);
   _actionMap[162][GROUP] = ActionEntry(REDUCE, 366);
   _actionMap[162][WHERE] = ActionEntry(REDUCE, 366);
   _actionMap[162][FROM] = ActionEntry(REDUCE, 366);
   _actionMap[162][AS] = ActionEntry(REDUCE, 366);
   _actionMap[162][END_TOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[162][BEGIN] = ActionEntry(REDUCE, 366);
   _actionMap[162][THEN] = ActionEntry(REDUCE, 366);
   _actionMap[162][OR] = ActionEntry(REDUCE, 366);
   _actionMap[162][AND] = ActionEntry(REDUCE, 366);
   _actionMap[162][INTOK] = ActionEntry(REDUCE, 366);
   _actionMap[162][NOT] = ActionEntry(REDUCE, 366);
   _actionMap[162][BETWEEN] = ActionEntry(REDUCE, 366);
   _actionMap[162][IS] = ActionEntry(REDUCE, 366);
   _actionMap[162][LIKE] = ActionEntry(REDUCE, 366);
   _actionMap[162][MT] = ActionEntry(REDUCE, 366);
   _actionMap[162][LT] = ActionEntry(REDUCE, 366);
   _actionMap[162][NEGATION] = ActionEntry(REDUCE, 366);
   _actionMap[162][EQU] = ActionEntry(REDUCE, 366);
   _actionMap[162][RB] = ActionEntry(REDUCE, 366);
   _actionMap[162][ENDTOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[162][UNION] = ActionEntry(REDUCE, 366);
   _actionMap[162][ROWLIMIT] = ActionEntry(REDUCE, 366);
   _actionMap[162][KSEP] = ActionEntry(REDUCE, 366);
   _actionMap[162][ASC] = ActionEntry(REDUCE, 366);
   _actionMap[162][DESC] = ActionEntry(REDUCE, 366);
   _actionMap[162][SEMICOLON] = ActionEntry(REDUCE, 366);
   _actionMap[162][PLUS] = ActionEntry(REDUCE, 366);
   _actionMap[162][MINUS] = ActionEntry(REDUCE, 366);
   _actionMap[162][LB] = ActionEntry(REDUCE, 392);
   _actionMap[162][DIVISION] = ActionEntry(REDUCE, 366);
   _actionMap[162][STAR] = ActionEntry(REDUCE, 366);
   _actionMap[162][CONCAT] = ActionEntry(REDUCE, 366);
   _actionMap[163][STAR] = ActionEntry(SHIFT, 306);
   _actionMap[164][IDENTIFIER] = ActionEntry(SHIFT, 54);
}
void Cego::loadParser276()
{
   _actionMap[164][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[164][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[164][ObjSpec] = 307;
   _actionMap[165][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[165][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[165][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[165][ObjSpec] = 308;
   _actionMap[166][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[166][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[166][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[166][ObjSpec] = 309;
   _actionMap[167][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[167][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[167][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[167][ObjSpec] = 310;
   _actionMap[168][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[168][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[168][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[168][ObjSpec] = 311;
   _actionMap[169][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[169][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[169][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[169][ObjSpec] = 312;
   _actionMap[170][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[170][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[170][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[170][ObjSpec] = 313;
   _actionMap[171][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[171][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[171][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[171][ObjSpec] = 314;
   _actionMap[172][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[172][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[172][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[172][ObjSpec] = 315;
   _actionMap[173][SEMICOLON] = ActionEntry(REDUCE, 212);
   _actionMap[173][FROM] = ActionEntry(SHIFT, 318);
   _actionMap[173][RB] = ActionEntry(REDUCE, 212);
   _jumpMap[173][NoFromOption] = 317;
   _jumpMap[173][FromOption] = 316;
   _actionMap[174][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[174][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[174][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[174][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[174][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[174][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[174][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[174][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[174][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[174][DATE2STR] = ActionEntry(SHIFT, 118);
}
void Cego::loadParser277()
{
   _actionMap[174][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[174][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[174][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[174][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[174][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[174][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[174][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[174][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[174][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[174][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[174][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[174][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[174][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[174][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[174][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[174][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[174][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[174][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[174][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[174][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[174][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[174][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[174][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[174][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[174][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[174][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[174][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[174][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[174][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[174][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[174][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[174][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[174][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[174][LB] = ActionEntry(SHIFT, 156);
   _actionMap[174][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[174][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[174][SYSDATE] = ActionEntry(SHIFT, 148);
   _actionMap[174][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[174][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[174][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[174][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[174][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[174][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[174][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[174][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[174][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[174][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[174][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[174][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[174][MIN] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser278()
{
   _actionMap[174][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[174][ObjSpec] = 103;
   _jumpMap[174][Constant] = 102;
   _jumpMap[174][SignedFloat] = 101;
   _jumpMap[174][SignedInt] = 100;
   _jumpMap[174][Attribute] = 99;
   _jumpMap[174][Function] = 98;
   _jumpMap[174][SelectItem] = 321;
   _jumpMap[174][SelectionList] = 320;
   _jumpMap[174][CasePrepare] = 97;
   _jumpMap[174][CaseClause] = 96;
   _jumpMap[174][Factor] = 95;
   _jumpMap[174][Term] = 94;
   _jumpMap[174][Expr] = 319;
   _actionMap[175][VARREF] = ActionEntry(REDUCE, 253);
   _actionMap[175][FETCH] = ActionEntry(REDUCE, 253);
   _actionMap[175][LB] = ActionEntry(REDUCE, 253);
   _actionMap[175][COUNT] = ActionEntry(REDUCE, 253);
   _actionMap[175][SUM] = ActionEntry(REDUCE, 253);
   _actionMap[175][AVG] = ActionEntry(REDUCE, 253);
   _actionMap[175][MIN] = ActionEntry(REDUCE, 253);
   _actionMap[175][MAX] = ActionEntry(REDUCE, 253);
   _actionMap[175][CASE] = ActionEntry(REDUCE, 253);
   _actionMap[175][INT2ASC] = ActionEntry(REDUCE, 253);
   _actionMap[175][ASC2INT] = ActionEntry(REDUCE, 253);
   _actionMap[175][TRIM] = ActionEntry(REDUCE, 253);
   _actionMap[175][RTRIM] = ActionEntry(REDUCE, 253);
   _actionMap[175][LTRIM] = ActionEntry(REDUCE, 253);
   _actionMap[175][ROUND] = ActionEntry(REDUCE, 253);
   _actionMap[175][DATE2STR] = ActionEntry(REDUCE, 253);
   _actionMap[175][DATE2INT] = ActionEntry(REDUCE, 253);
   _actionMap[175][INT2DATE] = ActionEntry(REDUCE, 253);
   _actionMap[175][NEWDATE] = ActionEntry(REDUCE, 253);
   _actionMap[175][LOWER] = ActionEntry(REDUCE, 253);
   _actionMap[175][UPPER] = ActionEntry(REDUCE, 253);
   _actionMap[175][LEFT] = ActionEntry(REDUCE, 253);
   _actionMap[175][RIGHT] = ActionEntry(REDUCE, 253);
   _actionMap[175][GETPOS] = ActionEntry(REDUCE, 253);
   _actionMap[175][SUBSTR] = ActionEntry(REDUCE, 253);
   _actionMap[175][REPLACE] = ActionEntry(REDUCE, 253);
   _actionMap[175][LENGTH] = ActionEntry(REDUCE, 253);
   _actionMap[175][TRUNC] = ActionEntry(REDUCE, 253);
   _actionMap[175][STR2INT] = ActionEntry(REDUCE, 253);
   _actionMap[175][STR2LONG] = ActionEntry(REDUCE, 253);
   _actionMap[175][STR2DATE] = ActionEntry(REDUCE, 253);
   _actionMap[175][RANDSTR] = ActionEntry(REDUCE, 253);
   _actionMap[175][RANDINT] = ActionEntry(REDUCE, 253);
   _actionMap[175][MOD] = ActionEntry(REDUCE, 253);
   _actionMap[175][DIV] = ActionEntry(REDUCE, 253);
   _actionMap[175][LMOD] = ActionEntry(REDUCE, 253);
}
void Cego::loadParser279()
{
   _actionMap[175][LDIV] = ActionEntry(REDUCE, 253);
   _actionMap[175][POWER] = ActionEntry(REDUCE, 253);
   _actionMap[175][BITAND] = ActionEntry(REDUCE, 253);
   _actionMap[175][BITOR] = ActionEntry(REDUCE, 253);
   _actionMap[175][BITXOR] = ActionEntry(REDUCE, 253);
   _actionMap[175][BLOBSIZE] = ActionEntry(REDUCE, 253);
   _actionMap[175][CLOBSIZE] = ActionEntry(REDUCE, 253);
   _actionMap[175][CLOB2STR] = ActionEntry(REDUCE, 253);
   _actionMap[175][NEXTCOUNT] = ActionEntry(REDUCE, 253);
   _actionMap[175][SETCOUNT] = ActionEntry(REDUCE, 253);
   _actionMap[175][IDENTIFIER] = ActionEntry(REDUCE, 253);
   _actionMap[175][QUALIFIEDOBJ] = ActionEntry(REDUCE, 253);
   _actionMap[175][QUALIFIEDTS] = ActionEntry(REDUCE, 253);
   _actionMap[175][QUALIFIEDPRE] = ActionEntry(REDUCE, 253);
   _actionMap[175][STRINGVAL] = ActionEntry(REDUCE, 253);
   _actionMap[175][DATE] = ActionEntry(REDUCE, 253);
   _actionMap[175][SYSDATE] = ActionEntry(REDUCE, 253);
   _actionMap[175][NULLTOKEN] = ActionEntry(REDUCE, 253);
   _actionMap[175][TRUEVAL] = ActionEntry(REDUCE, 253);
   _actionMap[175][FALSEVAL] = ActionEntry(REDUCE, 253);
   _actionMap[175][BLOB] = ActionEntry(REDUCE, 253);
   _actionMap[175][CLOB] = ActionEntry(REDUCE, 253);
   _actionMap[175][FLOATVAL] = ActionEntry(REDUCE, 253);
   _actionMap[175][MINUS] = ActionEntry(REDUCE, 253);
   _actionMap[175][INTVAL] = ActionEntry(REDUCE, 253);
   _actionMap[176][VARREF] = ActionEntry(REDUCE, 252);
   _actionMap[176][FETCH] = ActionEntry(REDUCE, 252);
   _actionMap[176][LB] = ActionEntry(REDUCE, 252);
   _actionMap[176][COUNT] = ActionEntry(REDUCE, 252);
   _actionMap[176][SUM] = ActionEntry(REDUCE, 252);
   _actionMap[176][AVG] = ActionEntry(REDUCE, 252);
   _actionMap[176][MIN] = ActionEntry(REDUCE, 252);
   _actionMap[176][MAX] = ActionEntry(REDUCE, 252);
   _actionMap[176][CASE] = ActionEntry(REDUCE, 252);
   _actionMap[176][INT2ASC] = ActionEntry(REDUCE, 252);
   _actionMap[176][ASC2INT] = ActionEntry(REDUCE, 252);
   _actionMap[176][TRIM] = ActionEntry(REDUCE, 252);
   _actionMap[176][RTRIM] = ActionEntry(REDUCE, 252);
   _actionMap[176][LTRIM] = ActionEntry(REDUCE, 252);
   _actionMap[176][ROUND] = ActionEntry(REDUCE, 252);
   _actionMap[176][DATE2STR] = ActionEntry(REDUCE, 252);
   _actionMap[176][DATE2INT] = ActionEntry(REDUCE, 252);
   _actionMap[176][INT2DATE] = ActionEntry(REDUCE, 252);
   _actionMap[176][NEWDATE] = ActionEntry(REDUCE, 252);
   _actionMap[176][LOWER] = ActionEntry(REDUCE, 252);
   _actionMap[176][UPPER] = ActionEntry(REDUCE, 252);
   _actionMap[176][LEFT] = ActionEntry(REDUCE, 252);
   _actionMap[176][RIGHT] = ActionEntry(REDUCE, 252);
   _actionMap[176][GETPOS] = ActionEntry(REDUCE, 252);
   _actionMap[176][SUBSTR] = ActionEntry(REDUCE, 252);
}
void Cego::loadParser280()
{
   _actionMap[176][REPLACE] = ActionEntry(REDUCE, 252);
   _actionMap[176][LENGTH] = ActionEntry(REDUCE, 252);
   _actionMap[176][TRUNC] = ActionEntry(REDUCE, 252);
   _actionMap[176][STR2INT] = ActionEntry(REDUCE, 252);
   _actionMap[176][STR2LONG] = ActionEntry(REDUCE, 252);
   _actionMap[176][STR2DATE] = ActionEntry(REDUCE, 252);
   _actionMap[176][RANDSTR] = ActionEntry(REDUCE, 252);
   _actionMap[176][RANDINT] = ActionEntry(REDUCE, 252);
   _actionMap[176][MOD] = ActionEntry(REDUCE, 252);
   _actionMap[176][DIV] = ActionEntry(REDUCE, 252);
   _actionMap[176][LMOD] = ActionEntry(REDUCE, 252);
   _actionMap[176][LDIV] = ActionEntry(REDUCE, 252);
   _actionMap[176][POWER] = ActionEntry(REDUCE, 252);
   _actionMap[176][BITAND] = ActionEntry(REDUCE, 252);
   _actionMap[176][BITOR] = ActionEntry(REDUCE, 252);
   _actionMap[176][BITXOR] = ActionEntry(REDUCE, 252);
   _actionMap[176][BLOBSIZE] = ActionEntry(REDUCE, 252);
   _actionMap[176][CLOBSIZE] = ActionEntry(REDUCE, 252);
   _actionMap[176][CLOB2STR] = ActionEntry(REDUCE, 252);
   _actionMap[176][NEXTCOUNT] = ActionEntry(REDUCE, 252);
   _actionMap[176][SETCOUNT] = ActionEntry(REDUCE, 252);
   _actionMap[176][IDENTIFIER] = ActionEntry(REDUCE, 252);
   _actionMap[176][QUALIFIEDOBJ] = ActionEntry(REDUCE, 252);
   _actionMap[176][QUALIFIEDTS] = ActionEntry(REDUCE, 252);
   _actionMap[176][QUALIFIEDPRE] = ActionEntry(REDUCE, 252);
   _actionMap[176][STRINGVAL] = ActionEntry(REDUCE, 252);
   _actionMap[176][DATE] = ActionEntry(REDUCE, 252);
   _actionMap[176][SYSDATE] = ActionEntry(REDUCE, 252);
   _actionMap[176][NULLTOKEN] = ActionEntry(REDUCE, 252);
   _actionMap[176][TRUEVAL] = ActionEntry(REDUCE, 252);
   _actionMap[176][FALSEVAL] = ActionEntry(REDUCE, 252);
   _actionMap[176][BLOB] = ActionEntry(REDUCE, 252);
   _actionMap[176][CLOB] = ActionEntry(REDUCE, 252);
   _actionMap[176][FLOATVAL] = ActionEntry(REDUCE, 252);
   _actionMap[176][MINUS] = ActionEntry(REDUCE, 252);
   _actionMap[176][INTVAL] = ActionEntry(REDUCE, 252);
   _actionMap[177][FROM] = ActionEntry(REDUCE, 214);
   _actionMap[177][RB] = ActionEntry(REDUCE, 214);
   _actionMap[177][SEMICOLON] = ActionEntry(REDUCE, 214);
   _actionMap[177][ENDTOKEN] = ActionEntry(REDUCE, 214);
   _actionMap[178][OFF] = ActionEntry(SHIFT, 322);
   _actionMap[178][ON] = ActionEntry(SHIFT, 323);
   _actionMap[179][OFF] = ActionEntry(SHIFT, 324);
   _actionMap[179][ON] = ActionEntry(SHIFT, 325);
   _actionMap[180][IDENTIFIER] = ActionEntry(SHIFT, 199);
   _jumpMap[180][CounterId] = 326;
   _actionMap[181][IDENTIFIER] = ActionEntry(SHIFT, 327);
   _actionMap[182][IDENTIFIER] = ActionEntry(SHIFT, 328);
   _actionMap[183][SYNC] = ActionEntry(SHIFT, 329);
   _actionMap[184][EQU] = ActionEntry(SHIFT, 330);
}
void Cego::loadParser281()
{
   _actionMap[185][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[185][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[185][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[185][ObjSpec] = 331;
   _actionMap[186][SEMICOLON] = ActionEntry(REDUCE, 18);
   _actionMap[187][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[187][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[187][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[187][ObjSpec] = 332;
   _actionMap[188][SEMICOLON] = ActionEntry(REDUCE, 19);
   _actionMap[189][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[189][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[189][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[189][ObjSpec] = 333;
   _actionMap[190][SEMICOLON] = ActionEntry(REDUCE, 194);
   _actionMap[191][SEMICOLON] = ActionEntry(REDUCE, 15);
   _actionMap[192][SEMICOLON] = ActionEntry(REDUCE, 16);
   _actionMap[193][IDENTIFIER] = ActionEntry(SHIFT, 336);
   _actionMap[193][SET] = ActionEntry(REDUCE, 269);
   _jumpMap[193][UpdDelAlias] = 334;
   _actionMap[194][CALL] = ActionEntry(SHIFT, 337);
   _actionMap[1][TABLE] = ActionEntry(SHIFT, 48);
   _actionMap[1][AVLTREE] = ActionEntry(SHIFT, 41);
   _actionMap[1][VIEW] = ActionEntry(SHIFT, 49);
   _actionMap[1][PROCEDURE] = ActionEntry(SHIFT, 47);
   _actionMap[1][FOREIGN] = ActionEntry(SHIFT, 45);
   _actionMap[1][CHECK] = ActionEntry(SHIFT, 43);
   _actionMap[1][COUNTER] = ActionEntry(SHIFT, 44);
   _actionMap[1][BTREE] = ActionEntry(SHIFT, 42);
   _actionMap[1][INDEX] = ActionEntry(SHIFT, 46);
   _jumpMap[1][BtreeType] = 40;
   _actionMap[2][SEMICOLON] = ActionEntry(SHIFT, 50);
   _actionMap[3][SEMICOLON] = ActionEntry(REDUCE, 32);
   _actionMap[4][SEMICOLON] = ActionEntry(REDUCE, 33);
   _actionMap[5][SEMICOLON] = ActionEntry(REDUCE, 34);
   _actionMap[6][SEMICOLON] = ActionEntry(REDUCE, 46);
   _actionMap[7][SEMICOLON] = ActionEntry(REDUCE, 44);
   _actionMap[8][SEMICOLON] = ActionEntry(REDUCE, 48);
   _actionMap[9][SEMICOLON] = ActionEntry(REDUCE, 47);
   _actionMap[10][SEMICOLON] = ActionEntry(REDUCE, 49);
   _actionMap[11][SEMICOLON] = ActionEntry(REDUCE, 50);
   _actionMap[12][TABLE] = ActionEntry(SHIFT, 51);
   _actionMap[13][IDENTIFIER] = ActionEntry(SHIFT, 52);
   _actionMap[14][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[14][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[14][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[14][ObjSpec] = 53;
   _actionMap[15][AVLTREE] = ActionEntry(SHIFT, 57);
   _actionMap[16][SEMICOLON] = ActionEntry(REDUCE, 195);
   _actionMap[17][VIEW] = ActionEntry(SHIFT, 66);
}
void Cego::loadParser282()
{
   _actionMap[17][TABLE] = ActionEntry(SHIFT, 64);
   _actionMap[17][PRIMARY] = ActionEntry(SHIFT, 62);
   _actionMap[17][COUNTER] = ActionEntry(SHIFT, 61);
   _actionMap[17][PROCEDURE] = ActionEntry(SHIFT, 63);
   _actionMap[17][UNIQUE] = ActionEntry(SHIFT, 65);
   _actionMap[17][AVLTREE] = ActionEntry(REDUCE, 189);
   _actionMap[17][BTREE] = ActionEntry(REDUCE, 189);
   _actionMap[17][INDEX] = ActionEntry(REDUCE, 189);
   _jumpMap[17][IndexOption] = 60;
   _jumpMap[17][ProcDef] = 59;
   _jumpMap[17][ProcHead] = 58;
   _actionMap[18][FROM] = ActionEntry(SHIFT, 67);
   _actionMap[19][TABLE] = ActionEntry(SHIFT, 73);
   _actionMap[19][AVLTREE] = ActionEntry(SHIFT, 69);
   _actionMap[19][VIEW] = ActionEntry(SHIFT, 74);
   _actionMap[19][FOREIGN] = ActionEntry(SHIFT, 71);
   _actionMap[19][CHECK] = ActionEntry(SHIFT, 70);
   _actionMap[19][PROCEDURE] = ActionEntry(SHIFT, 72);
   _actionMap[19][BTREE] = ActionEntry(SHIFT, 42);
   _actionMap[19][INDEX] = ActionEntry(SHIFT, 46);
   _jumpMap[19][BtreeType] = 68;
   _actionMap[20][COUNTER] = ActionEntry(REDUCE, 69);
   _actionMap[20][IF] = ActionEntry(SHIFT, 75);
   _actionMap[20][BTREE] = ActionEntry(REDUCE, 69);
   _actionMap[20][INDEX] = ActionEntry(REDUCE, 69);
   _actionMap[20][CHECK] = ActionEntry(REDUCE, 69);
   _actionMap[20][FOREIGN] = ActionEntry(REDUCE, 69);
   _actionMap[20][PROCEDURE] = ActionEntry(REDUCE, 69);
   _actionMap[20][VIEW] = ActionEntry(REDUCE, 69);
   _actionMap[20][AVLTREE] = ActionEntry(REDUCE, 69);
   _actionMap[20][TABLE] = ActionEntry(REDUCE, 69);
   _actionMap[21][INTO] = ActionEntry(SHIFT, 76);
   _actionMap[22][IDENTIFIER] = ActionEntry(SHIFT, 78);
   _jumpMap[22][JdbcArgList] = 77;
   _actionMap[23][TABLESET] = ActionEntry(SHIFT, 87);
   _actionMap[23][TABLE] = ActionEntry(SHIFT, 86);
   _actionMap[23][PROCEDURE] = ActionEntry(SHIFT, 84);
   _actionMap[23][VIEW] = ActionEntry(SHIFT, 89);
   _actionMap[23][AVLTREE] = ActionEntry(SHIFT, 80);
   _actionMap[23][KEY] = ActionEntry(SHIFT, 83);
   _actionMap[23][COUNTER] = ActionEntry(SHIFT, 82);
   _actionMap[23][SYSOBJ] = ActionEntry(SHIFT, 85);
   _actionMap[23][TMPOBJ] = ActionEntry(SHIFT, 88);
   _actionMap[23][CHECK] = ActionEntry(SHIFT, 81);
   _actionMap[23][BTREE] = ActionEntry(SHIFT, 42);
   _actionMap[23][INDEX] = ActionEntry(SHIFT, 46);
   _jumpMap[23][BtreeType] = 79;
   _actionMap[24][VIEW] = ActionEntry(SHIFT, 91);
   _actionMap[24][PROCEDURE] = ActionEntry(SHIFT, 63);
   _jumpMap[24][ProcDef] = 90;
}
void Cego::loadParser283()
{
   _jumpMap[24][ProcHead] = 58;
   _actionMap[25][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[25][SelectStatement] = 92;
   _actionMap[26][FLOATVAL] = ActionEntry(SHIFT, 159);
   _actionMap[26][MINUS] = ActionEntry(SHIFT, 157);
   _actionMap[26][INTVAL] = ActionEntry(SHIFT, 158);
   _actionMap[26][INT2ASC] = ActionEntry(SHIFT, 126);
   _actionMap[26][ASC2INT] = ActionEntry(SHIFT, 105);
   _actionMap[26][TRIM] = ActionEntry(SHIFT, 152);
   _actionMap[26][RTRIM] = ActionEntry(SHIFT, 144);
   _actionMap[26][LTRIM] = ActionEntry(SHIFT, 132);
   _actionMap[26][ROUND] = ActionEntry(SHIFT, 143);
   _actionMap[26][DATE2STR] = ActionEntry(SHIFT, 118);
   _actionMap[26][DATE2INT] = ActionEntry(SHIFT, 119);
   _actionMap[26][INT2DATE] = ActionEntry(SHIFT, 124);
   _actionMap[26][NEWDATE] = ActionEntry(SHIFT, 125);
   _actionMap[26][LOWER] = ActionEntry(SHIFT, 131);
   _actionMap[26][UPPER] = ActionEntry(SHIFT, 155);
   _actionMap[26][LEFT] = ActionEntry(SHIFT, 127);
   _actionMap[26][RIGHT] = ActionEntry(SHIFT, 142);
   _actionMap[26][GETPOS] = ActionEntry(SHIFT, 123);
   _actionMap[26][SUBSTR] = ActionEntry(SHIFT, 146);
   _actionMap[26][REPLACE] = ActionEntry(SHIFT, 141);
   _actionMap[26][LENGTH] = ActionEntry(SHIFT, 128);
   _actionMap[26][TRUNC] = ActionEntry(SHIFT, 154);
   _actionMap[26][STR2INT] = ActionEntry(SHIFT, 149);
   _actionMap[26][STR2LONG] = ActionEntry(SHIFT, 150);
   _actionMap[26][STR2DATE] = ActionEntry(SHIFT, 151);
   _actionMap[26][RANDSTR] = ActionEntry(SHIFT, 139);
   _actionMap[26][RANDINT] = ActionEntry(SHIFT, 140);
   _actionMap[26][MOD] = ActionEntry(SHIFT, 135);
   _actionMap[26][DIV] = ActionEntry(SHIFT, 120);
   _actionMap[26][LMOD] = ActionEntry(SHIFT, 130);
   _actionMap[26][LDIV] = ActionEntry(SHIFT, 129);
   _actionMap[26][POWER] = ActionEntry(SHIFT, 138);
   _actionMap[26][BITAND] = ActionEntry(SHIFT, 107);
   _actionMap[26][BITOR] = ActionEntry(SHIFT, 108);
   _actionMap[26][BITXOR] = ActionEntry(SHIFT, 109);
   _actionMap[26][BLOBSIZE] = ActionEntry(SHIFT, 111);
   _actionMap[26][CLOBSIZE] = ActionEntry(SHIFT, 114);
   _actionMap[26][CLOB2STR] = ActionEntry(SHIFT, 115);
   _actionMap[26][NEXTCOUNT] = ActionEntry(SHIFT, 136);
   _actionMap[26][SETCOUNT] = ActionEntry(SHIFT, 145);
   _actionMap[26][IDENTIFIER] = ActionEntry(SHIFT, 160);
   _actionMap[26][QUALIFIEDOBJ] = ActionEntry(SHIFT, 162);
   _actionMap[26][QUALIFIEDPRE] = ActionEntry(SHIFT, 163);
   _actionMap[26][LB] = ActionEntry(SHIFT, 156);
   _actionMap[26][STRINGVAL] = ActionEntry(SHIFT, 104);
   _actionMap[26][DATE] = ActionEntry(SHIFT, 117);
   _actionMap[26][SYSDATE] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser284()
{
   _actionMap[26][NULLTOKEN] = ActionEntry(SHIFT, 137);
   _actionMap[26][TRUEVAL] = ActionEntry(SHIFT, 153);
   _actionMap[26][FALSEVAL] = ActionEntry(SHIFT, 121);
   _actionMap[26][BLOB] = ActionEntry(SHIFT, 110);
   _actionMap[26][CLOB] = ActionEntry(SHIFT, 113);
   _actionMap[26][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _actionMap[26][CASE] = ActionEntry(SHIFT, 112);
   _actionMap[26][VARREF] = ActionEntry(SHIFT, 161);
   _actionMap[26][FETCH] = ActionEntry(SHIFT, 122);
   _actionMap[26][COUNT] = ActionEntry(SHIFT, 116);
   _actionMap[26][SUM] = ActionEntry(SHIFT, 147);
   _actionMap[26][AVG] = ActionEntry(SHIFT, 106);
   _actionMap[26][MIN] = ActionEntry(SHIFT, 133);
   _actionMap[26][MAX] = ActionEntry(SHIFT, 134);
   _jumpMap[26][ObjSpec] = 103;
   _jumpMap[26][Constant] = 102;
   _jumpMap[26][SignedFloat] = 101;
   _jumpMap[26][SignedInt] = 100;
   _jumpMap[26][Attribute] = 99;
   _jumpMap[26][Function] = 98;
   _jumpMap[26][CasePrepare] = 97;
   _jumpMap[26][CaseClause] = 96;
   _jumpMap[26][Factor] = 95;
   _jumpMap[26][Term] = 94;
   _jumpMap[26][Expr] = 93;
   _actionMap[27][TABLE] = ActionEntry(SHIFT, 169);
   _actionMap[27][AVLTREE] = ActionEntry(SHIFT, 165);
   _actionMap[27][KEY] = ActionEntry(SHIFT, 167);
   _actionMap[27][PROCEDURE] = ActionEntry(SHIFT, 168);
   _actionMap[27][VIEW] = ActionEntry(SHIFT, 170);
   _actionMap[27][CHECK] = ActionEntry(SHIFT, 166);
   _actionMap[27][BTREE] = ActionEntry(SHIFT, 42);
   _actionMap[27][INDEX] = ActionEntry(SHIFT, 46);
   _jumpMap[27][BtreeType] = 164;
   _actionMap[28][TABLE] = ActionEntry(SHIFT, 172);
   _actionMap[28][AVLTREE] = ActionEntry(SHIFT, 171);
   _actionMap[29][SEMICOLON] = ActionEntry(REDUCE, 196);
   _actionMap[30][INTVAL] = ActionEntry(REDUCE, 254);
   _actionMap[30][MINUS] = ActionEntry(REDUCE, 254);
   _actionMap[30][FLOATVAL] = ActionEntry(REDUCE, 254);
   _actionMap[30][CLOB] = ActionEntry(REDUCE, 254);
   _actionMap[30][BLOB] = ActionEntry(REDUCE, 254);
   _actionMap[30][FALSEVAL] = ActionEntry(REDUCE, 254);
   _actionMap[30][TRUEVAL] = ActionEntry(REDUCE, 254);
   _actionMap[30][NULLTOKEN] = ActionEntry(REDUCE, 254);
   _actionMap[30][SYSDATE] = ActionEntry(REDUCE, 254);
   _actionMap[30][DATE] = ActionEntry(REDUCE, 254);
   _actionMap[30][STRINGVAL] = ActionEntry(REDUCE, 254);
   _actionMap[30][QUALIFIEDPRE] = ActionEntry(REDUCE, 254);
   _actionMap[30][QUALIFIEDTS] = ActionEntry(REDUCE, 254);
}
void Cego::loadParser285()
{
   _actionMap[30][QUALIFIEDOBJ] = ActionEntry(REDUCE, 254);
   _actionMap[30][IDENTIFIER] = ActionEntry(REDUCE, 254);
   _actionMap[30][SETCOUNT] = ActionEntry(REDUCE, 254);
   _actionMap[30][NEXTCOUNT] = ActionEntry(REDUCE, 254);
   _actionMap[30][CLOB2STR] = ActionEntry(REDUCE, 254);
   _actionMap[30][CLOBSIZE] = ActionEntry(REDUCE, 254);
   _actionMap[30][BLOBSIZE] = ActionEntry(REDUCE, 254);
   _actionMap[30][BITXOR] = ActionEntry(REDUCE, 254);
   _actionMap[30][BITOR] = ActionEntry(REDUCE, 254);
   _actionMap[30][BITAND] = ActionEntry(REDUCE, 254);
   _actionMap[30][POWER] = ActionEntry(REDUCE, 254);
   _actionMap[30][LDIV] = ActionEntry(REDUCE, 254);
   _actionMap[30][LMOD] = ActionEntry(REDUCE, 254);
   _actionMap[30][DIV] = ActionEntry(REDUCE, 254);
   _actionMap[30][MOD] = ActionEntry(REDUCE, 254);
   _actionMap[30][RANDINT] = ActionEntry(REDUCE, 254);
   _actionMap[30][RANDSTR] = ActionEntry(REDUCE, 254);
   _actionMap[30][STR2DATE] = ActionEntry(REDUCE, 254);
   _actionMap[30][STR2LONG] = ActionEntry(REDUCE, 254);
   _actionMap[30][STR2INT] = ActionEntry(REDUCE, 254);
   _actionMap[30][TRUNC] = ActionEntry(REDUCE, 254);
   _actionMap[30][LENGTH] = ActionEntry(REDUCE, 254);
   _actionMap[30][REPLACE] = ActionEntry(REDUCE, 254);
   _actionMap[30][SUBSTR] = ActionEntry(REDUCE, 254);
   _actionMap[30][GETPOS] = ActionEntry(REDUCE, 254);
   _actionMap[30][RIGHT] = ActionEntry(REDUCE, 254);
   _actionMap[30][LEFT] = ActionEntry(REDUCE, 254);
   _actionMap[30][UPPER] = ActionEntry(REDUCE, 254);
   _actionMap[30][LOWER] = ActionEntry(REDUCE, 254);
   _actionMap[30][NEWDATE] = ActionEntry(REDUCE, 254);
   _actionMap[30][INT2DATE] = ActionEntry(REDUCE, 254);
   _actionMap[30][DATE2INT] = ActionEntry(REDUCE, 254);
   _actionMap[30][DATE2STR] = ActionEntry(REDUCE, 254);
   _actionMap[30][ROUND] = ActionEntry(REDUCE, 254);
   _actionMap[30][LTRIM] = ActionEntry(REDUCE, 254);
   _actionMap[30][RTRIM] = ActionEntry(REDUCE, 254);
   _actionMap[30][TRIM] = ActionEntry(REDUCE, 254);
   _actionMap[30][ASC2INT] = ActionEntry(REDUCE, 254);
   _actionMap[30][INT2ASC] = ActionEntry(REDUCE, 254);
   _actionMap[30][CASE] = ActionEntry(REDUCE, 254);
   _actionMap[30][MAX] = ActionEntry(REDUCE, 254);
   _actionMap[30][MIN] = ActionEntry(REDUCE, 254);
   _actionMap[30][AVG] = ActionEntry(REDUCE, 254);
   _actionMap[30][SUM] = ActionEntry(REDUCE, 254);
   _actionMap[30][COUNT] = ActionEntry(REDUCE, 254);
   _actionMap[30][LB] = ActionEntry(REDUCE, 254);
   _actionMap[30][FETCH] = ActionEntry(REDUCE, 254);
   _actionMap[30][VARREF] = ActionEntry(REDUCE, 254);
   _actionMap[30][DISTINCT] = ActionEntry(SHIFT, 176);
   _actionMap[30][STAR] = ActionEntry(SHIFT, 177);
}
void Cego::loadParser286()
{
   _jumpMap[30][NoDistinctOpt] = 175;
   _jumpMap[30][DistinctOpt] = 174;
   _jumpMap[30][Selection] = 173;
   _actionMap[31][TABLESET] = ActionEntry(SHIFT, 182);
   _actionMap[31][APPEND] = ActionEntry(SHIFT, 178);
   _actionMap[31][AUTOCOMMIT] = ActionEntry(SHIFT, 179);
   _actionMap[31][ISOLATION] = ActionEntry(SHIFT, 181);
   _actionMap[31][UPDATE] = ActionEntry(SHIFT, 183);
   _actionMap[31][IDENTIFIER] = ActionEntry(SHIFT, 184);
   _actionMap[31][COUNTER] = ActionEntry(SHIFT, 180);
   _actionMap[32][POOL] = ActionEntry(SHIFT, 186);
   _actionMap[32][SYSTEMSPACE] = ActionEntry(SHIFT, 188);
   _actionMap[32][PROCEDURE] = ActionEntry(SHIFT, 187);
   _actionMap[32][VIEW] = ActionEntry(SHIFT, 189);
   _actionMap[32][CHECK] = ActionEntry(SHIFT, 185);
   _actionMap[33][TRANSACTION] = ActionEntry(SHIFT, 190);
   _actionMap[34][SEMICOLON] = ActionEntry(REDUCE, 1);
   _actionMap[35][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[35][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[35][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[35][ObjSpec] = 191;
   _actionMap[36][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[36][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[36][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[36][ObjSpec] = 192;
   _actionMap[37][IDENTIFIER] = ActionEntry(SHIFT, 54);
   _actionMap[37][QUALIFIEDOBJ] = ActionEntry(SHIFT, 55);
   _actionMap[37][QUALIFIEDTS] = ActionEntry(SHIFT, 56);
   _jumpMap[37][ObjSpec] = 193;
   _actionMap[38][SEMICOLON] = ActionEntry(REDUCE, 17);
   _actionMap[39][EQU] = ActionEntry(SHIFT, 194);
   _actionMap[0][DROP] = ActionEntry(SHIFT, 20);
   _actionMap[0][RENAME] = ActionEntry(SHIFT, 27);
   _actionMap[0][ALTER] = ActionEntry(SHIFT, 12);
   _actionMap[0][UPDATE] = ActionEntry(SHIFT, 37);
   _actionMap[0][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[0][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[0][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[0][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[0][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[0][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[0][SYNC] = ActionEntry(SHIFT, 34);
   _actionMap[0][LIST] = ActionEntry(SHIFT, 23);
   _actionMap[0][TABLEINFO] = ActionEntry(SHIFT, 35);
   _actionMap[0][TUPLEINFO] = ActionEntry(SHIFT, 36);
   _actionMap[0][UPTIME] = ActionEntry(SHIFT, 38);
   _actionMap[0][SHOW] = ActionEntry(SHIFT, 32);
   _actionMap[0][DESC] = ActionEntry(SHIFT, 19);
   _actionMap[0][SET] = ActionEntry(SHIFT, 31);
   _actionMap[0][AUTHORIZE] = ActionEntry(SHIFT, 13);
}
void Cego::loadParser287()
{
   _actionMap[0][REORGANIZE] = ActionEntry(SHIFT, 28);
   _actionMap[0][PLAN] = ActionEntry(SHIFT, 25);
   _actionMap[0][CREATE] = ActionEntry(SHIFT, 17);
   _actionMap[0][LOAD] = ActionEntry(SHIFT, 24);
   _actionMap[0][CALL] = ActionEntry(SHIFT, 14);
   _actionMap[0][VARREF] = ActionEntry(SHIFT, 39);
   _actionMap[0][PRINT] = ActionEntry(SHIFT, 26);
   _actionMap[0][CHECK] = ActionEntry(SHIFT, 15);
   _actionMap[0][JDBC] = ActionEntry(SHIFT, 22);
   _jumpMap[0][RenameStatement] = 11;
   _jumpMap[0][AlterStatement] = 10;
   _jumpMap[0][DeleteStatement] = 9;
   _jumpMap[0][UpdateStatement] = 8;
   _jumpMap[0][SelectStatement] = 7;
   _jumpMap[0][InsertStatement] = 6;
   _jumpMap[0][RollbackStatement] = 5;
   _jumpMap[0][CommitStatement] = 4;
   _jumpMap[0][StartStatement] = 3;
   _jumpMap[0][Statement] = 2;
   _jumpMap[0][DropOpt] = 1;
}
void Cego::loadParser288()
{
   _prodInfo.Insert(ProdEntry(393, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(392, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(391, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(390, DateValue, 1));
   _prodInfo.Insert(ProdEntry(389, DateFormat, 1));
   _prodInfo.Insert(ProdEntry(388, Constant, 4));
   _prodInfo.Insert(ProdEntry(387, Constant, 4));
   _prodInfo.Insert(ProdEntry(386, Constant, 1));
   _prodInfo.Insert(ProdEntry(385, Constant, 1));
   _prodInfo.Insert(ProdEntry(384, Constant, 1));
   _prodInfo.Insert(ProdEntry(383, Constant, 1));
   _prodInfo.Insert(ProdEntry(382, Constant, 6));
   _prodInfo.Insert(ProdEntry(381, Constant, 4));
   _prodInfo.Insert(ProdEntry(380, Constant, 4));
   _prodInfo.Insert(ProdEntry(379, Constant, 4));
   _prodInfo.Insert(ProdEntry(378, Constant, 1));
   _prodInfo.Insert(ProdEntry(377, Constant, 1));
   _prodInfo.Insert(ProdEntry(376, Constant, 4));
   _prodInfo.Insert(ProdEntry(375, Constant, 4));
   _prodInfo.Insert(ProdEntry(374, Constant, 4));
   _prodInfo.Insert(ProdEntry(373, Constant, 4));
   _prodInfo.Insert(ProdEntry(372, Constant, 1));
   _prodInfo.Insert(ProdEntry(371, SignedFloat, 2));
   _prodInfo.Insert(ProdEntry(370, SignedFloat, 1));
   _prodInfo.Insert(ProdEntry(369, SignedInt, 2));
   _prodInfo.Insert(ProdEntry(368, SignedInt, 1));
   _prodInfo.Insert(ProdEntry(367, Attribute, 2));
   _prodInfo.Insert(ProdEntry(366, Attribute, 1));
   _prodInfo.Insert(ProdEntry(365, Attribute, 1));
   _prodInfo.Insert(ProdEntry(364, Comparison, 2));
   _prodInfo.Insert(ProdEntry(363, Comparison, 2));
   _prodInfo.Insert(ProdEntry(362, Comparison, 1));
   _prodInfo.Insert(ProdEntry(361, Comparison, 1));
   _prodInfo.Insert(ProdEntry(360, Comparison, 2));
   _prodInfo.Insert(ProdEntry(359, Comparison, 1));
   _prodInfo.Insert(ProdEntry(358, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(357, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(356, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(355, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(354, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(353, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(352, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(351, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(350, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(349, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(348, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(347, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(346, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(345, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(344, QueryPredicate, 2));
   _prodInfo.Insert(ProdEntry(343, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(342, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(341, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(340, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(339, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(338, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(337, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(336, QueryPredicate, 6));
   _prodInfo.Insert(ProdEntry(335, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(334, QueryPredicate, 6));
   _prodInfo.Insert(ProdEntry(333, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(332, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(331, QueryCondition, 1));
   _prodInfo.Insert(ProdEntry(330, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(329, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(328, NoWhere, 0));
   _prodInfo.Insert(ProdEntry(327, WhereClause, 1));
   _prodInfo.Insert(ProdEntry(326, WhereClause, 2));
   _prodInfo.Insert(ProdEntry(325, ExpressionList, 1));
   _prodInfo.Insert(ProdEntry(324, ExpressionList, 3));
   _prodInfo.Insert(ProdEntry(323, Function, 3));
   _prodInfo.Insert(ProdEntry(322, Function, 4));
   _prodInfo.Insert(ProdEntry(321, Function, 6));
   _prodInfo.Insert(ProdEntry(320, Function, 4));
   _prodInfo.Insert(ProdEntry(319, Function, 4));
   _prodInfo.Insert(ProdEntry(318, Function, 4));
   _prodInfo.Insert(ProdEntry(317, Function, 4));
   _prodInfo.Insert(ProdEntry(316, Function, 4));
   _prodInfo.Insert(ProdEntry(315, Function, 4));
   _prodInfo.Insert(ProdEntry(314, Function, 4));
   _prodInfo.Insert(ProdEntry(313, Function, 4));
   _prodInfo.Insert(ProdEntry(312, Function, 4));
   _prodInfo.Insert(ProdEntry(311, Function, 4));
   _prodInfo.Insert(ProdEntry(310, Function, 4));
   _prodInfo.Insert(ProdEntry(309, Function, 4));
   _prodInfo.Insert(ProdEntry(308, Function, 4));
   _prodInfo.Insert(ProdEntry(307, Function, 4));
   _prodInfo.Insert(ProdEntry(306, Function, 4));
   _prodInfo.Insert(ProdEntry(305, Function, 4));
   _prodInfo.Insert(ProdEntry(304, Function, 4));
   _prodInfo.Insert(ProdEntry(303, Function, 4));
   _prodInfo.Insert(ProdEntry(302, Function, 4));
   _prodInfo.Insert(ProdEntry(301, Function, 4));
   _prodInfo.Insert(ProdEntry(300, Function, 4));
   _prodInfo.Insert(ProdEntry(299, Function, 4));
   _prodInfo.Insert(ProdEntry(298, Function, 4));
   _prodInfo.Insert(ProdEntry(297, Function, 4));
   _prodInfo.Insert(ProdEntry(296, Function, 4));
   _prodInfo.Insert(ProdEntry(295, Function, 4));
   _prodInfo.Insert(ProdEntry(294, Function, 4));
   _prodInfo.Insert(ProdEntry(293, Function, 4));
   _prodInfo.Insert(ProdEntry(292, Function, 4));
   _prodInfo.Insert(ProdEntry(291, Function, 4));
   _prodInfo.Insert(ProdEntry(290, Function, 4));
   _prodInfo.Insert(ProdEntry(289, Function, 4));
   _prodInfo.Insert(ProdEntry(288, Function, 4));
   _prodInfo.Insert(ProdEntry(287, Function, 4));
   _prodInfo.Insert(ProdEntry(286, Function, 4));
   _prodInfo.Insert(ProdEntry(285, Function, 4));
   _prodInfo.Insert(ProdEntry(284, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(283, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(282, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(281, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(280, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(279, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(278, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(277, AlterOption, 5));
   _prodInfo.Insert(ProdEntry(276, AlterOption, 5));
   _prodInfo.Insert(ProdEntry(275, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(274, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(273, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(272, AlterList, 1));
   _prodInfo.Insert(ProdEntry(271, AlterList, 3));
   _prodInfo.Insert(ProdEntry(270, AlterStatement, 4));
   _prodInfo.Insert(ProdEntry(269, UpdDelAlias, 0));
   _prodInfo.Insert(ProdEntry(268, UpdDelAlias, 1));
   _prodInfo.Insert(ProdEntry(267, DeleteStatement, 5));
   _prodInfo.Insert(ProdEntry(266, ReturnVar, 3));
   _prodInfo.Insert(ProdEntry(265, ReturnVarList, 1));
   _prodInfo.Insert(ProdEntry(264, ReturnVarList, 3));
   _prodInfo.Insert(ProdEntry(263, UpdReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(262, UpdReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(261, Assignment, 3));
   _prodInfo.Insert(ProdEntry(260, UpdateList, 1));
   _prodInfo.Insert(ProdEntry(259, UpdateList, 3));
   _prodInfo.Insert(ProdEntry(258, UpdateStatement, 7));
   _prodInfo.Insert(ProdEntry(257, NoLimit, 0));
   _prodInfo.Insert(ProdEntry(256, LimitOpt, 1));
   _prodInfo.Insert(ProdEntry(255, LimitOpt, 2));
   _prodInfo.Insert(ProdEntry(254, NoDistinctOpt, 0));
   _prodInfo.Insert(ProdEntry(253, DistinctOpt, 1));
   _prodInfo.Insert(ProdEntry(252, DistinctOpt, 1));
   _prodInfo.Insert(ProdEntry(251, DefaultOrderOpt, 0));
   _prodInfo.Insert(ProdEntry(250, DefaultOrderOpt, 1));
   _prodInfo.Insert(ProdEntry(249, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(248, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(247, OrderingList, 2));
   _prodInfo.Insert(ProdEntry(246, OrderingList, 4));
   _prodInfo.Insert(ProdEntry(245, NoOrdering, 0));
   _prodInfo.Insert(ProdEntry(244, OrderingClause, 1));
   _prodInfo.Insert(ProdEntry(243, OrderingClause, 3));
   _prodInfo.Insert(ProdEntry(242, NoHaving, 0));
   _prodInfo.Insert(ProdEntry(241, HavingClause, 1));
   _prodInfo.Insert(ProdEntry(240, HavingClause, 4));
   _prodInfo.Insert(ProdEntry(239, GroupList, 1));
   _prodInfo.Insert(ProdEntry(238, GroupList, 3));
   _prodInfo.Insert(ProdEntry(237, NoGroup, 0));
   _prodInfo.Insert(ProdEntry(236, GroupClause, 1));
   _prodInfo.Insert(ProdEntry(235, GroupClause, 4));
   _prodInfo.Insert(ProdEntry(234, NoAliasOpt, 0));
   _prodInfo.Insert(ProdEntry(233, AliasOpt, 1));
   _prodInfo.Insert(ProdEntry(232, AliasOpt, 2));
   _prodInfo.Insert(ProdEntry(231, JoinTableOn, 1));
   _prodInfo.Insert(ProdEntry(230, Table, 2));
   _prodInfo.Insert(ProdEntry(229, Table, 1));
   _prodInfo.Insert(ProdEntry(228, TableList, 1));
   _prodInfo.Insert(ProdEntry(227, TableList, 3));
   _prodInfo.Insert(ProdEntry(226, InnerJoin, 1));
   _prodInfo.Insert(ProdEntry(225, InnerJoin, 2));
   _prodInfo.Insert(ProdEntry(224, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(223, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(222, JoinSpec, 4));
   _prodInfo.Insert(ProdEntry(221, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(220, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(219, TableSource, 1));
   _prodInfo.Insert(ProdEntry(218, TableSource, 1));
   _prodInfo.Insert(ProdEntry(217, SelectItem, 2));
   _prodInfo.Insert(ProdEntry(216, SelectionList, 1));
   _prodInfo.Insert(ProdEntry(215, SelectionList, 3));
   _prodInfo.Insert(ProdEntry(214, Selection, 1));
   _prodInfo.Insert(ProdEntry(213, Selection, 2));
   _prodInfo.Insert(ProdEntry(212, NoFromOption, 0));
   _prodInfo.Insert(ProdEntry(211, FromOption, 1));
   _prodInfo.Insert(ProdEntry(210, FromOption, 7));
   _prodInfo.Insert(ProdEntry(209, SelectStatement, 3));
   _prodInfo.Insert(ProdEntry(208, InsertValueList, 1));
   _prodInfo.Insert(ProdEntry(207, InsertValueList, 3));
   _prodInfo.Insert(ProdEntry(206, InsertArgList, 1));
   _prodInfo.Insert(ProdEntry(205, InsertArgList, 3));
   _prodInfo.Insert(ProdEntry(204, InsertValueSpec, 3));
   _prodInfo.Insert(ProdEntry(203, InsertValueSpecList, 1));
   _prodInfo.Insert(ProdEntry(202, InsertValueSpecList, 3));
   _prodInfo.Insert(ProdEntry(201, InsertPrepare, 1));
   _prodInfo.Insert(ProdEntry(200, InsertArgSpec, 0));
   _prodInfo.Insert(ProdEntry(199, InsertArgSpec, 3));
   _prodInfo.Insert(ProdEntry(198, InsertStatement, 5));
   _prodInfo.Insert(ProdEntry(197, InsertStatement, 6));
   _prodInfo.Insert(ProdEntry(196, RollbackStatement, 1));
   _prodInfo.Insert(ProdEntry(195, CommitStatement, 1));
   _prodInfo.Insert(ProdEntry(194, StartStatement, 2));
   _prodInfo.Insert(ProdEntry(193, BtreeType, 1));
   _prodInfo.Insert(ProdEntry(192, BtreeType, 1));
   _prodInfo.Insert(ProdEntry(191, IndexType, 1));
   _prodInfo.Insert(ProdEntry(190, IndexType, 1));
   _prodInfo.Insert(ProdEntry(189, IndexOption, 0));
   _prodInfo.Insert(ProdEntry(188, IndexOption, 1));
   _prodInfo.Insert(ProdEntry(187, SimpleAttr, 1));
   _prodInfo.Insert(ProdEntry(186, SimpleAttrList, 1));
   _prodInfo.Insert(ProdEntry(185, SimpleAttrList, 3));
   _prodInfo.Insert(ProdEntry(184, DefaultDefOpt, 0));
   _prodInfo.Insert(ProdEntry(183, DefaultOpt, 1));
   _prodInfo.Insert(ProdEntry(182, DefaultOpt, 2));
   _prodInfo.Insert(ProdEntry(181, DefaultNullOpt, 0));
   _prodInfo.Insert(ProdEntry(180, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(179, NullOpt, 2));
   _prodInfo.Insert(ProdEntry(178, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(177, ColumnDesc, 4));
   _prodInfo.Insert(ProdEntry(176, KeyColumn, 1));
   _prodInfo.Insert(ProdEntry(175, KeyColumn, 2));
   _prodInfo.Insert(ProdEntry(174, ColumnList, 1));
   _prodInfo.Insert(ProdEntry(173, ColumnList, 3));
   _prodInfo.Insert(ProdEntry(172, FetchArgList, 1));
   _prodInfo.Insert(ProdEntry(171, FetchArgList, 3));
   _prodInfo.Insert(ProdEntry(170, CasePrepare, 1));
   _prodInfo.Insert(ProdEntry(169, CaseCondition, 4));
   _prodInfo.Insert(ProdEntry(168, CaseConditionList, 1));
   _prodInfo.Insert(ProdEntry(167, CaseConditionList, 2));
   _prodInfo.Insert(ProdEntry(166, CaseClause, 5));
   _prodInfo.Insert(ProdEntry(165, Factor, 4));
   _prodInfo.Insert(ProdEntry(164, Factor, 4));
   _prodInfo.Insert(ProdEntry(163, Factor, 4));
   _prodInfo.Insert(ProdEntry(162, Factor, 4));
   _prodInfo.Insert(ProdEntry(161, Factor, 4));
   _prodInfo.Insert(ProdEntry(160, Factor, 4));
   _prodInfo.Insert(ProdEntry(159, Factor, 1));
   _prodInfo.Insert(ProdEntry(158, Factor, 3));
   _prodInfo.Insert(ProdEntry(157, Factor, 3));
   _prodInfo.Insert(ProdEntry(156, Factor, 1));
   _prodInfo.Insert(ProdEntry(155, Factor, 1));
   _prodInfo.Insert(ProdEntry(154, Factor, 6));
   _prodInfo.Insert(ProdEntry(153, Factor, 1));
   _prodInfo.Insert(ProdEntry(152, Factor, 1));
   _prodInfo.Insert(ProdEntry(151, Term, 1));
   _prodInfo.Insert(ProdEntry(150, Term, 3));
   _prodInfo.Insert(ProdEntry(149, Term, 3));
   _prodInfo.Insert(ProdEntry(148, Expr, 3));
   _prodInfo.Insert(ProdEntry(147, Expr, 1));
   _prodInfo.Insert(ProdEntry(146, Expr, 3));
   _prodInfo.Insert(ProdEntry(145, Expr, 3));
   _prodInfo.Insert(ProdEntry(144, ProcPredicate, 4));
   _prodInfo.Insert(ProdEntry(143, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(142, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(141, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(140, ProcCondition, 1));
   _prodInfo.Insert(ProdEntry(139, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(138, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(137, ProcWhileCondition, 1));
   _prodInfo.Insert(ProdEntry(136, ProcStatement, 5));
   _prodInfo.Insert(ProdEntry(135, ProcElsIfCondition, 1));
   _prodInfo.Insert(ProdEntry(134, ProcIfCondition, 1));
   _prodInfo.Insert(ProdEntry(133, ProcElsePart, 1));
   _prodInfo.Insert(ProdEntry(132, ProcElseOpt, 0));
   _prodInfo.Insert(ProdEntry(131, ProcElseOpt, 2));
   _prodInfo.Insert(ProdEntry(130, ProcElsIfOpt, 4));
   _prodInfo.Insert(ProdEntry(129, ProcElsIfList, 0));
   _prodInfo.Insert(ProdEntry(128, ProcElsIfList, 2));
   _prodInfo.Insert(ProdEntry(127, ProcIfPart, 4));
   _prodInfo.Insert(ProdEntry(126, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(125, ProcExceptionType, 1));
   _prodInfo.Insert(ProdEntry(124, ProcValueList, 1));
   _prodInfo.Insert(ProdEntry(123, ProcValueList, 3));
   _prodInfo.Insert(ProdEntry(122, ProcValueListOpt, 0));
   _prodInfo.Insert(ProdEntry(121, ProcValueListOpt, 1));
   _prodInfo.Insert(ProdEntry(120, ProcExceptionStmt, 5));
   _prodInfo.Insert(ProdEntry(119, ProcExceptionList, 0));
   _prodInfo.Insert(ProdEntry(118, ProcExceptionList, 2));
   _prodInfo.Insert(ProdEntry(117, ProcBlockStart, 1));
   _prodInfo.Insert(ProdEntry(116, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(115, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(114, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(113, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(112, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(111, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(110, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(109, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(108, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(107, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(106, ProcNoAssignment, 0));
   _prodInfo.Insert(ProdEntry(105, ProcInitialAssignment, 1));
   _prodInfo.Insert(ProdEntry(104, ProcInitialAssignment, 2));
   _prodInfo.Insert(ProdEntry(103, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(102, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(101, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(100, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(99, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(98, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(97, ProcStatementList, 2));
   _prodInfo.Insert(ProdEntry(96, ProcStatementList, 3));
   _prodInfo.Insert(ProdEntry(95, ProcStmtBlock, 2));
   _prodInfo.Insert(ProdEntry(94, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(93, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(92, ProcArgList, 1));
   _prodInfo.Insert(ProdEntry(91, ProcArgList, 3));
   _prodInfo.Insert(ProdEntry(90, ProcArgOpt, 0));
   _prodInfo.Insert(ProdEntry(89, ProcArgOpt, 1));
   _prodInfo.Insert(ProdEntry(88, ReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(87, ReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(86, ProcDef, 4));
   _prodInfo.Insert(ProdEntry(85, ProcHead, 6));
   _prodInfo.Insert(ProdEntry(84, UnionAllOpt, 0));
   _prodInfo.Insert(ProdEntry(83, UnionAllOpt, 3));
   _prodInfo.Insert(ProdEntry(82, JdbcArgList, 1));
   _prodInfo.Insert(ProdEntry(81, JdbcArgList, 2));
   _prodInfo.Insert(ProdEntry(80, Statement, 2));
   _prodInfo.Insert(ProdEntry(79, CounterId, 1));
   _prodInfo.Insert(ProdEntry(78, Statement, 5));
   _prodInfo.Insert(ProdEntry(77, Statement, 3));
   _prodInfo.Insert(ProdEntry(76, Statement, 3));
   _prodInfo.Insert(ProdEntry(75, Statement, 3));
   _prodInfo.Insert(ProdEntry(74, Statement, 2));
   _prodInfo.Insert(ProdEntry(73, Statement, 4));
   _prodInfo.Insert(ProdEntry(72, Statement, 8));
   _prodInfo.Insert(ProdEntry(71, Statement, 15));
   _prodInfo.Insert(ProdEntry(70, DropOpt, 3));
   _prodInfo.Insert(ProdEntry(69, DropOpt, 1));
   _prodInfo.Insert(ProdEntry(68, Statement, 3));
   _prodInfo.Insert(ProdEntry(67, Statement, 3));
   _prodInfo.Insert(ProdEntry(66, Statement, 4));
   _prodInfo.Insert(ProdEntry(65, Statement, 3));
   _prodInfo.Insert(ProdEntry(64, Statement, 3));
   _prodInfo.Insert(ProdEntry(63, Statement, 3));
   _prodInfo.Insert(ProdEntry(62, Statement, 3));
   _prodInfo.Insert(ProdEntry(61, CachedOpt, 0));
   _prodInfo.Insert(ProdEntry(60, CachedOpt, 1));
   _prodInfo.Insert(ProdEntry(59, Statement, 10));
   _prodInfo.Insert(ProdEntry(58, Statement, 9));
   _prodInfo.Insert(ProdEntry(57, Statement, 6));
   _prodInfo.Insert(ProdEntry(56, Statement, 7));
   _prodInfo.Insert(ProdEntry(55, Statement, 5));
   _prodInfo.Insert(ProdEntry(54, Statement, 2));
   _prodInfo.Insert(ProdEntry(53, Statement, 2));
   _prodInfo.Insert(ProdEntry(52, Statement, 5));
   _prodInfo.Insert(ProdEntry(51, Statement, 5));
   _prodInfo.Insert(ProdEntry(50, Statement, 1));
   _prodInfo.Insert(ProdEntry(49, Statement, 1));
   _prodInfo.Insert(ProdEntry(48, Statement, 1));
   _prodInfo.Insert(ProdEntry(47, Statement, 1));
   _prodInfo.Insert(ProdEntry(46, Statement, 1));
   _prodInfo.Insert(ProdEntry(45, Statement, 2));
   _prodInfo.Insert(ProdEntry(44, Statement, 1));
   _prodInfo.Insert(ProdEntry(43, Statement, 3));
   _prodInfo.Insert(ProdEntry(42, Statement, 3));
   _prodInfo.Insert(ProdEntry(41, Statement, 4));
   _prodInfo.Insert(ProdEntry(40, Statement, 4));
   _prodInfo.Insert(ProdEntry(39, Statement, 3));
   _prodInfo.Insert(ProdEntry(38, Statement, 3));
   _prodInfo.Insert(ProdEntry(37, Statement, 3));
   _prodInfo.Insert(ProdEntry(36, Statement, 3));
   _prodInfo.Insert(ProdEntry(35, Statement, 3));
   _prodInfo.Insert(ProdEntry(34, Statement, 1));
   _prodInfo.Insert(ProdEntry(33, Statement, 1));
   _prodInfo.Insert(ProdEntry(32, Statement, 1));
   _prodInfo.Insert(ProdEntry(31, Statement, 7));
   _prodInfo.Insert(ProdEntry(30, Statement, 3));
   _prodInfo.Insert(ProdEntry(29, Statement, 3));
   _prodInfo.Insert(ProdEntry(28, Statement, 3));
   _prodInfo.Insert(ProdEntry(27, Statement, 3));
   _prodInfo.Insert(ProdEntry(26, Statement, 3));
   _prodInfo.Insert(ProdEntry(25, Statement, 3));
   _prodInfo.Insert(ProdEntry(24, Statement, 4));
   _prodInfo.Insert(ProdEntry(23, Statement, 3));
   _prodInfo.Insert(ProdEntry(22, Statement, 3));
   _prodInfo.Insert(ProdEntry(21, Statement, 3));
   _prodInfo.Insert(ProdEntry(20, Statement, 3));
   _prodInfo.Insert(ProdEntry(19, Statement, 2));
   _prodInfo.Insert(ProdEntry(18, Statement, 2));
   _prodInfo.Insert(ProdEntry(17, Statement, 1));
   _prodInfo.Insert(ProdEntry(16, Statement, 2));
   _prodInfo.Insert(ProdEntry(15, Statement, 2));
   _prodInfo.Insert(ProdEntry(14, TableSetOpt, 0));
   _prodInfo.Insert(ProdEntry(13, TableSetOpt, 2));
   _prodInfo.Insert(ProdEntry(12, Statement, 3));
   _prodInfo.Insert(ProdEntry(11, Statement, 3));
   _prodInfo.Insert(ProdEntry(10, Statement, 3));
   _prodInfo.Insert(ProdEntry(9, Statement, 3));
   _prodInfo.Insert(ProdEntry(8, Statement, 3));
   _prodInfo.Insert(ProdEntry(7, Statement, 3));
   _prodInfo.Insert(ProdEntry(6, Statement, 3));
   _prodInfo.Insert(ProdEntry(5, Statement, 3));
   _prodInfo.Insert(ProdEntry(4, Statement, 3));
   _prodInfo.Insert(ProdEntry(3, Statement, 3));
   _prodInfo.Insert(ProdEntry(2, Statement, 2));
   _prodInfo.Insert(ProdEntry(1, Statement, 1));
   _prodInfo.Insert(ProdEntry(0, Start, 2));
}

Cego::Cego()
{
   loadScanner();
   for ( int i=0; i < 891; i++)
   {
      int j;
      for ( j = 0; j < 191; j++)
         _actionMap[i][j] = ActionEntry();
      for ( j = 0; j < 122; j++)
         _jumpMap[i][j] = -1;
   }
   loadParser0();
   loadParser1();
   loadParser2();
   loadParser3();
   loadParser4();
   loadParser5();
   loadParser6();
   loadParser7();
   loadParser8();
   loadParser9();
   loadParser10();
   loadParser11();
   loadParser12();
   loadParser13();
   loadParser14();
   loadParser15();
   loadParser16();
   loadParser17();
   loadParser18();
   loadParser19();
   loadParser20();
   loadParser21();
   loadParser22();
   loadParser23();
   loadParser24();
   loadParser25();
   loadParser26();
   loadParser27();
   loadParser28();
   loadParser29();
   loadParser30();
   loadParser31();
   loadParser32();
   loadParser33();
   loadParser34();
   loadParser35();
   loadParser36();
   loadParser37();
   loadParser38();
   loadParser39();
   loadParser40();
   loadParser41();
   loadParser42();
   loadParser43();
   loadParser44();
   loadParser45();
   loadParser46();
   loadParser47();
   loadParser48();
   loadParser49();
   loadParser50();
   loadParser51();
   loadParser52();
   loadParser53();
   loadParser54();
   loadParser55();
   loadParser56();
   loadParser57();
   loadParser58();
   loadParser59();
   loadParser60();
   loadParser61();
   loadParser62();
   loadParser63();
   loadParser64();
   loadParser65();
   loadParser66();
   loadParser67();
   loadParser68();
   loadParser69();
   loadParser70();
   loadParser71();
   loadParser72();
   loadParser73();
   loadParser74();
   loadParser75();
   loadParser76();
   loadParser77();
   loadParser78();
   loadParser79();
   loadParser80();
   loadParser81();
   loadParser82();
   loadParser83();
   loadParser84();
   loadParser85();
   loadParser86();
   loadParser87();
   loadParser88();
   loadParser89();
   loadParser90();
   loadParser91();
   loadParser92();
   loadParser93();
   loadParser94();
   loadParser95();
   loadParser96();
   loadParser97();
   loadParser98();
   loadParser99();
   loadParser100();
   loadParser101();
   loadParser102();
   loadParser103();
   loadParser104();
   loadParser105();
   loadParser106();
   loadParser107();
   loadParser108();
   loadParser109();
   loadParser110();
   loadParser111();
   loadParser112();
   loadParser113();
   loadParser114();
   loadParser115();
   loadParser116();
   loadParser117();
   loadParser118();
   loadParser119();
   loadParser120();
   loadParser121();
   loadParser122();
   loadParser123();
   loadParser124();
   loadParser125();
   loadParser126();
   loadParser127();
   loadParser128();
   loadParser129();
   loadParser130();
   loadParser131();
   loadParser132();
   loadParser133();
   loadParser134();
   loadParser135();
   loadParser136();
   loadParser137();
   loadParser138();
   loadParser139();
   loadParser140();
   loadParser141();
   loadParser142();
   loadParser143();
   loadParser144();
   loadParser145();
   loadParser146();
   loadParser147();
   loadParser148();
   loadParser149();
   loadParser150();
   loadParser151();
   loadParser152();
   loadParser153();
   loadParser154();
   loadParser155();
   loadParser156();
   loadParser157();
   loadParser158();
   loadParser159();
   loadParser160();
   loadParser161();
   loadParser162();
   loadParser163();
   loadParser164();
   loadParser165();
   loadParser166();
   loadParser167();
   loadParser168();
   loadParser169();
   loadParser170();
   loadParser171();
   loadParser172();
   loadParser173();
   loadParser174();
   loadParser175();
   loadParser176();
   loadParser177();
   loadParser178();
   loadParser179();
   loadParser180();
   loadParser181();
   loadParser182();
   loadParser183();
   loadParser184();
   loadParser185();
   loadParser186();
   loadParser187();
   loadParser188();
   loadParser189();
   loadParser190();
   loadParser191();
   loadParser192();
   loadParser193();
   loadParser194();
   loadParser195();
   loadParser196();
   loadParser197();
   loadParser198();
   loadParser199();
   loadParser200();
   loadParser201();
   loadParser202();
   loadParser203();
   loadParser204();
   loadParser205();
   loadParser206();
   loadParser207();
   loadParser208();
   loadParser209();
   loadParser210();
   loadParser211();
   loadParser212();
   loadParser213();
   loadParser214();
   loadParser215();
   loadParser216();
   loadParser217();
   loadParser218();
   loadParser219();
   loadParser220();
   loadParser221();
   loadParser222();
   loadParser223();
   loadParser224();
   loadParser225();
   loadParser226();
   loadParser227();
   loadParser228();
   loadParser229();
   loadParser230();
   loadParser231();
   loadParser232();
   loadParser233();
   loadParser234();
   loadParser235();
   loadParser236();
   loadParser237();
   loadParser238();
   loadParser239();
   loadParser240();
   loadParser241();
   loadParser242();
   loadParser243();
   loadParser244();
   loadParser245();
   loadParser246();
   loadParser247();
   loadParser248();
   loadParser249();
   loadParser250();
   loadParser251();
   loadParser252();
   loadParser253();
   loadParser254();
   loadParser255();
   loadParser256();
   loadParser257();
   loadParser258();
   loadParser259();
   loadParser260();
   loadParser261();
   loadParser262();
   loadParser263();
   loadParser264();
   loadParser265();
   loadParser266();
   loadParser267();
   loadParser268();
   loadParser269();
   loadParser270();
   loadParser271();
   loadParser272();
   loadParser273();
   loadParser274();
   loadParser275();
   loadParser276();
   loadParser277();
   loadParser278();
   loadParser279();
   loadParser280();
   loadParser281();
   loadParser282();
   loadParser283();
   loadParser284();
   loadParser285();
   loadParser286();
   loadParser287();
   loadParser288();
   _isReserved = false;
}

Cego::~Cego()
{
}

void Cego::parse()
{
   StackT<StackEntry> s;
   StackEntry se(NONE, 0, 0);
   s.Push(se);
   _isReserved = false;
   if ( shiftToken() == false )
   {
      Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
      throw Exception(EXLOC, msg);
   }
   while ( true )
   {
      Action a;
      int num;
      if ( getAction(s.getTop()->getState(), _token, a, num) )
      {
         switch (a)
         {
            case SHIFT:
            {
               StackEntry se(TOKEN, _token, num, _tokenVal);
               s.Push(se);
               if ( shiftToken() == false )
               {
                  Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               break;
            }
            case REDUCE:
            {
               _tokenList.Empty();
               ProdEntry* pPE = _prodInfo.Find(num);
               for (int i=0; i<pPE->getNumSymbol();i++)
               {
                  StackEntry se;
                  s.Pop(se);
                  if (se.getSymbol() == TOKEN)
                     _tokenList.Insert(se.getTval());
               }
               int fstate;
               if (getJump(s.getTop()->getState(), pPE->getProd(), fstate))
               {
                  StackEntry se(PROD, pPE->getId(), fstate, _tokenVal);
                  s.Push(se);
               }
               else
               {
                  Chain msg = "Cannot reduce after token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               switch (num)
               {
                  case 393:
                     setObject3();
                     break;
                  case 392:
                     setObject2();
                     break;
                  case 391:
                     setObject1();
                     break;
                  case 390:
                     miscDateValue();
                     break;
                  case 389:
                     miscDateFormat();
                     break;
                  case 388:
                     miscClobRef();
                     break;
                  case 387:
                     miscBlobRef();
                     break;
                  case 386:
                     miscFalseValue();
                     break;
                  case 385:
                     miscTrueValue();
                     break;
                  case 384:
                     miscNull();
                     break;
                  case 383:
                     miscSysDate();
                     break;
                  case 382:
                     miscFormatDate();
                     break;
                  case 381:
                     miscFixedValue();
                     break;
                  case 380:
                     miscDecimalValue();
                     break;
                  case 379:
                     miscDoubleValue();
                     break;
                  case 378:
                     miscFloatValue();
                     break;
                  case 377:
                     miscStringValue();
                     break;
                  case 376:
                     miscTinyIntValue();
                     break;
                  case 375:
                     miscSmallIntValue();
                     break;
                  case 374:
                     miscBigIntValue();
                     break;
                  case 373:
                     miscLongValue();
                     break;
                  case 372:
                     miscIntValue();
                     break;
                  case 371:
                     miscNegatedFloatString();
                     break;
                  case 370:
                     miscFloatString();
                     break;
                  case 369:
                     miscNegatedIntString();
                     break;
                  case 368:
                     miscIntString();
                     break;
                  case 367:
                     miscAttribute3();
                     break;
                  case 366:
                     miscAttribute2();
                     break;
                  case 365:
                     miscAttribute1();
                     break;
                  case 364:
                     miscMoreEqualComp();
                     break;
                  case 363:
                     miscLessEqualComp();
                     break;
                  case 362:
                     miscMoreComp();
                     break;
                  case 361:
                     miscLessComp();
                     break;
                  case 360:
                     miscNotEqualComp();
                     break;
                  case 359:
                     miscEqualComp();
                     break;
                  case 358:
                     miscClobType();
                     break;
                  case 357:
                     miscBlobType();
                     break;
                  case 356:
                     miscFixedType();
                     break;
                  case 355:
                     miscDecimalType();
                     break;
                  case 354:
                     miscTinyIntType();
                     break;
                  case 353:
                     miscSmallIntType();
                     break;
                  case 352:
                     miscDoubleType();
                     break;
                  case 351:
                     miscFloatType();
                     break;
                  case 350:
                     miscBigIntType();
                     break;
                  case 349:
                     miscBoolType();
                     break;
                  case 348:
                     miscDateTimeType();
                     break;
                  case 347:
                     miscStringType();
                     break;
                  case 346:
                     miscLongType();
                     break;
                  case 345:
                     miscIntType();
                     break;
                  case 344:
                     wcPredicateNotPredicate();
                     break;
                  case 343:
                     wcPredicateCondition();
                     break;
                  case 342:
                     wcPredicateNotLikeComp();
                     break;
                  case 341:
                     wcPredicateLikeComp();
                     break;
                  case 340:
                     wcPredicateNotNullComp();
                     break;
                  case 339:
                     wcPredicateNullComp();
                     break;
                  case 338:
                     wcPredicateBetween();
                     break;
                  case 337:
                     wcPredicateExprComp();
                     break;
                  case 336:
                     wcPredicateQueryNotIn();
                     break;
                  case 335:
                     wcPredicateQueryIn();
                     break;
                  case 334:
                     wcPredicateNotIn();
                     break;
                  case 333:
                     wcPredicateIn();
                     break;
                  case 332:
                     wcPredicateQueryExists();
                     break;
                  case 331:
                     wcConditionPredicate();
                     break;
                  case 330:
                     wcConditionOr();
                     break;
                  case 329:
                     wcConditionAnd();
                     break;
                  case 327:
                     wcEmptyClause();
                     break;
                  case 326:
                     wcWhereClause();
                     break;
                  case 325:
                     storeExprList2();
                     break;
                  case 324:
                     storeExprList1();
                     break;
                  case 323:
                     functionUserDef2();
                     break;
                  case 322:
                     functionUserDef1();
                     break;
                  case 321:
                     functionSetCount();
                     break;
                  case 320:
                     functionNextCount();
                     break;
                  case 319:
                     functionNative();
                     break;
                  case 318:
                     functionNative();
                     break;
                  case 317:
                     functionNative();
                     break;
                  case 316:
                     functionNative();
                     break;
                  case 315:
                     functionNative();
                     break;
                  case 314:
                     functionNative();
                     break;
                  case 313:
                     functionNative();
                     break;
                  case 312:
                     functionNative();
                     break;
                  case 311:
                     functionNative();
                     break;
                  case 310:
                     functionNative();
                     break;
                  case 309:
                     functionNative();
                     break;
                  case 308:
                     functionNative();
                     break;
                  case 307:
                     functionNative();
                     break;
                  case 306:
                     functionNative();
                     break;
                  case 305:
                     functionNative();
                     break;
                  case 304:
                     functionNative();
                     break;
                  case 303:
                     functionNative();
                     break;
                  case 302:
                     functionNative();
                     break;
                  case 301:
                     functionNative();
                     break;
                  case 300:
                     functionNative();
                     break;
                  case 299:
                     functionNative();
                     break;
                  case 298:
                     functionNative();
                     break;
                  case 297:
                     functionNative();
                     break;
                  case 296:
                     functionNative();
                     break;
                  case 295:
                     functionNative();
                     break;
                  case 294:
                     functionNative();
                     break;
                  case 293:
                     functionNative();
                     break;
                  case 292:
                     functionNative();
                     break;
                  case 291:
                     functionNative();
                     break;
                  case 290:
                     functionNative();
                     break;
                  case 289:
                     functionNative();
                     break;
                  case 288:
                     functionNative();
                     break;
                  case 287:
                     functionNative();
                     break;
                  case 286:
                     functionNative();
                     break;
                  case 285:
                     functionNative();
                     break;
                  case 284:
                     renameCheck();
                     break;
                  case 283:
                     renameView();
                     break;
                  case 282:
                     renameProcedure();
                     break;
                  case 281:
                     renameKey();
                     break;
                  case 280:
                     renameBTree();
                     break;
                  case 279:
                     renameIndex();
                     break;
                  case 278:
                     renameTable();
                     break;
                  case 277:
                     alterRenameCol();
                     break;
                  case 276:
                     alterModDefault();
                     break;
                  case 275:
                     alterModCol();
                     break;
                  case 274:
                     alterAddCol();
                     break;
                  case 273:
                     alterDropCol();
                     break;
                  case 270:
                     alterStore();
                     break;
                  case 268:
                     setUpdDelAlias();
                     break;
                  case 267:
                     deleteStore();
                     break;
                  case 266:
                     returnVarAssignment();
                     break;
                  case 261:
                     updateAssignment();
                     break;
                  case 258:
                     updateStore();
                     break;
                  case 256:
                     selectLimitOpt2();
                     break;
                  case 255:
                     selectLimitOpt1();
                     break;
                  case 253:
                     selectNoDistinctOpt();
                     break;
                  case 252:
                     selectDistinctOpt();
                     break;
                  case 249:
                     selectOrderingDesc();
                     break;
                  case 248:
                     selectOrderingAsc();
                     break;
                  case 247:
                     selectOrderingList2();
                     break;
                  case 246:
                     selectOrderingList1();
                     break;
                  case 244:
                     selectEmptyOrderingClause();
                     break;
                  case 243:
                     selectOrderingClause();
                     break;
                  case 241:
                     selectEmptyHavingClause();
                     break;
                  case 240:
                     selectHavingClause();
                     break;
                  case 239:
                     selectGroupList2();
                     break;
                  case 238:
                     selectGroupList1();
                     break;
                  case 236:
                     selectEmptyGroupClause();
                     break;
                  case 235:
                     selectGroupClause();
                     break;
                  case 233:
                     noAliasOpt();
                     break;
                  case 232:
                     aliasOpt();
                     break;
                  case 231:
                     selectStackJoinTable();
                     break;
                  case 230:
                     selectTable2();
                     break;
                  case 229:
                     selectTable1();
                     break;
                  case 224:
                     selectRightOuterJoinStore();
                     break;
                  case 223:
                     selectLeftOuterJoinStore();
                     break;
                  case 222:
                     selectInnerJoinStore();
                     break;
                  case 219:
                     selectJoinSpecStore();
                     break;
                  case 218:
                     selectTableListStore();
                     break;
                  case 217:
                     selectItem();
                     break;
                  case 216:
                     selectionList2();
                     break;
                  case 215:
                     selectionList1();
                     break;
                  case 214:
                     selectSelectionStore2();
                     break;
                  case 213:
                     selectSelectionStore1();
                     break;
                  case 211:
                     noFromOption();
                     break;
                  case 209:
                     selectStore();
                     break;
                  case 208:
                     insertExprValue();
                     break;
                  case 207:
                     insertExprValue();
                     break;
                  case 206:
                     insertArg();
                     break;
                  case 205:
                     insertArg();
                     break;
                  case 204:
                     insertValueSpecStore();
                     break;
                  case 201:
                     insertPrepare();
                     break;
                  case 198:
                     insertBySelectStore();
                     break;
                  case 197:
                     insertStore();
                     break;
                  case 196:
                     rollbackStore();
                     break;
                  case 195:
                     commitStore();
                     break;
                  case 194:
                     startStore();
                     break;
                  case 191:
                     setBTreeIndex();
                     break;
                  case 190:
                     setAVLIndex();
                     break;
                  case 188:
                     setUniqueIndex();
                     break;
                  case 187:
                     createSimpleAttr();
                     break;
                  case 186:
                     createSimpleAttrList();
                     break;
                  case 183:
                     defaultNullOpt();
                     break;
                  case 182:
                     defaultOpt();
                     break;
                  case 180:
                     setNullOpt();
                     break;
                  case 179:
                     setNotNullOpt();
                     break;
                  case 178:
                     setNullOpt();
                     break;
                  case 177:
                     setColumnDesc();
                     break;
                  case 176:
                     setOrdinaryColumn();
                     break;
                  case 175:
                     setPrimaryColumn();
                     break;
                  case 172:
                     procStoreFetchArg2();
                     break;
                  case 171:
                     procStoreFetchArg1();
                     break;
                  case 170:
                     casePrepare();
                     break;
                  case 169:
                     caseCondition();
                     break;
                  case 168:
                     caseConditionList2();
                     break;
                  case 167:
                     caseConditionList1();
                     break;
                  case 166:
                     caseClause();
                     break;
                  case 165:
                     procFactor14();
                     break;
                  case 164:
                     procFactor13();
                     break;
                  case 163:
                     procFactor12();
                     break;
                  case 162:
                     procFactor11();
                     break;
                  case 161:
                     procFactor10();
                     break;
                  case 160:
                     procFactor9();
                     break;
                  case 159:
                     procFactor8();
                     break;
                  case 158:
                     procFactor7();
                     break;
                  case 157:
                     procFactor6();
                     break;
                  case 156:
                     procFactor5();
                     break;
                  case 155:
                     procFactor4();
                     break;
                  case 154:
                     procFactor3();
                     break;
                  case 153:
                     procFactor2();
                     break;
                  case 152:
                     procFactor1();
                     break;
                  case 151:
                     procTerm3();
                     break;
                  case 150:
                     procTerm2();
                     break;
                  case 149:
                     procTerm1();
                     break;
                  case 148:
                     procExpr4();
                     break;
                  case 147:
                     procExpr3();
                     break;
                  case 146:
                     procExpr2();
                     break;
                  case 145:
                     procExpr1();
                     break;
                  case 144:
                     procPredicate4();
                     break;
                  case 143:
                     procPredicate3();
                     break;
                  case 142:
                     procPredicate2();
                     break;
                  case 141:
                     procPredicate1();
                     break;
                  case 140:
                     procCondition3();
                     break;
                  case 139:
                     procCondition2();
                     break;
                  case 138:
                     procCondition1();
                     break;
                  case 137:
                     procWhileCondition();
                     break;
                  case 136:
                     procWhileStatement();
                     break;
                  case 135:
                     procElsIfCondition();
                     break;
                  case 134:
                     procIfCondition();
                     break;
                  case 133:
                     procElsePart();
                     break;
                  case 131:
                     procStoreElseBlock();
                     break;
                  case 130:
                     procStoreIfBlock();
                     break;
                  case 127:
                     procStoreIfBlock();
                     break;
                  case 126:
                     procIfStatement();
                     break;
                  case 125:
                     procExceptionCondition();
                     break;
                  case 124:
                     procExprValue();
                     break;
                  case 123:
                     procExprValue();
                     break;
                  case 121:
                     procValueSpec();
                     break;
                  case 120:
                     procExceptionStatement();
                     break;
                  case 117:
                     procBlockStart();
                     break;
                  case 116:
                     procBlockStatement();
                     break;
                  case 115:
                     procReturnStatement2();
                     break;
                  case 114:
                     procReturnStatement1();
                     break;
                  case 113:
                     procQueryStatement();
                     break;
                  case 112:
                     procQueryStatement();
                     break;
                  case 111:
                     procQueryStatement();
                     break;
                  case 110:
                     procQueryStatement();
                     break;
                  case 109:
                     procQueryStatement();
                     break;
                  case 108:
                     procQueryStatement();
                     break;
                  case 107:
                     procThrowStatement();
                     break;
                  case 105:
                     procInitialAssignment2();
                     break;
                  case 104:
                     procInitialAssignment1();
                     break;
                  case 103:
                     procNoopStatement();
                     break;
                  case 102:
                     procAssign2NullStatement();
                     break;
                  case 101:
                     procAssignStatement();
                     break;
                  case 100:
                     procCursorCloseStatement();
                     break;
                  case 99:
                     procCursorCreateStatement();
                     break;
                  case 98:
                     procVarStatement();
                     break;
                  case 97:
                     procStoreBlock();
                     break;
                  case 94:
                     procArg2();
                     break;
                  case 93:
                     procArg1();
                     break;
                  case 87:
                     procReturnOpt();
                     break;
                  case 86:
                     procStore();
                     break;
                  case 85:
                     procHead();
                     break;
                  case 83:
                     unionAllStore();
                     break;
                  case 82:
                     jdbcArg2();
                     break;
                  case 81:
                     jdbcArg1();
                     break;
                  case 80:
                     setJDBCInfoMethod();
                     break;
                  case 79:
                     setCounterId();
                     break;
                  case 78:
                     setSetCounterMethod();
                     break;
                  case 77:
                     setDropCounterMethod();
                     break;
                  case 76:
                     setCreateCounterMethod();
                     break;
                  case 75:
                     setIndexCheckMethod();
                     break;
                  case 74:
                     setPrintMethod();
                     break;
                  case 73:
                     setAssignStatementMethod();
                     break;
                  case 72:
                     setCheckCreateMethod();
                     break;
                  case 71:
                     setForeignKeyCreateMethod();
                     break;
                  case 70:
                     dropOpt2();
                     break;
                  case 69:
                     dropOpt1();
                     break;
                  case 68:
                     setBTreeDropMethod();
                     break;
                  case 67:
                     setCheckDropMethod();
                     break;
                  case 66:
                     setFKeyDropMethod();
                     break;
                  case 65:
                     setProcDropMethod();
                     break;
                  case 64:
                     setViewDropMethod();
                     break;
                  case 63:
                     setIndexDropMethod();
                     break;
                  case 62:
                     setTableDropMethod();
                     break;
                  case 60:
                     setCachedOption();
                     break;
                  case 59:
                     setIndexCreateMethod();
                     break;
                  case 58:
                     setPrimaryIndexCreateMethod();
                     break;
                  case 57:
                     setUserTableCreateMethod();
                     break;
                  case 56:
                     setFuncCallMethod();
                     break;
                  case 55:
                     setProcCallMethod();
                     break;
                  case 54:
                     setProcLoadMethod();
                     break;
                  case 53:
                     setProcCreateMethod();
                     break;
                  case 52:
                     setViewLoadMethod();
                     break;
                  case 51:
                     setViewCreateMethod();
                     break;
                  case 50:
                     setQueryMethod();
                     break;
                  case 49:
                     setQueryMethod();
                     break;
                  case 48:
                     setQueryMethod();
                     break;
                  case 47:
                     setQueryMethod();
                     break;
                  case 46:
                     setQueryMethod();
                     break;
                  case 45:
                     setSelectPlanMethod();
                     break;
                  case 44:
                     setSelectMethod();
                     break;
                  case 43:
                     setIndexReorganizeMethod();
                     break;
                  case 42:
                     setTableReorganizeMethod();
                     break;
                  case 41:
                     setDisableUpdateSyncMethod();
                     break;
                  case 40:
                     setEnableUpdateSyncMethod();
                     break;
                  case 39:
                     setSetIsolationMethod();
                     break;
                  case 38:
                     setDisableAutoCommitMethod();
                     break;
                  case 37:
                     setEnableAutoCommitMethod();
                     break;
                  case 36:
                     setDisableAppendModeMethod();
                     break;
                  case 35:
                     setEnableAppendModeMethod();
                     break;
                  case 34:
                     setQueryMethod();
                     break;
                  case 33:
                     setQueryMethod();
                     break;
                  case 32:
                     setQueryMethod();
                     break;
                  case 31:
                     setAuthUserMethod();
                     break;
                  case 30:
                     setSetTableSetMethod();
                     break;
                  case 29:
                     setCheckShowMethod();
                     break;
                  case 28:
                     setViewShowMethod();
                     break;
                  case 27:
                     setProcShowMethod();
                     break;
                  case 26:
                     setProcDescMethod();
                     break;
                  case 25:
                     setCheckDescMethod();
                     break;
                  case 24:
                     setKeyDescMethod();
                     break;
                  case 23:
                     setViewDescMethod();
                     break;
                  case 22:
                     setBTreeDescMethod();
                     break;
                  case 21:
                     setIndexDescMethod();
                     break;
                  case 20:
                     setTableDescMethod();
                     break;
                  case 19:
                     setShowSystemSpaceMethod();
                     break;
                  case 18:
                     setShowPoolMethod();
                     break;
                  case 17:
                     setShowUptimeMethod();
                     break;
                  case 16:
                     setTupleInfoMethod();
                     break;
                  case 15:
                     setTableInfoMethod();
                     break;
                  case 13:
                     setTableSetOpt();
                     break;
                  case 12:
                     setListCheckMethod();
                     break;
                  case 11:
                     setListTmpObjMethod();
                     break;
                  case 10:
                     setListSysObjMethod();
                     break;
                  case 9:
                     setListCounterMethod();
                     break;
                  case 8:
                     setListKeyMethod();
                     break;
                  case 7:
                     setListBTreeMethod();
                     break;
                  case 6:
                     setListIndexMethod();
                     break;
                  case 5:
                     setListViewMethod();
                     break;
                  case 4:
                     setListProcMethod();
                     break;
                  case 3:
                     setListTableMethod();
                     break;
                  case 2:
                     setListTableSetMethod();
                     break;
                  case 1:
                     setSyncMethod();
                     break;
               }
               break;
            }
            case ACCEPT:
            {
               return;
            }
            default:
               break;
         }
      }
      else
      {
         Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
         throw Exception(EXLOC, msg);
      }
   }
}


bool Cego::getAction(int state, Cego::Token token, Cego::Action& a, int& num)
{
    if (_actionMap[state][token].getAction() != NULLACTION )
    {
	a = _actionMap[state][token].getAction();
	num = _actionMap[state][token].getNum();
	return true;
    }
    else
    {
	return false;
    }
}

bool Cego::getJump(int state, Production prod, int& fstate)
{
    if ( _jumpMap[state][prod] > 0 )
    {
       fstate = _jumpMap[state][prod];
	    return true;
    }
    else
    {
	    return false;
    }
}

bool Cego::isSepSign(char c)
{
   if (c == ';') return true;
   if (c == ',') return true;
   if (c == '=') return true;
   if (c == '<') return true;
   if (c == '>') return true;
   if (c == ')') return true;
   if (c == '(') return true;
   if (c == '[') return true;
   if (c == ']') return true;
   if (c == '/') return true;
   if (c == '+') return true;
   if (c == '-') return true;
   if (c == '|') return true;
   if (c == '!') return true;
   if (c == '*') return true;
   return false;
}
bool Cego::isSepIgnore(char c)
{
   if (c == '\t') return true;
   if (c == ' ') return true;
   if (c == '\n') return true;
   return false;
}
bool Cego::shiftToken()
{
   unsigned long i=0;
   char c;
   while ( isSepIgnore(c = nextChar()) && ! _isReserved );
   if ( _isReserved )
   {
      _token = _reservedToken;
      _isReserved = false;
      return true;
   }
   if (c == 0)
   {
      _token = ENDTOKEN;
      return true;
   }
   if (isSepSign(c))
   {
      _tokenVal[i]=c;
       i++;
   }
   else
   {
      while (c && ! isSepIgnore(c) && ! ( isSepSign(c) && i>0 ) )
      {
         _tokenVal[i]=c;
         i++;
         c = nextChar();
      }
      if (isSepSign(c)) backChar();
   }
   _tokenVal[i]=0;
   Scanner* pS = _scannerList.First();
   while (pS)
   {
      if (pS->checkPattern(_tokenVal))
      {
         _token = pS->getToken();
         return true;
      }
      pS=_scannerList.Next();
   }
   return false;
}
void Cego::setReserved(Token t)
{
   _reservedToken = t;
   _isReserved = true;
}
